/* A Bison parser, made by GNU Bison 3.0.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */
#line 5 "preproc.y" /* yacc.c:339  */

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

/*
 * Handle parsing errors and warnings
 */
static void __attribute__((format(PG_PRINTF_ATTRIBUTE, 3, 0)))
vmmerror(int error_code, enum errortype type, const char *error, va_list ap)
{
	/* internationalize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, base_yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	vfprintf(stderr, error, ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
	}
}

void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, type, error, ap);
	va_end(ap);
}

void
mmfatal(int error_code, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, ET_ERROR, error, ap);
	va_end(ap);

	if (base_yyin)
		fclose(base_yyin);
	if (base_yyout)
		fclose(base_yyout);

	if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
		fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
	exit(error_code);
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(base_yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essentially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

#line 645 "preproc.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CALL = 262,
    SQL_CARDINALITY = 263,
    SQL_CONNECT = 264,
    SQL_COUNT = 265,
    SQL_DATETIME_INTERVAL_CODE = 266,
    SQL_DATETIME_INTERVAL_PRECISION = 267,
    SQL_DESCRIBE = 268,
    SQL_DESCRIPTOR = 269,
    SQL_DISCONNECT = 270,
    SQL_FOUND = 271,
    SQL_FREE = 272,
    SQL_GET = 273,
    SQL_GO = 274,
    SQL_GOTO = 275,
    SQL_IDENTIFIED = 276,
    SQL_INDICATOR = 277,
    SQL_KEY_MEMBER = 278,
    SQL_LENGTH = 279,
    SQL_LONG = 280,
    SQL_NULLABLE = 281,
    SQL_OCTET_LENGTH = 282,
    SQL_OPEN = 283,
    SQL_OUTPUT = 284,
    SQL_REFERENCE = 285,
    SQL_RETURNED_LENGTH = 286,
    SQL_RETURNED_OCTET_LENGTH = 287,
    SQL_SCALE = 288,
    SQL_SECTION = 289,
    SQL_SHORT = 290,
    SQL_SIGNED = 291,
    SQL_SQL = 292,
    SQL_SQLERROR = 293,
    SQL_SQLPRINT = 294,
    SQL_SQLWARNING = 295,
    SQL_START = 296,
    SQL_STOP = 297,
    SQL_STRUCT = 298,
    SQL_UNSIGNED = 299,
    SQL_VAR = 300,
    SQL_WHENEVER = 301,
    S_ADD = 302,
    S_AND = 303,
    S_ANYTHING = 304,
    S_AUTO = 305,
    S_CONST = 306,
    S_DEC = 307,
    S_DIV = 308,
    S_DOTPOINT = 309,
    S_EQUAL = 310,
    S_EXTERN = 311,
    S_INC = 312,
    S_LSHIFT = 313,
    S_MEMPOINT = 314,
    S_MEMBER = 315,
    S_MOD = 316,
    S_MUL = 317,
    S_NEQUAL = 318,
    S_OR = 319,
    S_REGISTER = 320,
    S_RSHIFT = 321,
    S_STATIC = 322,
    S_SUB = 323,
    S_VOLATILE = 324,
    S_TYPEDEF = 325,
    CSTRING = 326,
    CVARIABLE = 327,
    CPP_LINE = 328,
    IP = 329,
    DOLCONST = 330,
    ECONST = 331,
    NCONST = 332,
    UCONST = 333,
    UIDENT = 334,
    IDENT = 335,
    FCONST = 336,
    SCONST = 337,
    BCONST = 338,
    XCONST = 339,
    Op = 340,
    ICONST = 341,
    PARAM = 342,
    TYPECAST = 343,
    DOT_DOT = 344,
    COLON_EQUALS = 345,
    ABORT_P = 346,
    ABSOLUTE_P = 347,
    ACCESS = 348,
    ACTION = 349,
    ADD_P = 350,
    ADMIN = 351,
    AFTER = 352,
    AGGREGATE = 353,
    ALL = 354,
    ALSO = 355,
    ALTER = 356,
    ALWAYS = 357,
    ANALYSE = 358,
    ANALYZE = 359,
    AND = 360,
    ANY = 361,
    ARRAY = 362,
    AS = 363,
    ASC = 364,
    ASSERTION = 365,
    ASSIGNMENT = 366,
    ASYMMETRIC = 367,
    AT = 368,
    ATTRIBUTE = 369,
    AUTHORIZATION = 370,
    BACKWARD = 371,
    BEFORE = 372,
    BEGIN_P = 373,
    BETWEEN = 374,
    BIGINT = 375,
    BINARY = 376,
    BIT = 377,
    BOOLEAN_P = 378,
    BOTH = 379,
    BY = 380,
    CACHE = 381,
    CALLED = 382,
    CASCADE = 383,
    CASCADED = 384,
    CASE = 385,
    CAST = 386,
    CATALOG_P = 387,
    CHAIN = 388,
    CHAR_P = 389,
    CHARACTER = 390,
    CHARACTERISTICS = 391,
    CHECK = 392,
    CHECKPOINT = 393,
    CLASS = 394,
    CLOSE = 395,
    CLUSTER = 396,
    COALESCE = 397,
    COLLATE = 398,
    COLLATION = 399,
    COLUMN = 400,
    COMMENT = 401,
    COMMENTS = 402,
    COMMIT = 403,
    COMMITTED = 404,
    CONCURRENTLY = 405,
    CONFIGURATION = 406,
    CONNECTION = 407,
    CONSTRAINT = 408,
    CONSTRAINTS = 409,
    CONTENT_P = 410,
    CONTINUE_P = 411,
    CONVERSION_P = 412,
    COPY = 413,
    COST = 414,
    CREATE = 415,
    CROSS = 416,
    CSV = 417,
    CURRENT_P = 418,
    CURRENT_CATALOG = 419,
    CURRENT_DATE = 420,
    CURRENT_ROLE = 421,
    CURRENT_SCHEMA = 422,
    CURRENT_TIME = 423,
    CURRENT_TIMESTAMP = 424,
    CURRENT_USER = 425,
    CURSOR = 426,
    CYCLE = 427,
    DATA_P = 428,
    DATABASE = 429,
    DAY_P = 430,
    DEALLOCATE = 431,
    DEC = 432,
    DECIMAL_P = 433,
    DECLARE = 434,
    DEFAULT = 435,
    DEFAULTS = 436,
    DEFERRABLE = 437,
    DEFERRED = 438,
    DEFINER = 439,
    DELETE_P = 440,
    DELIMITER = 441,
    DELIMITERS = 442,
    DESC = 443,
    DICTIONARY = 444,
    DISABLE_P = 445,
    DISCARD = 446,
    DISTINCT = 447,
    DO = 448,
    DOCUMENT_P = 449,
    DOMAIN_P = 450,
    DOUBLE_P = 451,
    DROP = 452,
    EACH = 453,
    ELSE = 454,
    ENABLE_P = 455,
    ENCODING = 456,
    ENCRYPTED = 457,
    END_P = 458,
    ENUM_P = 459,
    ESCAPE = 460,
    EVENT = 461,
    EXCEPT = 462,
    EXCLUDE = 463,
    EXCLUDING = 464,
    EXCLUSIVE = 465,
    EXECUTE = 466,
    EXISTS = 467,
    EXPLAIN = 468,
    EXTENSION = 469,
    EXTERNAL = 470,
    EXTRACT = 471,
    FALSE_P = 472,
    FAMILY = 473,
    FETCH = 474,
    FILTER = 475,
    FIRST_P = 476,
    FLOAT_P = 477,
    FOLLOWING = 478,
    FOR = 479,
    FORCE = 480,
    FOREIGN = 481,
    FORWARD = 482,
    FREEZE = 483,
    FROM = 484,
    FULL = 485,
    FUNCTION = 486,
    FUNCTIONS = 487,
    GLOBAL = 488,
    GRANT = 489,
    GRANTED = 490,
    GREATEST = 491,
    GROUP_P = 492,
    HANDLER = 493,
    HAVING = 494,
    HEADER_P = 495,
    HOLD = 496,
    HOUR_P = 497,
    IDENTITY_P = 498,
    IF_P = 499,
    ILIKE = 500,
    IMMEDIATE = 501,
    IMMUTABLE = 502,
    IMPLICIT_P = 503,
    IN_P = 504,
    INCLUDING = 505,
    INCREMENT = 506,
    INDEX = 507,
    INDEXES = 508,
    INHERIT = 509,
    INHERITS = 510,
    INITIALLY = 511,
    INLINE_P = 512,
    INNER_P = 513,
    INOUT = 514,
    INPUT_P = 515,
    INSENSITIVE = 516,
    INSERT = 517,
    INSTEAD = 518,
    INT_P = 519,
    INTEGER = 520,
    INTERSECT = 521,
    INTERVAL = 522,
    INTO = 523,
    INVOKER = 524,
    IS = 525,
    ISNULL = 526,
    ISOLATION = 527,
    JOIN = 528,
    KEY = 529,
    LABEL = 530,
    LANGUAGE = 531,
    LARGE_P = 532,
    LAST_P = 533,
    LATERAL_P = 534,
    LC_COLLATE_P = 535,
    LC_CTYPE_P = 536,
    LEADING = 537,
    LEAKPROOF = 538,
    LEAST = 539,
    LEFT = 540,
    LEVEL = 541,
    LIKE = 542,
    LIMIT = 543,
    LISTEN = 544,
    LOAD = 545,
    LOCAL = 546,
    LOCALTIME = 547,
    LOCALTIMESTAMP = 548,
    LOCATION = 549,
    LOCK_P = 550,
    MAPPING = 551,
    MATCH = 552,
    MATERIALIZED = 553,
    MAXVALUE = 554,
    MINUTE_P = 555,
    MINVALUE = 556,
    MODE = 557,
    MONTH_P = 558,
    MOVE = 559,
    NAME_P = 560,
    NAMES = 561,
    NATIONAL = 562,
    NATURAL = 563,
    NCHAR = 564,
    NEXT = 565,
    NO = 566,
    NONE = 567,
    NOT = 568,
    NOTHING = 569,
    NOTIFY = 570,
    NOTNULL = 571,
    NOWAIT = 572,
    NULL_P = 573,
    NULLIF = 574,
    NULLS_P = 575,
    NUMERIC = 576,
    OBJECT_P = 577,
    OF = 578,
    OFF = 579,
    OFFSET = 580,
    OIDS = 581,
    ON = 582,
    ONLY = 583,
    OPERATOR = 584,
    OPTION = 585,
    OPTIONS = 586,
    OR = 587,
    ORDER = 588,
    ORDINALITY = 589,
    OUT_P = 590,
    OUTER_P = 591,
    OVER = 592,
    OVERLAPS = 593,
    OVERLAY = 594,
    OWNED = 595,
    OWNER = 596,
    PARSER = 597,
    PARTIAL = 598,
    PARTITION = 599,
    PASSING = 600,
    PASSWORD = 601,
    PLACING = 602,
    PLANS = 603,
    POSITION = 604,
    PRECEDING = 605,
    PRECISION = 606,
    PRESERVE = 607,
    PREPARE = 608,
    PREPARED = 609,
    PRIMARY = 610,
    PRIOR = 611,
    PRIVILEGES = 612,
    PROCEDURAL = 613,
    PROCEDURE = 614,
    PROGRAM = 615,
    QUOTE = 616,
    RANGE = 617,
    READ = 618,
    REAL = 619,
    REASSIGN = 620,
    RECHECK = 621,
    RECURSIVE = 622,
    REF = 623,
    REFERENCES = 624,
    REFRESH = 625,
    REINDEX = 626,
    RELATIVE_P = 627,
    RELEASE = 628,
    RENAME = 629,
    REPEATABLE = 630,
    REPLACE = 631,
    REPLICA = 632,
    RESET = 633,
    RESTART = 634,
    RESTRICT = 635,
    RETURNING = 636,
    RETURNS = 637,
    REVOKE = 638,
    RIGHT = 639,
    ROLE = 640,
    ROLLBACK = 641,
    ROW = 642,
    ROWS = 643,
    RULE = 644,
    SAVEPOINT = 645,
    SCHEMA = 646,
    SCROLL = 647,
    SEARCH = 648,
    SECOND_P = 649,
    SECURITY = 650,
    SELECT = 651,
    SEQUENCE = 652,
    SEQUENCES = 653,
    SERIALIZABLE = 654,
    SERVER = 655,
    SESSION = 656,
    SESSION_USER = 657,
    SET = 658,
    SETOF = 659,
    SHARE = 660,
    SHOW = 661,
    SIMILAR = 662,
    SIMPLE = 663,
    SMALLINT = 664,
    SNAPSHOT = 665,
    SOME = 666,
    STABLE = 667,
    STANDALONE_P = 668,
    START = 669,
    STATEMENT = 670,
    STATISTICS = 671,
    STDIN = 672,
    STDOUT = 673,
    STORAGE = 674,
    STRICT_P = 675,
    STRIP_P = 676,
    SUBSTRING = 677,
    SYMMETRIC = 678,
    SYSID = 679,
    SYSTEM_P = 680,
    TABLE = 681,
    TABLES = 682,
    TABLESPACE = 683,
    TEMP = 684,
    TEMPLATE = 685,
    TEMPORARY = 686,
    TEXT_P = 687,
    THEN = 688,
    TIME = 689,
    TIMESTAMP = 690,
    TO = 691,
    TRAILING = 692,
    TRANSACTION = 693,
    TREAT = 694,
    TRIGGER = 695,
    TRIM = 696,
    TRUE_P = 697,
    TRUNCATE = 698,
    TRUSTED = 699,
    TYPE_P = 700,
    TYPES_P = 701,
    UNBOUNDED = 702,
    UNCOMMITTED = 703,
    UNENCRYPTED = 704,
    UNION = 705,
    UNIQUE = 706,
    UNKNOWN = 707,
    UNLISTEN = 708,
    UNLOGGED = 709,
    UNTIL = 710,
    UPDATE = 711,
    USER = 712,
    USING = 713,
    VACUUM = 714,
    VALID = 715,
    VALIDATE = 716,
    VALIDATOR = 717,
    VALUE_P = 718,
    VALUES = 719,
    VARCHAR = 720,
    VARIADIC = 721,
    VARYING = 722,
    VERBOSE = 723,
    VERSION_P = 724,
    VIEW = 725,
    VIEWS = 726,
    VOLATILE = 727,
    WHEN = 728,
    WHERE = 729,
    WHITESPACE_P = 730,
    WINDOW = 731,
    WITH = 732,
    WITHIN = 733,
    WITHOUT = 734,
    WORK = 735,
    WRAPPER = 736,
    WRITE = 737,
    XML_P = 738,
    XMLATTRIBUTES = 739,
    XMLCONCAT = 740,
    XMLELEMENT = 741,
    XMLEXISTS = 742,
    XMLFOREST = 743,
    XMLPARSE = 744,
    XMLPI = 745,
    XMLROOT = 746,
    XMLSERIALIZE = 747,
    YEAR_P = 748,
    YES_P = 749,
    ZONE = 750,
    NULLS_FIRST = 751,
    NULLS_LAST = 752,
    WITH_ORDINALITY = 753,
    WITH_TIME = 754,
    POSTFIXOP = 755,
    UMINUS = 756
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE YYSTYPE;
union YYSTYPE
{
#line 579 "preproc.y" /* yacc.c:355  */

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;

#line 1202 "preproc.c" /* yacc.c:355  */
};
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1231 "preproc.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   112031

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  521
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  719
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2844
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5237

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   756

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   508,     2,     2,
     513,   514,   506,   504,   516,   505,   515,   507,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   518,   517,
     501,   500,   502,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   511,     2,   512,   509,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   519,     2,   520,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   503,   510
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1512,  1512,  1515,  1517,  1519,  1521,  1523,  1525,  1527,
    1529,  1531,  1533,  1535,  1537,  1539,  1541,  1543,  1545,  1547,
    1549,  1551,  1553,  1555,  1557,  1559,  1561,  1563,  1565,  1567,
    1569,  1571,  1573,  1591,  1593,  1595,  1597,  1599,  1601,  1603,
    1605,  1607,  1609,  1611,  1613,  1615,  1617,  1619,  1621,  1623,
    1625,  1627,  1629,  1631,  1633,  1635,  1637,  1639,  1641,  1643,
    1645,  1647,  1649,  1651,  1655,  1657,  1659,  1661,  1663,  1665,
    1667,  1669,  1671,  1673,  1675,  1677,  1679,  1681,  1683,  1685,
    1687,  1689,  1691,  1693,  1695,  1697,  1699,  1701,  1703,  1705,
    1707,  1709,  1711,  1713,  1715,  1717,  1719,  1721,  1723,  1730,
    1732,  1734,  1736,  1738,  1740,  1742,  1744,  1746,  1748,  1750,
    1752,  1758,  1760,  1762,  1764,  1766,  1768,  1770,  1772,  1774,
    1780,  1790,  1794,  1800,  1804,  1814,  1824,  1825,  1839,  1846,
    1852,  1863,  1869,  1878,  1885,  1891,  1900,  1907,  1915,  1920,
    1928,  1933,  1939,  1944,  1950,  1955,  1961,  1965,  1969,  1973,
    1977,  1981,  1985,  1989,  1993,  2001,  2005,  2009,  2013,  2017,
    2021,  2029,  2037,  2046,  2048,  2056,  2060,  2068,  2076,  2080,
    2088,  2092,  2100,  2104,  2112,  2120,  2128,  2132,  2140,  2144,
    2152,  2156,  2160,  2165,  2174,  2179,  2185,  2190,  2196,  2200,
    2204,  2208,  2212,  2216,  2224,  2228,  2232,  2240,  2244,  2248,
    2256,  2260,  2264,  2268,  2269,  2273,  2277,  2281,  2286,  2290,
    2294,  2298,  2302,  2306,  2310,  2318,  2322,  2330,  2334,  2342,
    2346,  2360,  2364,  2368,  2372,  2380,  2384,  2388,  2392,  2400,
    2404,  2408,  2412,  2416,  2420,  2424,  2432,  2436,  2441,  2447,
    2451,  2459,  2467,  2471,  2475,  2479,  2487,  2491,  2499,  2503,
    2511,  2515,  2523,  2527,  2531,  2535,  2539,  2548,  2556,  2560,
    2568,  2572,  2580,  2588,  2592,  2596,  2600,  2604,  2612,  2616,
    2620,  2624,  2628,  2632,  2636,  2640,  2644,  2648,  2652,  2656,
    2660,  2664,  2668,  2672,  2680,  2684,  2692,  2696,  2700,  2704,
    2708,  2712,  2716,  2720,  2724,  2728,  2732,  2736,  2740,  2744,
    2748,  2752,  2756,  2760,  2764,  2768,  2772,  2776,  2780,  2784,
    2788,  2792,  2796,  2800,  2804,  2808,  2812,  2816,  2820,  2824,
    2828,  2832,  2836,  2840,  2844,  2848,  2852,  2856,  2860,  2864,
    2872,  2876,  2884,  2888,  2893,  2899,  2904,  2910,  2915,  2921,
    2925,  2929,  2933,  2941,  2949,  2954,  2960,  2964,  2972,  2976,
    2980,  2984,  2992,  3000,  3004,  3012,  3016,  3020,  3024,  3032,
    3037,  3045,  3053,  3061,  3065,  3073,  3078,  3084,  3088,  3092,
    3100,  3104,  3112,  3117,  3123,  3127,  3131,  3135,  3139,  3143,
    3147,  3151,  3155,  3159,  3163,  3167,  3171,  3175,  3183,  3188,
    3194,  3199,  3205,  3210,  3216,  3221,  3227,  3231,  3239,  3247,
    3251,  3255,  3259,  3264,  3270,  3274,  3282,  3290,  3294,  3298,
    3302,  3310,  3314,  3318,  3322,  3326,  3330,  3334,  3339,  3345,
    3350,  3356,  3361,  3367,  3371,  3379,  3383,  3391,  3395,  3399,
    3407,  3411,  3419,  3427,  3435,  3440,  3446,  3450,  3454,  3458,
    3466,  3470,  3474,  3478,  3482,  3486,  3490,  3498,  3502,  3506,
    3510,  3518,  3526,  3530,  3535,  3541,  3545,  3549,  3553,  3557,
    3561,  3569,  3573,  3581,  3585,  3589,  3593,  3597,  3601,  3605,
    3613,  3618,  3624,  3629,  3635,  3639,  3647,  3655,  3659,  3664,
    3669,  3675,  3679,  3687,  3691,  3699,  3704,  3710,  3714,  3718,
    3722,  3727,  3733,  3741,  3749,  3753,  3757,  3761,  3765,  3773,
    3778,  3784,  3788,  3792,  3797,  3803,  3807,  3811,  3816,  3822,
    3827,  3833,  3838,  3844,  3852,  3860,  3864,  3869,  3875,  3883,
    3891,  3896,  3902,  3910,  3918,  3922,  3930,  3935,  3941,  3945,
    3953,  3957,  3961,  3965,  3969,  3973,  3977,  3981,  3985,  3989,
    3993,  3997,  4005,  4010,  4016,  4020,  4024,  4028,  4036,  4040,
    4048,  4052,  4060,  4065,  4071,  4075,  4083,  4088,  4094,  4098,
    4106,  4111,  4117,  4121,  4129,  4134,  4140,  4148,  4153,  4159,
    4163,  4171,  4175,  4183,  4188,  4194,  4198,  4202,  4210,  4218,
    4223,  4229,  4237,  4241,  4245,  4249,  4253,  4257,  4261,  4265,
    4269,  4273,  4277,  4281,  4285,  4289,  4293,  4297,  4301,  4305,
    4309,  4313,  4317,  4321,  4325,  4329,  4337,  4345,  4349,  4353,
    4357,  4365,  4369,  4377,  4382,  4388,  4392,  4400,  4404,  4412,
    4417,  4423,  4427,  4435,  4443,  4447,  4455,  4459,  4463,  4467,
    4475,  4483,  4491,  4499,  4507,  4512,  4518,  4522,  4530,  4535,
    4541,  4545,  4553,  4557,  4561,  4569,  4573,  4581,  4585,  4593,
    4601,  4605,  4609,  4617,  4621,  4629,  4637,  4641,  4649,  4653,
    4657,  4665,  4669,  4677,  4681,  4685,  4689,  4693,  4701,  4706,
    4712,  4717,  4723,  4727,  4735,  4740,  4746,  4750,  4755,  4761,
    4765,  4769,  4773,  4781,  4786,  4793,  4795,  4803,  4807,  4811,
    4815,  4819,  4823,  4831,  4835,  4843,  4847,  4855,  4859,  4867,
    4875,  4879,  4887,  4895,  4899,  4903,  4907,  4915,  4924,  4933,
    4937,  4941,  4945,  4949,  4953,  4957,  4961,  4965,  4969,  4973,
    4977,  4981,  4985,  4993,  5001,  5005,  5013,  5017,  5025,  5029,
    5033,  5037,  5041,  5049,  5057,  5061,  5069,  5077,  5082,  5088,
    5092,  5100,  5104,  5108,  5116,  5121,  5127,  5135,  5139,  5147,
    5151,  5155,  5159,  5163,  5171,  5176,  5182,  5187,  5193,  5197,
    5202,  5208,  5214,  5220,  5228,  5232,  5240,  5244,  5252,  5256,
    5264,  5268,  5276,  5280,  5288,  5296,  5304,  5308,  5312,  5316,
    5324,  5328,  5332,  5336,  5340,  5344,  5348,  5352,  5356,  5360,
    5364,  5368,  5372,  5376,  5380,  5384,  5388,  5396,  5400,  5408,
    5412,  5420,  5424,  5432,  5440,  5444,  5449,  5455,  5459,  5463,
    5467,  5471,  5475,  5479,  5483,  5487,  5491,  5495,  5499,  5503,
    5511,  5515,  5519,  5523,  5527,  5531,  5535,  5539,  5543,  5547,
    5551,  5555,  5559,  5563,  5567,  5571,  5575,  5579,  5583,  5587,
    5591,  5595,  5599,  5607,  5611,  5619,  5623,  5627,  5631,  5635,
    5643,  5648,  5654,  5658,  5662,  5666,  5670,  5674,  5678,  5682,
    5686,  5690,  5694,  5698,  5702,  5710,  5714,  5722,  5726,  5730,
    5734,  5740,  5746,  5752,  5758,  5764,  5770,  5776,  5786,  5797,
    5808,  5819,  5830,  5841,  5852,  5868,  5884,  5900,  5911,  5927,
    5938,  5954,  5969,  5973,  5981,  5986,  5992,  6000,  6004,  6012,
    6016,  6020,  6024,  6028,  6036,  6040,  6048,  6052,  6056,  6060,
    6068,  6072,  6076,  6080,  6084,  6088,  6092,  6096,  6100,  6104,
    6108,  6112,  6116,  6120,  6124,  6128,  6136,  6140,  6148,  6152,
    6160,  6165,  6171,  6175,  6183,  6191,  6199,  6203,  6211,  6216,
    6222,  6227,  6233,  6241,  6246,  6252,  6256,  6260,  6268,  6272,
    6276,  6284,  6288,  6292,  6296,  6304,  6312,  6317,  6323,  6328,
    6334,  6339,  6345,  6350,  6356,  6360,  6368,  6372,  6376,  6384,
    6389,  6395,  6399,  6404,  6410,  6414,  6419,  6425,  6429,  6434,
    6440,  6444,  6448,  6456,  6461,  6467,  6471,  6479,  6483,  6491,
    6495,  6503,  6507,  6515,  6519,  6523,  6527,  6531,  6539,  6543,
    6547,  6551,  6555,  6563,  6571,  6579,  6583,  6587,  6595,  6599,
    6603,  6611,  6620,  6624,  6628,  6632,  6640,  6644,  6652,  6656,
    6664,  6668,  6672,  6676,  6680,  6684,  6688,  6692,  6696,  6700,
    6704,  6708,  6712,  6716,  6720,  6728,  6732,  6736,  6740,  6748,
    6752,  6760,  6765,  6771,  6779,  6783,  6791,  6799,  6803,  6811,
    6816,  6822,  6826,  6834,  6838,  6846,  6850,  6858,  6862,  6866,
    6870,  6878,  6882,  6890,  6898,  6902,  6910,  6914,  6922,  6926,
    6930,  6938,  6942,  6947,  6953,  6961,  6966,  6972,  6976,  6980,
    6988,  6992,  7000,  7005,  7011,  7015,  7023,  7027,  7031,  7035,
    7039,  7043,  7047,  7051,  7055,  7059,  7063,  7067,  7071,  7075,
    7079,  7083,  7087,  7091,  7095,  7099,  7103,  7107,  7111,  7115,
    7119,  7123,  7127,  7131,  7135,  7139,  7143,  7147,  7151,  7155,
    7159,  7163,  7167,  7171,  7175,  7179,  7183,  7187,  7191,  7195,
    7199,  7207,  7212,  7218,  7223,  7229,  7233,  7237,  7241,  7245,
    7249,  7253,  7257,  7261,  7265,  7269,  7273,  7277,  7281,  7285,
    7289,  7293,  7297,  7301,  7305,  7309,  7313,  7317,  7321,  7329,
    7333,  7337,  7341,  7345,  7349,  7353,  7357,  7361,  7365,  7369,
    7373,  7377,  7381,  7385,  7389,  7393,  7397,  7401,  7409,  7417,
    7421,  7425,  7433,  7437,  7445,  7449,  7453,  7457,  7461,  7469,
    7474,  7480,  7484,  7488,  7492,  7500,  7504,  7509,  7515,  7519,
    7527,  7535,  7540,  7546,  7554,  7558,  7566,  7570,  7574,  7578,
    7582,  7586,  7590,  7594,  7598,  7602,  7606,  7610,  7614,  7618,
    7626,  7630,  7635,  7641,  7645,  7649,  7653,  7657,  7665,  7669,
    7673,  7681,  7686,  7692,  7696,  7700,  7705,  7714,  7718,  7722,
    7727,  7733,  7741,  7749,  7754,  7760,  7764,  7768,  7772,  7776,
    7780,  7784,  7788,  7792,  7796,  7800,  7804,  7808,  7812,  7816,
    7820,  7828,  7833,  7839,  7843,  7851,  7859,  7864,  7870,  7878,
    7882,  7890,  7894,  7902,  7910,  7914,  7918,  7922,  7926,  7930,
    7934,  7942,  7947,  7953,  7961,  7965,  7969,  7973,  7977,  7981,
    7989,  7997,  8001,  8005,  8013,  8018,  8024,  8028,  8032,  8036,
    8040,  8048,  8052,  8060,  8064,  8068,  8072,  8080,  8084,  8092,
    8096,  8104,  8109,  8115,  8120,  8126,  8131,  8137,  8142,  8148,
    8152,  8156,  8160,  8168,  8172,  8176,  8180,  8184,  8188,  8192,
    8196,  8200,  8208,  8212,  8220,  8228,  8232,  8240,  8244,  8249,
    8255,  8261,  8271,  8276,  8282,  8286,  8290,  8294,  8302,  8304,
    8312,  8317,  8323,  8331,  8335,  8339,  8347,  8351,  8359,  8367,
    8372,  8378,  8386,  8391,  8397,  8405,  8410,  8416,  8420,  8424,
    8428,  8432,  8436,  8440,  8444,  8452,  8457,  8463,  8471,  8475,
    8483,  8487,  8495,  8503,  8511,  8519,  8523,  8531,  8584,  8588,
    8601,  8603,  8607,  8611,  8615,  8624,  8630,  8634,  8642,  8646,
    8654,  8658,  8666,  8670,  8674,  8678,  8682,  8686,  8690,  8694,
    8702,  8706,  8714,  8718,  8722,  8726,  8730,  8734,  8742,  8746,
    8754,  8758,  8766,  8774,  8779,  8785,  8790,  8792,  8798,  8802,
    8806,  8810,  8814,  8818,  8822,  8826,  8830,  8838,  8843,  8849,
    8853,  8858,  8864,  8868,  8872,  8877,  8883,  8888,  8894,  8902,
    8906,  8914,  8918,  8926,  8930,  8934,  8938,  8946,  8951,  8957,
    8961,  8966,  8974,  8978,  8986,  8990,  8998,  9006,  9010,  9015,
    9021,  9029,  9033,  9041,  9045,  9053,  9058,  9064,  9069,  9075,
    9079,  9087,  9092,  9098,  9102,  9110,  9118,  9122,  9126,  9130,
    9138,  9143,  9149,  9153,  9161,  9166,  9172,  9176,  9184,  9188,
    9192,  9196,  9203,  9210,  9214,  9222,  9226,  9230,  9234,  9238,
    9242,  9250,  9254,  9258,  9262,  9270,  9275,  9281,  9285,  9289,
    9293,  9298,  9304,  9308,  9312,  9316,  9324,  9329,  9335,  9339,
    9347,  9351,  9355,  9359,  9367,  9371,  9379,  9383,  9387,  9395,
    9399,  9407,  9415,  9419,  9427,  9432,  9438,  9443,  9449,  9454,
    9460,  9464,  9470,  9476,  9481,  9487,  9491,  9499,  9507,  9509,
    9511,  9515,  9519,  9523,  9531,  9541,  9552,  9561,  9565,  9569,
    9573,  9577,  9581,  9585,  9593,  9597,  9601,  9605,  9613,  9617,
    9625,  9630,  9636,  9640,  9644,  9648,  9652,  9656,  9660,  9664,
    9668,  9672,  9676,  9684,  9689,  9695,  9699,  9707,  9711,  9719,
    9727,  9735,  9739,  9747,  9751,  9759,  9767,  9775,  9779,  9783,
    9787,  9791,  9795,  9803,  9808,  9814,  9819,  9825,  9829,  9833,
    9837,  9845,  9853,  9857,  9862,  9868,  9872,  9876,  9880,  9884,
    9888,  9892,  9896,  9900,  9904,  9908,  9912,  9916,  9921,  9927,
    9931,  9939,  9943,  9947,  9951,  9955,  9959,  9963,  9967,  9971,
    9975,  9979,  9983,  9987,  9991,  9995,  9999, 10003, 10007, 10011,
   10015, 10019, 10023, 10027, 10031, 10035, 10039, 10043, 10047, 10051,
   10055, 10059, 10063, 10067, 10071, 10075, 10079, 10083, 10087, 10091,
   10095, 10099, 10103, 10107, 10111, 10115, 10119, 10123, 10127, 10131,
   10135, 10139, 10143, 10147, 10151, 10155, 10159, 10163, 10168, 10172,
   10180, 10184, 10188, 10192, 10196, 10200, 10204, 10208, 10212, 10216,
   10220, 10224, 10228, 10232, 10236, 10240, 10244, 10248, 10252, 10256,
   10260, 10264, 10272, 10276, 10280, 10284, 10288, 10292, 10296, 10300,
   10304, 10308, 10312, 10316, 10324, 10328, 10332, 10336, 10340, 10344,
   10348, 10356, 10360, 10368, 10372, 10380, 10384, 10388, 10392, 10396,
   10400, 10404, 10408, 10412, 10416, 10420, 10424, 10428, 10432, 10436,
   10440, 10444, 10448, 10452, 10456, 10460, 10464, 10468, 10472, 10476,
   10480, 10484, 10488, 10492, 10496, 10500, 10504, 10508, 10512, 10516,
   10520, 10524, 10528, 10532, 10536, 10540, 10544, 10552, 10556, 10564,
   10568, 10572, 10577, 10583, 10591, 10595, 10603, 10607, 10615, 10619,
   10627, 10631, 10636, 10642, 10646, 10650, 10654, 10662, 10667, 10673,
   10678, 10684, 10689, 10695, 10699, 10707, 10715, 10719, 10724, 10730,
   10738, 10742, 10749, 10754, 10760, 10765, 10770, 10776, 10780, 10788,
   10792, 10796, 10800, 10804, 10812, 10816, 10820, 10828, 10832, 10836,
   10844, 10848, 10856, 10860, 10864, 10868, 10872, 10876, 10880, 10884,
   10888, 10896, 10900, 10908, 10912, 10920, 10924, 10928, 10932, 10936,
   10940, 10948, 10952, 10960, 10964, 10972, 10976, 10984, 10988, 10996,
   11000, 11004, 11012, 11016, 11024, 11029, 11035, 11039, 11043, 11047,
   11051, 11055, 11059, 11063, 11071, 11075, 11083, 11091, 11096, 11102,
   11106, 11110, 11114, 11118, 11123, 11129, 11137, 11145, 11149, 11153,
   11161, 11165, 11173, 11181, 11185, 11193, 11201, 11206, 11212, 11217,
   11223, 11227, 11235, 11239, 11243, 11247, 11255, 11259, 11268, 11270,
   11278, 11283, 11289, 11293, 11301, 11305, 11313, 11321, 11326, 11332,
   11336, 11344, 11348, 11352, 11356, 11364, 11368, 11376, 11380, 11388,
   11392, 11400, 11408, 11416, 11424, 11432, 11440, 11448, 11452, 11460,
   11464, 11468, 11472, 11476, 11480, 11484, 11488, 11492, 11496, 11500,
   11504, 11508, 11512, 11513, 11518, 11524, 11532, 11536, 11544, 11548,
   11549, 11553, 11561, 11565, 11569, 11573, 11581, 11585, 11589, 11593,
   11597, 11601, 11605, 11609, 11613, 11617, 11621, 11625, 11629, 11633,
   11637, 11641, 11645, 11649, 11653, 11657, 11661, 11665, 11669, 11673,
   11677, 11681, 11685, 11689, 11693, 11697, 11701, 11705, 11709, 11713,
   11717, 11721, 11725, 11729, 11733, 11737, 11741, 11745, 11749, 11753,
   11757, 11761, 11765, 11769, 11773, 11777, 11781, 11785, 11789, 11793,
   11797, 11801, 11805, 11809, 11813, 11817, 11821, 11825, 11829, 11833,
   11837, 11841, 11845, 11849, 11853, 11857, 11861, 11865, 11869, 11873,
   11877, 11881, 11885, 11889, 11893, 11897, 11901, 11905, 11909, 11913,
   11917, 11921, 11925, 11929, 11933, 11937, 11941, 11945, 11949, 11953,
   11957, 11961, 11965, 11969, 11973, 11977, 11981, 11985, 11989, 11993,
   11997, 12001, 12005, 12009, 12013, 12017, 12021, 12025, 12029, 12033,
   12037, 12041, 12045, 12049, 12053, 12057, 12061, 12065, 12069, 12073,
   12077, 12081, 12085, 12089, 12093, 12097, 12101, 12105, 12109, 12113,
   12117, 12121, 12125, 12129, 12133, 12137, 12141, 12145, 12149, 12153,
   12157, 12161, 12165, 12169, 12173, 12177, 12181, 12185, 12189, 12193,
   12197, 12201, 12205, 12209, 12213, 12217, 12221, 12225, 12229, 12233,
   12237, 12241, 12245, 12249, 12253, 12257, 12261, 12265, 12269, 12273,
   12277, 12281, 12285, 12289, 12293, 12297, 12301, 12305, 12309, 12313,
   12317, 12321, 12325, 12329, 12333, 12337, 12341, 12345, 12349, 12353,
   12357, 12361, 12365, 12369, 12373, 12377, 12381, 12385, 12389, 12393,
   12397, 12401, 12405, 12409, 12413, 12417, 12421, 12425, 12429, 12433,
   12437, 12441, 12445, 12449, 12453, 12457, 12461, 12465, 12469, 12473,
   12477, 12481, 12485, 12489, 12493, 12497, 12501, 12505, 12509, 12513,
   12517, 12521, 12525, 12529, 12533, 12537, 12541, 12545, 12549, 12553,
   12557, 12561, 12565, 12569, 12573, 12577, 12585, 12589, 12593, 12597,
   12601, 12605, 12609, 12613, 12617, 12621, 12625, 12629, 12633, 12637,
   12641, 12645, 12649, 12653, 12657, 12661, 12665, 12669, 12673, 12677,
   12681, 12685, 12689, 12693, 12697, 12701, 12705, 12709, 12713, 12717,
   12721, 12725, 12729, 12733, 12737, 12741, 12745, 12749, 12753, 12757,
   12765, 12769, 12773, 12777, 12781, 12785, 12789, 12793, 12797, 12801,
   12805, 12809, 12813, 12817, 12821, 12825, 12829, 12833, 12837, 12841,
   12845, 12849, 12857, 12861, 12865, 12869, 12873, 12877, 12881, 12885,
   12889, 12893, 12897, 12901, 12905, 12909, 12913, 12917, 12921, 12925,
   12929, 12933, 12937, 12941, 12945, 12949, 12953, 12957, 12961, 12965,
   12969, 12973, 12977, 12981, 12985, 12989, 12993, 12997, 13001, 13005,
   13009, 13013, 13017, 13021, 13025, 13029, 13033, 13037, 13041, 13045,
   13049, 13053, 13057, 13061, 13065, 13069, 13073, 13077, 13081, 13085,
   13089, 13093, 13097, 13101, 13105, 13109, 13113, 13117, 13121, 13125,
   13129, 13133, 13137, 13141, 13145, 13149, 13153, 13163, 13164, 13167,
   13168, 13169, 13175, 13176, 13177, 13178, 13179, 13192, 13192, 13201,
   13216, 13218, 13221, 13223, 13227, 13239, 13255, 13259, 13270, 13271,
   13274, 13286, 13295, 13296, 13299, 13300, 13301, 13304, 13305, 13308,
   13309, 13312, 13313, 13316, 13318, 13320, 13322, 13326, 13333, 13340,
   13356, 13390, 13400, 13403, 13407, 13420, 13421, 13423, 13425, 13429,
   13443, 13450, 13511, 13520, 13522, 13523, 13526, 13528, 13529, 13532,
   13533, 13534, 13535, 13536, 13543, 13542, 13552, 13554, 13556, 13557,
   13560, 13561, 13562, 13563, 13566, 13567, 13571, 13570, 13587, 13585,
   13601, 13600, 13614, 13620, 13621, 13624, 13626, 13627, 13630, 13631,
   13632, 13633, 13636, 13637, 13640, 13648, 13665, 13673, 13696, 13802,
   13836, 13838, 13840, 13844, 13848, 13847, 13898, 13900, 13899, 13914,
   13920, 13927, 13932, 13938, 13939, 13942, 13943, 13944, 13945, 13946,
   13947, 13948, 13956, 13964, 13967, 13968, 13969, 13970, 13971, 13972,
   13980, 13988, 13989, 13990, 13993, 13994, 13997, 13999, 14008, 14096,
   14097, 14104, 14105, 14106, 14112, 14121, 14124, 14125, 14126, 14127,
   14130, 14131, 14132, 14135, 14137, 14145, 14146, 14152, 14160, 14161,
   14164, 14165, 14168, 14173, 14180, 14185, 14192, 14199, 14199, 14201,
   14208, 14209, 14212, 14213, 14214, 14215, 14216, 14217, 14218, 14219,
   14220, 14226, 14233, 14245, 14251, 14258, 14266, 14267, 14279, 14290,
   14301, 14305, 14306, 14309, 14314, 14318, 14319, 14322, 14328, 14336,
   14342, 14349, 14353, 14354, 14357, 14360, 14364, 14365, 14368, 14374,
   14383, 14388, 14398, 14408, 14420, 14421, 14422, 14423, 14424, 14425,
   14426, 14427, 14428, 14429, 14430, 14431, 14432, 14433, 14434, 14441,
   14442, 14445, 14446, 14453, 14454, 14455, 14462, 14461, 14478, 14479,
   14486, 14485, 14555, 14561, 14567, 14575, 14581, 14587, 14593, 14599,
   14605, 14611, 14617, 14623, 14634, 14635, 14638, 14639, 14640, 14641,
   14642, 14643, 14644, 14645, 14646, 14647, 14648, 14649, 14650, 14651,
   14652, 14653, 14654, 14655, 14656, 14657, 14658, 14659, 14660, 14661,
   14664, 14665, 14666, 14667, 14668, 14669, 14673, 14674, 14675, 14676,
   14677, 14678, 14679, 14682, 14685, 14686, 14687, 14688, 14689, 14690,
   14691, 14692, 14705, 14706, 14707, 14708, 14709, 14710, 14711, 14716,
   14717, 14718, 14719, 14720, 14721, 14727, 14728, 14729, 14730, 14731,
   14732, 14733, 14734, 14735, 14736, 14737, 14740, 14741, 14742, 14743,
   14744, 14747, 14748, 14749, 14750, 14753, 14754, 14755, 14756, 14757,
   14758, 14759, 14776, 14777, 14778, 14781, 14782, 14783, 14784, 14785,
   14786, 14790, 14790, 14793, 14799, 14800, 14803, 14805, 14810, 14820,
   14831, 14838, 14839, 14840, 14843, 14876, 14878, 14880, 14883, 14893,
   14903, 14913, 14914, 14917, 14919, 14920, 14921, 14924, 14926, 14934,
   14935, 14936, 14940, 14941, 14945, 14946, 14949, 14950, 14953, 14954,
   14955, 14956, 14957, 14960, 14961, 14962, 14963, 14964, 14965, 14966,
   14967, 14968, 14969, 14970, 14971, 14972, 14973, 14974, 14975, 14976,
   14977, 14978, 14979, 14980, 14981, 14982, 14983, 14984, 14985, 14986,
   14987, 14988, 14989, 14990, 14991, 14992, 14993, 14994, 14995, 14996,
   14997, 14998, 14999, 15000, 15001, 15002, 15003, 15004, 15005, 15006,
   15007, 15008, 15009, 15010, 15011, 15012, 15013, 15014, 15015, 15018,
   15019, 15020, 15021, 15024, 15025, 15026, 15027, 15028, 15029, 15030,
   15031, 15032, 15033, 15040, 15041, 15042, 15043, 15046, 15047, 15050,
   15051, 15054, 15055, 15066, 15067
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQL", "SQL_SQLERROR", "SQL_SQLPRINT",
  "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED",
  "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO",
  "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN",
  "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL",
  "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB",
  "S_VOLATILE", "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP",
  "DOLCONST", "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST",
  "SCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION",
  "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONNECTION",
  "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P",
  "COPY", "COST", "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD",
  "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH",
  "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE",
  "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FILTER", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR",
  "FORCE", "FOREIGN", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION",
  "FUNCTIONS", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P",
  "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING",
  "INCREMENT", "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY",
  "INLINE_P", "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT",
  "INSTEAD", "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO",
  "INVOKER", "IS", "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL",
  "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P", "LC_COLLATE_P",
  "LC_CTYPE_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE",
  "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME", "LOCALTIMESTAMP",
  "LOCATION", "LOCK_P", "MAPPING", "MATCH", "MATERIALIZED", "MAXVALUE",
  "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES",
  "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "ORDINALITY", "OUT_P", "OUTER_P",
  "OVER", "OVERLAPS", "OVERLAY", "OWNED", "OWNER", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POSITION",
  "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY",
  "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM", "QUOTE",
  "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF",
  "REFERENCES", "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME",
  "REPEATABLE", "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT",
  "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW",
  "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER",
  "SESSION", "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR",
  "SIMPLE", "SMALLINT", "SNAPSHOT", "SOME", "STABLE", "STANDALONE_P",
  "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE",
  "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "TABLE", "TABLES", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY",
  "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION",
  "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P",
  "TYPES_P", "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE",
  "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING",
  "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES",
  "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW",
  "VIEWS", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH",
  "WITHIN", "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P",
  "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST",
  "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P", "YES_P",
  "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_ORDINALITY", "WITH_TIME",
  "'='", "'<'", "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'^'", "UMINUS", "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'",
  "'{'", "'}'", "$accept", "prog", "stmt", "CreateRoleStmt", "opt_with",
  "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem", "DropTrigStmt",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "old_aggr_definition", "old_aggr_list", "old_aggr_elem",
  "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "opt_definition", "table_func_column", "table_func_column_list",
  "AlterFunctionStmt", "alterfunc_opt_list", "opt_restrict",
  "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt", "oper_argtypes",
  "any_operator", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "ReindexStmt", "reindex_type", "opt_force", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "AlterSystemStmt",
  "CreateDomainStmt", "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "rowsfrom_item",
  "rowsfrom_list", "opt_col_def_list", "opt_ordinality", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_application", "func_expr", "func_expr_windowless",
  "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "opt_target_list", "target_list", "target_el",
  "qualified_name_list", "qualified_name", "name_list", "name",
  "database_name", "access_method", "attr_name", "index_name", "file_name",
  "func_name", "AexprConst", "Iconst", "RoleId", "role_list",
  "SignedIconst", "NonReservedWord", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword",
  "statements", "statement", "CreateAsStmt", "$@1", "at", "ECPGConnect",
  "connection_target", "opt_database_name", "db_prefix", "server",
  "opt_server", "server_name", "opt_port", "opt_connection_name",
  "opt_user", "ora_user", "user_name", "char_variable", "opt_options",
  "connect_options", "opt_opt_value", "prepared_name", "ECPGCursorStmt",
  "ECPGExecuteImmediateStmt", "ECPGVarDeclaration",
  "single_vt_declaration", "precision", "opt_scale", "ecpg_interval",
  "ECPGDeclaration", "$@2", "sql_startdeclare", "sql_enddeclare",
  "var_type_declarations", "vt_declarations", "variable_declarations",
  "type_declaration", "$@3", "var_declaration", "$@4", "$@5",
  "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "opt_ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
      61,    60,    62,   755,    43,    45,    42,    47,    37,    94,
     756,    91,    93,    40,    41,    46,    44,    59,    58,   123,
     125
};
# endif

#define YYPACT_NINF -4558

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4558)))

#define YYTABLE_NINF -2684

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2684)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -4558,   477, 11814, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, 27020, -4558,
   -4558, -4558, -4558, -4558,100684,   511, -4558, -4558, -4558,105625,
   -4558, -4558, -4558,   287, 67854, -4558, 70794,   950, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, 74714, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, 56571,   831, -4558,
     494, -4558, -4558, -4558, -4558, -4558, -4558, -4558,  1402,  5196,
   -4558, -4558, 71284, -4558,    85, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, 71774,   594, -4558, -4558,   963,  1501, -4558,    92,
   14271, -4558, -4558, 64424, 68834, -4558, -4558, 75204,   371,  2029,
   15401,  1402, 26526, 75694, -4558,  1334, -4558, 53094, -4558, -4558,
   -4558, 68344, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, 83044,  2839,  1009, 53594, -4558, -4558,
   -4558, -4558, 83044, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, 76184, -4558,   998,  1234,   798, 83534, 84024, 65894,
   -4558,  1544, -4558, 83044,  1385,   716, 55589, -4558, 84514, -4558,
   -4558,  1283, -4558, 76674, -4558, -4558, -4558, -4558,  1009, -4558,
   56571, 52110,    41,  1295, -4558, -4558, 85004, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558,  1994,  1353, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558,   594, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558,   582, -4558,   949,   661,  2016,   801,  1406,
   -4558, -4558, -4558, 14952, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558,102145,   847, -4558, -4558, -4558,  1419, -4558,  1452, -4558,
   -4558, -4558,  2120, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
     880, -4558, -4558, -4558, -4558,  1986,101171, 74714, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, 63934, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558,   182, -4558, -4558, -4558,
   -4558, -4558, 74714, 74714, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   74714,  1592, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558,   512,  1820, -4558, -4558, 56571,  2501,  2501,  2178,
  102145, -4558, -4558, -4558, 58044, 83044, 83044, 83044,  1876, 83044,
    1745, 83044,   234, 58044,109848, 77164,  1928,  1818, 47597, -4558,
  108582, 83044, 83044, 85494, 83044,  1829, 72264, 83044,  1952, 83044,
   83044,109004, 85984,  1980, -4558,  2347,  1392, -4558, -4558, -4558,
   83044,  6704,  2839, -4558, -4558, 83044,  1924, 58044, 83044,  1881,
   83044,  1961, 83044, -4558, 83044,  1984, 86474,   315,  1892,109848,
    2141, 48101,  2042,109848, 86964, 83044, 83044, -4558, -4558,  2051,
   83044, 83044, -4558,  2165,110270,   863,  2192,  2298,  2241,   912,
   -4558, -4558,  2382,  1979, -4558, -4558,  2433, 74714, -4558, 72754,
   -4558, -4558, -4558,  2395, -4558, -4558, -4558, -4558, -4558, -4558,
  106894,  2029, -4558, -4558, 58535, 83044,  2278, -4558, -4558, 87454,
   -4558,  2086, -4558,   368, 59026,110692,  2383,  2090, 48605,  2416,
  111114, 87944, -4558, -4558, 88434, -4558, 88924,  2186, 89414, -4558,
  111536, -4558,  2308, 89904, -4558, 18815, -4558,  2083,  1505,  2114,
    1848, 74714, 74714,  1431,103482, -4558, -4558,   594, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558,   242,   766, 54094,   653,
   54594, -4558, -4558,   812,  1217,  1432,   242,  2554,  2554,    87,
   74714, -4558, -4558,   766, -4558,   642,   612,  2117,  2117,  2117,
    2316,  1083, -4558,  2117, -4558, -4558, -4558, -4558, 76674, 54094,
   54594, -4558,  2128,  2839,   218,  2523,  2188, 83044, -4558, 83044,
   -4558, 83044, 83044, -4558, -4558, -4558,  2552,  2180,  2396, -4558,
    2167, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
    2358,  2362,  2369,   108,  2839,  2267, -4558,  2478, -4558,  2380,
   31537,   524, 74714,  2839, 55094, 77654, 97744,   172,106894,  2839,
   90394,  2223,  1418,  2405, -4558, -4558, -4558,   636, -4558,  2607,
    2231,  2464,   447,  1392, 45113, -4558,  2239,  1626, 76674,102632,
   -4558, -4558, -4558, -4558,   262,  2514, 32046, -4558, 83044,  2234,
   -4558,  2238,  2245,  2248,  2016, -4558, 83044,   824,   824,  2640,
     824,  1870,  1874, -4558,  2131, -4558,  2539,  2503, 76674,  1295,
    1402,  2268, -4558, -4558, -4558,  2288, -4558,  2280,  2291, -4558,
     837,  2543, -4558, -4558, -4558, -4558,  2375,  2401,  2407,  2423,
    2306,  2449,   331, -4558, -4558, -4558, -4558,  2635, -4558, -4558,
   -4558, -4558, -4558, -4558,  2720,  2717,106050,106050,   544,   738,
     183,   208, -4558, -4558, -4558,  2587, -4558, -4558,  2578, 83044,
    2459, 83044, -4558, -4558, -4558, 90884, -4558, -4558,  2501,  2288,
    2352, -4558,   296, -4558,  1626, -4558,   347,   364,   405,  1684,
    2354,  1863,  1315, -4558,   383, 83044,  2500,   147,   721,  2428,
   78144,  4179,  2460,   622,  2709,  2713,  4935,   331, 78634, -4558,
   83044, 83044, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558,  2483, -4558, -4558,  2484,  2754,  1373,  2621,  1464,  2808,
    9154,  1366, 91374, 98234,  2777,  2832,  5548,  1547,   575,  2721,
    1081,  2754,  2823,  1507,  2842,  6510, 83044,  2548, -4558,  2783,
    2891,    -8, -4558,   154, -4558,  2627,  2759,   346, 58044,  2582,
   -4558, -4558, 83044, -4558, -4558, -4558,  2659, -4558,   630, 58044,
   -4558,  2780,  2647, 49109, -4558, 83044, -4558, -4558, -4558, -4558,
   -4558,  2710, 83044, -4558, -4558,  2834, 83044, -4558,  2117,  2767,
    2617,  2994, 61481,   304, 83044,  2657,  3027, 83044,  2827,  2657,
    2670, 91864, -4558, -4558,  2657, -4558, -4558, 83044, 83044,  2623,
    1932,  2657,  2848,  3037,  3051,  2740,  2845,   843,  1449,   122,
    2970,  2657,  2726, 83044, 92354, 83044,  2727, 83044,  3048, 58044,
   83044, -4558,  2851, 79124, -4558,  2684,  2382, -4558, -4558, -4558,
   -4558, -4558,  1114, -4558, -4558, -4558, -4558,  2998,  2352,   340,
    2999,  2700,  3000, -4558, -4558,  2733, -4558,  3003,  2460,  3005,
   -4558,  2702, 92844, -4558, 93334, 93824,  3007,  2483,109848,  3009,
    2702,  3010,  2896,  3013,   340,  3014, -4558,   990,  3016,  2902,
    3018,  2036,  2702,107316,  3021,   116, -4558, 20257, 18815, -4558,
   23733,  1631, -4558, -4558, -4558, -4558, -4558, -4558, 35609,   741,
    2810, -4558, -4558, -4558,  1624, -4558,104769, -4558,  1431,   766,
   -4558, 74714,   766, 74714,    87,   766, 74714,   766, 74714,    87,
     766, 74714, 74714, 74714,   766, -4558, -4558,  2317,  1443, -4558,
   -4558, -4558, -4558, -4558, 74714,  2724, 83044, 83044, -4558, -4558,
   -4558, 69324,109848, 69814, -4558, -4558,    32, 74714, -4558, 74714,
   -4558,  2839, -4558, -4558,  1505, 61481,  3130,109848,  3048,  3017,
    3017,  3017, -4558, -4558, -4558,  2953, 83044,  3019,  3023, 69324,
  109848, -4558, 94314,106894,  2914,  2735, -4558, -4558, -4558, -4558,
    2062,  2868,   320,  2888, 35609,  2736,   247,   247,  2738,  3028,
   -4558, -4558, -4558,   426,  2741,  2742, -4558,   444,   444,  2905,
    2745,  2746, -4558,   453,  2747, -4558,  2963,   486,  2748,  2749,
    2750,  2217,   247, 35609, -4558,  2751,   444,  2752,  2753,  2756,
    3030,  2757, -4558,  3081,  2758,   257,   286,  2760,  2765, -4558,
    2745, -4558,   221,  2768,  2769,  2770,  2772,  2773,  2775,  2779,
    2781, 35609, 35609, -4558, 30519,  1626,  2839, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558,    88, -4558,   495,  5270, -4558,  2789,
   -4558, -4558,  2915, 35609, -4558, -4558,  3004,  2774, -4558,   507,
   -4558, -4558,  1626, -4558, -4558,  1582, -4558, -4558, -4558, -4558,
    1940,  1940,   198, -4558, 71284, 71284, -4558, -4558,  1499,  2782,
   -4558,  1931, -4558, -4558, -4558, -4558, -4558, -4558,106472,  3185,
   -4558,  2633,  2839,   154,   199,  3136,103907,104338,  3032,  3032,
    3020, -4558, -4558, 83044, -4558, -4558, 35609, 51126, -4558,  1626,
      84,  3033, -4558, -4558, -4558,  2075, -4558, -4558, -4558,   594,
   -4558, 13055, -4558,  2087,  2234, 83044, 83044,  3194, -4558, -4558,
    2238, -4558, -4558,  2016,  2016, 35609,  2016,   939,  1703, 32555,
   35609,  3084,  2980,  1371,  1824,  3085, -4558,  2987,  1870,  1874,
   76674, 83044, 94804,  2908, -4558, -4558,  2288,  2807,  1851, -4558,
   63444,101658,101658,  3052, -4558, -4558,  1159,  1130,  2921,  3025,
    2554,  1368,  2328,  2328, -4558, -4558,  2813, -4558,  3151, 71284,
    2875,106050, -4558, -4558, 83044, -4558, -4558, 79614, -4558, -4558,
   -4558,  1487,  2820, -4558,  2833, 83044,  3323, -4558,  2328,  2328,
   -4558, -4558,  2822, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558,102145,  2826, 83044, -4558,  2828,  2829, -4558,102632, 51618,
    1895,  1626,  2904,  2907,  2954, 56571,  2831,  2916,  2918,  2960,
    2919,  2920, 98724, -4558, -4558, -4558, -4558,  1694,   965,  1067,
    2924,   299,   903,  3191, -4558,  1141,  2972, -4558, -4558, -4558,
    4522, 83044,  3152,  7782,  3038,   331,  2971, -4558, -4558,  3086,
    2931,  2934,  3054,   331,  1066, 99214, -4558, -4558, -4558, -4558,
   -4558, -4558,  5703, 29018, -4558,  2935,  2917,  2947, 83044, 64914,
    1484,  3049,  1324,  1825,   129, 83044,  3123,  3058, 83044,  2869,
    2948,  2949,  3140,  2873,  1352,  3234,  2872, -4558, -4558,  3050,
    3146,  3177,  8192,  2938,  2939, 60499,  1407, 49613,  3224,  1850,
    2966, -4558,  1850, 83044,  2968,  2969, 83044,   331, -4558,  3274,
     331,   331,  1923,  3281,  2974,   542,  1968,  2657,  2872,  1332,
   -4558,  2975,  2978,  1461, -4558,  3077, -4558, -4558,  1105,  2988,
   76674,   193,  1971,  2872,  2979,  2981,  2873,  2873, 83044, 83044,
   83044, 83044, 83044,   156,  3304,  3306,  2989,   107,  3036,  2913,
   -4558,  1850,107738,  2995, -4558,  1850, 83044,  2996,  2025,  2872,
    1828, -4558,  1978, -4558, -4558, -4558,  1392, -4558, 83044, -4558,
   83044,  2352, 61481,  3103, -4558,  2952, -4558,  2460,   331, -4558,
   83044, 83044,  2483,  1647,  1133,  3107, 83044,  3165,  2959, -4558,
     356, 51618, -4558,  2623,  2926, -4558,  2973, -4558,  2973,  2973,
    2928,  2928,  2930, -4558, -4558,  2217,  2973,  2928, -4558, 62463,
   -4558,  1597,  1655, -4558,  3329,  3337, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558,  1293, -4558,  2095, -4558, -4558,
   -4558, 83044, 56571, -4558,  3350, -4558, -4558, 61481,  3122,  3241,
   -4558, 83044,  3141,  2942, -4558,  3276,  3001, -4558, -4558,    -9,
   -4558,  3246,109848,  1351,  2839,  2992, 83044,  3168, 83044, 83044,
   83044, 83044, -4558, -4558,  3142,   983,    65, -4558,107738, -4558,
   83044,  1332,  3150,  3358,   695,  2117, 83044,  3243, -4558, 83044,
    2955,  3366,  3203, -4558, -4558,  2965,  2554, -4558,  2684, -4558,
    2142, -4558,  3089, -4558, 58044,   340, -4558, -4558, -4558, -4558,
   61481, 83044, 95294, 58044,   340,109848,109848,  3272,   116,  3275,
    3034,  3278,  3035, 49613,   340,   125,109848, 83044, 83044, 83044,
   -4558, 83044, -4558, -4558, -4558, -4558, 83044, 83044,109848,107738,
    3279,  3282,   340, 83044, 83044, -4558, -4558, 22936,  1797, -4558,
   18815, -4558, 13055,  2125,  3032, -4558,  1592, 83044,  1380,  1431,
  108160, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, 74714,
   -4558, 74714,    87, -4558, -4558, 74714, -4558, 74714,    87, -4558,
   74714, -4558, -4558, -4558, 74714, 83044,  3471,  2982, -4558,  1582,
   -4558, 83044,  2145, -4558, -4558,  2150,   660, 83044, 83044,   631,
   58044, 83044,  3175, 83044, 83044, 83044, 83044, 83044,  3063,  2782,
    1092, -4558,   189, 76674,  3183, -4558, -4558, -4558, -4558, -4558,
    2157,  1994,  1262, 83044, -4558, -4558, -4558, -4558, -4558, -4558,
   69814, 68344,  3280,   280, 83044, -4558, -4558,  3540, 35609, 31028,
   -4558, -4558, -4558,  2990, 13055,  3039, 35609, -4558, -4558, 35609,
    2997,  2554,  2554, 35609, -4558, -4558, -4558, -4558,  2044,  2554,
   -4558, 35609, 35609,  2554,  2554,  2973,  2973, -4558,  5869, 35609,
   -4558, 49613, 35609, 37136, 28508, 35609,  3071,  3012,  2554, -4558,
    2554, -4558, 35609, 30010, -4558, 35609,  3206, 38154, 35609,   199,
    3208, 35609,   199,  3420,  3420,  1295,  2103,  6908,  3006,  1626,
   -4558,  3111,  2554, -4558,  2554,   745,   284, 61481, 35609, 56571,
    3083,   165, 83044, 35609,  3002,  1550, -4558, 35609,   885, -4558,
    3008, 35609,  3088, 35609, 35609, 35609, 35609, 35609, 35609, 35609,
   35609, 35609, -4558, 39144,   307, -4558,  3288,  3307,    -6,  1766,
   70304,  3297, -4558, 31537, 27998, -4558,   190, 74714, -4558, -4558,
    1626, -4558, -4558, -4558, -4558, -4558,  1487,  3015, -4558,  3029,
   -4558, -4558, -4558, -4558, -4558, 83044,  3185, -4558, -4558,  3092,
   -4558, -4558, -4558, -4558,   515, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558,  3022, -4558, -4558, -4558, -4558,  3022, -4558,
   -4558,  3032,  3026,  5213, -4558, -4558, -4558, -4558,  3289,  3290,
     340,102145, 83044,   262, 73244, -4558, 32046, -4558,  2158, -4558,
    3041, -4558,  3268, -4558,  3031, -4558,  7339,  3268, -4558, -4558,
     139,  3137,  3267,  3228, -4558, -4558, -4558,  3043, 13055, -4558,
    2228, 13055,  2236, -4558, -4558, -4558, -4558, -4558, -4558,  1179,
   -4558, 83044,  3183,  3084,  1824,  3102,   791, 83044, -4558, 45608,
    2002, -4558,  2288, -4558, -4558, 25968, -4558, 27508, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558,  3047, -4558, -4558,
   -4558, -4558, -4558,   331,  3055,  3528, -4558,106050, -4558, -4558,
   -4558,  3471, -4558,  2433, -4558,  2433,  3553, -4558, 74714, -4558,
   -4558, -4558, -4558,   534, -4558, 18815, -4558, 18815, -4558,  3229,
   -4558,  3441, -4558, 62463, -4558,  3056, -4558, 61972, 59517, -4558,
   -4558,   802, -4558,  1274,  3131,  3132,  3181,109848, 83044, 83044,
   -4558, 56571,109848, 83044, 83044,109848, 83044, 83044, -4558,  3422,
     -42, 68344,  3184, 66384, -4558, -4558,  3064, 83044,  3118,  3318,
    3319,   -83, -4558, -4558, 95784, -4558,  3262,109848, 83044, 83044,
   35609,  3263, 83044, 83044, -4558,   360,  3158,  3161, -4558, 83044,
    3162, 58044,  3087, 83044, 83044, 83044,  3159,   640, 58044,  3134,
   50117, 83044, 83044, 83044, 83044,  3212, 83044, 83044,  3330,   928,
   76674,   131,  2032,  2872,  3291, -4558,  1193, -4558,109848, 83044,
    3283, -4558, -4558, -4558, 66874,  3492,  3201, -4558, -4558, 99704,
   -4558, -4558, -4558,  2169, -4558,109848,109848, 83044,  8996, 83044,
     906, -4558, -4558, 61481, -4558, 83044, 83044, 83044, 83044, 73734,
   96274, 96764,  1557,  1578, 83044, 74224, -4558, 83044, -4558, -4558,
   57062,109848, 83044,   679, 56571, -4558, 83044,  3287,   755, -4558,
   83044,  4546,  3179,  3189, 83044,   150,  2168,  2872, 83044, 83044,
    3105,  2207,  3186,  3232, -4558, 83044, 97744, -4558,109848,  1515,
   -4558,  3245,109848, 83044, 10723, -4558, -4558,   331, -4558, -4558,
   -4558, -4558, -4558, 83044, 83044,   331, 83044,   331,  1598, -4558,
  109848, 83044, -4558, -4558, -4558, 83044,  9717, 83044, 83044, 83044,
   83044,109848, 83044, -4558, -4558,  1247,  1463,  1609,  1786,  3250,
   83044,  3381, 83044, 97254,109848, 83044, 83044, 83044,  1323, -4558,
   -4558, -4558,  3227, -4558,109848,  1515, -4558, 10131, 83044, 83044,
    3192,  3196,   102,  3270, -4558, -4558, -4558, -4558, -4558, -4558,
    3360,  3526, 83044, -4558,  3365,  3367,  3178,  3187,  3373,  1541,
   83044, -4558, -4558, -4558, -4558, 83044,  3377,  1541,  3322,   525,
   -4558, -4558,  2657, -4558,  2213, -4558,  3153, -4558, 35609,  3543,
   61481,  3143,  3144,  3215, -4558,  3216,  2554, -4558,  2218, -4558,
   -4558,  2227, -4558,  3156,   983,  1632, -4558, 56571, 83044,   763,
     893,  3445, 65404,  2205,  3435, 83044,  3190, 83044,  2205, 83044,
   -4558,  2085, 68344, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558,  3436, -4558,  2839,  2623,  2623,  2623,  2623, -4558,
   -4558, -4558, -4558,  3338,  2119, -4558,  3154,  2623, 83044,  3264,
    2205,  3155, -4558,  1332,  3454,  3458, 83044, 65404,  2269,  3193,
    3564,  2117,  2839,  3346, -4558, 29514,  3726,  3348,106894, 79124,
   -4558,  3169,  3437,  3438,  3457, -4558,  2352, -4558,  3574, -4558,
    3476,   340,  2460, -4558,  2702, -4558, 83044, -4558, 83044, 83044,
   83044, 83044,  2483, -4558, -4558,  2702,  3362,   340,   340, -4558,
    3363,   340,  2702,  3292,  3467,106894, -4558,   116, -4558, -4558,
   -4558, -4558, -4558, 35609, -4558, -4558, -4558,  2117,  2142, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   74714,  2433, -4558,  2244, -4558, 83044, -4558,  3446,  3447,  3448,
    3200,  3202,  3221, 83044,  3204, -4558,  3200,   331,  3200,  2782,
    2782,  3200,  3202,109426,  3613,  3475,   788, -4558,   859,  1378,
    3410, -4558, -4558, -4558, -4558, 61481, -4558, -4558, -4558, -4558,
   -4558, 83044,  3238,   111,  3392,  3207,109426,  3597,   340, -4558,
   58044, -4558, -4558, -4558,  3284,  3299, 58044,  3405,  3259, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558,  3455, 83044,  2266, -4558,
    1823, -4558,  1862, 35609, 35609,   219, -4558, 10998,  2281, 35609,
    3218,  3219,  2292, -4558, -4558, -4558, -4558, -4558, -4558,  3222,
    3501, -4558, -4558,  3223,  2304,  2310,  3230,  3231, -4558, -4558,
    5642,  3233, 11866,  3235, 37136, 37136,   705, -4558, -4558, 37136,
    3237, -4558,  2333, 10437,  3225,  3239,  3247, -4558,  3244,  3248,
   11952, 33064, 35609, 33064, 33064, 12329,  3225,  3253,  2338, 56571,
    3398, 12441,  2341, -4558, 35609, 56571,  6389, 35609, -4558, 35609,
   83044,  3254,  3255, -4558, -4558,  5869, -4558,  3257, -4558, 37136,
   37136, -4558,  3803, 30519, -4558, -4558,  3519, -4558, -4558,  1855,
   -4558,  3251, -4558, -4558,  6017,   181, 35609,  3002, 35609,  3324,
   49613,  4428, 35609,  5908,  2817,  2817,   323,   323,   144,   144,
     144,  1468,  1766, -4558, -4558, -4558,  3277,  3285,  3286,  3424,
    2757, 35609, -4558,  2402,  2429, 83044,  4814,  6501, 11795, -4558,
   -4558, 40657,  3296, -4558, 35609, 35609, 35609,  3269, -4558,  3669,
   13055,   485, -4558,  3695, -4558, -4558, -4558,  1977,  3553,  1487,
   -4558,  1392,  2554,   745,104769, -4558, -4558, -4558, 35609, -4558,
   -4558, -4558, -4558,  2238, -4558, -4558, -4558, -4558, -4558, 83044,
    1994, 35609, -4558, -4558,   584,  2098, 35609,  2228, -4558, -4558,
    3331, -4558, 35609, -4558, -4558, -4558,  2782, -4558, -4558, -4558,
   40657,  3312,  3328, 44618,  3407, -4558, -4558, 83044,   141, -4558,
   -4558, -4558,  3293, -4558, -4558, -4558,  1543, -4558, -4558, -4558,
   -4558, -4558, -4558,  3294, -4558,  3298, -4558,  3300, -4558, -4558,
   -4558, -4558,   179,  3295,  3305,  3301,  -117, -4558, 59517,  2095,
   -4558, 61972, -4558, 61972, -4558,  2095,  3672, -4558, 59517,  1970,
  109848, 83044, 83044, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558,  3506, -4558,109848,109848,  3474, 83044,  3472,
    3477, 35609,   243, 83044,  3303,  3309,  1245,  3554, 83044, -4558,
    3593,   340, -4558, -4558,  3371, -4558, 13055, -4558, -4558, -4558,
   -4558, -4558,109848, 83044, -4558,106894, -4558,  2352, 61481, -4558,
   -4558, -4558, 83044,  3327, 83044, -4558, 83044, 83044, 83044,  2483,
   -4558, -4558, -4558, -4558,  1285, -4558, -4558, 83044, 83044,    77,
    3374,  3376, 83044, -4558,   759,  3077, 10868, 83044, 83044, 83044,
    3560, -4558, -4558, -4558, -4558,  3495, -4558, -4558, 59517, -4558,
    2702,  1453,  3388,  2872, -4558,  3494, -4558,  1177, -4558, -4558,
   -4558, -4558, -4558,  3615,   340,  3616,   340, 83044, 83044, 83044,
   83044, -4558, -4558, -4558, -4558, -4558, 56571, 56571, 56571,  2356,
   -4558, -4558,  2839, -4558, -4558, -4558, -4558, -4558, -4558,  3577,
   -4558,  2361, -4558,   688, -4558, -4558, -4558, -4558, -4558, -4558,
  109848, 83044, 11087, 83044, 83044, 83044,  1955, -4558,   922, 61481,
   -4558, 60990,109848, 83044, -4558, -4558,  3542,  3485, -4558,  1856,
    3486,109848,  3378, -4558, -4558,  3399, -4558, -4558,  3403,  2251,
    2872,  1332, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
    1459,   222,  2309,  2872,  3409, -4558,  3413, -4558, -4558, -4558,
    3547,  3558,  3559,  3421,  3423,  3465,  3425,  3426,  3469, -4558,
    3427,  3473,  3429,  3478,  3430,   340, 61481,  3545,  2839,  3464,
    3656,   340, -4558,  3439, -4558, -4558,  3758, -4558, 83044, -4558,
    3443,  2326,  2872, -4558, -4558,109848, 83044, -4558, -4558, -4558,
    1541, 61481,  3607,  1541,  1541, 83044, 83044,  1541, -4558, -4558,
   -4558,  3610,  3611,  1541, -4558, -4558, -4558, -4558,  2767,  3369,
   -4558,  2395, 47093,  7234,  3372,  3144,  3370,  2554, 43133,  1257,
    3583,  3375, -4558, -4558, 56571, 47093,  2155,  3599,  3394,  3394,
    3394,  3394,  3394,  3394,  3394, -4558,  2620,   289,  2657,106894,
   83044,106894, -4558,   893,  3494, 83044, 83044,  3382,  3379, -4558,
   -4558, -4558, -4558,109848,    90,109848,  2554, -4558, -4558,  3452,
   -4558, 83044,  2117,  3777,  3051,  1351,  3523,  1785,  3727,  3193,
   -4558, -4558, -4558, -4558, 83044, 83044,   983,  2839, -4558,  3389,
    3386, -4558, 83044, 83044, 83044, 83044,  1994,  3396,  3391, 61481,
     -24,  3581,  3584,  2873,  3802,  1994,  3193,  3479, 83044, -4558,
    2364,    95, -4558,  2839,106894, 60008, -4558,  4330, -4558, -4558,
    1077,  3674, -4558, 83044, -4558, -4558, 44123,   340, 61481, 83044,
   -4558,   340,   116,  3456,   340,  3459,   340,   340, 83044, -4558,
   -4558, 83044, -4558, 83044,107738,   340, -4558, 13055,  3689, -4558,
   -4558, -4558, -4558,  3527,  3530,  3532, 83044,  3200, 58044, -4558,
    3408,109848,  1475, -4558, -4558,  3589, -4558, -4558, -4558, -4558,
   -4558,  3716,  3718, -4558, -4558, -4558,   988, -4558,109848, 69324,
     133,109848, -4558,  2352, -4558, -4558,  2460,   331, -4558, 83044,
    3660, -4558, -4558, -4558,  3428,  2367, 12482, 35609, -4558,  3729,
   61481, -4558,  7285, -4558, -4558, -4558, -4558, 35609, -4558, -4558,
   -4558, -4558, -4558, 35609, -4558, 35609,  3704, -4558,  3846,  3846,
   61481, 37136,  1767,  2752, 37136, 37136, 37136, 37136, 37136, 37136,
   37136, 37136, 37136, 39653,   608, -4558, -4558, 35609, 35609,  3711,
    3704, -4558, -4558,  1649,  1649, 61481,  3431,  3225,  3433,  3434,
   35609, -4558, -4558,  2368, 38649,  3440, 56571, -4558, 35609, 10638,
    2385,  3481, 12888,  1626,  7916, -4558,  3801,  2839, 35609,  2575,
    2699, 35609,  2392, 35609,  3709, -4558, -4558, -4558,  3442, -4558,
   -4558, 61481, 35609, 37136, 37136,  6241, -4558,  7813, 35609,  3444,
    8574, 30519, -4558,  3609,  3482, 46103, -4558,  1009,  1009,  1009,
    1009, -4558, 83044, 83044, 83044, 41152,  3714, 40162, 80104,  3453,
    2204, -4558, 80104, 80594, -4558,  3461, -4558,  3449,  1626, 35609,
    3715,   589,   589,  3609, -4558, 35609, 33573,  3450, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558,  3460, -4558,  3463, -4558, -4558,   154,
    3466, -4558, -4558, 10145,   179, -4558, -4558,  3468, -4558,  3462,
   -4558,  2098, -4558, -4558, -4558,  8224,  3625, -4558, -4558,  3453,
   34082,  3407, -4558,  2404, -4558, -4558, 31537, -4558, -4558,  2412,
   45608,  3312, 32046,  1626,  2554,  3470, -4558,  2433,  1977, -4558,
   -4558, -4558, -4558, -4558,  2415,  1988, -4558, -4558, 59517, -4558,
    3515, -4558, -4558, -4558,  3394,  2702,  2702,  1322,  3200,  3737,
    1322,  8517, -4558, -4558, 41647, 83044, 83044, -4558, 83044,  2418,
    1450, 83044, -4558, 83044, -4558, -4558, -4558, -4558,  3863, -4558,
   83044, -4558, -4558,  3514,  3516, -4558, 83044, 83044, 83044, 83044,
   -4558, -4558,  2354, -4558, -4558,109848, 83044, -4558, -4558, -4558,
     232,  2348,  2872, -4558,  3541, -4558, -4558,  3719, -4558,  3853,
    3555, 83044,  3480, -4558,  1450,   211,  2873,   856, -4558, -4558,
    3536, 83044, -4558, 83044, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, 57062, -4558, -4558, 83044, -4558, 56571, 47093,
   56571, -4558,  1486,   239,  2353,  2872, -4558,  3548, -4558,  3550,
    3552,  3598,   898,   619,  3556,  3562,  3604,  3487,  3489,  3490,
   -4558, -4558,   242,  2839, -4558, -4558,  2839,  2702,  2839, 83044,
   83044, 83044,  3874,  3572, 83044, 83044, 83044, 83044, 83044,  3781,
      89,  2071,109848, 83044, 83044,109848, 83044, 83044, 83044, 83044,
   83044, 83044, 83044, -4558,  3868,  3794,  2215,  3840,  3573, 83044,
   -4558, 83044,  3077, 83044, 83044, -4558, -4558, -4558,  3503,  1541,
   -4558, -4558,  3749,  3750, -4558,  1541,  1541, -4558,   356, 56571,
   -4558,  2406, -4558,  3153,  3462,  2328,  2328, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558,  2554,  2458,  3509, -4558, 43628, -4558,
    3510, -4558,  2585,   745, -4558, -4558, 83044,  3394, -4558,  2355,
    2714,  2739,  2811, 81084, 81574, 82064,  3511, 83044, 83044, 37136,
   -4558,  1656,   693, -4558,  3748, 83044,  3551, -4558, -4558, -4558,
    3666, 83044, -4558, -4558, -4558, -4558, -4558,  3521, -4558,  3627,
   65404,  2702,109848,109848,  2702, -4558, 61481,  3522,  3193,109848,
    1351,  1209, 92354,  3561, -4558,  3513,  3812, -4558,  3529,  3524,
   -4558, -4558, 83044,  3494,  2435,   848,  2114,  3238, 67364,  2269,
    3782, -4558, -4558, -4558,  3893,  3617, -4558,  1994,  3238,  3617,
    2839,  3118, -4558, 59517, 35609, 35609, -4558,  3531, -4558,  3533,
    4991, -4558,  2623, -4558, -4558, -4558, -4558, -4558, -4558,  3608,
   83044,  3965, -4558, -4558, -4558,  3544,   340, -4558, -4558, 83044,
   -4558, 83044, -4558, -4558,   340,   340, -4558,  3654, -4558,  1994,
   83044, 83044, 83044,  3200, -4558,   331, -4558,  3821,109426, -4558,
   -4558, -4558, -4558, -4558,  3883,   280,  3828, -4558, -4558,  3790,
    3792,  3793,  3795,  1880, -4558, -4558, 35609, 13055, -4558,  3557,
   -4558, 13055,  8535, 13055,  3711, -4558,  3044,  3835, -4558,  1560,
    3565,  3044,  1021,  1021,   174,   174,   153,   153,   153,  3846,
     608, 13055, 13055, -4558, -4558, -4558, -4558,  3563, -4558, -4558,
   -4558,  3225, -4558, 36118,  3698,  3942, -4558, -4558, -4558,  3594,
    3595,  3566, -4558, 35609, 36627,  3568, 62463, -4558, -4558,   745,
    1787, 37136, 37136,  1140, -4558,  1709, 35609, 61481,  2440,  1140,
    3199,  3273, 35609, 35609,  9632,   350, 35609,  8664,  3567, 35609,
  100194, -4558, -4558, 83044, 83044, 83044, 83044, -4558, -4558, -4558,
   80104, 80594,  3575, 42637,  2204,  3571, 83044, -4558, -4558,  3580,
   40657,  3799,  3739, -4558, 40657,  3739,  1812,  3739,  3806, -4558,
   46598, -4558, -4558,  3582, -4558, -4558, 27998,  2072, 13055,  3961,
    3848, 35609,  3585,  3586,  3587, 13055, 35609, -4558,  2839,  1977,
     902,  2839, -4558, -4558, -4558, 49613, -4558, -4558, -4558,  3773,
   13055, -4558,  1994, 83044,  1626,   429,  3602, 83044, -4558,  3407,
   -4558, -4558, 18815, -4558, -4558, -4558, -4558,  3652,  2445, -4558,
     242, -4558, -4558, -4558, -4558,  3662, 68344,  3877, -4558, 35609,
    2466, -4558,  3630,  3966,   187,  2481,  2488,  1450, -4558,  3551,
   -4558,  1701,  3856,   268, -4558,   340, -4558, 61481, -4558, 83044,
   83044, -4558, -4558, -4558, -4558,  2831, -4558, -4558, 83044, 83044,
   83044, 83044, -4558,109848, 83044, -4558, 56571,  2620,  3797, -4558,
   -4558,  3798,   242, 83044, -4558, 61481,   340,   340, -4558, -4558,
   -4558, -4558,  3612,  3986,  3685, 83044, 83044, 83044, 83044,109848,
   83044, 83044,  2554,  2554, 61481,  3601, -4558,  2554,  2554,  3614,
   -4558,109848, 83044, 83044, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558,109848, 83044, -4558,  3682, -4558, -4558,
   -4558, 83044, 83044, 83044, 83044,  3908, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, 83044, -4558, -4558,
    2839,  2839, 61481,   340,   340, -4558, -4558, -4558,  3854, -4558,
    1541,  1541, -4558, -4558,   121,  2492, -4558,103054, -4558, -4558,
    3027,  2839,  3027,  1482, -4558, -4558,  3027, -4558,  3027, -4558,
    1450,  3621,  1904,  3892, -4558,  2529,102145, 43628, 43628, 43628,
   43628, 43628, -4558, -4558,  3897,   242, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, 35609, -4558,  1010,  3044, -4558, -4558, -4558, -4558,  3551,
    2117,  3676, 58044,  1149, -4558,  3878,   763, 65404,  1665, 83044,
   -4558,  2702,  2702,  3677, 83044,  4028, -4558,   957, 83044,  3941,
    3667, -4558,  2839, -4558, -4558,  3193, 83044, 65404,  3238, -4558,
    2496, -4558, -4558, -4558,  3668,  3584,  3634,  2269,  1139, 83044,
   -4558,  3671, -4558, -4558,  3922,  3639, -4558, 13055, 13055,  2839,
   62954,  4330, -4558, 83044,  3896, 83044, -4558,   340, -4558,   340,
     340, -4558, -4558, 83044,  3200,  3200,  3200, -4558,  3826, -4558,
   -4558,   340,109426,  1880,  1880,  1880,  1880, -4558, -4558, -4558,
   13055, -4558, -4558, -4558, 37136,  3928, -4558,  3645, 61481, -4558,
    3646,  2502,  2513, 38154,  3800, -4558, -4558, -4558,  8999,  3699,
   13055,  3752,  3649,  3655, -4558,  1218,  1218,  1709,  2516, -4558,
   37136, 37136,  1140,  1140, 35609,  1140, -4558, -4558,  9034,  3827,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, 57553, 80104,  3659,
   83044,  2204, 40657, -4558, -4558,  1013, -4558, 40657,  3900, -4558,
   40657, 83044,  3661, 83044,   485, 35609, 35609,  3701, -4558, -4558,
   -4558,  3609, -4558, -4558,  2328, -4558, -4558, -4558, -4558,   745,
    3664, 74714, -4558, -4558, -4558,  1295, -4558, -4558, -4558, -4558,
   -4558, -4558,109426,  3852,109426,  1450,  9069,  3551, 41647, 50621,
   83044, 82554, 82554,  3813,  3551,  3676, -4558, -4558, -4558, -4558,
   -4558, -4558,  3670, -4558, -4558, -4558,  3747, -4558, -4558,   398,
    3183,  2537, -4558, -4558, -4558, -4558, -4558,  3868, -4558, -4558,
   47093,109848, 83044, -4558,  3751, -4558, -4558, -4558, -4558, -4558,
   42142, 49613, -4558,   898,  3673,  3678,   619, -4558, -4558, -4558,
     781,  3183, 83044,  1575,   -19,  3712,  3200,  3951, -4558, -4558,
   -4558,  3868, -4558, -4558,  1541, -4558, -4558, -4558,  2657,  4003,
   -4558, 56571, -4558,105200, -4558, -4558, -4558,  2839, -4558,  2839,
    3875, 83044, 52602,  2839,  2839, -4558, 58044,  4086,  4086, -4558,
    3681,  2048,  2048, -4558, -4558, -4558, 83044, -4558, -4558,  9652,
    3879, -4558,  3676,  3903,  3949, -4558,  3693, 83044,  3849,  3694,
    3702,  1008,  1008,  3494, 83044,  2541,  1994,  1351, 65404,  3494,
   -4558,  1757,  3700,  4004, -4558,  4109,  3396,  3707, -4558, -4558,
   67364,  3887,  3617, 83044,  3584,  3834, -4558,  3839, -4558,  1312,
   -4558, 83044, 41647, -4558, 61972, -4558,  2544, -4558, -4558,  3296,
   83044,    76, -4558,  3723, -4558, -4558, -4558, -4558, -4558, -4558,
     133, -4558, -4558, -4558, -4558,   803, 37136, 61481,  2547, 35609,
   -4558, 35609, -4558,  4103, -4558, -4558, -4558,   638, -4558, -4558,
   -4558,  1218,  1218,  1140, -4558,  4104,  3609, -4558,  2558,  4122,
   -4558, 83044,  2580, -4558, 35609,  3720, -4558, -4558, 40657,  1013,
    2584, 83044,  2595, 61481,  3721,  3225, 13055, 83044, -4558,  3722,
   -4558, -4558, -4558, -4558, -4558, -4558,  1475,  1322,   133,  3966,
    3676, -4558,  3725, -4558, -4558, 83044, -4558,   240,   240, 83044,
    3676, -4558, -4558, 83044,  3811, -4558, -4558, 56571,  3774, -4558,
     927,  3183, 83044, 61481,  2460,   164, -4558, 61481, 61481, -4558,
    3815, -4558, -4558, 83044, 83044, 83044, 83044, 83044,   340, -4558,
    3369,  2839, -4558, -4558,  2604, -4558, -4558, -4558, 83044,  3513,
   -4558,  3513, -4558, -4558,  4086,   773, -4558, -4558, -4558, -4558,
    1742,  3923, -4558,  1136,  3918,  3818,  3734, -4558, 58044,  4168,
    3855, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
    4034,  3193,  3671, -4558, -4558, -4558, -4558, 35609,  3894,  1994,
    2269,  3782, -4558, -4558, -4558,  2608,  3617, -4558, -4558,  4117,
    3929,  4121, -4558,  2609, -4558, -4558,  4991, 62954,  4068, -4558,
    3805, 83044, -4558, -4558,  2254,  4177, -4558,   803,  2625, -4558,
    2631,  2634,  3898,  3808, -4558, 35609,  1741,  3461, 57553,  3755,
   -4558,  2646, -4558, 13055, 83044, -4558, -4558, -4558,  2651, -4558,
   -4558,  3753, -4558,  4156, -4558, -4558,  4036, -4558, 82554,  3807,
   49613, -4558,  2098,  2098,  2117, -4558,  1450, -4558, 83044, -4558,
   35609, -4558,  3844, -4558, -4558,  2655, -4558,   994,  3907,  4050,
    2658,  2663, 83044,  3202,  3809,  3202, -4558,  3200, -4558, -4558,
   -4558, -4558,105200,  3513, -4558, -4558, -4558,  4078,  4023, -4558,
   -4558, -4558, -4558,   355, -4558,  3952,  3953, 83044, -4558,  3765,
   -4558,  2664, 83044, 83044,  4174,  4175, -4558,  9709, 58044,  3671,
    3584,  2269,  2620, -4558, -4558,  3954, -4558,  3955,  3193, 41647,
    4330, -4558,   251, -4558, -4558, -4558, -4558, -4558, 83044, -4558,
   -4558, -4558, -4558, -4558,  3225, 34591, 34591,  3775, -4558, -4558,
   83044, -4558,  2667, -4558, 83044,  3779,109426,   240,  3780, -4558,
    3776, -4558, -4558,  3903,  1450,  3183, 13055, 83044, 58044,  4162,
   -4558, -4558, -4558,  3907, -4558, -4558,  3183, 83044, -4558,  3901,
   -4558,   815,   815,  4110, -4558,  3841, -4558, -4558,  3784, -4558,
    4214,  3494, -4558,   898,  1994, -4558,  3786, -4558,  3617,  3584,
   -4558, -4558,  3617, -4558, -4558, -4558, -4558,  1381, -4558, 37645,
    3913,   617, 10887, -4558, -4558, -4558, -4558,  2668, -4558, -4558,
   -4558,   133,  2098, 35609,  1450, -4558,  3918, -4558,  3183,  2460,
   83044, -4558, -4558, -4558,  3667, -4558,  4207, -4558,   987, -4558,
   -4558, -4558, -4558, -4558,  3601,  3671, 56080, -4558,  3617,  3296,
   -4558,  2173, -4558, -4558, -4558, -4558, -4558, -4558, -4558,  4197,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, 10134, -4558,
   -4558, -4558, -4558,  4093, -4558, -4558, -4558, -4558,  2676, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558,  1871, -4558, -4558,  1959,
    2248, 35100, -4558,  1450,  3946, -4558, 56080, -4558,  2173, -4558,
   58044, -4558, -4558,  3810, 56080,  2677, -4558
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2367,     0,     2,     1,  2797,  2801,  2805,  2806,  2723,  2807,
    2808,  2773,  2774,  2775,  2776,  2777,  2778,  2779,  2780,  2781,
    2782,  2783,  2784,  2786,  2785,  2787,  2788,  2789,  2790,  2791,
    2792,  2793,  2794,  2796,  2795,  2745,  2374,  2742,  2739,  2740,
    2741,  2746,  2744,  2737,  2738,  1964,  2810,  2798,  2811,  2799,
    2800,  2802,  2803,  2772,  2804,  2812,  2813,  2814,  2809,  2817,
    2768,  2769,  2767,  2770,  2771,  2815,  2816,  2759,  2760,  2761,
    2762,  2818,  2375,  2376,  2764,  2368,  2372,  2434,  2505,  2765,
    2766,  2763,  2373,  2758,  2505,     0,  2626,  2627,  2628,     0,
    2629,  2630,  2631,  2557,  2519,  2632,     0,     0,  2633,  2634,
    2635,  2636,  2637,  2638,  2639,  2640,     0,  2641,  2642,  2643,
    2644,  2504,  2645,  2646,  2647,  2648,  2649,  2481,  2487,  2610,
       0,  2461,  2462,  2458,  2460,  2459,  2463,  2446,  1222,   565,
    1310,  1309,     0,  2270,  1222,  2226,  2227,  2271,  2228,  2229,
    2230,   262,     0,  1312,  2231,  2272,     0,  1222,  2273,   389,
     984,  2274,  2275,  2389,     0,  2232,  2233,     0,     0,     0,
     565,  1222,     0,     0,  2234,  1424,  2235,     0,  2236,  2276,
    2277,     0,  2237,  2278,  2279,  2238,  2239,  2240,  2280,  2281,
    2282,  2241,  2283,  2284,     0,     0,  1438,     0,  2242,  2285,
    2243,  2244,     0,  2286,  2245,  2246,  2247,  2287,  2288,  2248,
    2249,  2250,     0,  2251,     0,     0,     0,     0,     0,     0,
    2289,  1222,  2252,     0,     0,  1445,     0,  2253,     0,  2290,
    2254,     0,  2255,     0,  2256,  2257,  2258,  2259,  1438,  2606,
    2482,     0,  1314,     0,  2260,  2291,     0,  2261,  2262,  2263,
    2264,  2265,  2266,  2267,  2268,  2269,     0,     0,    59,    60,
      24,    23,    29,    28,    82,    83,    47,    15,    73,    53,
     116,   115,   117,    35,    31,    67,    20,    22,    32,    36,
      55,    48,    94,    54,    18,    52,    77,    56,    80,    42,
       9,    10,    43,    71,    11,    44,    72,    12,    45,    13,
      61,    84,    27,    57,    81,    58,     3,    38,    69,    65,
       8,    49,    50,    51,    74,    75,    76,    99,    79,   111,
      34,   108,    88,    89,   105,    90,   106,     6,    91,    46,
      14,   102,   101,   103,    68,    39,    70,   100,    21,   104,
      16,    17,   107,    78,    97,    93,   112,   110,   118,    95,
      62,     4,     5,    85,    19,    41,     7,    26,    25,    40,
      33,   114,    30,  1312,    87,    98,    86,    92,    66,    96,
     113,    64,   109,  1411,  1398,  1447,  1410,  1423,     0,  1413,
    2702,  2703,    37,  1424,   120,   121,   126,  2371,  2423,  2424,
    2425,  2505,  2456,  2457,  2450,  2466,  2476,  2465,  2469,  2477,
    2464,  2483,     0,   123,   125,   127,   130,   124,   119,   122,
     129,   134,   128,   133,   131,   132,   135,   136,   137,  2704,
    1638,  2701,    63,  2441,  2440,     0,  2505,     0,  2734,  1976,
    1977,  1978,  1979,  1980,  1981,  1982,  1983,  1984,  1985,  1986,
    1987,  1988,  1989,  1990,  1991,  1992,  1993,  1994,  1995,  1996,
    1997,  1998,  1999,  2000,  2001,  2002,  2003,  2004,  2005,  2006,
    2007,  2008,  2009,  2010,  2011,  2012,  2013,  2014,  2015,  2016,
    2017,  2018,  2019,  2020,  2021,  2022,  2023,  2024,  2025,  2026,
    2027,  2028,  2029,  2030,  2031,  2032,  2033,  2034,  2035,  2036,
    2037,  2038,  2039,  2040,  2041,  2042,  2043,  2044,  2045,  2046,
    2047,  2048,  2049,  2050,  2051,  2052,  2053,  2054,  2055,  2056,
    2057,  2058,  2059,  2060,  2061,  2062,  2063,  2064,  2065,  2066,
    2067,  2068,  2069,  2070,  2071,  2072,  2073,  2074,  2075,  2076,
    2077,  2078,  2079,  2080,  2081,  2082,  2083,  2084,  2085,  2086,
    2087,  2088,  2089,  2090,  2091,  2092,  2093,  2094,  2095,  2096,
    2097,  2098,  2099,  2100,  2101,  2102,  2103,  2104,  2105,  2106,
    2107,  2108,  2109,  2110,  2111,  2112,  2113,  2114,  2115,  2116,
    2117,  2118,  2119,  2120,  2121,  2122,  2123,  2124,  2125,  2126,
    2127,  2130,  2128,  2129,  2131,  2132,  2133,  2134,  2135,  2136,
    2137,  2138,  2139,  2140,  2141,  2142,  2143,  2144,  2145,  2146,
    2147,  2148,  2149,  2150,  2151,  2152,  2153,  2154,  2155,  2156,
    2157,  2158,  2159,  2160,  2161,  2162,  2163,  2164,  2165,  2166,
    2167,  2168,  2169,  2170,  2171,  2172,  2173,  2174,  2175,  2176,
    2177,  2178,  2179,  2180,  2181,  2182,  2183,  2184,  2185,  2186,
    2187,  2188,  2189,  2190,  2191,  2192,  2389,  2193,  2194,  2195,
    2196,  2197,  2198,  2199,  2200,  2201,  2202,  2203,  2204,  2205,
    2206,  2207,  2208,  2209,  2210,  2211,  2212,  2213,  2214,  2215,
    2216,  2217,  2218,  2219,  2220,  2221,  2222,  2223,  2224,  2225,
    2407,  1965,  1973,  1974,  1975,  2382,  2403,  2409,  2730,  2408,
    1972,  2556,     0,     0,  2650,  2651,  2652,  2653,  2654,  2655,
    2705,  2706,  2707,  2708,  2709,  2711,  2710,  2518,  2677,  2714,
    2517,  2715,  2521,  2716,  2717,  2718,  2719,  2678,  2720,  2520,
    2712,  2674,  2522,  2515,  2516,  2675,  2624,  2625,  1942,  2676,
    2673,  2713,  2410,  2672,  2526,  2525,  1388,  2729,  1941,  1389,
       0,  2528,  2656,  2657,  2658,  2659,  2661,  2660,  2662,  2292,
    2293,  2294,  2295,  2296,  2297,  2298,  2299,  2300,  2301,  2302,
    2303,  2687,  2304,  2305,  2306,  2700,  2307,  2308,  2688,  2309,
    2310,  2311,  2312,  2313,  2314,  2315,  2316,  2317,  2318,  2319,
    2320,  2321,  2322,  2323,  2324,  2325,  2326,  2327,  2328,  2329,
    2330,  2331,  2332,  2689,  2690,  2333,  2334,  2335,  2336,  2337,
    2338,  2339,  2340,  2341,  2342,  2343,  2344,  2345,  2346,  2347,
    2348,  2349,  2350,  2351,  2352,  2353,  2354,  2355,  2356,  2691,
    2357,  2358,  2692,  2359,  2360,  2361,  2693,  2362,  2363,  2364,
    2365,  2366,  2697,  2698,  2699,  2686,  2479,  2663,  2685,  2696,
    2694,  2695,  2489,  2485,  2493,  2488,     0,     0,     0,     0,
    2505,  1221,  1220,  1206,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   564,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2379,     0,  1232,   360,   359,  1311,
    1292,   565,     0,  1209,   388,     0,     0,     0,     0,     0,
       0,     0,     0,   754,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   185,     0,     0,   412,   411,     0,
       0,     0,   956,   417,     0,     0,     0,     0,     0,   553,
    2388,  2383,  2393,     0,  2386,  2387,  2672,     0,  2821,  2128,
    2419,  2420,  2819,  2178,  1390,   263,   266,   267,   264,   265,
       0,  1063,  1064,  1066,     0,     0,  1076,   789,   790,     0,
     788,     0,   792,     0,     0,     0,   784,     0,     0,     0,
       0,     0,   791,   781,     0,   780,     0,     0,     0,   787,
       0,   782,     0,     0,  1210,     0,  2471,  2472,  2066,  1351,
     418,     0,     0,  1424,     0,  1329,  1330,  1312,  1319,  1331,
    1324,  1326,  1325,  1327,  1323,  1328,  1977,   895,  1991,   895,
    2056,   892,   893,   895,   895,   895,  2145,     0,     0,   867,
       0,   878,  1968,   895,  1969,  2730,   900,   473,   473,   473,
       0,   899,   904,   473,  1203,  1241,  1946,  1437,     0,  1991,
    2056,   868,  1202,  2193,  1343,     0,     0,     0,  1080,     0,
    1081,     0,  2160,  1214,   247,  2670,  2169,  2256,  2193,  2671,
     246,   241,   242,  2665,  2666,  2668,   215,  2669,  2667,  2664,
    1981,     0,     0,   899,     0,  1211,  1212,   851,  1444,  1442,
    1928,     0,     0,  1999,     0,  2011,  2092,   238,  2156,  2161,
    2169,  2256,  2193,  2223,   194,   204,   199,     0,   256,  2169,
    2256,  2193,     0,  1232,     0,  1414,  1530,  1937,     0,     0,
    2480,  1205,  1204,  1313,     0,  1316,     0,  1492,  2141,  1418,
    1420,  1318,  1411,     0,     0,  2370,  1307,  1441,  1441,     0,
    1441,     0,  1403,  1411,  1406,  1410,     0,     0,     0,     0,
    1222,     0,  2448,  2476,  2455,  2511,  2452,     0,     0,  2501,
    2497,  2494,  2502,  2503,  2496,  2484,  1627,  1628,  1629,  1626,
    1639,  1625,     0,  2429,  1630,  2468,  2435,     0,  2443,  2442,
    2747,  2748,  2558,  2381,  2400,     0,     0,     0,     0,     0,
       0,     0,  2527,  2529,  2531,  2491,  2490,  2486,     0,     0,
       0,     0,  2616,  2617,  2615,     0,  2612,  2614,     0,  2511,
       0,  2681,  2675,  2684,     0,  1947,  2676,  2673,  2672,     0,
     799,     0,   141,   944,     0,     0,     0,     0,  1941,     0,
       0,     0,     0,     0,     0,  2065,     0,     0,     0,  1840,
    2003,  2051,  1850,  1848,  1849,  1842,  1843,  1844,  1845,  1846,
    1847,     0,  1061,  1841,     0,   163,   141,     0,     0,  2065,
       0,     0,     0,     0,     0,  2065,     0,     0,     0,     0,
       0,   163,  2095,   141,  2065,     0,     0,     0,  1226,     0,
       0,     0,  1228,  1231,  1207,  1295,     0,  1937,     0,     0,
     830,   820,     0,   831,   821,   826,     0,   833,     0,     0,
     823,     0,     0,     0,   834,     0,   822,   824,   836,   825,
     832,     0,     0,   827,   828,     0,     0,  1218,   473,   366,
       0,     0,     0,     0,     0,   141,  1282,     0,  2065,   141,
       0,     0,   416,   415,   141,   414,   413,  2003,  2051,     0,
     983,   141,  2065,     0,   187,   635,   568,     0,     0,   713,
    2095,   141,     0,     0,     0,     0,     0,     0,   959,     0,
       0,   552,   565,     0,  2392,  2398,     0,  2390,  2559,  2822,
    2820,  2514,     0,  1067,   239,   240,  1065,  2065,     0,   334,
       0,     0,  2065,  1269,   786,     0,   785,  2065,     0,  2065,
    1966,   178,     0,   783,  2003,  2051,  2065,     0,     0,  2065,
     170,  2065,     0,  2065,   334,  2065,   569,     0,  2065,     0,
    2065,  2095,   172,     0,  2065,   334,   797,     0,     0,  2752,
    2756,     0,  2754,  2749,  2470,  2524,  2523,  2422,     0,  2833,
       0,  1390,  1321,  1336,     0,  1332,  1339,  1335,  1424,   895,
     894,     0,   895,     0,  2843,   895,     0,   895,     0,  2843,
     895,     0,     0,     0,   895,  1970,  1971,     0,     0,  2842,
    2838,  2841,   869,   879,     0,   901,     0,     0,   908,   907,
     906,     0,     0,     0,   909,  1534,  1366,     0,   876,     0,
     874,     0,  1200,  1217,     0,     0,     0,     0,   959,  1083,
    1083,  1083,  1213,   245,   243,     0,     0,     0,     0,     0,
       0,  1219,     0,     0,     0,     0,  2736,  1953,  1851,  2735,
       0,  2227,  2228,  2229,  1909,     0,  2677,  2230,  2231,  2272,
    1759,  1746,  1755,  1760,  1747,  1749,  1756,  2232,  2233,  2035,
    2234,  2235,  1960,  2236,  2237,  1582,  2239,  2240,  2241,  1751,
    1753,  2242,  2243,     0,  1961,  2245,  2246,  2114,  2248,  2249,
    2251,  2252,  1757,  2254,  2255,  2256,  2257,  2258,  2259,  1959,
       0,  1758,  2260,  2262,  2263,  2264,  2265,  2266,  2267,  2268,
    2269,     0,     0,  1934,     0,  1728,     0,  1574,  1575,  1597,
    1598,  1576,  1603,  1604,  1616,  1577,     0,  1933,  1641,  1808,
    1727,  1742,  1733,     0,  1726,  1722,  1427,  1927,  1929,     0,
    1723,  1949,  1910,  1963,  1962,  2730,  1918,  1952,  1950,  1951,
       0,     0,     0,   207,     0,     0,  2605,   258,     0,   259,
    1935,  2169,   195,   237,   209,   236,   210,   208,     0,  2001,
     196,     0,     0,   197,     0,     0,     0,     0,     0,     0,
       0,   252,  1208,     0,  1532,  1531,     0,     0,  1916,  1938,
     806,     0,  1305,  1306,  1304,     0,  1301,  1303,  1315,  1312,
    1923,  1922,  1924,     0,  1419,     0,     0,     0,  1401,  1400,
    1318,  1439,  1440,     0,     0,     0,     0,     0,     0,     0,
       0,  1482,  1455,  1456,  1458,  1479,  1483,  1491,     0,  1407,
       0,     0,  1536,     0,  1493,  2369,  2511,  2512,     0,  2506,
       0,  2505,  2505,  2499,  2498,  2495,     0,     0,     0,     0,
       0,     0,     0,     0,  2426,   547,  2428,   544,     0,     0,
    2402,     0,  2406,  2404,     0,  2551,  2554,     0,  2552,  2553,
    2555,     0,  2560,  2561,     0,     0,     0,  2743,     0,     0,
    2542,  2530,  2537,  2539,  2541,  2540,  2549,  2545,  2548,  2550,
    2492,  2505,  2623,     0,  2618,  2621,     0,  2613,     0,     0,
       0,  1948,     0,     0,     0,     0,   800,     0,     0,     0,
       0,     0,     0,   140,  1267,   249,  1265,     0,     0,     0,
       0,     0,     0,     0,  1274,     0,     0,   176,   177,   580,
     565,     0,  2065,     0,     0,     0,     0,  1023,  1030,     0,
       0,     0,     0,     0,     0,     0,  1024,  1022,  1025,   251,
    1034,  1047,  1050,     0,   934,     0,     0,     0,     0,     0,
    1132,     0,     0,  1132,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   272,   284,   329,     0,
       0,  2065,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   145,     0,     0,     0,     0,     0,     0,   531,   543,
       0,     0,     0,     0,     0,   540,     0,   141,   276,   524,
     528,     0,     0,     0,   644,   643,  1272,  1271,     0,     0,
       0,  1132,     0,   268,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   352,
     353,     0,     0,     0,   145,     0,     0,     0,     0,   278,
       0,  2436,     0,  1227,  1224,  1225,     0,  1230,     0,  1291,
       0,     0,     0,     0,   838,     0,   835,     0,     0,   829,
    2003,  2051,     0,     0,     0,     0,     0,     0,   391,   365,
       0,     0,   710,     0,     0,  1585,  1614,  1592,  1614,  1614,
    1581,  1581,  1594,  1583,  1621,     0,  1614,  1581,  1586,     0,
    1584,  1624,  1624,  1609,     0,  1566,  1567,  1568,  1569,  1595,
    1596,  1570,  1601,  1602,  1571,  1638,  2682,  1581,  2683,  2680,
    2679,     0,     0,   721,     0,  1244,  1281,     0,     0,     0,
     574,     0,  2065,     0,   143,   755,     0,   711,   417,     0,
     143,     0,     0,   181,     0,   639,     0,     0,     0,     0,
       0,     0,   659,   658,     0,     0,     0,   712,     0,   143,
       0,   527,  2065,     0,   473,   473,     0,     0,   958,   961,
       0,     0,     0,  2396,  2391,  2394,     0,  2384,  2398,  1393,
    1395,  1394,     0,  1392,     0,   334,   332,   333,   708,  1075,
       0,     0,     0,     0,   334,     0,     0,  2065,   334,  2065,
       0,  2065,     0,     0,   334,   334,     0,     0,     0,     0,
     640,     0,   796,   794,   793,   795,     0,     0,     0,     0,
       0,  2065,   334,     0,     0,   777,  2750,     0,     0,  2753,
       0,  2473,  1861,     0,  2839,  1348,  2836,     0,     0,  1424,
       0,   226,   227,   225,  1337,   228,  1338,  1334,  1320,     0,
     887,     0,  2843,  2844,   872,     0,   882,     0,  2843,   870,
       0,   883,   880,   881,     0,     0,     0,  2837,  2721,  2727,
     886,     0,     0,   474,   476,     0,     0,  2021,  2034,     0,
    2057,  2083,  2084,  2161,  2165,     0,  2188,  2197,     0,   910,
     939,   905,     0,     0,  1376,   877,   875,  1201,  1341,  1867,
       0,  1424,     0,     0,  1082,  1079,  1078,  1077,   244,   216,
       0,     0,     0,   941,  2160,  1216,   850,   565,     0,     0,
    1731,  1732,  1613,  1600,  1908,     0,     0,  1608,  1607,     0,
       0,     0,     0,     0,  1590,  1589,  1588,  1730,  1875,     0,
    1587,     0,     0,     0,     0,  1614,  1614,  1612,  1661,     0,
    1591,     0,     0,  1888,     0,  1894,     0,     0,     0,  1620,
       0,  1618,     0,     0,  1697,     0,     0,     0,     0,     0,
       0,     0,     0,  1645,  1646,  2678,  1728,  1861,     0,  1729,
    1956,     0,     0,  1606,     0,  1638,  1851,     0,     0,     0,
       0,  1921,     0,  1859,     0,     0,  1675,  1857,     0,  1677,
       0,     0,     0,  1850,  1848,  1849,  1842,  1843,  1844,  1845,
    1846,  1847,  1855,  1658,     0,  1932,     0,  1810,     0,  1657,
       0,  1495,  1426,     0,     0,  1954,  1911,     0,  2728,  2731,
    1724,  2602,  2601,  2600,  2599,  2570,     0,  2564,  2565,     0,
    2603,  2604,   260,   261,   257,     0,     0,   212,   211,     0,
     234,   235,   206,   233,     0,   229,   230,   214,  1799,  1798,
     213,   205,   202,   200,   217,   219,   220,   203,   201,   255,
     253,     0,     0,     0,  1913,  1912,  1944,  1917,     0,     0,
     334,  2505,  1299,     0,  1296,  1926,     0,  1421,     0,  1939,
       0,  1308,  1417,  1416,  1448,  1449,   976,  1415,  1473,  1474,
    1469,     0,     0,     0,  1488,  1486,  1465,  1459,  1464,  1462,
       0,  1466,  1641,  1481,  1405,  1453,  1454,  1457,  1404,     0,
    1484,     0,  1376,  1482,  1458,  1363,     0,     0,  1537,     0,
       0,  2513,  2511,  2451,  1566,  2505,  2444,  2505,  2500,  2432,
    1632,  1633,  1634,  1635,  1636,  1637,  2433,     0,  2430,  1631,
    2431,   545,   546,     0,     0,     0,  2399,     0,  2380,  2405,
    2536,  2645,  2568,     0,  2569,     0,     0,  2533,     0,  2543,
    2546,  2544,  2547,     0,  1566,  2724,  2619,  2724,  1566,   998,
    1000,     0,   999,     0,  1002,     0,  1011,     0,     0,   997,
    1016,     0,  1005,  1003,     0,     0,     0,     0,     0,     0,
     801,     0,     0,     0,     0,     0,     0,  2188,   248,  1263,
       0,     0,     0,     0,   943,   942,     0,     0,   963,     0,
       0,     0,  1277,   462,     0,   331,     0,     0,     0,     0,
       0,     0,     0,     0,   706,   703,     0,     0,   702,     0,
     578,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   614,
       0,  1132,     0,   647,     0,  1032,     0,  1031,     0,     0,
       0,  1033,  1028,  1029,  2161,  2169,  2193,   250,  1049,     0,
    1048,  1046,   986,     0,   987,     0,     0,     0,     0,     0,
    2044,   286,   299,     0,  1131,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   320,     0,   323,   322,
       0,     0,     0,     0,     0,   327,     0,     0,     0,   326,
       0,     0,     0,     0,     0,  1132,     0,   280,     0,     0,
       0,     0,     0,     0,  1062,     0,     0,   166,     0,   162,
     165,     0,     0,     0,     0,   530,   542,     0,   534,   535,
     532,   536,   537,     0,     0,     0,     0,     0,     0,   529,
       0,     0,   637,   636,   642,     0,     0,     0,     0,     0,
       0,     0,     0,  1085,  1084,     0,     0,     0,     0,     0,
       0,   745,     0,     0,     0,     0,     0,     0,     0,   169,
     650,   651,     0,   652,     0,   167,   168,     0,     0,     0,
       0,     0,     0,     0,   224,  1223,  1229,  1294,  1945,  1293,
       0,     0,     0,   837,     0,     0,     0,     0,     0,     0,
       0,   839,   840,   841,   842,     0,     0,     0,     0,     0,
     368,   369,   141,   367,     0,   734,  2679,   709,     0,  1566,
       0,  1562,  1558,  1627,  1626,  1625,     0,  1572,  1581,  1578,
     722,     0,   724,   727,     0,  1242,   435,     0,     0,   571,
     614,     0,   420,   174,     0,     0,     0,     0,   139,   185,
     187,   418,     0,   186,   188,   190,   191,   192,   189,   193,
     634,   638,     0,   567,     0,     0,     0,     0,     0,   660,
     664,   663,   667,   665,     0,   661,     0,     0,  1554,     0,
     161,     0,   523,   526,     0,  2377,     0,   420,   504,   345,
       0,   473,     0,     0,   960,     0,     0,     0,     0,     0,
    2397,     0,     0,     0,     0,  1391,     0,  1053,     0,  1270,
    2065,   334,     0,  1051,   179,  1967,     0,   778,     0,     0,
       0,     0,     0,  1055,   774,   171,     0,   334,   334,   570,
       0,   334,   173,     0,     0,     0,   562,   334,   798,  2751,
    2757,  2755,  1350,     0,  2840,  2834,  2835,   473,  1395,  1322,
    1333,   884,   891,   873,   890,   889,   871,   888,   885,  2535,
       0,     0,  2726,     0,   902,     0,   472,     0,     0,     0,
     916,   917,     0,     0,   915,   932,   918,     0,   920,   912,
     911,   921,   922,     0,     0,   941,     0,  1373,     0,  1371,
       0,  1535,  1375,  1364,  1342,     0,  1340,  1345,  1347,  1346,
    1344,     0,   517,     0,     0,   899,     0,     0,   334,  1215,
       0,   852,   853,   859,     0,     0,     0,     0,     0,   860,
     856,   857,   858,   861,   862,   863,     0,     0,     0,  1871,
       0,  1872,     0,     0,     0,  1907,  1903,     0,     0,     0,
       0,     0,     0,  1879,  1880,  1881,  1878,  1882,  1877,     0,
       0,  1883,  1876,     0,     0,     0,     0,     0,  1611,  1610,
       0,     0,     0,     0,     0,     0,     0,  1700,  1733,     0,
       0,  1835,     0,  1861,  1893,     0,     0,  1622,     0,     0,
       0,     0,     0,     0,     0,  1861,  1899,     0,     0,     0,
       0,  1797,     0,  1794,     0,     0,     0,     0,  1918,     0,
       0,     0,     0,  1957,  1642,  1659,  1931,     0,  1920,     0,
       0,  1643,  1666,     0,  1900,  1693,     0,  1698,  1681,     0,
    1674,     0,  1679,  1683,  1662,  1921,  1860,     0,  1858,     0,
       0,  1660,     0,  1655,  1653,  1654,  1647,  1648,  1649,  1650,
    1651,  1652,  1656,  1839,  1837,  1838,     0,     0,     0,  1818,
       0,     0,  1678,  2059,  2092,     0,  1438,  1438,  1438,  1425,
    1436,     0,  1549,  1930,     0,     0,     0,     0,  1734,     0,
    1865,  1447,  1863,  1947,  2733,  2732,  1919,     0,     0,     0,
    1936,     0,     0,  1638,     0,   254,  1533,  1914,     0,   804,
     805,   803,  1566,  1318,  1302,  1298,  1297,  1925,  1317,     0,
    1424,     0,   974,   975,     0,   979,     0,     0,  1467,  1489,
       0,  1480,     0,  1471,  1472,  1463,  1490,  1485,  1409,  1408,
       0,  1552,     0,     0,  1360,  1353,  1538,     0,  1495,  1378,
    1380,  1381,     0,  1918,  2449,  2507,  2454,  2475,  2445,  2478,
    1640,  2427,  2467,     0,  2401,  2571,  2572,     0,  2562,  2563,
    2532,  2538,  2609,     0,  2725,     0,     0,  1001,     0,  1581,
    1012,     0,   996,     0,   995,  1581,     0,  1013,     0,  1581,
       0,     0,     0,  1160,  1087,  1136,   802,  1161,  1088,  1137,
    1162,  1089,  1264,     0,  1266,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   685,
    2065,   334,  1275,  1163,     0,  1090,   330,  1276,  1138,  1280,
     705,   704,     0,     0,  1139,     0,   579,     0,     0,   584,
     585,   586,     0,     0,     0,   587,     0,  2003,  2051,     0,
     592,   599,   604,   594,     0,   605,   600,     0,     0,     0,
       0,     0,     0,   611,   613,     0,     0,     0,     0,     0,
       0,  1026,  1027,  1164,  1093,     0,  1140,   985,     0,  1094,
     175,     0,     0,   273,   287,   620,   685,  1134,   306,   319,
     314,   315,   313,  2065,   334,  2065,   334,     0,     0,     0,
       0,   316,   311,   312,   308,   321,  1980,  2036,  2170,     0,
     624,   626,     0,   631,   324,  1108,   341,   340,   339,     0,
     328,     0,   346,   349,   325,   304,   307,   305,   301,   285,
       0,     0,     0,     0,     0,     0,     0,  1943,     0,     0,
    1057,     0,     0,     0,   164,  1122,     0,     0,   150,     0,
       0,     0,     0,   144,   154,     0,  1170,  1098,     0,     0,
     277,   525,   533,   538,  1102,   541,  1150,   539,  1176,  1099,
       0,  1132,     0,   269,     0,  1100,     0,  1144,  1172,  1124,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1283,
       0,     0,     0,     0,     0,   334,     0,     0,     0,  1134,
    2065,   334,  1171,     0,  1129,  1158,     0,   354,     0,  1123,
       0,     0,   279,  1104,  1152,     0,     0,   222,   221,   223,
       0,     0,     0,     0,     0,     0,     0,     0,   844,   813,
     843,     0,     0,     0,   807,   390,   363,   364,   366,   373,
     733,     0,     0,     0,  1563,  1559,     0,     0,     0,     0,
       0,     0,  1579,   723,     0,     0,     0,     0,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1243,  1273,     0,   141,     0,
       0,     0,   573,   613,   620,     0,     0,     0,   419,   423,
     427,   428,   429,     0,     0,     0,     0,   155,   142,     0,
     763,     0,   473,     0,   187,   180,     0,     0,     0,   345,
     720,   718,   717,   719,     0,     0,     0,   738,   716,     0,
    1553,  1555,     0,     0,     0,     0,     0,   422,     0,   476,
       0,     0,   508,     0,     0,     0,   345,     0,     0,   990,
       0,  1008,   991,     0,     0,     0,  1037,  1042,  1038,  1018,
       0,   550,  2395,  2389,  1396,  1397,     0,   334,     0,     0,
     615,   334,   334,     0,   334,     0,   334,   334,     0,  1198,
     641,     0,   693,     0,     0,   334,   776,  1862,     0,  2534,
    2722,   903,   475,     0,     0,     0,     0,   914,     0,   548,
     919,     0,   931,   926,   928,     0,   935,  1374,  1367,  1369,
    1368,     0,     0,  1365,  1868,   775,     0,   522,     0,     0,
     334,     0,   936,     0,   854,   855,     0,     0,   864,     0,
       0,  1443,  1869,  1870,     0,     0,     0,     0,  1904,     0,
       0,  1772,     0,  1748,  1750,  1580,  1762,     0,  1593,  1773,
    1774,  1752,  1754,     0,  1852,     0,     0,  1763,  1702,  1703,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1715,  1714,  1764,  1834,     0,     0,  1891,
    1892,  1765,  1623,  1624,  1624,     0,     0,  1898,     0,     0,
       0,  1770,  1775,     0,     0,     0,     0,  1781,     0,  1802,
       0,     0,     0,  1725,  1862,  1615,  1616,     0,     0,     0,
       0,     0,     0,     0,     0,  1699,  1682,  1676,     0,  1680,
    1684,     0,     0,     0,     0,  1668,  1694,  1664,     0,     0,
    1670,     0,  1695,     0,     0,     0,  1741,  1438,  1438,  1438,
    1438,  1435,     0,     0,     0,     0,  2158,     0,  1516,  1494,
    1496,  1503,  1516,  1521,  1743,  1547,  1744,     0,  1937,     0,
    1476,  1447,  1447,  1447,  1740,     0,     0,     0,  1446,  2584,
    2586,  2587,  2588,  2589,  2590,  2592,  2593,  2595,  2596,  2597,
    2585,  2591,  2594,  2598,  2575,  2576,     0,  2566,  2567,   198,
       0,   231,   218,     0,  2609,  1300,  1940,     0,  1450,     0,
    1853,   979,   977,   978,  1452,     0,     0,  1487,  1460,  1362,
       0,  1360,  1355,     0,  1356,  1918,     0,  1352,  1385,     0,
       0,  1552,     0,  1384,     0,  2509,  2437,     0,     0,  2608,
    2611,  2622,  2620,  2447,     0,  1581,   993,   994,     0,  1017,
       0,  1159,  1086,  1135,  1262,   946,   947,     0,   945,     0,
       0,     0,   461,   962,     0,     0,     0,   685,     0,     0,
     465,     0,  1278,     0,  1177,  1121,   581,   582,     0,   593,
       0,   602,   601,     0,     0,   589,     0,     0,     0,     0,
     588,   607,   554,   608,   610,     0,     0,   609,   612,   617,
    1132,     0,   648,  1110,     0,  1156,  1020,     0,   988,     0,
       0,     0,     0,   435,   300,     0,     0,     0,   288,   298,
       0,     0,   303,     0,   296,   317,   309,   318,   310,   628,
     629,   627,   623,     0,   630,   632,     0,   343,     0,     0,
       0,  1166,     0,  1132,     0,   281,  1106,     0,  1154,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1167,  1141,     0,     0,   147,   146,     0,   153,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   355,   336,     0,   741,     0,     0,     0,
     357,     0,     0,     0,     0,  1165,  1095,   808,     0,     0,
     809,   817,     0,     0,   810,     0,     0,   819,     0,     0,
     362,   370,   735,     0,  2114,  1842,  1843,   731,   736,   728,
     730,   729,   732,   685,     0,     0,     0,  1564,     0,  2823,
    2831,  2830,     0,  1638,   725,   726,     0,  1262,  1261,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     447,     0,     0,   441,     0,     0,  1042,   434,   437,   438,
       0,     0,   574,   577,   575,   576,   606,     0,   454,     0,
       0,   157,     0,     0,   158,   156,     0,     0,   345,     0,
     183,   418,     0,     0,   566,   666,   669,   662,     0,   737,
     739,   714,     0,   620,     0,     0,  1351,   517,     0,   504,
     500,   502,   501,   503,     0,   510,   344,     0,   517,   510,
       0,   963,   989,     0,     0,     0,  1035,  1039,  1036,     0,
       0,  1004,     0,  1019,   982,  1193,  1194,  1191,  1192,     0,
       0,  2412,  1387,  2421,  1054,     0,   334,  1052,   779,     0,
     770,     0,   772,  1056,   334,   334,   653,     0,   563,     0,
       0,     0,     0,   913,   933,     0,   929,     0,     0,   896,
     938,  1372,  1370,   515,     0,   941,     0,   897,   940,     0,
       0,     0,     0,     0,  1873,  1599,     0,  1906,  1902,     0,
    1745,  1874,     0,  1886,  1885,  1701,  1887,     0,  1720,     0,
       0,  1712,  1710,  1711,  1704,  1705,  1706,  1707,  1708,  1709,
    1713,  1896,  1895,  1889,  1890,  1619,  1617,     0,  1767,  1768,
    1769,  1897,  1776,     0,  1994,  1803,  1780,  1796,  1795,     0,
       0,     0,  1783,     0,     0,  1792,     0,  1836,  1605,  1638,
    1644,     0,     0,  1667,  1901,  1685,     0,     0,     0,  1663,
       0,     0,     0,     0,  1672,  1852,     0,     0,     0,     0,
    1821,  1816,  1817,     0,     0,     0,     0,  1429,  1428,  1434,
    1516,  1521,     0,  1411,     0,  1503,     0,  1515,  1501,  1514,
       0,     0,  1527,  1525,     0,  1527,     0,  1527,     0,  1498,
       0,  1517,  1499,  1514,  1546,  1539,     0,  1938,  1548,     0,
    1478,     0,     0,     0,     0,  1866,     0,  1864,  1735,     0,
       0,     0,  1915,  2607,  1422,     0,  1451,  1468,  1461,     0,
    1550,  1361,     0,     0,  1358,  2839,     0,     0,  1379,  1360,
    1382,  2453,     0,  2508,  2573,  2574,  1014,     0,     0,  1006,
       0,   952,   953,   951,   954,     0,     0,     0,   685,     0,
       0,   481,     0,   970,   970,     0,     0,   467,   513,  1042,
     688,     0,     0,     0,   686,   334,  1091,     0,   603,     0,
       0,   598,   596,   595,   597,   555,  1175,  1092,     0,     0,
       0,     0,  1021,     0,     0,  1109,     0,   432,     0,   293,
    1133,     0,     0,     0,   292,     0,   334,   334,   625,   342,
     347,   348,   351,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   764,   747,     0,     0,   765,
     766,     0,     0,     0,  1059,  1060,  1058,   151,   148,   149,
     152,  1119,  1103,  1151,     0,     0,  1101,     0,  1145,  1116,
    1112,     0,     0,     0,     0,     0,  1174,  1128,  1149,  1173,
    1126,  1147,  1125,  1146,  1127,  1148,  1120,     0,  1557,   744,
       0,     0,     0,   334,   334,   655,  1105,  1153,     0,   811,
       0,     0,   812,   814,   393,     0,   396,   403,   374,   379,
    1282,     0,  1282,     0,   376,   380,  1282,   375,  1282,   372,
     707,     0,     0,     0,  1560,     0,  2505,     0,     0,     0,
       0,     0,  1565,  1573,   684,     0,  1253,  1252,  1251,  1255,
    1254,  1257,  1256,  1248,  1247,  1260,  1259,  1246,  1245,  1250,
    1249,     0,   439,     0,   445,   449,   450,   448,   440,  1042,
     473,   512,     0,     0,   697,     0,   572,   420,   451,     0,
     424,   160,   159,     0,     0,     0,   187,     0,     0,   671,
     675,   715,     0,  1556,   649,   345,     0,   420,   517,  2378,
       0,   425,   430,   431,     0,   508,     0,   504,     0,     0,
     514,  1240,   518,   519,     0,     0,   992,  1009,  1010,     0,
       0,  1042,  1041,     0,   557,     0,  2385,   334,   616,   334,
     334,  1199,   694,     0,   925,   924,   923,   549,     0,   927,
     516,   334,     0,     0,     0,     0,     0,   866,   845,   865,
    1905,  1761,  1771,  1884,     0,     0,  1721,     0,     0,  1766,
    2261,     0,     0,     0,     0,  1800,  1801,  1782,     0,  2105,
    1787,     0,     0,     0,  1958,  1691,  1689,  1686,     0,  1687,
       0,     0,  1669,  1665,     0,  1671,  1696,  1807,     0,  1823,
    1820,  1433,  1432,  1431,  1430,  1502,  1500,     0,  1505,  1512,
       0,  1497,     0,  1526,  1522,     0,  1523,     0,     0,  1524,
       0,     0,  1512,     0,  1447,     0,     0,  1812,  1738,  1739,
    1736,  1447,  1955,  2577,     0,  2580,  2578,  2579,  2583,  1638,
       0,     0,  1354,  1357,  1359,     0,  1386,  1377,  2510,  1007,
    1015,  1268,     0,     0,     0,   463,     0,  1042,     0,     0,
       0,   973,   973,     0,  1042,   512,   690,   689,   692,   687,
     691,  1279,     0,   590,   591,  1111,     0,  1157,  1117,     0,
    1376,     0,   621,   289,   290,   291,   294,   336,   302,   295,
       0,     0,     0,  1107,     0,  1155,  1114,  1168,  1096,  1142,
       0,     0,   753,     0,     0,     0,     0,  1169,  1097,  1143,
       0,  1376,     0,     0,     0,     0,  1288,     0,   335,   743,
     742,   336,   356,  1130,     0,   815,   816,   394,   141,     0,
     371,     0,   401,     0,   399,   398,   400,     0,   387,     0,
       0,     0,     0,     0,     0,  1561,     0,  1073,  1073,  2824,
       0,  2825,  2826,  2827,  2828,  2829,     0,   685,  1258,     0,
       0,   436,   512,   480,     0,   442,     0,     0,     0,     0,
       0,     0,     0,   620,     0,     0,     0,   182,   420,   620,
     670,     0,     0,     0,   740,     0,   422,     0,  1349,   421,
       0,     0,   510,     0,   508,     0,   505,     0,   509,     0,
    1233,     0,     0,  1040,     0,  1044,     0,  1003,   980,  1549,
       0,   561,  2411,  2415,  1074,   771,   773,   654,   930,   937,
     334,   846,   847,   848,   849,  1716,     0,     0,     0,     0,
    1777,     0,  1778,  1805,  1804,  1784,  1788,     0,  1785,  1786,
    1688,  1692,  1690,  1673,  1809,     0,  1447,  1542,     0,  1545,
    1504,     0,     0,  1506,     0,     0,  1508,  1510,     0,     0,
       0,     0,     0,  1941,     0,  1475,  1477,     0,  1412,     0,
    2582,  2581,   232,  1854,  1551,  1383,   931,     0,   334,   970,
     512,   482,  2114,   483,   969,     0,   971,   976,   976,     0,
     512,   685,   583,     0,     0,   274,   619,     0,   338,   350,
       0,  1376,     0,     0,     0,   760,   748,     0,     0,   767,
       0,   270,  1113,     0,     0,     0,     0,     0,   334,   818,
     373,     0,   397,   406,     0,   404,   377,   382,     0,   386,
     384,   383,   378,   381,  1073,     0,  1070,  1069,  2832,   683,
       0,   471,   443,     0,   491,     0,     0,   698,     0,     0,
       0,   460,   459,   456,   455,   457,   458,   453,   452,   645,
     757,   345,  1240,   633,   672,   673,   668,     0,     0,     0,
     504,   500,   426,   435,   409,     0,   510,   506,   507,     0,
       0,     0,  1290,     0,   964,  1043,     0,     0,     0,   556,
       0,     0,   560,   551,     0,  2413,   898,  1717,     0,  1718,
       0,     0,     0,  1790,  1789,     0,  1826,  1547,     0,     0,
    1541,     0,  1513,  1529,     0,  1509,  1507,  1518,     0,  1520,
    1735,  1811,  1813,     0,  1737,   948,     0,   949,   973,   486,
       0,   972,   979,   979,   473,   685,   464,  1118,     0,   622,
       0,   297,     0,   282,  1115,     0,   751,     0,   762,   760,
       0,     0,     0,  1284,     0,  1285,  1286,  1289,   358,   361,
     392,   402,     0,   385,  1068,  1072,  1071,     0,     0,   444,
     477,   478,   479,     0,   446,   487,   488,     0,   695,     0,
     700,     0,     0,     0,     0,     0,  1234,     0,     0,  1240,
     508,   504,   433,   499,   407,     0,  1237,     0,   345,     0,
    1042,  1045,  1197,   559,   558,  2416,  2418,  2417,     0,  1719,
    1793,  1779,  1806,  1791,  1822,     0,     0,     0,  1540,  1543,
       0,  1511,     0,  1519,     0,     0,     0,   976,     0,   685,
       0,   967,   966,   480,   466,  1376,   337,     0,     0,     0,
     758,   761,   749,   762,   769,   768,  1376,     0,   405,     0,
     470,     0,     0,     0,   489,     0,   490,   511,     0,   699,
       0,   620,   756,     0,     0,   674,     0,  1235,   510,   508,
    1238,  1239,   510,   965,   981,  1196,  1195,  1424,  2414,  2226,
       0,  2199,     0,  1824,  1827,  1825,  1819,     0,  1528,  1814,
    1815,   334,   979,     0,   468,   484,   491,   275,  1376,     0,
       0,   750,   271,  1287,   675,   496,     0,   495,     0,   493,
     492,   696,   701,   646,   746,  1240,   678,   410,   510,  1549,
    1179,  1424,  1178,  1180,  1188,  1185,  1187,  1186,  1184,     0,
    1831,  1830,  1829,  1833,  1832,  1544,   950,   968,     0,   685,
     283,   752,   759,     0,   494,   498,   497,  1236,     0,   676,
     679,   682,   680,   681,   408,   955,     0,  1189,  1183,  1411,
    1398,     0,   485,   469,     0,   656,     0,  1181,  1424,  1828,
       0,   677,  1182,     0,   678,     0,   657
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4558, -4558,  3940, -4558, -1200,  -266,  2430, -1187, -4558, -4558,
   -4558,  1157, -4558, -4558, -4558, -4558, -4558, -4558, -4558,  3106,
   -4558, -4558,  1606, -2624, -4558, -4558,   -54,  3073, -1613,   -41,
    2701,  1276, -4558, -1402, -4558, -4558,  -881,    35, -4558,  3079,
     768, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -1097,
    1764,  1099,  3804, -3455, -4558, -4558, -1725, -3319, -4558,   479,
   -4558, -4558,  1700, -4558, -4558, -4558,   952,   403,  -548, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558,  -358, -4558, -4558,  -688,
     201,  -106, -2623,  -411, -4558, -4558,   349,  -414, -1626, -4558,
   -3675, -4558,   -92, -4558, -4558, -4558,  -392, -1729,  1191, -4558,
    -980, -1405,  1519,  -748, -4558,  -272, -4558,  -809,  -687,  -683,
    -749,  -566, -3851, -4275, -3899, -3338,  1211, -4558, -3802,   248,
   -4558, -4558,   263,   275, -4558, -4558, -1817, -1753, -4558,  -961,
   -4558, -4558, -4558, -3100, -4558, -4558, -4558, -4558,   -86, -4558,
   -4558, -4558, -4558,   387, -4558, -4558, -4558, -4558, -4558, -4558,
   -2706,  1668,  1671, -4558, -4558, -3339, -4558, -1192, -4558,   529,
   -3156,  1126, -4558, -4558, -4558,  2389, -4558, -4558, -4558, -4558,
   -4558, -4558, -1926, -4558, -4558,   281, -4558,  1681,   930, -4558,
   -4558, -4558,  -786,  -855,  -846, -4558, -3135, -4558, -4558, -4558,
   -4558,  -345, -4558, -4558, -4558, -4558, -4558, -4558, -1230, -4558,
     992, -3268, -4558, -4558,  1000, -4558, -4558, -4558, -4558, -4558,
    -736,  -275,  2414, -4558,  -619,  -712, -4558, -4558, -4558,  -274,
   -4558, -4558, -4558, -4558, -4558, -4558, -1355, 11447, -1873, -4558,
   -4558, -4558, -4558, -2474, -4558, -4558, -4558, -1949, -4558,  4206,
      14,   145,   291, -4558,  -188,  -105,  2943, -1425, -2818,   317,
    -438, -4558, -2078, -4558, -4558, -4558, -2717, -4558, -4558, -4558,
   -4558, -3615,   338, -4558,  2932, -4558,   370, -4558, -4510, -4081,
   -4363, -4020, -3621, -4558, -4558, -1363, -4558, -4558, -4558, -1742,
    1974, -2200, -4558, -2372,   366,  1275, -1250, -2938, -3875, -1037,
   -3383, -4558, -3826,  -542, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -1359,  -898, -4558, -4558,  3483, -4558, -4348, -4558, -4558,
   -4558, -4558,  1165, -4558, -4558, -1722,  1068, -4558, -4558, -4558,
   -4558, -4558,  -731,  -820, -4558, -4558, -4558,   367, -4558, -4558,
   -4558, -4558,  2153, -1237, -1009,  3316,   386, -3989, -4558, -4558,
   -4558, -4558, -3165, -4558, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -1992, -4558, -4558, -4558, -4558, -4558, -4558, -4558,  2088,
    2091,   -40,  -235, -4558, -4558, -1543, -4558,  -831, -4558,  2330,
   -4558, -4558, -4558, -4558,  1354,   395,   400,   -68, -4558, -4558,
     184, -3535,   -67, -4558, -4558, -4558, -4558, -2329,   -66, -4558,
     678, -4558, -4558, -2970, -4558,   415,   -74,  3011,  1611,   -62,
    1116,  -239,  -251,  -241,   -72,  3315,  2785, -4558, -4558, -4558,
    -182,  1854, -4558, -1120,  -346, -4558,  1359,  -936,  2061,  2764,
    2766, -4558,  1360, -4558, -4558,  1364, -4558, -4558, -4558,  -929,
    2070, -4558,  2771, -4558, -4558, -4558,  1347,  1357, -3523,   772,
   -3503, -3470,   260,   246, -1180,  -376,  -128,  3347,  2778,   779,
    -521, -4558, -4558,  -518, -4557,   709, -4558, -4364, -2509,  1085,
   -2185, -1887, -4558, -4558, -1446, 10837, -4558, -4558, -4558, 10926,
   13441, -4558, -4558, 17750, 18054, -4558, -1298,   825, 21455,  6469,
   -1471, -1915, -1564, 20563,  1256,   769, -2676, -4558, -3642, -2632,
   -4558, -4558, -4558,  -337,   835,   301, -4558, -4558, -4558, -4558,
   -4558, -4558,  -630, -4558,  -629, -4558, -4558, -4558,  -618, -3908,
   -1772, -4558,  -824, -4558, 21414,  1395, -4558, -1254, -2861, -2897,
   -3434, -2049, -4558, -4558, -4558, -4558, -4558, -4558, -4558, -1388,
   -3395,  -397,  1476, -4558, -4558,  1569, -4558, -4558, -4558, -1582,
   -1163, -2789,  1480, -2225, -4558, -1109, -4558,   730,  2208, -1073,
    4799, -1373, 17647,  -126, -2431, -1569, -1827, -4558,  1896, -4558,
    2844,  4633,  -925,  -159,  -917,  6609,  4583,  5589, -3242, -4558,
   -4558,   433, -4558, -4558, -4558,  3831,   985, -4558,  3124, -4558,
    1713,  2455, -4558, -4558,  2077,  -972,     3, -4558,  -593, -4558,
    -124, -4558, -4558, -4558,   159, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558, -4558, -4558,  2794, -4558, -4558, -1494, -4558, -4558,
   -4558, -4558, -4558,  4095,  -380, -4558,  3502,  -368, -4558, -4558,
   -4558, -4558, -4558, -4558, -4558, -4558, -4558,  2802,  2108, -4558,
    3302, -4558, -4558, -4558,   -34,  3040, -4558, -4558, -4558, -1231,
    -612,  3313,  3314,  2068, -4558, -4558, -4558, -4558, -4558, -4558,
   -4558, -4558,  2079, -4558, -4558,  1447, -2191,  2080, -4558, -4558,
     740, -4558, -4558,   271, -4558,   746, -4558,  2906, -4558, -4558,
   -4558,   784, -4558, -4558, -4558,  -592, 15073,    28,   -93,   -59,
     797, -4558,  9453,  6588,    58,  2815,   -69, 12597, 20359,   101,
   -4558,  4084,  2089,  1679, -1035, -4558,  3053,  2393, 18984, -4558,
   -1025,   276,  1834, -4558,    -2,  -667, -1221,  3108,  -765, -2013,
   -4558,  4501, -4558, -3627, -4558, -1067,   272,  3499, -1243
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   247,   248,  1754,  2703,  2579,  3427,  3428,   249,
     250,  1829,   251,   252,   253,   254,   255,   256,   257,  1770,
     258,   259,  1323,  1983,  2713,   260,  2448,  1085,  1086,  1087,
    2303,  2304,  2645,  2305,  2292,  1604,  2085,  1789,  1051,  1052,
    1756,  1790,   262,   263,  1598,  2284,   264,   265,   266,  1816,
    1817,  1764,  2028,  4368,  5001,  3260,  2559,  3464,  3261,  3262,
     267,  1879,  1880,   268,   269,  3378,  1920,  2672,  3930,  3931,
    4399,   885,  2669,  4688,  4689,  4385,  4386,  4695,  4884,  4885,
    2714,  1979,  3458,  4019,  3418,  4470,  3419,  4471,  3420,  4472,
    3406,  3977,  3978,  3979,  3421,  4448,  4917,  3422,  2463,  5029,
    2748,  2115,  2113,  4904,  4260,  4261,  5089,  5034,  5035,  5036,
    5169,  4477,  3462,  4025,  4480,  4725,  3159,  2003,  3537,   985,
    2750,   916,   986,  2715,   274,  2742,  1849,  1850,  2587,  3937,
    3520,   275,  1342,  3801,  4771,  4952,  4953,   276,   873,   277,
    1987,   278,   279,  2699,  3412,   280,  2480,  3176,   281,   282,
    3203,  3204,  3205,   283,   284,  3823,  4641,  1818,  3249,  3250,
    3251,  3252,  3844,   285,  1985,  1855,  2722,   286,   287,   288,
     289,   290,  2632,   291,   292,  2716,  1995,  2734,  2735,  4460,
    4741,  4926,  4743,  5208,  5209,  4717,  3780,  4274,   294,   295,
    4443,  4444,  5041,   296,  2478,   297,   298,   299,  1963,  2691,
    2692,  3938,  1922,  2674,  2675,  4008,  4009,   300,  3338,   301,
    4325,  4326,   917,  5044,  5008,  5102,   302,   303,  4329,  4330,
     304,   305,   306,   307,   308,   973,  1395,  1396,  1746,   309,
    2320,   310,  1296,  3369,   311,  1484,  2887,  4518,   312,  1009,
    1420,  1421,  2717,   314,  1020,  2865,  1022,  2128,  3522,  3523,
    4079,  2834,  1211,   315,   316,  2845,  2868,   317,  1757,  2454,
    2455,  4255,  2718,   918,  2009,  2753,  3154,  4943,  4262,  4621,
    4847,  3065,  3724,   319,   919,  1794,  2523,  2756,  3470,  2426,
    2427,  2428,  4040,  2429,  3472,  2430,  1740,  2431,  3477,  3478,
    3479,  4036,  4044,  4765,  4766,   320,  1792,  2521,   321,   322,
     323,  1826,  1231,   324,   941,   942,   325,  4896,   326,  1361,
     327,  1041,  2145,   328,   329,  2536,  3830,   330,   331,   332,
    5182,  5216,  5217,  5218,  4049,  5137,   333,  5184,  1462,   335,
     336,   337,   876,  1262,  1263,  1264,  2719,  4760,   339,   340,
    2695,  3405,  3959,   341,   342,  2449,  3144,   343,   344,   345,
     346,  1967,   347,   348,   349,   350,  1899,   351,  1635,  1636,
     352,   353,   880,  1105,  1639,  1647,   354,   988,  1414,  1415,
    1416,  2087,   355,  1466,  2856,   989,  1409,   990,  3084,  3733,
    3734,  3737,   991,  3081,   359,  2134,  2850,  2853,   992,  3088,
    3089,  3090,  3091,  3092,  3739,   993,  1011,  1352,  2764,   994,
    1555,   364,   365,   366,  1114,  1109,  1110,   368,  2261,  3019,
    1028,  1653,  1070,  1121,  3688,  2334,  2335,  2357,  2358,  1662,
    1663,  2347,  2349,  3067,  2350,  3075,  2340,  4210,  4587,  2353,
    2354,  1665,  1666,  1667,  2362,   369,  3022,  3669,  3670,  3671,
    4187,  4188,  4202,  4198,  4574,  4816,  3672,  1456,  1673,  3673,
    4807,  4808,  4970,  4205,  3680,  3731,  3449,  3450,  3451,  2432,
    2682,  1945,  1556,  1946,  2689,  1557,  2180,  1948,  1558,  1559,
    1560,  1951,  1561,  1562,  1563,  1564,  2163,  2223,  1565,  1566,
    2199,  1153,  1154,  2072,  2926,  1568,  1569,  1570,  3675,  1571,
    4145,  4542,  4531,  2952,  2953,  2300,  4141,  3615,  2257,  3009,
    4828,  4981,  4982,  3656,  4171,  4559,  4806,  5077,  5143,  5144,
    1572,  3006,  2252,  1233,  1573,  3940,  2254,  2946,  3031,  3032,
    2140,  2161,  2892,  2909,  2910,  2923,  3576,  2930,  2935,  3599,
    3600,  2947,  2975,  1574,  2895,  2896,  3559,  2165,  1575,  1628,
    1629,  2270,  2970,  1642,  1643,  1107,  1576,  1577,  1578,  2129,
    1096,  4812,   726,   709,  3276,  2315,  1266,  1025,  1579,  1580,
    1581,  1370,  1371,  1695,   671,   710,   711,  1191,   823,     2,
      75,   995,  3456,   373,   374,   921,   922,   923,  1344,  1345,
    2014,  2017,  1700,  2398,   675,   676,   727,  4496,  4772,  4955,
     979,   375,   376,   377,   378,  1696,  2394,  1155,    76,    84,
      77,  1156,   415,   416,  2375,   379,   840,   380,  1676,  1135,
    3745,   381,   382,   383,   384,   385,   976,   386,  1137,   387,
    1138,   388,   389,   390,   391,  1145,   392,  1678,  1679,  4243,
    1680,   393,   394,   713,   714,  1407,   395,   396,  1172,  1173,
    1439,  1440,  1706,  1721,  1722,  1723,   397,   683,   398,   399,
     400,  1712,  1713,   401,  2277,  2278,  2403,  2279,   402,  3105,
    3106,   403,  3704,  3705,  4596,  3706,   404,  2273,   405,   406,
    1099,  3750,   407,   836,   408,  1186,   715,   716,   717,  1193,
     826,  1056,   728,  1195,  3253,   828,   829,   719,   720,   721,
    2107,    78,  3113,  2108,  1583,   729,  1584,  2268,  1585,  1586,
    1587,  1588,  1589,  1729,   723,  1162,  1399,  1400,  3114,  1402,
      82,  1403,   412,  3952,  2075,  1441,  2805,  2093,  2094
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      81,  1132,  1599,  1319,  1668,  2034,   367,  1113,  1013,   410,
     357,   358,   360,  1133,  2084,   410,   362,  2038,  2044,  1122,
    1674,  1062,   725,  1354,   824,  1621,  1897,   920,  1013,  2462,
     932,  1741,   731,  3077,  1232,  1380,  1831,  1448,  1449,  1450,
    2687,  2112,  2835,  1454,   915,  1392,  1098,  2317,  3540,  1854,
    1923,  2524,  2679,  1884,  2152,  3122,  3124,  2801,   825,  1353,
    1377,  2174,  2175,  1170,  3029,  2201,  1021,  1417,   878,   824,
    2532,  2647,  2739,  1613,   972,  3986,   411,  1232,  1034,  3417,
    2190,  2541,   411,   934,  2688,  3037,  3435,   680,  2555,  1977,
    3839,  3824,  3841,   367,  4043,  1095,  2599,   712,   874,  1997,
    4226,  3057,  3807,   825,  1063,  1965,   409,  2331,  2025,  1970,
    2891,  3335,   409,   261,  1974,   411,  1124,  3738,  1116,  1174,
    4004,  1980,  2382,  2384,  2385,   987,  1125,  3955,  3526,  3683,
    4483,  1999,  4263,  2793,  1232,   712,  1724,   824,  3278,  2609,
    3941,  2613,  2614,  1848,  4184,   409,  1726,  4029,  4297,  1863,
    4441,   926,  1412,  3941,  2073,  4257,   924,   931,  1889,  2317,
     411,  1354,  1084,  3681,  3682,  4491,   931,  1050,  4475,  3623,
    4201,   825,  2517,  2531,  1791,   827,  2440,  1092,  2074,  2069,
    3754,  1010,  2754,  4622,  2743,  1661,  2099,  2376,  2376,  3096,
     409,  1694,  1664,  3374,  1702,  1703,  4231,  1606,  2167,  2168,
    4752,  1010,  4199,  1165,  4123,   931,  1059,  4158,  2275,  3749,
    1401,   418,  4948,   884,  1059,  4469,  1059,  4820,   831,  4822,
     827,  2625,  1715,  2221,  2187,    45,  4482,  3121,   411,  3112,
    1996,  2542,  2227,  3116,  3960,  3961,  3962,  3963,  3964,  3965,
    2318,  3580,  1767,   414,  2026,  1716,  1187,    37,    38,    39,
      40,  3357,  4944,  2026,    44,   418,  1819,  2230,   409,  4848,
    1348,  2026,  3580,   831,   875, -1948, -1948, -1948, -1948,  2736,
    2620,  1103, -1948,  2328,  3430,  4034,  2534,  2968,    79,   270,
     418,  2132,  2846,    37,    38,    39,    40,  2232,   827,    43,
      44,  1486,  1717,  2968,    45,  2534, -1609, -1609, -1609, -1609,
    2218,   367,  4021, -1609,  3743,   357,   358,   360,  -395,  1058,
    2963,   362,   410,  4352,   418,  3803,   681,  1058,  1918,  1058,
    1894,  4405, -1614, -1614, -1614, -1614,   271,  3992,    45, -1614,
    4620,   831, -1624, -1624, -1624, -1624,  1258,  1480,  2534, -1624,
    3538,   272,  2076,  3145,  1768,  3674,  2607,   410,  3494,  3062,
    3496,  5135,  1603,   273,  2298,  1437, -1609,  4874,  2706,   293,
    4897, -1624, -1624, -1624, -1624,   130,   131,  2534, -1624,   313,
    3021, -2682, -2682, -2682, -2682,  3157,  1897,  2534, -2682,   411,
    2456,  3010, -1614, -1840,  2534,  1912, -2682,  4950,  5007,  3676,
   -1840,  2465,  2219,  2299,  3388, -1614, -1614, -1614, -1614,  2847,
    3753, -2103, -1614,   418,  3674,  1592,  3003,  1209,   261,   409,
    3185,  2227,    43,  3004,   411,  3146,   318,    45,  3557,  2266,
    1161,  2928, -2683, -2683, -2683, -2683,  1259,  2737,  3063, -2683,
    3158,    37,    38,    39,    40,  2928,  2230, -2683,    44, -2680,
   -2680, -2680, -2680,  4625,   409,   334, -2680,  1464,  3676, -1856,
    4629,  2458,  2468,  2045, -2680,  2086, -1856,  4978,  4875,  1232,
    1189,  2707,  3170,  2319,   338,  4353,  2232,  1260,  2026,  2459,
     935,  2201,  1133,   356,  1895,  3993,  1354,     3,  1758,  4936,
   -2679, -2679, -2679, -2679,  2174,  2175,  3012, -2679,  1310,  2554,
    1632,  2190,  1633,   361,  3385, -2679,  2027,  3059,  3808,  1354,
    3980, -2275, -2275, -2275, -2275,  2027,  2543,  3011, -2275,  2262,
     920,   372,  2062,  2027,  5136,  2867, -2275,  1261,  2544, -1581,
   -1581, -1581, -1581,   841,  4298,   417, -1581,  2130, -1594, -1594,
   -1594, -1594,   837,  1961,   838, -1594,  2679,  1175,  4951,  3804,
    5111,  1365,  2142,  2626,  2654,  1438,  5024,   682,  2133,  5133,
    3358,  2309,  2310,  2658,  1104,  2153,  1705,  1708,  1168,  1169,
    3129, -1621, -1621, -1621, -1621,   842,  1354,  3207, -1621,  2545,
      37,    38,    39,    40,   270,  1159,  2848,    44,  2738,  4687,
    1759,  4311,    37,    38,    39,    40,  3273,  2088,  2969,    44,
      37,    38,    39,    40,  2849,  4035,  1737,    44,  2460,  4250,
    2133,  2222,  2156,  1769,  3643,   246,   418,  3941, -2103,    37,
      38,    39,    40,  4722,  -141,    43,    44,  1486,  1717,  2621,
      45,   271,  5215,  -141,  1453,  5087,  4754,  1453,  -141,  2608,
    2167,  2168,  2064,  2068,   926,  1962,   272,  2317,  2187,   924,
    1166,  2036,  4267,  1007,  1008,  2595,  1711,  2597,   273,  4078,
    2293,  2650,  3066,  2251,   293,  2306,  2306,  3740,  3884,  2646,
    1210,  2276,  3592,  2604,   313,  4768,  4748,  4571,  4288,  1219,
    1896,  4575, -2103, -1945,  4464,  4315,  2503,  1825,  4201,  4455,
    3589,  3590,  3591,  3592,  2317,   931,   931, -2103,  3036,  1167,
    3388,  1354,  2894,  2677,  2461, -1840,  3580,  1437,  1626,  1354,
    1354,  1626,  1627, -1948,  4607,  1627,  2823,  3808,  2797,  4523,
    4565,   318,  1718,  1719,  2162,  1437,  5147,  1767,  3005,   936,
    2027,  1202,  3773,  4548,  1760,  2567,  1868,  2288,  4630,  2399,
    1634,  1465,  2363,  1161, -1609,  2469,  2196,  3171,  1246,  2364,
     334,  1311, -1399,   824,  2830,  1113,  1007,  1008,  2836,  3756,
    2838,  3757,  1418,  2841,  3376,  2520,  2197,  1761,  4988,   338,
   -1614, -1856,  3981,  2831,  1869,  2196,  1305,  3301,   356,   937,
    2198,   410,  2842,  2670,  2671,  5128,  1176,   825,  1669,  3208,
    4711,  4712,  4713,  4714,  4715,  2197,  1762,  2162,   361,  4217,
    1488,  4840,  4415,  3580,  1366,  1295,  2036,  1174,  4850,  2200,
     938,  4854,   939,  1905,  2832,  1350,   372,   839,  4400, -2682,
    4000,  5112,  1704,  3183,  2505,  1068, -1399,  1962,  1119,  1768,
    4248, -1402,  2511,  1363,  3029,  3029,  3029,  4992,  4993,  2248,
    2249,  2250,  2251, -1614,   411,  1692,  1693,  1419,   411,  1425,
    5191,  1430,  1198,  3274,  1763,  2806,  2069,  1434,  3708,  2813,
    4327,  1198,   680,  4934,  5178,  2816,   832,  1626,   680,  3256,
   -2683,  1627,  1683,  1124,   409,  1615,   833,  3714,   409,   680,
    1425,  1430,  3136,  1125,  1410,  4437,  2585, -2680,  3582,  2588,
    2589,  3098,  1001,  3098,  5025,  1198,  3917,  2918,  2919,  3920,
    3921,  3580,  2827,  3924,  1178, -1402,  3266,   680,   122,  3927,
    1455,   680,  1002,  3224,  2888,  2890,  2517,  1411,  1069,  3257,
   -2410,   367,   680,  3719,  2036,  2898,   126,  1870, -2679,  2902,
    2683, -2053,  1119,  1651,  1424,  4809,  1429,  2914,  2915,  2574,
    1161,  1351,   931,  5046,  3922,  3923,  1443,   831,   680, -2275,
    2932,  2934,  1198,  5165,  1413,  2263,  4234,  2655,  4328,  4963,
    4494,  2948,  1198,   680,  3581,  1458,  1460,  2173,   680,   977,
    1590,  3377,  1476, -1399,   730,   834,  2179,  5192,   680,  1445,
    1455,  3082,  1037,    81,   418,  3582,  4263,    37,    38,    39,
      40,  1406,   680,    43,    44,   931,  1126,  1147,    45,  3674,
    2599,  3674,  3409,  3258,  1988,  1001,  1795,  3198,  3527, -1621,
    1672,  3686,  1438,  1232,  2985,  1871,  1707,  2804,  2224,  1437,
    3939,  4438,  1423,  3471,  1428,  1002,  1652,  3862,  2746,  1753,
    2264,  5026,  1602,  3939,  1591,  2749,  1610,  1100,  3042,  4300,
    1631,  2833,  1989,  3676,  3583,  3676,  2470,  5054,  1718,  1719,
    1596,  1001, -1402,  1457,  1459,  1148,  -141,  -141,  2684,  4813,
    1038,  2839,  2840,  2219,  4817,  1146,  1906,  4819,  2828, -1399,
    5127,  1002,   879,  1127,  1637,  4810,  3184,  5152,  1198,  3529,
    3199,  5060,  1616, -2684,  1059,  1161,   680,   712,  1059,  5050,
   -2085,  3267,  1773,  2470,  1222,  1223,  1224,  2829,  1225,  1226,
    1227,  1228,  1229,  1230,  4788,   835, -1399,   411,  3674, -1399,
   -2410,  1684,  2456,  4041,  1198,  4211,  1488,  4911,  4043,  3580,
    2774, -2053,  3587,  3588,  3589,  3590,  3591,  3592,  2457,  3863,
    4263,  2785,  1147,  4615,  -799,  1446,  5166,   409,  3711,  4322,
    2986,  3198,  4964,  2792,  2987,  3126,  1617,  3259, -1402,  1150,
    4642,  2052,  3676,  1339,  1426,  2782,  4745,  3966,  1431,  1432,
    1433,  1476,  2928,  2928,  3410,  4912,  1117,  2928,  1444, -2410,
    2338,  4083,  4913,  1417,   680,   680,  3198,  5205,  2730,  4301,
   -2053,  4466,  2988,  2458,  4191, -1402,  1873,  1058, -1402,  2053,
    1148,  1058,  1874,  1149,  4870,  1990,  5207,   215,  3849,  4914,
    3969,  2459,  4858,  3528,   363,  5167,  1438,  2928,  2928,  1171,
    5129,  1050,  1858,  3850,  3199,  3584,  3585,  3586,  2747,  3587,
    3588,  3589,  3590,  3591,  3592,  1118,  2471,   223,  5168,  1232,
    2464,  3202,  4986,  1039,  1040,  2226,  4878,  4323,  2227,  5177,
    1332,  5189,  3411,  5179,  5134,  2019,  1745,  1755,  2685,  3199,
    1059,  1059,  3392,  4192,  3045,  2731,  3755,  2465,  2809,  2339,
    2512,    79,  3129,  2230,  4727,   233,  2012,  1128,  5052,  2231,
    1333,  4915,  4045,  3864,  3530,   886,  1198,  4606,   236,  3200,
   -2085,  4193,  4302,  1991,  1150,  4303,  -618,  1198,  1875,  5214,
    2746,   363,  1119,  2232,  2661,  2020,  4194,  4851,  3076,  1334,
     881,  3582,  2989,  2921,  2472,  4975,  3865,  2036,  4195,  4084,
    1960,  1340,  3201,  1488,  3083,  5206,  3580,  3587,  3588,  3589,
    3590,  3591,  3592,  5229,  4217,  1113,  3127,  4324,  3128,  4591,
    2460,  4196,  2662,  4720,  4755,  3866,  4809,  5099,  3973, -2085,
    5002,  2474,  2054,  1335,  2379,  2513,  4756,  1198,  1035,  4046,
    4814,  2475,  3320,  1058,  1058,  4584,   367,  2090,  3321,  2092,
    3583,  2414,  2096,  4958,  2098,  3202,  1341,  2101,  2102,  2103,
    4728,  4467,  1112,  1133,  3153,  3974,  5030,  1232,  4511,  2554,
    2110,  5091,  5092,  1151,  3825,  2021,   680,  3211,  1724,  3975,
    2466, -1581,  4859,  2135,  4902,  2136,  3329,  5100,  1726,  2234,
    3202,   680,  3293,  1152,  4919,    81,    81,  4197,    81,  1120,
    4923,  2380,  2332,  2333,  2324,  2337,  1198,  4594,  3941,  3491,
    2235,  2236,  1125,  1125,   680,  1125,  2461,  4263,  3346,  -963,
    2055,  3492,  1876,  3497,  1874,  2022,  2732,  4916,  1697,  5005,
    2383,  3223,  3101,  5010,  5011,  1027,  3796,   130,   131,  2733,
    4074,  4939,   898,  2036,  3322,  4379,  1001,  1727,  3293,  4940,
     680,  4382,  4383,  2341, -1581,  1877,  2239,  1715,  1837,  2381,
    3517,  3976,  3212,  1960,  1174,   680,  1002,  1406,  2683,  2240,
    4738,  4815,  3379,  4047,  3797,  2663,  3818,  3939,   680,  5031,
    1716,   680,  2476,  1123,  1878, -2104,  3029,  3300,  3582,   363,
    2342,  4757,  1198,  1697,   980,  3440,  3441,  3442,  3443,  2380,
     900,  2019,  4989,  4463,  1838,  4094,  2023,  3448,  1809,  3313,
    3715,  2711,  4995,   981,  3674,  2477,  3487,  4240,  3674,  1452,
    1875,  1198, -2684, -2684,  1150,  3587,  3588,  3589,  3590,  3591,
    3592,  5197,  1036,  4048,   824,  1147,    37,    38,    39,    40,
    3352,  1616,  1672,    44,  5032,   982,  1992,  3583,  2599,  1198,
    1198,  2808,  1198,  1150,  4251,  3826,  2227,  2381,  3676,   418,
    2280,  2281,  3676,  2664,  2089,  2255,  1993,  2091,   825,  2844,
    2095,  1198,  2097,    45,  1258,  2100,  1405,   418,  4067,  2104,
    3827,  2230,  4900,  1839,  2344,  2712,    35,   824,  3323,  3885,
    1657,   980,  3189,  1148,    41,    42,  2684,   712,   712,  1453,
    1258,  3220,  5045,  4941,  2267,  1617,   680, -1581,  2036,  2296,
     981,  2232,   410,   410,   680,   680,    37,    38,    39,    40,
    1476,  3324,  1828,    44,  1198,   411,  3302,  3798,  4499,  2534,
    4500,  1840,  4270,  1841,  3305,  2345,  3307,  2535,   907,  3555,
     908,  2021,   982,  2598,  2246,  2247,  2248,  2249,  2250,  2251,
    3325,  1150,   824,  1198,   418,   409,  1750,  1198,  1198,  1659,
    1067,  1001,   410,  1978,  1259,  2396,  1232,  3286,  2388,  2418,
    4949,  2389,  1843,    79,    79, -2104,    79,  4043,   411,   411,
     411,  1002,  2282,  3392,  2498,  2316,   825,  1150,  3607,  1751,
    1259,  2022,  1697,   208,  4780,  5180,   192,  1809,  2861,   680,
   -2131,  4999,   712,  3157,   205,  1260,  4271,  1851,   409,   409,
     409,  1845,  1994,  2538,  2708,  3799,  4996,  3287,  1752,  3632,
    4252,  1093,  3587,  3588,  3589,  3590,  3591,  3592,   831,   411,
     215,  1260,  2606,  2740, -2104,  4022,   411,  1960,  4026,  5132,
    1852,  3110,  2976,   411,  2977,  2283,  1847,  1830,  2572,  4253,
    1059,  -163,  4525,  3779,  4526,  1261,  1828,  2218,  3776,   409,
     223,  4272,  2390,  4273,  2539,  3531,   409,  2978,  4254,  3288,
    2590,  3466,  2023,   409, -1581,  3768,  -163,   215,  2036,  2602,
    2556,  1261,  5173,  1059,  3397, -1581,  2685,  2173, -1581,  1745,
   -1581,  1960,  1753,  3819,  4836,  4700,  4838,  2227,   233,  3882,
    4701,   205,   983,  2316,  3326,  1834,  2686,   223,  1106,  2928,
    2573,   236,  2928,  2928,  2928,  2928,  2928,  2928,  2928,  2928,
    2928,  2928,  2230,  1960,  4730,  2382,  4313,   215,  1612,  2557,
    3795,  2558,  4737,  3398,  3532,  1853,    80,  3327,  1835,  4435,
     841,  1354,  2928,  4702,  4747,   233,   831,   984,  4633,  4634,
    1753,  5064,  2232,  1058,  2227,   882,  3820,   223,   236,  3368,
    5094,  3289,  3883,  2979,  1755,  2554,  3328,  1755,  2980,   824,
    1115,  2928,  2928,  2981,  4731,  2227,  3519,  3481,  1354,  2230,
     680,  1883,   842,  4527,  4626,  -163,  1058,  1697,  1864,  4314,
   -2131,  3674,  1697,  1697,  5181,   233,  3674,  2591,  1064,  2592,
    1960,  3674,  4436,   825,  3674,  2769,  4685,  4686,   236,  2232,
    -163,  3687,  3399,  3400,  3505,  4732,  1755,  2659,  2450,  2676,
    1755,  1865,  1129,   679,  4270,  1866,  3401,  3787,  2451,  4285,
    2232,    37,    38,    39,    40,  3676,  1136,  1960,    44,   841,
    3676,  3052,  3674,  2452,   246,  3676,  3237,  4627,  3676, -2131,
    1867,  4268,  4077,  1133,  5154,    37,    38,    39,    40,  4107,
     411,  4108,    44,  2864,  3290,  1960,  5027,  3239,  2391,  2392,
    2534, -2474,  3291,  3402,  2660,  3292,  1962,  2341,  2540, -2684,
     680,   842,   841,  3330,  1753,  3689,  3676,   925,  3690,  3691,
     409,  4078,  2982,   943,  2410,  2412,   680,  3238,  4271,  3692,
    3693,  3694,  2983,  3695,  3696,  2851,  3029,   367,  3697,  3698,
    3699,  3029,  3331,  3809,  2342,  2811,  3029,  2812,  3240,  1026,
    2693,  2814,  1198,  2815,   842,  1742,  2817,     8,  1960,  4595,
    2818,  1198,  3709,   680,   680,  3829,  2235,  2236,  4413,  4005,
    1413,  3036,  4192,  1657,   680,  2863,  1608,  3634,  4014,  3635,
    1171,  1697,  4873,  4272,  3388,  4273,   680,   680,  1743,  1697,
    3403,  3744,  3404,   831,  5223,    81,  2343,  2286,    81,   367,
    4193,  2886,  3636,  2857,  2858,  2859,  2196,  2453,   680,  2860,
    4109,   898,  2239,  2306,  1177,  4577,  3674,  1744,  4289,  1657,
    4110,  3059,  3649, -1446,  1658,  2590,  2197,  4195, -1446,   363,
    1112,  4299,  4304,  5075,    37,    38,    39,    40,  2344,  3812,
    2198,    44,  1659,  1697,  4086,    35,  1697,  1697,  1198,    37,
      38,    39,    40,    41,    42,  1139,    44,  1354,  2196,  5076,
    3676,  4316,  4125,  4126,  2196,  4706,   824,  1626,  2079,   900,
    2080,  1627,  3674,  4073,  4924,  1140,  -521,  2070,  2197,  1660,
    3700,  2071,  1332,  3509,  2197,  1141,  1198,  1198,  1659,  2345,
    3332,  3036, -1446,  4707,  1198,   898,  1232,  1198,  2200,  2640,
     825,  1198,  4925,  3637,  3874,  3855,  2912,  2547,  3638,  1198,
    1198,  3068,  1333,  4090,  1697,  1205,  3676,  1198,  4104,  3333,
    1198,  1198,  1198,  1198,  1188,  1660,  4197,  2928,  4517, -1446,
    1198,  1198,  2641,  1198,  1747,  1198,  1198,  1242,  3982,  1198,
    4879,  4002,  4124,  2246,  2247,  2248,  2249,  2250,  2251,  2903,
    3765,  3766,  2591,   900,  2592,  1960,  1198,   411,   208,  4608,
    1123,  1198,  1243,  1203,  4544,  1198,  2434,  1748,   891,  1198,
    3720,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,
    1217,  1198,   410,  2576,  1142,  1335,  1256,   409,  1354,  4543,
    2059,  1198,  1198,  3147,  2271,  3150,  1749,  2272,  5151,  2435,
    2246,  2247,  2248,  2249,  2250,  2251,    35,   907,  3939,   908,
    2060,   843,  3701,  1637,    41,    42,  2904,  2966,  1218,  4473,
    4764,  3471,  3674,  4089,  3786,  4354,  3859,  3639,  2436,  -418,
     883,  3423,   913,  4920,  3085,   940,   410,  3640,   410,  3392,
   -1411,  4855,  4370,  2070,   974,  4355,  1143,  2800,   898,   411,
    3141,  1312, -1411,  1313,  1198,    35,   418, -1411,  3702,  3860,
     831,  2105,  4371,    41,    42,  3552,  3676,  -957,  1117,  2803,
      45,  2642,  4871,    79,  2905,  1248,    79,  2906,   824,   409,
   -1447,  2185,  2186,  2643,  2106, -1447,  4131,  3286,  3861,  2596,
    1299,   907,  2610,   908,  1065,  4191,  3877,  2372,  2373, -1411,
    4265,  4266,  3206,   411,  3553,   411,   900,  2644,  3554,  2928,
    2928,  1257,   825,  3674,  1144,  5227,  1978,  1944,  5228,   418,
     215, -1411,  4945,  1832,  1302,   680,  2556,  1118,  4697,  2556,
    4699,  1304,  -418,   409,  4703,   409,  4704,  3287,  1881,    43,
    1885,  1161,   215,    81,    45,    81,  2639,  3436,  1320, -1447,
     223,  1960,  3703,  3209,  1307,  1960,  1960,  3676, -1411,  2352,
      37,    38,    39,    40,  4192,   680, -1411,    44,  2907,   411,
     680,    45,   223,   680,  1327,  2557,  3445,  2558,  2557,  3284,
    2558,  3446,  3998,  2556,  3424,  1337, -1447,   824,   233,  3288,
    2556,   824,  4193,  -520,  1119,   680,    35,  1343,  1198,   409,
     925,   236,  1897,  1648,    41,    42, -1399,  4194,  3760,  1198,
     233,  2554,  3956,  2173,  2554,  2441,  1198,  3446,   192,  4195,
    1336,   825,  1354,  1338,  1354,   825,  4247,  1346,  3991,  2316,
    3994,  2173,  2557,  2441,  2558,   418,   680,   246,  1179,  2557,
    2954,  2558,  4196,  2957,   907,  4207,   908,  1059,  2372,  3094,
    1180,  1181,  1360,   680,   680,   910,  1364,  4388,  3983,   246,
    3985,  1960,  5003,  1372,   363,  4416,   912,  2908,  2554,  1978,
    1182,  1378,   831,  1183,  3606,  2554,  3608,  3609,   411,   680,
    2139,  3289,   411, -1411,  4409,  4410,  4411,  1354,  3720,  3275,
    1373,  4212,  4213,  4214,  4781,  4782,  4783,  4784,  4389,   215,
    1315,  3720,  1316,  2159,  1059,   246,   680,  3294,   409,  1387,
     680,  1120,   409,  1626,  1393, -1948,  4091,  1627,  4197,  2322,
    3425,  2323,  4390,  4038,  3722,  3723,  2556,  2577,   680,   223,
    2580,  2325,   975,  2326,   824,  3437,  2160,  4391,  2173,   680,
    1745,  4392,  3263,  4085,  1626,  3073,  3074,  1648,  1627,  2762,
    1058,  2763,   680, -1470, -1470,  2317,  2177,  1408,  4894,  3426,
    1447,  4393,   680,  3294,  4394,  2146,  2147,   233,   825,  2802,
      45,  2803,  3881,  1451,  1461,  2557,  4395,  2558,  1467,  2629,
     236,   831,  3036,  2636,  3290,   831,  2204,  1184,  1468,  2824,
    1488,  2825,  3291,  3580,  2826,  3292,  2825,  1473,  1475,  1697,
    2216,  2854,  3058,  2855,  3059,  1474,  1198,  1058,  1960,  2556,
    4151,  2554,  1476,  3217,  4832,  3218,   246, -1190,  1477,  1727,
   -1190,    79,  1478,    79,  1185,   411,  1479,  4504,  4505,  4506,
    3886,  3294,  1483,  1482,    35,   418,  3294,  1485,    37,    38,
      39,    40,    41,    42,    43,    44,  1297,  3914,  1611,    45,
    4375,  3280,  1618,  3281,  4396,   409,  1619,  3380,  2557,  3381,
    2558,  2173,  4397,  2441,  1113,  1614,  1620,  2556,  3294,  4290,
    1190,  3393,  1638,  3394,  4317,  1625,  3460,  4764,  3461,  1212,
    1645,  1646,  2928,  1960,  2556,  3407,   680,  3966,  3511,  1648,
    2825,  2928,  1649,  3967,  2554,  1655,  5157,  4398,  1670,  1123,
    1123,  1671,  1123,  3968,  1355,   943,  2556,  5162,  2928,  2928,
    3551,  2556,  2803,  1300,  1488,  1675,  2557,  3580,  2558,    37,
      38,    39,    40,   680,  1677,  3561,    44,  2803,   831,  1681,
    3969,  1198,  3970,  2557,  4152,  2558,  3565,  1685,  2803,    80,
    1682,  1686,  4492,  2290,    37,    38,    39,    40,  3569,  1690,
    2803,    44,  2554,  1161,  3570,  2557,  2803,  2558,  1699,  5200,
    2557,  3657,  2558,  3658,  3662,  3663,  3664,  1687,  1698,  2554,
    1358,   680,  1701,  1688,  1113,  3582,    74,  3596,  1731,  2803,
    1368,  1730,  3612,  1960,  2803,  3617,   824,  3618,  3659,  1689,
    3660,  2554,   824,  1697,   680,  1739,  2554,  1463,  1198,  1745,
    3842,  1697,  3843,  1697,  1198,  3847,  3971,  3848,  4032,  4532,
    4033,  4095,  4132,  2803,  4133,  1691,    37,    38,    39,    40,
     825,  1198,  1198,    44,  4419,  1733,   825,  1198,  1481,  4142,
    1934,  4143,  2226,  1766,  3583,  2227,  4154,  1593,  2803,  1771,
    2571,  1605,  1355,  1607,    37,    38,    39,    40,  4232,  4421,
    4233,    44,  1198,  1198,  2291,  1798,  4236,  1198,  4237,  4246,
    2230,  3128,  4269,  3972,  2825,  4402,  2231,  4403,  3973,  1198,
    1198,  1198,  1198, -1585, -1585, -1585, -1585,   411,  1833,  4465,
   -1585,  2825,  1198,   411,  4549,  1198,  2855,  1198,  1797,  4610,
    2232,  3128,  2927, -1592, -1592, -1592, -1592,  1198,  1198,  3582,
   -1592,  1198,  1654,  1793,  1656,  3974,  2950,   409,  4673,  4674,
    4617,  4676,  4618,   409,  1198,  4694,  1198,  2651,   367,  3975,
    1198,  4423,  2857,  2858,  2859,  4623,  1825,  2825,  2860,  1827,
     679,   679,  4624,  1828,  2825,  1728,  4690,  3613,  4691,  1198,
    4749,  1012,  4750,  3620,  2928,  4576,  4790,  4579,  4791,  1198,
    1836,  4473,  1198,  1198,  1198,  3720,  1859,  4792,  3583,  2803,
    4800,  1012,  2855,  4407,  4408,  4409,  4410,  4411, -1583, -1583,
   -1583, -1583,   680,  4709,  1860, -1583,  1198,  1882,  1872,  4735,
     831,  4856,  2696,  4857,  1886,  4921,   831,  2825,  4946,  1198,
    4947,  4959,  2233,  2855,  1198,  1891,  2234,  4451,  4452,  1892,
    1198,  3976,  4967,  1893,  4968,  3584,  3585,  3586,  1198,  3587,
    3588,  3589,  3590,  3591,  3592,  1898,  1900,  2235,  2236,  4407,
    4408,  4409,  4410,  4411,  4972,  1902,  3059,  4412,  4977,  1904,
    4012,  1741,  1908,  1914,  2237, -1586, -1586, -1586, -1586,  4979,
    1916,  4012, -1586,  1697,  4507,  2768,  1960,  1909,  5021,  1960,
    5022,  1960,  5053,  5058,  2285,  5059,  1960,  1919,   680,  1488,
    1921,  1924,  3580,  2239,  1753,  1966,  1962,  1692,  1693,  5069,
    1969,  2855,   677,   680,   680,  5070,  2240,  3618,  5071,  1198,
    2803,  1971,  1982,   824,   824,   824, -1584, -1584, -1584, -1584,
    5081,  1981,  3059, -1584,  1901,  5083,  -184,  4012,  2804,  5098,
     680,  2855,  5104,   680,  2855,  1907,  1960,  5105,  5119,  2855,
    5120,  5148,  5195,  3059,  4012,  1984,  1986,   825,   825,   825,
    5225,  5236,  5226,  5226,  1998,   363,  2000,  2006,  2008,  3584,
    3585,  3586,  2016,  3587,  3588,  3589,  3590,  3591,  3592,   859,
    2024,  2029,  2031,  2030,  2032,  2033,  1960,  2035,  2036,  2043,
    1014,  2046,  2047,  2048,  2242,  2049,  2051,  1355,  2056,  2057,
    2058,    80,    80,  2063,    80,  2010,  2077,  2111,  2141,  2148,
    1014,  2157,  2144,  2150,   411,   411,   411,  2151,  2158,  2166,
    1355,  2169,  2170,  2258,  2171,  2172,  2176,   363,   246,  2178,
    2181,  2182,  2183,  2184,  2189,  2191,  2192,  2256,   680,  2193,
    2194,  2195,  2260,  2202,   409,   409,   409,  1960,  2203,  1960,
     680,  2205,  2206,  2207,  1488,  2208,  2209,  3580,  2210,   680,
    2263,  4883,  2211,  2289,  2212,  2137,  4889,  4891,  2285,  2301,
    1437,   824,  2330,  2321,  4550,  1660,  2311,  4168,  1658,  2359,
    2361,  2369,  2964,  2371,  3582,  1150,  2378,  1355, -2684, -2684,
    1697,  2246,  2247,  2248,  2249,  2250,  2251,  4600,  2386,  2393,
    2395,  4825,  2397,  2406,  1960,   825,  2405,  2408,  2413,  2415,
    2437, -2626,  2417,  2438,  2473,  2439,  2441,   831,   831,   831,
    2974,  2444,  2442,   680,  2443,  2445,  2446,   920,  1488,  1960,
    2467,  3580,  4053,  2479,  2500,  2504,  2506,  2508,  4639,  2507,
    2509,  2525,  2510,  3583,  2526,  2527,  2537,  2547,  4551,  3933,
    1960,  2548,  2550,  2553,  2551,  2552,  2554,  2560,  2561,  2564,
    2220,  2562,   411,  1960,  4017,  2563,  2568,  2569,  2575,  2586,
    2225,  1232,  2578,  4028,  2582,  2583,  2593,   680,  1809,   680,
    2594,  2600,  1113,  2265,  2601,  2611,  2605,  2612,  2622,  4670,
    2623,   680,   409,   680,  4052,  2624,  4696,  2627,  1113,  2628,
    2652,  2634,  2638,  2653,  2665,  2667,  2668,  2680,  4971,  2678,
    2162,  2173,  1355,  2179,  2681,  2295,  2297,  2694,  4971,  2697,
    1355,  1355,  2693,  2698,  2701,  2702,   893,  1960,  2709,  2705,
    4723,  1853,  2724,  2744,  4824,  2729,  2745,  2752,  2755,  3582,
    1354,  4829,   680,  1960,  2757,  4173,  4174,  4175,  4176,  2758,
    2759,  2765,   363,  5023,  2776,  2820,  1960,  2778,  4880,   931,
    2780,  2794,  2779,  2781,  2795,   831,  4835,  2837,  2821,  2843,
    2852,  5006,   680,  2893,  5017,  2936,  5009,  2937,  2227,  2866,
    2899,  2949,  2894,  2955,  2960,  2973,  1198,  2967,  5013,   680,
    5015,  2990,  2959,   824,  2992,  3007,  3021,  3008,  3583,  3039,
    3041,  3038,  3049,  3050,  1118,   679,   680,  4961,  3044,   680,
    3046,  3070,  3069,  3582,  3584,  3585,  3586,  3061,  3587,  3588,
    3589,  3590,  3591,  3592,  3060,  1198,  3071,   825,  1960,  3072,
    3080,  3100,  3103,  2275,  3117,  1198,  3118,  3130,  3131,  3102,
    3120,  1198,  3132,  1198,  3143,  3148,  3153,  3151,  1960,  1198,
    3162,  3167,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,
    1198,  1198,  3155,  3156,  3172,  1198,  1198,  3173,  3175,  3182,
    3178,  5082,  3583,  1960,  3186,  3194,  3197,  1608,  1198,  3210,
    3215,  1612,  1198,  3265,   411,  3270,  1198,  3271,  3225,  3295,
    4883,  3279,  3282,  3283,  3334,  3337,  1198,  3348,  3355,  1198,
    3360,  1198,  3356,  3359,  3361,  3363,  3365,  3364,  2870,  1960,
    1198,  1198,  1198,  3367,   409,  3366,  1198,  3373,  3375,  1198,
    3384,  3389,  3390,  3382,  3387,  3388,  3395,  3415,  1697,  3429,
    3431,  3444,  3438,  1198,  3452,  1198,  3454,  3447,  3453,  3455,
    3463,  1697,  3465,  3468,  4137,  3480,  3483,  1198,  3484,  3485,
    4935,  3486,  3488,  1198,  1198,  2871,  4966,  2603,  3489,  3498,
    3501,  3504,  3503,  2927,  2927,  3513,  3514,  3515,  2927,  3584,
    3585,  3586,  3516,  3587,  3588,  3589,  3590,  3591,  3592,  3525,
    2867,  5074,  3533,  4337,  2872,  3536,  3059,   831,  2064,  3539,
    3518,  4843,  3541,  1453,  3544,  3545,  4860,  3547,  1198,  3548,
    3567,  3549,  3563,  3564,  1198,  2873,  3566,  3568,  2927,  2927,
    1198,  2803,  3602,  3614,  3571,  3572,  2874,  3574,  3633,  3577,
     824,  3595,  3628,  3601,  2673,   824,  1960,   824,  3603,  3685,
    3648,  3655,  3604,  4865,  3641,  3386,  2875,  3611,  3626,  3627,
    3679,  2876,  1198,  3584,  3585,  3586,  1354,  3587,  3588,  3589,
    3590,  3591,  3592,  3684,   825, -1003,  3730,  3727,  3736,   825,
    3651,   825,  3732,  3742,  3764,  1232,  5201,  3758,  3653,  3654,
    3748,  3767,  3769,   680,  3770,  3781,  3778,  3783,  3790,  3751,
    3805,  3746,  3806,  3817,  3747,  3752,  3774,  2877,  2720,    74,
    3816,  2070,  3775,  1697,  3821,  3822,  3720,  3831,  3833,  3846,
    3872,  3873,  3876,  3878,  3473,  3879,   824,  1232,  2878,  3880,
    1012,   411,  1012,  3889,  1012,  3887,   411,  1960,   411,  3888,
    1012,  1435,  1436,  1774,  3890,  3891,  3894,  3892,  3905,  3893,
    3897,  3895,  3896,  3898,  3899,  3900,  3902,  3907,  3909,  3901,
     825,   409,  2620,  1012,  1012,  3911,   409,  3919,   409,  3913,
    3925,  3926,  3929,  3944,  3945,  1775,  2389,  3957,  2226,  3953,
     680,  2227,  3999,   680,  3958,  3990,  3989,  3996,   859,  4001,
    4003,    80,  4012,  4011,    80,  4020,  3263,  4023,  4312,  4018,
    4027,  4024,  4050,  4069,  4059,  4030,  2230,  4061,  4070,  4080,
    2766,  4071,  2231,  4072,  4075,  2879,  4081,   411,  4082,  2772,
    4093,  2880,  4098,  3598,  3580,  3597,  2221,  2881,  4156,  2159,
    3534,  1776,  1119,  4182,   831,  4128,  2232,  4129,  4130,   831,
    4144,   831,  4209,  4228,  4136,  4157,  4169,   409,  4165,  4204,
    4249,  4256,  4206,  4220,  4218,  4481,  2882,  1198,  2883,  4190,
    4242,  4277,  4279,  1777,  4280,  4225,  4219,  4291,  4293,  4292,
    4221,  4305,  4224,  4294,  4318,  2884,  4319,  4387,  4320,  4321,
     680,   680,  4331,  4296,  1960,  4333,  1012,   680,  4332,  4344,
    4345,  4334,  3474,  4335,  4336,  4351,  4369,  4052,  3631,  1778,
    2885,  4367,  2911,  4300,  5093,  1720,  1212,  4378,  4372,  4380,
    4381,  4404,  4439,  4406,  4431,  4442,  4710,  4449,  4042,  2825,
     831,  1960,  1198,  1198,  4447,  4454,  4459,  4476,  1133,  1779,
    4462,  4478,  4458,  4461,  4493,  4479,  4490,  4489, -2684,  1014,
    4495,  1014,  2234,  1014,  4503,  4508,  4510,  4512,  4497,  1014,
    4513,  1012,  4514,  4515,  4524,  4516,  4533,  4534,  4613,  4535,
    4536,  4521,  4572,  2235,  2236,  4573,   680,  4529,  4528,  4580,
    4537,  4557,  1014,  1014,  4541,  4568,  4585,  4586,  4567,  2216,
   -2684,  4611,  5090,  4570,  1198,  4583,  4601,  4609,  4612,  4588,
    4589,  4590,  4605,  2974,   208,  1354,  4614,  4619,  3475,  4620,
    4628,  4651,  4650,  4652,  1783,  4643,  4644,  4663,  4672,  2239,
    4677,  1784,  3652,  4708,  4684,  1697,  4716,  4729,  3043,  2519,
    4666,  1198,  2240,  4705,  4724,  4734,  4736,  3668,  1786,  4740,
    4742,  1198,  1198,  4645,  1960,  4751,  1787,  4753,  4759,  1198,
    1198,  4761,  4762,  4770,  1198,  1960,  4778,  4786,  4787,  4789,
    1198,  1198,  4796,  4798,  1198,  4797,  1232,  1198,  4794,  4799,
    4602,  4805,  4811,  4818,  4821,  4877,   363,  4827,  4833,  4837,
    3578,  3579,  4849,  4853,  4852,  3594,  4867,  4862,  1198,  4876,
    4881,  4868,  1198,  4888,  4895,  4898,  3668,  4438,  1788,  1112,
    4903,  4905,  3476,   824,  1198,  1014,  4906,  4909,  4908,  1198,
   -2684,  2391,  2392,  4927,  1198,  4928,  4910,  4929,  4933,   677,
     677,  4931,  4937,  4954,  1725,  3629,  3630,  4938,  4962,  4965,
    4969,   679,  5000,  4974,  5028,  4980,  4984,   825,  4990,  4998,
      81,    74,    74,  5012,    74,  5033,  5037,  1728,  5038,    80,
    5040,    80,  5043,  5048,  5055,  5042,  4718,  1198,  5057,  5056,
    1012,  5062,  5068,  3788,  5085,  5086,  5072,  5063,  5080,  5084,
    1014,  5073,  5097,  5101,  5007,  1960,  5109,  5110,  5118,  5113,
    5115,  5088,  5123,  5124,  5130,  5131,  5107,  5160,  5164,  5146,
    5155,   680,  4170,  5153,   411,  5111,  5172,  5112,  5171,  5176,
    5190,  5204,  5221,  1960,  5224,  5230,  1774,  2246,  2247,  2248,
    2249,  2250,  2251,  1131,  2635,  3433,  1857,   680,  2308,  1796,
    3712,  1856,  1960,  5234,   409,  3269,  3828,  4310,  3347,   680,
    3928,  4384,  5019,  4882,  5108,  4930,  4932,   410,  1775,  4450,
    4918,  4721,   680,  3772,  3512,  5156,  4841,  5199,  1607,  5116,
    2927,  1697,  5114,  2927,  2927,  2927,  2927,  2927,  2927,  2927,
    2927,  2927,  2927,  5170,  3867,  5051,  3869,  3777,  3413,  4446,
    1960,  3414,  4308,  3840,  2721,  3396,  4007,  3177,  5203,  5235,
    5231,  3932,  4907,  4135,  1212,   680,  3954,  5174,  4866,  2704,
    5103,  5161,  4869,  1031,  1776,  4509,  2131,   831,  4985,  4486,
    2143,  4485,  3123,  3759,   411,  5061,  5183,  3908,  5232,  1622,
    2810,  3054,  2927,  2927,  3717,  3055,  4468,  4603,  4238,  3508,
    3718,  3904,  2078,  1644,  1356,  3079,  1777,  2356,  2355,  1198,
    2327,  3726,  3728,  3078,   409,  3741,  2360,  3729,  3473,  4185,
    1198,  4566,  4578,  4976,  4181,  1630,  3918,  5079,  2365,  5078,
    4239,  4148,  4960,  4138,  5149,  1012,  5150,  1774,  5145,  3721,
    1012,  1012,  1778,  3646,  3558,  3644,  4235,  1164,  4051,  1014,
    2018,  3023,  3482,  2761,  3104,  5138,  2377,  1134,  2370,  1404,
    3095,  3111,  1709,  1710,  3108,  3707,  3109,  4244,  1960,  1775,
    4593,  1738,  1779,  3370,  4245,  2374,  4597,  2274,  4223,  1157,
    3510,  3370,  2822,    83,  2138,  2067,  3115,  4604,  1442,     0,
     680,     0,     0,  2226,     0,     0,  2227,     0,    79,     0,
    1780,     0,  1198,     0,     0,     0,  1960,  4834,     0,     0,
       0,  1198,     0,  2228,  2387,     0,  1435,  1436,     0,     0,
       0,  2230,     0,     0,  3225,  1776,     0,  2231,  1198,  1198,
       0,     0,  1198,  1781,     0,  2402,     0,   208,  3439,     0,
       0,  1782,  2409,  2411,     0,  1198,     0,  1783,     0,     0,
    1198,  2232,   363,  4055,  1784,  1198,     0,  1777,  1198,     0,
       0,   363,  1785,  1198,  1198,     0,  3467,     0,     0,     0,
       0,  1786,  1355,     0,     0,     0,     0,     0,   824,  1787,
       0,     0,   363,     0,     0,     0,  3474,     0,     0,     0,
     680,     0,   680,  1778,     0,     0,  1198,     0,     0,  1012,
    2481,     0,     0,     0,     0,     0,     0,  1012,     0,  1355,
       0,     0,   825,     0,     0,     0,     0,     0,     0,     0,
       0,  1799,     0,  1779,     0,  4099,     0,  1800,  1960,   680,
       0,  1788,     0,  2482,     0,     0,     0,     0,  1198,     0,
       0,   370,     0,  1697,  1014,  4105,  2483,   370,     0,  1014,
    1014,     0,   673,  2233,  4922,     0,     0,  2234,     0,  2484,
       0,  1012,     0,     0,  1012,  1012,     0,  1801,     0,   411,
    4127,   680,     0,     0,     0,     0,     0,     0,  2235,  2236,
     370,     0,     0,     0,  1198,     0,     0,     0,   208,     0,
       0,     0,  1782,     0,     0,  2237,     0,  2485,  1783,   409,
       0,     0,   670,     0,     0,  1784,  2139,     0,  2486,     0,
       0,     0,     0,  2519,     0,     0,  1802,     0,  2927,     0,
       0,  2238,  1786,  1803,  2239,   370,  1804,     0,  2487,  4387,
    1787,     0,  1012,  2488,   677,     0,     0,  2240,     0,     0,
    1198,     0,  1960,     0,   824,     0,  3543,  2216,     0,     0,
       0,     0,  3546,     0,     0,     0,     0,     0,     0,     0,
       0,  4180,     0,  4183,  1198,  1960,     0,  1198,     0,  1198,
       0,  1054,   831,     0,     0,     0,     0,     0,   825,  1054,
    1805,  1054,  1788,     0,     0,     0,  3476,  4042,     0,     0,
       0,     0,  1198,   370,     0,     0,  1198,     0,     0,     0,
    2489,  1960,     0,     0,     0,     0,     0,     0,  1014,     0,
       0,     0,     0,     0,     0,  2242,  1014,  4106,     0,     0,
    4111,  4112,  4113,  4114,  4115,  4116,  4117,  4118,  4119,  4120,
       0,  2490,     0,     0,     0,   411,     0,  1806,     0,  1807,
    2760,  1960,     0,     0,     0,  1960,  1960,  5049,     0,  1808,
    4831,     0,     0,     0,     0,     0,     0,  1809,  1355,     0,
     859,     0,     0,     0,     0,   409,     0,  1810,     0,     0,
    1014,     0,     0,  1014,  1014,     0,     0,     0,     0,  4160,
    4161,     0,     0,     0,     0,     0,  1198,     0,     0,     0,
       0,    74,     0,  2491,    74,     0,     0,  3677,     0,  2492,
    2927,  2927,  2493,  1812,  1813,  1198,  1697,     0,  2243,  2244,
    2245,     0,  2246,  2247,  2248,  2249,  2250,  2251,     0,     0,
       0,     0,  5220,     0,     0,  1960,     0,     0,  2494,  1814,
       0,     0,  5067,     0,  2495,     0,     0,     0,   831,     0,
       0,  1014,     0,  1198,   370,     0,  1198,  2496,     0,     0,
       0,     0,     0,     0, -2189,     0,  3677,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2497,     0,     0,     0,     0,     0,  1198,   370,
       0,     0,     0,     0,     0,     0,     0,  1815,     0,  1355,
       0,     0,     0,     0,     0,  2900,  2901,     0,     0,     0,
     680, -2189,     0,  2913,     0,     0,     0,  2916,  2917,     0,
    1799,     0,     0, -2189,     0,     0,  1800,     0, -2189,     0,
       0,     0,  2938, -2189,  2939,     0,  1198,     0, -2189,     0,
       0, -2189,     0, -2189,     0,     0,     0,  1198,     0,     0,
       0,     0,  5175,     0,     0,   367,  2961,     0,  2962,  5185,
    5186,  5187,     0,  1198,  1198,  5188,  1801,     0,     0,     0,
   -2189,  4453,     0,   824,   680,     0,  3845,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1198,     0,     0,  3473,
       0,     0, -2189,     0,     0,     0,     0,     0,     0,   367,
       0,     0,     0,  5185,  5186,  5187,     0,   825,  1774,  5188,
    2402,     0,     0,  3875,     0,  1802,     0,     0,     0,     0,
       0,     0,  1803,   824,     0,  1804,     0,  1198,     0, -2189,
       0,   824,     0,   363,     0,     0,     0, -2189,     0,     0,
    1775,  1198,     0,     0,     0,     0,   367,     0,     0,     0,
    5185,  5186,  5187,     0,     0,     0,  5188,   825,     0,     0,
       0,     0,  3906,     0,   411,   825,     0,     0,     0,     0,
       0,     0,     0,     0,  1012,   363,     0,     0,  2050,  1805,
       0,     0,     0,     0,  3370, -2189,     0,  3370,  3370,  2065,
       0,  3370,     0,     0,   409,     0,  1776,  3370,     0,     0,
       0,     0,     0,     0,     0,     0,  3942,     0,     0,  1198,
       0,     0,  3951,     0,   411,  4434,     0,     0,  1198,  3942,
       0,     0,   411,     0,  5211,     0,     0,  1012,  1777,     0,
    1027,     0,  2139,  1355,     0,  1355,  1806,     0,  1807,     0,
       0,     0,     0,     0,   409,     0,     0,  1720,  1808,    74,
       0,    74,   409,     0, -2189,     0,  1809,  3474,     0,     0,
       0,     0,     0,     0,  1778,     0,  1810,   831,     0,     0,
       0,  4010,     0,     0,  5211,     0,     0,     0, -2189,     0,
   -2189, -2189,  5211,  2927,   844,     0,     0,     0,  2226,     0,
       0,  2227,  4793,     0,  1779,     0,  3668,  4037,  1355,  1811,
    3668,     0,  1812,  1813,     0,     0,     0,     0,  2228,  2927,
    2927,     0,     0,     0,     0, -2189,  2230,   831, -2189, -2189,
       0, -2189,  2231,     0,     0,   831,     0,     0,  1814,     0,
     845,    35,     0,     0,     0,     0,     0,     0,   363,    41,
      42,     0,     0,   846,     0,  2226,  2232,     0,  2227,     0,
       0,     0,  4632,     0,     0,     0,     0,     0,     0,   208,
     847,     0,     0,  1782,     0,  2228,   848,     0,  2229,  1783,
       0,     0,     0,  2230,     0,     0,  1784,     0,     0,  2231,
    4647,   849,     0,  1014,  2519,     0,  1815,     0,     0,     0,
       0,     0,   850,  1786,     0,     0,     0,  4545,  4546,  4662,
     851,  1787,     0,  2232,  1212,     0,     0,     0,     0,   370,
       0,     0,   852,   370,     0,     0,     0,   853,     0,     0,
       0,  1012,     0,   854,     0,     0,     0,   673,     0,  1012,
       0,  1012,     0,   673,     0,     0,  1014,     0,   855,     0,
     677,     0,  5212,     0,   673,     0,     0,  4681,  2233,     0,
       0,  4149,  2234,  1788,     0,     0,  1725,  3476,     0,     0,
       0,     0,     0,   856,     0,     0,     0,     0,     0,     0,
       0,     0,   673,  2235,  2236,     0,   673,  1213,     0,     0,
       0,     0,     0,  1236,   857,     0,     0,   673,     0,     0,
    2237,     0,  5212,     0,  1253,     0,     0,     0,     0,     0,
    5212,     0,     0,     0,     0,  2233,     0,     0,     0,  2234,
       0,     0,     0,   673,     0,   858,  2238,     0,     0,  2239,
    3391,     0,  1314,     0,     0,     0,  1321,     0,   673,     0,
    2235,  2236,  2240,   673,     0,  2241,     0,  1331,     0,     0,
       0,     0,     0,   673,   859,  2927,     0,  2237,     0,     0,
       0,  3677,     0,  3677,     0,     0,     0,   673,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   860,     0,  2238,     0,   861,  2239,   862,     0,     0,
       0,     0,     0,   863,     0,     0,   864,     0,     0,  2240,
       0,     0,  2241,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2139,     0,     0,     0,     0,     0,     0,
    2242,   865,   866,     0,   867,     0,     0,     0,   868,     0,
       0,     0,     0,     0,     0,     0,   869,     0,     0,     0,
    1014,   870,     0,  1799,     0,     0,     0,     0,  1014,  1800,
    1014,     0,     0,   871,  1216,     0,     0,     0,     0,  1054,
       0,   673,  1240,  1054,     0,     0,   872,   371,     0,     0,
    3677,  1255,     0,   371,     0,     0,     0,  2242,   674,  1265,
       0,  1012,   370,  3942,  1298,     0,     0,     0,  3668,  1801,
       0,     0,     0,  3668,     0,     0,  3668,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   371,  4338,     0,     0,
    4339,     0,  4340,  2243,  2244,  2245,     0,  2246,  2247,  2248,
    2249,  2250,  2251,     0,     0,  3047,     0,  2226,     0,     0,
    2227,  3048,     0,     0,     0,     0,     0,     0,  1802,     0,
       0,     0,     0,     0,     0,  1803,     0,  2228,  1804,   673,
     673,   371,     0,  3370,     0,  2230,     0,     0,     0,  3370,
    3370,  2231,  2673,     0,     0,     0,     0,     0,     0,     0,
    2243,  2244,  2245,     0,  2246,  2247,  2248,  2249,  2250,  2251,
    4785,     0,  3951,     0,     0,  2232,     0,     0,     0,     0,
       0,     0,     0,  4418,  4420,  4422,  4424,     0,     0,   670,
     670,     0,  1805,     0,     0,     0,  4801,  4802,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   371,
       0,     0,     0,     0,     0,  1054,  1054,     0,     0,  2767,
    1774,     0,     0,     0,     0,     0,     0,     0,  2773,     0,
    1471,     0,  2777,     0,     0,     0,     0,     0,  2783,  2784,
       0,     0,   363,     0,     0,     0,     0,     0,     0,  1806,
       0,  1807,  1775,     0,  4484,     0,  2796,     0,     0,     0,
       0,  1808,  2139,     0,  1600,     0,     0,     0,     0,  1809,
       0,     0,     0,  2402,     0,     0,  3710,  2233,  1012,  1810,
    1014,  2234,     0,  1624,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3904,     0,
       0,     0,  2235,  2236,     0,  1650,     0,     0,  1776,     0,
       0,     0,  1861,     0,     0,  1812,  1813,  4519,     0,  2237,
       0,     0,     0,     0,  3668,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2139,     0,
    1777,  1862,  2139,  2139,  2226,  2238,     0,  2227,  2239,     0,
       0,   673,     0,     0,     0,     0,     0,     0,     0,     0,
     371,  2240,     0,     0,  2241,     0,   673,     0,     0,     0,
       0,     0,  2230,     0,     0,     0,  1778,     0,  2231,     0,
       0,     0,     0,  2226,     0,     0,  2227,     0,     0,   673,
       0,     0,     0,     0,     0,   371,     0,     0,     0,  1815,
       0,     0,  2232,     0,     0,     0,  1779,  1822,     0,     0,
       0,  2230,     0,     0,     0,     0,     0,  2231,     0,     0,
       0,     0,     0,     0,     0,   673,     0,     0,     0,     0,
       0,     0,  4957,     0,     0,   363,     0,     0,     0,  2242,
     673,  2232,  4592,     0,  4598,  4599,     0,     0,     0,     0,
       0,     0,     0,   673,     0,     0,   673,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    80,     0,     0,     0,
       0,   208,     0,  2518,     0,  1782,  3677,     0,     0,     0,
    3677,  1783,     0,     0,     0,     0,     0,  1014,  1784,     0,
       0,     0,  2226,     0,     0,  2227,  2519,     0,     0,     0,
    1973,     0,     0,     0,  2233,  1786,     0,     0,  2234,     0,
       0,     0,     0,  1787,  3051,     0,     0,     0,     0,     0,
    2230,     0,  2001,  2004,  2005,     0,  2231,     0,     0,  2235,
    2236,     0,  2243,  2244,  2245,     0,  2246,  2247,  2248,  2249,
    2250,  2251,     0,  2233,     0,     0,  2237,  2234,  3573,     0,
    2232,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1788,     0,     0,  2235,  2236,
       0,     0,  2238,     0,     0,  2239,     0,     0,     0,     0,
       0,   673,     0,     0,     0,  2237,     0,     0,  2240,   673,
     673,     0,     0,     0,  4679,  4680,     0,     0,     0,     0,
     370,     0,     0,     0,  3370,  3370,     0,     0,     0,     0,
       0,  1355,  3642,     0,  2239,  4698,  1012,     0,     0,     0,
       0,  3946,  3949,     0,     0,     0,     0,  2240,     0,  1012,
     363,  3951,  3951,  3951,  3951,  3951,     0,     0,     0,     0,
    1600,     0,     0,   363,     0,     0,     0,     0,     0,     0,
       0,     0, -2684,   370,   370,   370,  2234,     0,     0,     0,
    3995,     0,     0,     0,     0,     0,  2242,     0,  1600,     0,
       0,     0,     0,     0,   673,     0,     0,  2235,  2236,     0,
       0,     0,     0,     0,     0,     0,  4744,  5219,     0,     0,
       0,     0,     0,     0, -2684,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   370,  2242,     0,     0,     0,     0,
       0,   370,     0,  4763,     0,     0,  2226,     0,   370,  2227,
       0,     0,     0,  2239,   670,  1054,     0,     0,  4726,     0,
       0,     0,     0,     0,   363,     0,  2240,  4519,  4519,  4519,
    4519,     0,     0,     0,  2230,     0,     0,     0,     0,     0,
    2231,     0,     0,     0,     0,     0,     0,     0,  1054,  2243,
    2244,  2245,     0,  2246,  2247,  2248,  2249,  2250,  2251,     0,
       0,     0,     0,     0,  2232,     0,     0,     0,     0,     0,
       0,  1012,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2243,  2244,
    2245,     0,  2246,  2247,  2248,  2249,  2250,  2251,     0,     0,
       0,     0,  2312,     0, -2684,   371,     0,     0,     0,   371,
       0,     0,     0,     0,     0,  1014,     0,     0,     0,     0,
       0,     0,     0,   674,     0,     0,  4162,     0,  1014,   674,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     674,     0,     0,  3677,     0,   673,     0,     0,  3677,     0,
    2366,     0,     0,  3677,  2226,     0,  3677,  2227,     0,     0,
       0,     0,     0,     0,  3942,     0, -2684,     0,   674,     0,
    2234,     0,   674,     0,  2228,     0,     0,     0,     0,     0,
       0,     0,  2230,   674,     0,     0,     0,     0,  2231,     0,
       0,  2235,  2236,     0,  3677,  2633,     0,     0,  3370,     0,
       0,  2246,  2247,  2248,  2249,  2250,  2251,  1355, -2684,   674,
       0,  4886,  2232,  4887,     0,     0,     0,  4892,  4893,     0,
       0,     0,     0,     0,   674,   370,     0,     0,     0,   674,
       0,     0,     0,     0,     0,     0,  4864,  2239,     0,   674,
       0,     0,     0,     0,     0,   673,     0,     0,     0,     0,
    2240,     0,     0,   674,     0,  3490,     0,     0,     0,     0,
       0,   673,     0,     0,     0,     0,     0,     0,  4241,     0,
       0,  3499,  3500,     0,     0,  3502,     0,  2528,     0,     0,
    1014,  3506,  1212,     0,  2546,  1799,     0,     0,     0,     0,
       0,  1800,     0,     0,     0,  2710,     0,     0,   673,   673,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   673,
       0,  2633,  2581,     0,  2233,  2584,     0,     0,  2234,     0,
       0,   673,   673,     0,     0,     0,     0,     0, -2684,     0,
       0,  1801,     0,     0,     0,     0,     0,     0,  3677,  2235,
    2236, -2191,     0,   673,     0,     0,     0,   674,     0,  2775,
       0,  2619,  3542,     0,     0,     0,  2237,     0,     0,     0,
       0,     0,     0,     0,     0,  2637,     0,     0,   371,     0,
       0,     0,  2633,  1012,     0,     0,     0,     0,   672,  2649,
    1802,     0,  2238,     0,     0,  2239,     0,  1803, -2191,     0,
    1804,     0,     0,     0,  3677,  5020,  1012,     0,  2240,     0,
   -2191,  2241,     0,     0,     0, -2191,   822,     0,     0,     0,
   -2191,     0,     0,     0,     0, -2191,     0,     0, -2191,     0,
   -2191,     0,     0,     0,     0,  2246,  2247,  2248,  2249,  2250,
    2251,     0,     0,     0,     0,   674,   674,     0,     0,     0,
       0,     0,     0,     0,  1805,     0,     0, -2191,     0,     0,
       0,   822,     0,     0,     0,     0,     0,     0,     0,  1435,
    1436,     0,     0,     0,     0,     0,     0,     0,  4401, -2191,
       0,     0,  3949,     0,     0,     0,  2242,     0,     0,  2741,
       0,     0,  1268,  4417,  5039,  2751,     0,     0,     0,     0,
       0,     0,   370,     0,     0,     0,     0,  1053,     0,     0,
       0,  1806,     0,  1807,     0,  1053, -2191,  1053,     0,     0,
       0,     0,     0,  1808, -2191,  1269,     0,     0,     0,   822,
       0,  1809,     0,     0,     0,     0,     0,     0,  1270,  1271,
       0,  1810,     0,     0,     0,     0,  1355,  1272,     0,     0,
       0,  1273,     0,     0,  3677,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2807,     0,  1274,     0,
       0,     0, -2191,     0,  1887,     0,     0,  1812,  1813,  2243,
    2244,  2245,     0,  2246,  2247,  2248,  2249,  2250,  2251,  1275,
       0,     0,  1014,     0,   370,  3621,     0,     0,     0,     0,
    1276,     0,     0,  1888,     0,     0,     0,     0,  1277,  1012,
       0,     0,     0,  1600,  1600,  1014,     0,  1027,     0,     0,
    1278,     0,     0,     0,     0,  1279,     0,     0,     0,     0,
       0,     0,  2862,     0,  5126,     0,     0,     0,     0,     0,
       0, -2191,     0,     0,     0,  3677,  1280,     0,   370,     0,
     370,     0,     0,     0,     0,  3782,     0,   674,     0,     0,
       0,  1815,     0,     0,     0, -2191,     0, -2191, -2191,     0,
     673,  1281,   674,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2226,  5159,     0,  2227,     0,     0,     0,
       0,     0,  1282,     0,     0,   674,     0,     0,     0,     0,
    5213,     0, -2191,  2228,     0, -2191, -2191,     0, -2191,     0,
     673,  2230,     0,     0,   370,   673,     0,  2231,   673,     0,
     670,     0,     0,  1283,     0,     0,     0,     0,  3832,     0,
    3834,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     673,  2232,     0,     0,     0,     0,   674,     0,     0,  3020,
    5213,     0,   859,     0,  2402,     0,     0,     0,  5213,   674,
    3133,     0,   674,     0,     0,  3137,     0,     0,  3140,     0,
       0,     0,     0,     0,  3040,     0,    74,     0,     0,  1284,
       0,   673,     0,  1285,  1012,  1286,     0,     0,     0,     0,
    3163,  1287,  1054,     0,  1288,     0,     0,     0,   673,   673,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3053,     0,  3056,     0,     0,  5233,     0,  1014,     0,
    1289,     0,  1290,   370,   673,     0,  1291,   370,     0,  3903,
       0,  3213,     0,     0,  1292,  3910,  1012,     0,     0,  1293,
       0,     0,     0,  2233,     0,     0,     0,  2234,  3219,  1054,
    1600,   673,     0,     0,     0,   673,  4660,  4661,     0,     0,
       0,  4664,  4665,     0,  1294,     0,     0,     0,  2235,  2236,
       0,     0,     0,   673,  3254,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   673,  2237,     0,   674,     0,     0,
       0,     0,     0,     0,     0,   674,   674,   673,     0,     0,
       0,  3285,     0,     0,     0,  3296,   371,   673,     0,     0,
       0,  2238,     0,     0,  2239,     0,     0,     0,     0,     0,
       0,  1012,     0,  3308,     0,     0,     0,  2240,     0,     0,
    2241,     0,     0,     0,  3318,     0,     0,     0,     0,     0,
       0,  3949,  3949,  3949,  3949,  3949,     0,  3342,     0,  1012,
       0,     0,     0,     0,     0,     0,     0,  3349,     0,   371,
     371,   371,     0,     0,     0,     0,     0,     0,     0,     0,
     370,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     674,  4054,     0,     0,     0,  4057,  4058,     0,  4060,     0,
    4062,  4063,     0,  1014,     0,     0,     0,     0,     0,  4068,
       0,     0,     0,     0,     0,  2242,     0,     0,     0,  2226,
     371,     0,  2227,     0,     0,     0,     0,   371,     0,     0,
       0,     0,     0,     0,   371,     0,     0,     0,     0,  2228,
       0,   673,     0,     0,  4087,     0,  3245,  2230,     0,     0,
       0,     0,     0,  2231,     0,  1014,     0,     0,     0,     0,
       0,     0,     0,  3272,     0,     0,     0,     0,     0,     0,
    2226,     0,     0,  2227,     0,     0,     0,  2232,   673,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2228,     0,     0,     0,     0,     0,     0,     0,  2230,     0,
       0,     0,     0,     0,  2231,     0,     0,     0,  2243,  2244,
    2245,     0,  2246,  2247,  2248,  2249,  2250,  2251,     0,     0,
       0,     0,  2958,     0,  2226,     0,   673,  2227,  2232,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4830,     0,
    1014,     0,     0,     0,  2228,   822,     0,     0,  3062,   673,
       0,     0,  2230,     0,     0,     0,     0,     0,  2231,     0,
       0,     0,     0,   672,     0,     0,     0,     0,  1014,   672,
       0,   674,     0,     0,     0,     0,  3524,     0,     0,  2233,
     672,     0,  2232,  2234,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1012,     0,     0,     0,     0,  3524,
       0,     0,     0,     0,  2235,  2236,  3432,     0,   672,     0,
       0,     0,   672,     0,     0,     0,     0,     0,     0,     0,
       0,  2237,     0,   672,     0,     0,     0,  3063,     0,     0,
    2233,     0,   370,     0,  2234,     0,     0,     0,   370,     0,
       0,     0,     0,     0,     0,     0,     0,  2238,     0,   672,
    2239,   371,     0,     0,     0,  2235,  2236,     0,     0,     0,
       0,     0,     0,  2240,   672,     0,  2241,     0,     0,   672,
       0,   674,  2237,     0,     0,     0,     0,     0,     0,   672,
       0,     0,     0,     0,  2233,     0,     0,   674,  2234,     0,
       0,     0,     0,   672,     0,     0,     0,     0,  2238,     0,
       0,  2239,     0,     0,     0,     0,     0,     0,     0,  2235,
    2236,     0,     0,     0,  2240,     0,     0,  2241,     0,     0,
       0,     0,     0,     0,   674,   674,  2237,   673,     0,     0,
       0,     0,     0,     0,     0,   674,     0,     0,     0,     0,
       0,  2242,     0,     0,     0,     0,     0,   674,   674,     0,
       0,     0,  2238,     0,     0,  2239,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2240,   674,
       0,  2241,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1053,     0,   672,     0,  1053,
       0,     0,  2242,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1014,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   673,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   673,   673,
       0,     0,     0,     0,  2243,  2244,  2245,     0,  2246,  2247,
    2248,  2249,  2250,  2251,     0,     0,  2242,     0,  3943,     0,
       0,     0,     0,     0,     0,   673,     0,     0,   673,     0,
       0,     0,     0,  3761,     0,     0,     0,     0,     0,     0,
       0,  1955,     0,     0,     0,   672,   672,     0,     0,     0,
       0,     0,     0,     0,     0,  2243,  2244,  2245,     0,  2246,
    2247,  2248,  2249,  2250,  2251,     0,     0,  3064,  5065,  4100,
       0,     0,     0,     0,     0,  3784,     0,     0,     0,     0,
       0,     0,     0,     0,  3661,     0,     0,     0,   371,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   370,
     370,   370,     0,     0,     0,     0,     0,     0,     0,  2243,
    2244,  2245,     0,  2246,  2247,  2248,  2249,  2250,  2251,     0,
       0,  1053,  1053,   673,     0,     0,     0,     0,     0,     0,
    4498,     0,     0,     0,     0,   673,     0,     0,  4501,  4502,
       0,     0,     0,     0,   673,     0,     0,  1799,     0,     0,
       0,     0,     0,  1800,     0,     0,     0,     0,     0,     0,
    1957,     0,     0,     0,     0,     0,     0,     0,  2226,     0,
       0,  2227,     0,  3851,     0,     0,     0,     0,     0,     0,
     371,     0,     0,     0,     0,  3870,     0,     0,     0,     0,
       0,     0,     0,  1801,     0,     0,  2230,     0,     0,     0,
       0,     0,  2231,     0,  1955,     0,     0,     0,   673,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2232,     0,     0,     0,
       0,     0,     0,     0,   371,     0,   371,     0,     0,     0,
       0,     0,  1802,     0,     0,     0,     0,   370,     0,  1803,
       0,     0,  1804,     0,     0,     0,   674,   672,  3915,     0,
       0,     0,   673,     0,   673,     0,     0,     0,     0,     0,
       0,  2226,   672,     0,  2227,     0,   673,  5066,   673,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4163,     0,
    5210,  2228,     0,     0,     0,   672,   674,     0,     0,  2230,
     371,   674,     0,     0,   674,  2231,  1805,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1957,     0,     0,   674,   673, -2684,  2232,
       0,   672,  2234,     0,     0,     0,     0,     0,     0,     0,
    5210,     0,     0,     0,     0,     0,   672,     0,  5210,  4631,
    2294,     0,     0,  2235,  2236,     0,     0,   673,     0,   672,
       0,     0,   672,  1806,     0,  1807,     0,   674,     0,     0,
   -2684,     0,     0,     0,   673,  1808,     0,     0,     0,     0,
    4648,  4649,     0,  1809,   674,   674,     0,     0,     0,     0,
       0,   673,     0,  1810,   673,     0,     0,     0,     0,  2239,
       0,     0,     0,     0,     0,     0,     0,  2633,     0,   371,
     674,     0,  2240,   371,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4076,     0,  2501,     0,     0,  1812,
    1813,  2233,     0,     0,     0,  2234,     0,   674,     0,     0,
       0,   674,     0,     0,  4088,     0,     0,  4682,  4683,     0,
       0,     0,     0,     0,     0,  2502,  2235,  2236,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   370,
     674,     0,     0,  2237,     0,     0,     0,     0,  1955,     0,
       0,     0,     0,   674,  3987,  3988,     0,   672,     0,     0,
   -2684,     0,     0,   674,     0,   672,   672,     0,     0,  2238,
    3997,     0,  2239,     0,     0,     0,   822,     0,     0,     0,
       0,     0,     0,  1815,  4006,  2240,     0,     0,  2241,     0,
       0,     0,     0,  4015,     0,     0,     0,     0,     0,     0,
       0,     0,  1955,     0,     0,     0,     0,  4031,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   371,  1799,     0,   822,
       0,     0,     0,  1800,  1955,     0,     0,     0,     0,     0,
       0,  4774,     0,  4775,  4776,     0,     0,     0,     0,  2226,
     672,     0,  2227,     0,     0,  4779,     0,  2246,  2247,  2248,
    2249,  2250,  2251,  2242,     0,     0,     0,  2433,     0,  2228,
       0,     0,     0,  1801,     0,     0,     0,  2230,  1600,     0,
       0,     0,     0,  2231,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,   822,     0,     0,     0,     0,     0,
       0,  1053,     0,     0,     0,     0,     0,  2232,     0,     0,
       0,  1955,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2433,  1802,     0,   674,     0,     0,     0,   673,  1803,
    1955,     0,  1804,     0,  1053,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1955,     0,
       0,     0,     0,  1957,     0,     0,  2243,  2244,  2245,     0,
    2246,  2247,  2248,  2249,  2250,  2251,   370,     0,     0,     0,
    4147,   370,   674,   370,     0,     0,  1955,     0,  4286,     0,
       0,     0,     0,     0,     0,     0,  1805,     0,     0,     0,
       0,     0,     0,     0,     0,   674,     0,     0,     0,     0,
       0,  4177,  4178,  4179,     0,     0,     0,     0,     0,  2233,
       0,     0,     0,  2234,     0,   673,     0,     0,   673,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1957,   672,     0,     0,  2235,  2236,     0,     0,     0,  1955,
       0,     0,     0,  1806,     0,  1807,     0,     0,     0,  2433,
       0,  2237,   370,     0,     0,  1808,     0,     0,     0,     0,
       0,     0,     0,  1809,     0,  4356,     0,  1957,  4359,     0,
       0,     0,     0,  1810,     0,     0,     0,  2238,   371,     0,
    2239,     0,     0,     0,   371,     0,     0,     0,     0,     0,
       0,     0,     0,  2240,     0,  1957,  2241,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2565,     0,     0,  1812,
    1813,   822,     0,     0,     0,   673,   673,     0,     0,     0,
       0,     0,   673,     0,  4956,     0,     0,     0,     0,     0,
       0,   672,     0,     0,     0,  2566,     0,     0,     0,     0,
       0,     0,  2226,     0,     0,  2227,     0,   672,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1957,     0,
    2226,     0,  2228,  2227,     0,     0,     0,     0,     0,     0,
    2230,  2242,  4456,   674,     0,     0,  2231,     0,     0,     0,
    2228,     0,  4987,     0,   672,   672,     0,     0,  2230,     0,
       0,     0,     0,  1815,  2231,   672,     0,     0,     0,  2226,
    2232,   673,  2227,     0,     0,     0,     0,   672,   672,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2232,     0,
       0,     0,  5018,     0,     0,     0,     0,  2230,     0,   672,
       0,     0,     0,  2231,     0,     0,  1955,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3524,     0,     0,     0,     0,     0,  2232,     0,   674,
       0,     0,     0,     0,  2243,  2244,  2245,     0,  2246,  2247,
    2248,  2249,  2250,  2251,   674,   674,     0,     0,  4227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2226,
       0,     0,  2227,     0,     0,  4414,     0,     0,     0,     0,
       0,   674,  2233,     0,   674,     0,  2234,     0,     0,  2228,
       0,     0,     0,     0,  4440,     0,     0,  2230,     0,  4166,
    2233,     0,     0,  2231,  2234,     0,     0,  2235,  2236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4457,     0,     0,  2237,  2235,  2236,  2232,     0,     0,
       0,     0,     0,     0,     0,  1957,     0,     0,     0, -2684,
       0,     0,  2237,  2234,     0,     0,     0,     0,     0,     0,
    2238,     0,     0,  2239,     0,   371,   371,   371,   822,     0,
       0,     0,     0,     0,  2235,  2236,  2240,     0,  2238,  2241,
       0,  2239,  3033,     0,     0,     0,     0,     0,     0,   674,
       0, -2684,     0,     0,  2240,     0,     0,  2241,     0,     0,
       0,   674,     0,     0,     0,     0,   673,     0,     0,   370,
     674,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2239,     0,  1955,     0,     0,     0,  1955,  1955,     0,     0,
       0,     0,   673,  2240,     0,     0,     0,     0,     0,  2233,
       0,     0,     0,  2234,   673,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2242,     0,     0,   673,     0,     0,
       0,     0,     0,     0,  2235,  2236,     0,     0,     0,     0,
       0,     0,  2242,     0,   674,     0,     0,     0,     0,     0,
       0,  2237,  4657,     0,     0,  5196,     0,     0,     0,     0,
       0,     0,     0,     0,  4667,     0,     0,     0,     0,     0,
     673,     0,  4561,  4562,  4563,  4564,     0,  2238,     0,     0,
    2239, -2684,     0,   371,     0,     0,     0,     0,     0,   370,
       0,     0,     0,  2240,     0,     0,  2241,     0,   674,     0,
     674,     0,  1955,     0,     0,     0,   672,     0,     0,     0,
       0,  3119,   674,     0,   674,  2433,  3125,  2243,  2244,  2245,
       0,  2246,  2247,  2248,  2249,  2250,  2251,     0,     0,     0,
       0,  4258,     0,     0,     0,  2243,  2244,  2245,     0,  2246,
    2247,  2248,  2249,  2250,  2251,     0,   672,     0,     0,  4522,
     822,   672,     0,     0,   672,     0,     0,     0,     0,     0,
       0,     0,     0,   674,     0,     0,     0,     0,     0,     0,
       0,  2242,     0,     0,     0,     0,   672,     0,  2246,  2247,
    2248,  2249,  2250,  2251,  2226,     0,     0,  2227,     0,     0,
       0,  1799,     0,   674,     0,   673,     0,  1800,     0,     0,
       0,     0,     0,     0,  2228,     0,     0,     0,     0,     0,
     674,     0,  2230,     0,     0,     0,     0,   672,  2231,  2226,
       0,  1957,  2227,     0,     0,     0,     0,   674,  1053,     0,
     674,     0,     0,     0,   672,   672,     0,  1801,     0,  2228,
       0,     0,  2232,     0,     0,  3524,     0,  2230,     0,  1955,
       0,     0,     0,  2231,  2226,     0,     0,  2227,     0,   822,
     672,     0,     0,   822,  2243,  2244,  2245,     0,  2246,  2247,
    2248,  2249,  2250,  2251,  2228,     0,     0,  2232,  4556,     0,
       0,     0,  2230,     0,     0,  1053,  1802,   672,  2231,     0,
       0,   672,     0,  1803,     0,   673,  1804,   673,     0,     0,
       0,     0,     0,     0,     0,   371,     0,     0,     0,   672,
       0,     0,  2232,     0,     0,     0,     0,     0,     0,     0,
     672,     0,     0,     0,  1955,     0,     0,     0,     0,     0,
       0,     0,     0,   672,   673,     0,     0,     0,     0,     0,
       0,     0,     0,   672,  2233,  3524,     0,  3524,  2234,  1799,
    1805,     0,     0,     0,     0,  1800,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1957,  2235,
    2236,     0,     0,     0,   370,     0,   673,     0,     0,  2233,
    1837,     0,     0,  2234,     0,     0,  2237,     0,     0,     0,
       0,     0,  4769,     0,     0,  1801,     0,     0,     0,     0,
       0,     0,     0,     0,  2235,  2236,   822,  1806,     0,  1807,
       0,     0,  2238,     0,  2233,  2239,     0,     0,  2234,  1808,
       0,  2237,     0,     0,  1955,     0,  1838,  1809,  2240,     0,
       0,  2241,     0,     0,     0,     0,     0,  1810,     0,  2235,
    2236,     0,     0,  2433,  1802,     0,     0,  2238,     0,     0,
    2239,  1803,     0,     0,  1804,     0,  2237,     0,     0,     0,
       0,     0,     0,  2240,     0,     0,  2241,   672,     0,     0,
    3222,     0,     0,  1812,  1813,     0,     0,     0,     0,     0,
       0,     0,  2238,     0,     0,  2239,     0,     0,     0,     0,
       0,     0,     0,     0,   674,     0,     0,     0,  2240,  1814,
       0,  2241,     0,     0,   672,  1839,  2242,     0,  1805,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   371,     0,     0,     0,     0,   371,     0,   371,
     370,  2242,     0,  1957,     0,     0,     0,     0,     0,     0,
       0,     0,   672,  1840,     0,  1841,     0,  1815,     0,     0,
       0,     0,     0,     0,     0,  1842,     0,  1807,     0,     0,
       0,     0,     0,     0,     0,   672,  2242,  1808,     0,     0,
       0,   674,     0,     0,   674,  1809,     0,     0,     0,     0,
       0,     0,     0,     0,  1843,  1810,     0,     0,     0,  2243,
    2244,  2245,     0,  2246,  2247,  2248,  2249,  2250,  2251,     0,
       0,     0,     0,  4795,     0,  4899,     0,     0,   371,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1844,     0,
       0,  1812,  1813,  1845,  2243,  2244,  2245,     0,  2246,  2247,
    2248,  2249,  2250,  2251,     0,     0,     0,   718,  4804,     0,
       0,     0,  1600,     0,     0,     0,     0,  1846,   822,     0,
       0,     0,     0,     0,   822,     0,     0,     0,  1847,  2243,
    2244,  2245,     0,  2246,  2247,  2248,  2249,  2250,  2251,     0,
       0,   674,   674,  4839,     0,   718,     0,  1955,   674,     0,
    1955,     0,  1955,     0,     0,     0,     0,  1955,     0,     0,
       0,     0,     0,     0,     0,   673,   718,     0,     0,     0,
       0,     0,  3033,  3033,  3033,  1815,     0,     0,     0,     0,
       0,     0,     0,     0,  1023,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1024,     0,     0,
       0,     0,     0,     0,     0,  1032,     0,  1955,  4994,     0,
       0,     0,     0,   672,     0,     0,     0,     0,     0,     0,
    1043,     0,  1023,     0,     0,     0,  1066,   674,     0,   673,
       0,     0,     0,     0,     0,     0,  1097,     0,     0,     0,
       0,     0,     0,     0,  1102,     0,     0,  1955,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2433,     0,     0,  3125,
       0,  3125,     0,     0,     0,     0,  2433,  2226,     0,  3524,
    2227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2226,     0,   672,
    2227,     0,     0,     0,     0,  2230,     0,     0,  1955,     0,
    1955,  2231,     0,     0,   672,   672,     0,  2228,     0,   370,
       0,     0,     0,     0,     0,  2230,  1957,     0,     0,     0,
       0,  2231,     0,     0,     0,  2232,     0,     0,     0,     0,
       0,   672,     0,     0,   672,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2226,  2232,     0,  2227,     0,     0,
       0,     0,     0,     0,     0,  1955,  2433,     0,     0,   370,
       0,     0,  1799,     0,  2228,     0,     0,   370,  1800,     0,
       0,     0,  2230,     0,     0,     0,     0,     0,  2231,     0,
    1955,     0,     0,     0,     0,     0,     0,  4554,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1955,  2232,     0,     0,   822,   822,   822,  1801,     0,
       0,     0,     0,     0,  1955,     0,     0,  1957,     0,  1957,
       0,     0,     0,     0,     0,     0,     0, -2684,     0,   672,
       0,  2234,   674,     0,     0,   371,     0,     0,     0,     0,
       0,   672,     0,     0,     0,     0,     0,  2233,     0,     0,
     672,  2234,  2235,  2236,     0,     0,     0,  1802,   674,     0,
       0,     0,     0,     0,  1803,     0,     0,  1804,     0, -2684,
     674,     0,  2235,  2236,  1957,     0,     0,     0,  1955,     0,
       0,     0,     0,   674,     0,     0,     0,     0,     0,  2237,
       0,     0,     0,     0,  1955,     0,     0,     0,  2239,  1957,
       0,     0,     0,     0,  2233,     0,     0,  1955,  2234,     0,
       0,  2240,     0,     0,   672,  2238,     0,     0,  2239,     0,
    3125,  1805,     0,     0,     0,     0,   674,     0,     0,  2235,
    2236,  2240,     0,  3125,  2241,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   371,  2237,     0,     0,     0,
       0,     0,     0,   822,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   672,     0,
     672,     0,  2238,     0,     0,  2239,     0,     0,  1806,  1955,
    1807,     0,   672,     0,   672,     0,     0,     0,  2240, -2684,
    1808,  2241,     0,     0,     0,     0,     0,  1957,  1809,  1955,
       0,     0,     0,     0,     0,     0,     0,     0,  1810,  2242,
       0,     0,     0,  3125,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1955,     0,  1957,     0,     0,     0,
       0,     0,     0,   672,     0,     0,     0,     0,     0,   718,
       0,  3311,     0,     0,  1812,  1813,     0,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
    1955,     0,     0,   672,     0,     0,  2242,     0,     0,     0,
    3312,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     672,     0,     0,     0,     0,     0,  2246,  2247,  2248,  2249,
    2250,  2251,     0,     0,     0,     0,     0,   672,  1957,     0,
     672,     0,  2243,  2244,  2245,     0,  2246,  2247,  2248,  2249,
    2250,  2251,     0,     0,     0,     0,  4901,     0,  1957,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1815,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1957,     0,     0,     0,     0,     0,     0,
       0,   674,     0,   674,     0,     0,     0,     0,     0,  2243,
    2244,  2245,     0,  2246,  2247,  2248,  2249,  2250,  2251,  2226,
       0,     0,  2227,  5125,     0,   822,  1799,  1955,     0,  1957,
    2226,     0,  1800,  2227,     0,     0,     0,     0,     0,  2228,
     674,     0,     0,     0,     0,     0,     0,  2230,     0,     0,
    2228,     0,     0,  2231,     0,     0,     0,     0,  2230,     0,
       0,     0,     0,     0,  2231,     0,     0,     0,     0,     0,
       0,     0,  1801,     0,  3033,     0,     0,  2232,     0,     0,
     371,     0,   674,     0,     0,     0,     0,     0,  2232,     0,
       0,     0,     0,     0,     0,     0,     0,  1194,  1200,  1200,
     718,     0,  1200,     0,  1208,     0,  1194,     0,  1097,     0,
       0,  1234,     0,     0,     0,     0,  1097,     0,  1955,  1097,
       0,  1802,     0,  1200,     0,  1097,     0,     0,  1803,     0,
       0,  1804,     0,  1267,     0,     0,     0,     0,  1097,     0,
    1194,     0,     0,  1200,     0,   718,  2433,  1200,     0,     0,
       0,     0,     0,     0,  1234,     0,     0,  1324,     0,     0,
       0,     0,     0,     0,  1200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2233,
       0,     0,     0,  2234,     0,  1805,     0,     0,     0,     0,
    2233,     0,     0,     0,  2234,     0,     0,  1194,     0,     0,
       0,     0,   718,     0,  2235,  2236,     0,  1194,     0,     0,
       0,  1234,     0,     0,   672,  2235,  2236,     0,     0,     0,
       0,  2237,     0,     0,     0,     0,  1200,     0,     0,     0,
       0,     0,  2237,     0,     0,     0,     0,  3125,     0,     0,
       0,     0,  1806,     0,  1807,     0,   371,  2238,     0,     0,
    2239,     0,   822,     0,  1808,     0,     0,   822,  2238,   822,
       0,  2239,  1809,  2240,     0,  1955,  2241,     0,     0,     0,
       0,     0,  1810,     0,  2240,     0,     0,  2241,     0,     0,
       0,  1097,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1097,  1472,     0,     0,     0,     0,
       0,   672,  1955,     0,   672,  3350,     0,     0,  1812,  1813,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2226,  1582,     0,  2227,     0,   718,  1097,     0,
       0,     0,     0,     0,  3351,     0,     0,     0,   822,     0,
       0,  2242,  2228,     0,     0,     0,     0,  1097,     0,     0,
    2230,  1097,  2242,     0,     0,     0,  2231,     0,     0,  1582,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1097,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2232,  1097,     0,     0,  1957,     0,     0,     0,     0,     0,
       0,     0,  1815,     0,     0,     0,     0,     0,     0,     0,
       0,   672,   672,     0,     0,     0,     0,     0,   672,     0,
       0,   674,     0,     0,     0,  1955,     0,     0,     0,     0,
       0,  2433,     0,     0,     0,     0,  1955,     0,     0,     0,
       0,     0,     0,     0,  2243,  2244,  2245,     0,  2246,  2247,
    2248,  2249,  2250,  2251,     0,  2243,  2244,  2245,  5222,  2246,
    2247,  2248,  2249,  2250,  2251,     0,     0,  4222,     0,     0,
       0,  3597,     0,  1097,     0,     0,  3598,     0,     0,     0,
       0,  1097,     0,  1200,  1200,   674,     0,     0,     0,     0,
       0,     0,  2233,     0,     0,     0,  2234,   672,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2235,  2236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1194,     0,  2226,  2237,     0,  2227,     0,     0,     0,
       0,     0,  1194,     0,  1957,     0,  1234,     0,     0,     0,
       0,     0,     0,  2228,     0,  1957,  1955,     0,     0,  1200,
    2238,  2230,     0,  2239,     0,     0,     0,  2231,     0,     0,
       0,     0,     0,     0,  1097,   371,  2240,     0,     0,  2241,
    1200,  1200,     0,     0,  1955,     0,     0,     0,     0,     0,
       0,  2232,     0,     0,     0,     0,  1097,  1097,  1097,     0,
    1200,     0,  1194,  1955,  3033,     0,  2015,     0,     0,  3033,
       0,     0,     0,     0,  3033,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   371,     0,     0,  1799,     0,
       0,     0,     0,   371,  1800,  1200,     0,  1200,  1200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1955,     0,     0,  2242,     0,     0,     0,     0,  1837,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1582,     0,     0,  1801,  1957,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2233,     0,     0,     0,  2234,     0,     0,
       0,     0,     0,  1957,     0,  1838,     0,     0,     0,  2114,
    2114,     0,   672,     0,  1097,   822,  1023,     0,  2235,  2236,
       0,     0,  1957,  1802,     0,     0,     0,     0,     0,     0,
    1803,     0,     0,  1804,     0,  2237,     0,     0,   672,  2149,
       0,     0,  1097,     0,     0,  2155,     0,  2243,  2244,  2245,
     672,  2246,  2247,  2248,  2249,  2250,  2251,  1582,     0,     0,
       0,  2238,     0,   672,  2239,     0,     0,     0,     0,     0,
    1957,     0,     0,  1799,     0,     0,     0,  2240,     0,  1800,
    2241,     0,  2226,     0,  1839,  2227,  1582,  1805,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4139,     0,  2228,     0,     0,     0,   672,  1955,     0,     0,
    2230,     0,     0,     0,  1582,  1582,  2231,  1582,     0,  1801,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1840,     0,  1841,     0,  1582,     0,     0,     0,
    2232,     0,     0,     0,  1842,     0,  1807,     0,     0,     0,
       0,     0,     0,     0,     0,  2242,  1808,   718,   718,     0,
       0,     0,     0,     0,  1809,     0,     0,     0,  1802,  4140,
       0,     0,     0,  1843,  1810,  1803,     0,     0,  1804,     0,
       0,     0,     0,     0,     0,     0,  1097,     0,  4767,  1582,
       0,     0,     0,  2226,     0,     0,  2227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3298,     0,     0,
    1812,  1813,  1845,  2228,     0,     0,  3560,     0,  1582,     0,
    5193,  2230,  1582,  1582,     0,     0,  1957,  2231,     0,  1955,
       0,   672,  1805,  1097,  1097,  2368,  3299,     0,     0,     0,
       0,     0,  2233,     0,     0,     0,  2234,  1847,  2243,  2244,
    2245,  2232,  2246,  2247,  2248,  2249,  2250,  2251,     0,     0,
       0,     0,   718,     0,     0,     0,     0,  2235,  2236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2237,     0,     0,     0,     0,  1806,
       0,  1807,  1799,     0,  1815,     0,     0,     0,  1800,     0,
       0,  1808,     0,     0,     0,     0,     0,     0,     0,  1809,
    2238,     0,     0,  2239,     0,     0,     0,     0,     0,  1810,
       0,     0,     0,     0,     0,     0,  2240,     0,     0,  2241,
       0,   672,     0,   672,     0,     0,     0,     0,  1801,     0,
       0,     0,     0,  1955,     0,     0,     0,  5194,  3125,     0,
       0,     0,  3810,  2233,     0,  1812,  1813,  2234,     0,     0,
       0,  1097,  2533,     0,     0,     0,  1955,     0,  1097,     0,
     672,  1200,     0,     0,     0,     0,     0,     0,  2235,  2236,
       0,  3811,     0,     0,     0,     0,     0,  1802,     0,     0,
    1234,     0,     0,     0,  1803,  2237,  1097,  1804,     0,  1097,
       0,     0,  1955,     0,  2242,     0,     0,     0,     0,     0,
     822,     0,   672,     0,     0,     0,     0,     0,     0,     0,
       0,  2238,     0,  1097,  2239,     0,     0,     0,     0,     0,
       0,  1200,  1200,  1200,  1200,  1097,     0,  2240,     0,  1815,
    2241,     0,  1955,     0,     0,     0,  1955,  1955,     0,  1097,
       0,  1805,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2648,  3125,  1097,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1200,  1200,     0,     0,     0,     0,  1200,
       0,     0,     0,     0,     0,  1957,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2243,  2244,  2245,
       0,  2246,  2247,  2248,  2249,  2250,  2251,     0,  1806,     0,
    1807,     0,     0,     0,     0,  2242,     0,     0,     0,     0,
    1808,  1957,     0,     0,  1200,     0,     0,     0,  1809,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1810,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1200,  1200,  1200,  1200,     0,     0,     0,     0,     0,
       0,  1957,     0,  1097,     0,  1957,  1957,     0,     0,  1097,
       0,  3853,  2648,     0,  1812,  1813,   822,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1194,     0,     0,
       0,     0,     0,     0,   718,     0,  1194,     0,     0,     0,
    3854,     0,     0,     0,     0,     0,  1234,     0,  2243,  2244,
    2245,  1200,  2246,  2247,  2248,  2249,  2250,  2251,     0,     0,
    1200,     0,     0,     0,     0,     0,  1200,  1200,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1097,     0,     0,     0,     0,  4767,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1815,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2114,     0,     0,     0,     0,     0,
       0,  1200,     0,  1194,     0,     0,     0,  1097,  1097,     0,
    1200,     0,     0,     0,     0,     0,  1097,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1097,     0,     0,     0,
       0,     0,     0,  1023,  1023,     0,     0,  2869,     0,     0,
       0,  1582,  1582,     0,     0,     0,     0,     0,     0,  1582,
       0,     0,  1582,     0,     0,     0,  1582,     0,     0,     0,
       0,   672,     0,     0,  1582,  1582,     0,     0,     0,     0,
       0,     0,  1582,     0,  1234,  1582,  1582,  1582,  1582,     0,
       0,     0,     0,     0,     0,  1582,  1582,     0,  1582,     0,
    1582,  1582,     0,     0,  1582,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1582,     0,     0,     0,  1200,  1582,     0,     0,     0,
    1582,     0,     0,     0,  1582,   672,  1582,  1582,  1582,  1582,
    1582,  1582,  1582,  1582,  1582,     0,  1582,     0,     0,     0,
       0,     0,     0,  1097,     0,     0,  1582,  1582,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1097,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1097,     0,  1097,     0,  1582,
       0,     0,     0,     0,     0,   822,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1097,     0,     0,     0,     0,     4,
    3086,     0,  3093,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   822,     0,     0,     0,     5,
       0,     0,     0,   822,     0,     0,     0,     0,     0,     6,
       7,     0,     0,     0,     0,     8,     0,     9,    10,     0,
       0,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,     0,    36,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,   718,
      45,     0,     0,     0,  1023,     0,  1023,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1582,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1194,     0,  1200,  1200,  1200,     0,
       0,  1194,     0,  1234,     0,  1200,     0,  1200,    46,  1200,
    1200,  2226,     0,  1097,  2227, -2204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2228,     0,     0,     0,     0,     0,     0,     0,  2230,
       0,     0,  2533,     0,     0,  2231,     0,     0,     0,  3227,
       0,     0,     0,     0,  3236,     0,     0,     0,     0,     0,
    1097,     0, -2204,     0,     0,     0,     0,     0,     0,  2232,
       0,     0,     0,     0, -2204,     0,     0,  1097,    47, -2204,
       0,  3277,  3277,     0, -2204,     0,     0,     0,   718, -2204,
       0,     0, -2204,     0, -2204,     0,    48,  2226,     0,     0,
    2227,     0,     0,     0,     0,     0,  1200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    49,  2228,     0,     0,
    3605, -2204,     0,     0,     0,  2230,     0,     0,     0,     0,
       0,  2231,     0,  3336,     0,  3339,  3341,     0,    50,     0,
       0,     0,     0, -2204,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2232,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1200,     0,     0,     0,     0,
       0,  2233,     0,  1200,    51,  2234,     0,    52,  1200,     0,
   -2204,     0,     0,     0,     0,     0,     0,     0, -2204,     0,
       0,  1582,    53,     0,     0,     0,  2235,  2236,     0,  1947,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2237,     0,  2533,     0,     0,  3277,     0,
    1097,     0,  3434,     0,     0,  1023,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2204,     0,     0,  2238,
       0,     0,  2239,     0,     0,     0,     0,     0,     0,     0,
       0,  3336,     0,     0,     0,  2240,     0,  2233,  2241,  1200,
    3459,  2234,     0,     0,     0,     0,     0,     0,    54,     0,
       0,     0,  2015,  3575,     0,     0,     0,     0,     0,     0,
       0,  1027,  2235,  2236,     0,     0,     0,     0,  1949,  1200,
       0,  1200,  3277,  1200,  3277,     0,     0,     0,     0,  2237,
       0,     0,     0,     0,     0, -2204,     0,     0,     0,     0,
      55,     0,     0,     0,     0,     0,  1582,     0,     0,     0,
       0,     0,     0,     0,    56,  2238,     0,     0,  2239, -2204,
       0, -2204, -2204,  2242,     0,     0,     0,     0,  2114,    57,
       0,  2240,     0,     0,  2241,     0,     0,     0,     0,     0,
       0,     0,  1199,  1201,     0,     0,  1204,     0,  1206,     0,
       0,     0,  1947,     0,     0,     0, -2204,    58,     0, -2204,
   -2204,     0, -2204,     0,    59,     0,     0,  1250,    60,    61,
      62,    63,    64,  1194,     0,    65,    66,    67,    68,  1194,
      69,    70,    71,    72,    73,     0,     0,  1303,     0,     0,
    1200,  1306,     0,     0,     0,     0,  1582,  1582,     0,     0,
       0,     0,  1582,     0,     0,     0,     0,     0,  1329,  2242,
       0,     0,     0,     0,     0,     0,  2243,  2244,  2245,     0,
    2246,  2247,  2248,  2249,  2250,  2251,     0,  1582,  1582,     0,
       0,     0,  1582,     0,     0,     0,     0,     0,     0,     0,
       0,  1949,     0,     0,  1582,  1582,  1582,  1582,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1582,     0,     0,
    1582,     0,  1582,  3625,  2226,     0,     0,  2227,     0,     0,
       0,     0,  1582,  1582,     0,     0,  1582,     0,     0,     0,
       0,     0,     0,     0,  2228,     0,     0,     0,     0,  1582,
       0,  1582,  2230,  1234,     0,  1582,     0,     0,  2231,     0,
       0,     0,  2243,  2244,  2245,     0,  2246,  2247,  2248,  2249,
    2250,  2251,     0,     0,  1582,     0,     0,     0,  1097,     0,
       0,     0,  2232,     0,  3678,     0,     0,  1582,  1582,  1582,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1582,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1582,     0,     0,     0,     0,  1582,
       0,     0,     0,     0,     0,  1582,  2226,     0,     0,  2227,
       0,     0,     0,  3678,     0,     0,  3735,     0,     0,     0,
    3093,     0,     0,     0,     0,     0,  2228,     0,     0,  3616,
       0,     0,     0,     0,  2230,     0,     0,     0,  3610,     0,
    2231,     0,     0,     0,     0,     0,     0,  2226,     0,     0,
    2227,     0,     0,     0,  2233,     0,  1947,     0,  2234,     0,
       0,     0,     0,     0,  2232,     0,     0,  2228,     0,     0,
       0,     0,     0,     0,     0,  2230,     0,     0,     0,  2235,
    2236,  2231,     0,     0,  1582,     0,  3277,     0,     0,     0,
       0,  2114,     0,     0,     0,     0,  2237,     0,     0,     0,
       0,     0,     0,     0,     0,  2232,     0,     0,     0,     0,
    1947,     0,     0,     0,     0,     0,     0,  1200,     0,  1200,
    1200,  1200,  2238,     0,     0,  2239,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2240,     0,
       0,  2241,  1947,     0,     0,  1949,     0,  1823,  1824,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2233,     0,     0,     0,
    2234,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2235,  2236,     0,   830,     0,     0,     0,     0,  1949,
       0,     0,     0,     0,     0,     0,     0,  2233,  2237,     0,
       0,  2234,     0,     0,     0,     0,  2242,     0,     0,  1947,
       0,     0,     0,  1917,     0,     0,     0,     0,     0,     0,
       0,  1949,  2235,  2236,  2238,     0,     0,  2239,  1947,   830,
       0,     0,     0,     0,  1975,  1976,     0,     0,     0,  2237,
    2240,     0,     0,  2241,     0,     0,  1947,     0,     0,     0,
       0,     0,     0,     0,  2007,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2238,     0,     0,  2239,     0,
       0,     0,     0,     0,  1947,  1057,     0,     0,     0,     0,
       0,  2240,     0,  1057,  2241,  1057,     0,     0,  3277,  3277,
       0,  2040,  2042,     0,     0,     0,     0,   830,  1949,  2243,
    2244,  2245,     0,  2246,  2247,  2248,  2249,  2250,  2251,     0,
       0,  3950,     0,     0,     0,     0,     0,  1949,  2242,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1949,     0,  1947,  1097,  1097,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1097,     0,     0,     0,     0,  2242,
       0,     0,     0,  1949,     0,     0,     0,  2114,  1097,     0,
       0,     0,     0,     0,     0,     0,  2114,  1097,     0,     0,
       0,     0,     0,     0,     0,  4096,     0,     0,     0,     0,
       0,  1097,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   718,     0,     0,     0,
       0,  2243,  2244,  2245,     0,  2246,  2247,  2248,  2249,  2250,
    2251,  1200,     0,     0,  1200,     0,  1949,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1194,     0,  2226,     0,     0,  2227,     0,     0,     0,
       0,     0,  2243,  2244,  2245,     0,  2246,  2247,  2248,  2249,
    2250,  2251,  1097,  2228,     0,     0,  4146,     0,     0,     0,
       0,  2230,  1200,     0,     0,     0,     0,  2231,     0,     0,
    1582,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1582,     0,     0,     0,     0,     0,  1582,     0,  1582,     0,
       0,  2232,     0,     0,  1582,     0,     0,  1582,  1582,  1582,
    1582,  1582,  1582,  1582,  1582,  1582,  1582,     0,     0,     0,
    1582,  1582,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1582,  1947,     0,     0,  1582,     0,     0,
       0,  1582,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1582,     0,     0,  1582,     0,  1582,     0,     0,     0,
       0,     0,     0,     0,     0,  1582,  1582,  1582,     0,     0,
       0,  1582,     0,     0,  1582,     0,     0,     0,  4172,     0,
       0,     0,     0,     0,     0,  1097,  1097,  1097,  1194,     0,
    3678,  4189,     0,     0,     0,  4189,  4203,     0,     0,     0,
       0,     0,  1582,  2233,     0,     0,     0,  2234,  1582,  1582,
    2226,     0,     0,  2227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1949,     0,     0,     0,     0,  2235,  2236,
    2228,     0,     0,     0,     0,     0,     0,     0,  2230,     0,
       0,     0,     0,     0,  2231,  2237,     0,     0,     0,     0,
       0,     0,     0,  1582,     0,     0,     0,     0,     0,  1582,
       0,     0,     0,  3093,     0,  1582,     0,     0,  2232,     0,
       0,  2238,     0,     0,  2239,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2240,     0,     0,
    2241,     0,     0,     0,     0,     0,     0,  4264,  2114,  2114,
       0,  2648,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1200,
    1200,  1200,  1200,     0,     0,  2549,     0,     0,     0,     0,
    1947,     0,     0,     0,  1947,  1947,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4307,     0,     0,     0,
       0,     0,     0,     0,     0,  2242,     0,     0,     0,     0,
    2233,     0,     0,     0,  2234,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2615,  2616,  2617,  2618,     0,
       0,     0,     0,     0,     0,  2235,  2236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2237,     0,     0,     0,     0,     0,     0,  1949,
       0,     0,     0,  1949,  1949,     0,     0,  2656,  2657,     0,
       0,     0,  4373,  2666,     0,     0,     0,     0,  2238,     0,
    1947,  2239,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2240,     0,     0,  2241,  2243,  2244,
    2245,     0,  2246,  2247,  2248,  2249,  2250,  2251,     0,     0,
       0,  3950,     0,     0,     0,     0,     0,     0,  2690,  1097,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1200,     0,  1582,     0,     0,     0,     0,     0,  1097,     0,
       0,     0,     0,   830,  4445,  2725,  2726,  2727,  2728,     0,
       0,  1196,     0,  2533,     0,     0,     0,     0,     0,     0,
    1196,     0,     0,     0,     0,  1097,     0,     0,     0,  1949,
       0,     0,  2242,     0,     0,  3336,     0,     0,     0,     0,
       0,  4474,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1196,     0,     0,  1582,  1582,     0,
       0,     0,     0,     0,     0,  2787,     0,     0,     0,     0,
       0,     0,     0,     0,  2791,     0,     0,     0,     0,     0,
       0,  2798,  3277,     0,  3277,     0,     0,  1947,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1196,     0,     0,     0,     0,     0,     0,     0,  1582,
       0,  1196,     0,     0,     0,  2243,  2244,  2245,     0,  2246,
    2247,  2248,  2249,  2250,  2251,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1582,     0,     0,     0,
       0,     0,  1947,     0,     0,     0,  1582,  1582,     0,     0,
       0,     0,     0,     0,  1582,  1582,  1949,     0,     0,  1582,
       0,     0,     0,     0,     0,  1582,  1582,     0,     0,  1582,
       0,     0,  1582,  4560,     0,     0,  1097,  1097,  1097,  1097,
       0,     0,     0,  4189,  4203,     0,  4189,     0,     0,  4569,
       0,     0,     0,  3678,     0,     0,     0,  3678,     0,     0,
       0,     0,     0,  4582,     0,     0,     0,     0,     0,  1582,
       0,     0,     0,     0,  1582,     0,     0,  1196,     0,  1582,
       0,     0,     0,  1057,     0,     0,     0,  1057,  1234,  2971,
       0,  1949,     0,     0,     0,     0,  3735,     0,     0,     0,
    3093,     0,  1947,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1196,     0,     0,     0,     0,     0,  1023,
       0,     0,  1582,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3277,  3277,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4646,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1949,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1057,
    1057,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3950,  3950,  3950,  3950,  3950,  1196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1196,     0,     0,     0,
       0,     0,     0,     0,  1582,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1194,     0,     0,     0,  1958,
    2533,     0,     0,     0,     0,     0,     0,  2114,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1200,
    2533,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3179,  3180,  3181,     0,     0,     0,  1196,     0,     0,  3191,
       0,  3193,     0,  3195,  3196,     0,  1097,     0,  4773,     0,
       0,     0,     0,     0,     0,  1947,     0,     0,  1947,     0,
    1947,     0,     0,     0,     0,  1947,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1582,     0,     0,
       0,     0,     0,     0,     0,     0,  1582,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1582,  1582,  1196,     0,  1582,     0,     0,
       0,     0,     0,     0,     0,  1947,     0,     0,     0,     0,
    1194,  4189,     0,     0,     0,  3678,     0,     0,     0,     0,
    3678,     0,     0,  3678,  3336,     0,  4823,     0,  1582,  1582,
    3303,     0,     0,     0,  1949,     0,     0,  1949,     0,  1949,
       0,     0,     0,     0,  1949,  1947,     0,     0,     0,     0,
       0,     0,  1958,     0,     0,     0,     0,     0,     0,     0,
       0,  4264,  1234,  1200,  1200,  1200,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1196,     0,     0,     0,     0,     0,     0,     0,  3362,
       0,     0,     0,     0,  1949,     0,     0,  3371,     0,     0,
       0,     0,  3372,  1194,  1234,     0,  1947,     0,  1947,     0,
    1196,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1949,     0,     0,     0,  1196,  1196,
       0,  1196,     0,     0,  2114,  2114,     0,     0,     0,  1194,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1097,
    1196,     0,     0,  1947,     0,     0,     0,     0,     0,     0,
    4445,     0,     0,     0,     0,     0,     0,  3277,     0,     0,
       0,  2533,     0,  3457,     0,     0,     0,     0,  1947,     0,
       0,     0,     0,  4474,     0,  1949,  1097,  1949,     0,     0,
       0,     0,     0,     0,  1200,  4264,     0,     0,     0,  1947,
       0,     0,     0,  1196,   830,  3493,     0,  3495,     0,     0,
       0,     0,  1947,     0,     0,     0,     0,     0,     0,  1582,
       0,     0,  1582,     0,  1582,     0,     0,     0,     0,     0,
       0,     0,  1196,     0,     0,     0,  1196,  1196,     0,     0,
       0,     0,  1949,     0,     0,     0,     0,  1582,     0,     0,
       0,  3678,     0,     0,  4823,     0,     0,     0,     0,     0,
    4983,     0,     0,     0,     0,     0,     0,  1949,     0,     0,
       0,     0,     0,     0,     0,     0,  1947,     0,  1200,     0,
       0,     0,  1097,     0,     0,     0,     0,     0,  1949,     0,
       0,     0,  1947,     0,     0,     0,     0,     0,     0,     0,
       0,  1949,     0,     0,     0,  1947,  1200,  1200,  1200,  1200,
       0,     0,     0,     0,  3550,     0,  1958,     0,     0,     0,
       0,  2114,   830,     0,     0,     0,     0,     0,     0,  1057,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1194,     0,     0,     0,     0,     0,     0,     0,   887,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1582,   888,  1057,     0,     0,  1949,     0,     0,     0,     0,
    1958,     0,     0,     0,     0,     0,     0,  1947,     0,     0,
       0,  1949,   889,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1949,   890,     0,  1947,  1582,     0,
       0,  1194,  1958,     0,   891,     0,     0,     0,  -755,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1200,  1947,  1234,     0,   892,     0,     0,     0,     0,
       0,   893,     0,  1582,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   894,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   895,  1947,     0,
       0,     0,     0,     0,     0,   896,  1949,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1200,   897,     0,  1958,
       0,  1194,     0,     0,   898,     0,  1949,     0,   899,     0,
       0,     0,  4264,     0,     0,     0,     0,     0,  1958,     0,
       0,  4773,     0,  -957,     0,     0,     0,     0,  1582,  1582,
       0,  1949,     0,  3336,     0,     0,  1958,  4983,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1194,     0,     0,     0,     0,     0,     0,     0,   830,
    1200,     0,   900,     0,  1958,     0,     0,  1949,     0,  -521,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1582,     0,     0,  1947,     0,     0,     0,     0,
     901,     0,     0,   902,     0,     0,  1582,     0,     0,     0,
       0,     0,     0,  1200,     0,     0,     0,     0,     0,     0,
       0,  1196,     0,     0,     0,     0,     0,  1958,     0,     0,
    1196,  3791,     0,  3792,  3793,  3794,     0,     0,  -418,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   903,     0,     0,     0,
       0,     0,   904,     0,     0,     0,     0,     0,  -418,     0,
       0,   905,     0,     0,  1582,     0,     0,     0,     0,     0,
       0,     0,     0,  1194,  1949,     0,  1947,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  -418,     0,   906,
     907,     0,   908,   909,     0,     0,     0,     0,     0,     0,
       0,   910,     0,     0,     0,     0,   911,  1196,     0,     0,
       0,     0,   912,     0,     0,   913,     0,     0,   914,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  -418,     0,  1950,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1196,  1196,     0,     0,     0,
       0,     0,     0,  1196,     0,     0,  1196,     0,     0,     0,
    1196,     0,     0,     0,     0,  1949,     0,     0,  1196,  1196,
       0,     0,     0,     0,     0,     0,  1196,     0,     0,  1196,
    1196,  1196,  1196,     0,     0,     0,     0,     0,     0,  1196,
    1196,     0,  1196,     0,  1196,  1196,     0,     0,  1196,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1958,  1196,   830,     0,     0,     0,
    1196,     0,     0,  1947,  1196,     0,     0,     0,  1196,     0,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,     0,
    1196,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1196,  1196,     0,     0,     0,     0,     0,     0,     0,     0,
    1947,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1950,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1949,  1196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4064,     0,     0,  4065,     0,
       0,     0,     0,     0,     0,    85,     0,     0,     0,  1949,
       0,    89,     0,     0,     0,    93,     0,    94,     0,    96,
      97,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     106,     0,     0,  1947,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1947,     0,  4092,   119,   120,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1958,     0,     0,     0,  1958,  1958,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   830,     0,
       0,     0,     0,   128,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   129,     0,   130,   131,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1196,     0,     0,
    1130,     0,  1949,     0,     0,     0,     0,     0,  1196,     0,
       0,     0,     0,  1949,     0,  1196,     0,     0,     0,     0,
     141,     0,   142,   143,     0,     0,     0,     0,   146,     0,
     147,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     149,     0,   150,     0,  1947,     0,  1057,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   153,     0,   154,     0,
    1958,   157,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1947,   158,     0,   159,     0,   830,     0,   160,
       0,   830,     0,     0,     0,   161,     0,     0,     0,     0,
       0,  1947,     0,   163,     0,   165,     0,     0,     0,     0,
       0,   167,     0,  1057,     0,     0,     0,     0,     0,     0,
    1950,     0,     0,     0,     0,     0,   171,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1949,     0,     0,     0,     0,     0,  1947,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1949,     0,     0,  1950,     0,     0,     0,     0,     0,
       0,   184,   185,  4281,  4282,  4283,  4284,   186,     0,     0,
    1949,     0,     0,     0,     0,     0,   187,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1950,   192,     0,     0,
       0,     0,     0,     0,     0,  1196,     0,  1958,     0,     0,
       0,  1055,     0,     0,     0,     0,     0,     0,     0,  1055,
       0,  1055,     0,     0,   830,     0,     0,     0,  1949,     0,
       0,     0,     0,     0,     0,   202,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   204,     0,     0,
       0,     0,   205,   206,     0,   207,     0,     0,     0,     0,
     208,     0,     0,     0,     0,   209,     0,     0,   211,     0,
       0,     0,   213,  1950,     0,     0,     0,   214,   215,     0,
       0,     0,  1958,     0,     0,   216,     0,     0,   218,     0,
       0,     0,  1950,     0,     0,  1947,   221,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,     0,
    1950,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,     0,   229,     0,     0,
    1196,     0,     0,     0,     0,   231,     0,     0,  1950,     0,
       0,   232,     0,     0,  4432,     0,   233,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1958,     0,  1949,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   246,     0,  1196,     0,  -138,
       0,  1950,     0,  1196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1947,     0,     0,
    1196,  1196,     0,     0,     0,     0,  1196,     0,     0,   944,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   945,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1196,  1196,     0,     0,     0,  1196,     0,     0,     0,
       0,     0,   946,     0,     0,     0,     0,     0,  1196,  1196,
    1196,  1196,     0,     0,     0,   947,   830,     0,     0,     0,
       0,  1196,   830,     0,  1196,     0,  1196,     0,   948,     0,
       0,     0,     0,     0,     0,     0,  1196,  1196,     0,     0,
    1196,     0,     0,     0,     0,   949,  1949,     0,     0,     0,
       0,     0,     0,  1196,     0,  1196,     0,     0,     0,  1196,
       0,     0,     0,     0,     0,     0,   950,     0,     0,     0,
       0,  1947,     0,     0,     0,     0,     0,   951,  1196,     0,
       0,     0,     0,     0,     0,   952,     0,     0,  1196,     0,
       0,  1196,  1196,  1196,  1947,     0,     0,   953,     0,     0,
       0,     0,   954,     0,     0,     0,     0,     0,   955,     0,
       0,     0,     0,     0,     0,  1196,     0,     0,     0,     0,
       0,     0,     0,   956,     0,     0,     0,     0,  1196,     0,
    1947,     0,     0,  1196,     0,     0,     0,     0,  1950,  1196,
       0,     0,     0,     0,     0,     0,     0,  1196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1949,     0,     0,     0,     0,     0,     0,     0,     0,   957,
    1947,     0,     0,     0,  1947,  1947,     0,     0,     0,     0,
       0,     0,     0,  1949,     0,  1958,     0,     0,  1958,     0,
    1958,     0,     0,     0,     0,  1958,     0,     0,     0,     0,
     958,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   959,     0,     0,     0,     0,     0,     0,  1196,  1949,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   859,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1958,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   960,     0,     0,  1949,
     961,     0,   962,  1949,  1949,     0,     0,     0,   963,     0,
    4675,   964,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4678,  1958,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   965,     0,   966,
       0,     0,     0,   967,     0,     0,     0,     0,     0,     0,
       0,   968,     0,   830,   830,   830,   969,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   970,     0,
       0,     0,     0,     0,  1950,     0,     0,     0,  1950,  1950,
       0,   971,     0,     0,     0,     0,  1958,     0,  1958,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4746,     0,     0,     0,  1192,     0,     0,
       0,     0,     0,     0,     0,     0,  1192,     0,     0,     0,
       0,     0,     0,  1958,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1958,     0,
    1192,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1950,     0,     0,     0,     0,  1958,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   830,  1958,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1192,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1192,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1958,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4844,  4846,  4846,
       0,     0,  1958,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1958,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1196,     0,     0,     0,     0,
       0,  1950,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1192,     0,     0,     0,     0,     0,  1055,
       0,     0,     0,  1055,  1196,     0,     0,  1958,     0,     0,
       0,     0,     0,     0,  1196,     0,     0,     0,     0,     0,
    1196,     0,  1196,     0,     0,     0,     0,  1958,  1196,  1192,
       0,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,     0,     0,     0,  1196,  1196,  1950,     0,     0,     0,
       0,     0,  1958,     0,     0,     0,     0,  1196,  4942,     0,
       0,  1196,     0,   830,     0,  1196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1196,     0,     0,  1196,     0,
    1196,     0,     0,     0,     0,     0,     0,     0,  1958,  1196,
    1196,  1196,     0,     0,     0,  1196,     0,     0,  1196,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1196,     0,  1196,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1196,     0,     0,     0,
       0,     0,  1196,  1196,     0,     0,     0,     0,     0,     0,
       0,     0,  4991,     0,     0,     0,  1950,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1055,  1055,     0,     0,     0,
       0,  5014,     0,  5016,     0,     0,     0,  1196,     0,     0,
       0,     0,     0,  1196,     0,     0,     0,     0,     0,  1196,
       0,  1192,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1192,     0,     0,  1958,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1196,     0,     0,     0,  1956,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1192,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4846,     0,     0,     0,     0,
     830,     0,     0,     0,     0,   830,  1958,   830,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1192,     0,     0,     0,     0,     0,     0,     0,     0,
    5122,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   830,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1956,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5163,     0,     0,     0,     0,  1950,
       0,     0,  1950,     0,  1950,     0,  1196,  1192,     0,  1950,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1958,     0,     0,  1192,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5202,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1950,
       0,     0,     0,     0,  1192,  1192,     0,  1192,     0,     0,
    1958,  1196,  1196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1192,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1950,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1196,     0,     0,     0,     0,     0,  1192,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1950,     0,  1950,     0,     0,     0,     0,     0,  1192,     0,
    1196,     0,  1192,  1192,     0,     0,     0,     0,     0,     0,
    1196,  1196,     0,  1958,     0,     0,     0,     0,  1196,  1196,
       0,     0,     0,  1196,  1958,     0,     0,     0,     0,  1196,
    1196,     0,     0,  1196,     0,     0,  1196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1950,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1196,     0,     0,
       0,  1196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1950,  1196,     0,     0,     0,     0,  1196,     0,
       0,     0,  1956,  1196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1950,     0,  1055,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1950,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1196,     0,  1055,     0,
       0,     0,     0,     0,     0,     0,  1956,     0,     0,     0,
       0,     0,     0,     0,  1958,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   830,     0,     0,     0,     0,  1956,     0,
    1950,     0,  1958,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1950,     0,     0,     0,
       0,  1958,     0,     0,     0,     0,     0,     0,     0,  1950,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1958,
       0,     0,     0,     0,     0,  1956,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1956,     0,     0,     0,     0,     0,
       0,  1950,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1956,     0,     0,     0,     0,     0,     0,     0,
       0,  1950,     0,     0,     0,     0,     0,     0,  1196,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1196,
    1956,     0,     0,     0,     0,     0,  1950,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1950,     0,     0,     0,     0,  1958,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1192,     0,     0,
       0,     0,     0,  1956,     0,     0,  1192,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1196,     0,     0,     0,  1958,     0,     0,     0,     0,
    1196,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1196,  1196,     0,
       0,  1196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1196,     0,     0,     0,     0,  1196,
       0,     0,     0,     0,  1196,     0,     0,  1196,     0,     0,
       0,     0,  1196,  1196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1192,     0,     0,     0,     0,     0,  1950,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1192,  1192,     0,     0,     0,     0,     0,     0,  1192,
       0,     0,  1192,     0,     0,     0,  1192,  1958,     0,     0,
       0,     0,     0,     0,  1192,  1192,     0,  1196,     0,     0,
       0,     0,  1192,     0,     0,  1192,  1192,  1192,  1192,     0,
       0,     0,     0,     0,     0,  1192,  1192,     0,  1192,     0,
    1192,  1192,     0,     0,  1192,     0,     0,     0,   830,     0,
    1950,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1956,  1192,     0,  1196,     0,     0,  1192,     0,     0,     0,
    1192,     0,     0,     0,  1192,     0,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,     0,  1192,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1192,  1192,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1196,
       0,  1958,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1196,  1958,     0,  1196,     0,  1196,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1192,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1196,     0,     0,     0,  1196,     0,     0,     0,     0,
    1958,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1950,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   830,     0,     0,     0,     0,     0,
    1958,     0,     0,     0,  1958,  1958,     0,     0,     0,     0,
       0,     0,     0,     0,  1950,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1956,     0,     0,     0,
    1956,  1956,     0,     0,     0,  1196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1196,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1192,  1958,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1192,     0,     0,     0,     0,     0,
       0,  1192,  1196,     0,     0,  1196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1950,     0,     0,
       0,     0,  1055,     0,     0,     0,     0,  1196,  1950,     0,
       0,     0,     0,     0,     0,     0,  1956,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1196,     0,     0,     0,  1055,
       0,     0,     0,     0,     0,     0,  1196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1196,  1196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1950,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1950,     0,     0,     0,
    1196,  1192,     0,  1956,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1950,     0,     0,     0,     0,
       0,     0,     0,   830,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   930,     0,     0,     0,     0,     0,     0,     0,     0,
     930,     0,     0,  1950,     0,     0,     0,     0,  1196,     0,
       0,     0,     0,   830,     0,     0,     0,  1196,  1956,     0,
       0,   830,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   930,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1192,     0,     0,     0,
       0,     0,     0,  1111,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1956,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1192,     0,     0,     0,     0,     0,  1192,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1192,  1192,     0,  1950,
       0,     0,  1192,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1192,  1192,     0,
       0,     0,  1192,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1192,  1192,  1192,  1192,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1192,     0,     0,
    1192,     0,  1192,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1192,  1192,     0,     0,  1192,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1192,
       0,  1192,     0,     0,  1160,  1192,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1192,     0,     0,     0,     0,     0,
       0,  1950,     0,     0,  1192,     0,     0,  1192,  1192,  1192,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1192,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1192,     0,     0,     0,     0,  1192,
       0,     0,     0,     0,     0,  1192,     0,     0,     0,     0,
       0,     0,     0,  1192,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1956,     0,     0,  1956,     0,  1956,     0,     0,     0,
       0,  1956,     0,     0,     0,  1950,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1192,     0,     0,     0,  1950,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1956,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1950,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1956,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1950,     0,     0,     0,  1950,  1950,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   930,
     930,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1956,     0,  1956,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1160,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1956,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1956,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1956,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1956,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1207,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1237,  1238,
       0,  1241,     0,     0,  1247,     0,  1249,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1956,     0,     0,  1301,     0,     0,     0,     0,
       0,     0,     0,  1309,     0,     0,     0,     0,  1956,     0,
       0,     0,  1325,  1326,     0,     0,     0,  1328,     0,     0,
       0,  1956,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1160,     0,   930,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1192,  1359,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1382,     0,
       0,  1384,     0,  1386,     0,  1389,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   930,
    1192,     0,     0,  1956,     0,     0,     0,     0,     0,     0,
    1192,     0,     0,     0,     0,     0,  1192,     0,  1192,     0,
       0,     0,     0,  1956,  1192,     0,     0,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,     0,     0,     0,
    1192,  1192,     0,     0,     0,     0,     0,     0,  1956,     0,
       0,     0,     0,  1192,  1469,     0,  1470,  1192,     0,     0,
       0,  1192,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1192,     0,     0,  1192,     0,  1192,     0,     0,     0,
       0,     0,     0,     0,  1956,  1192,  1192,  1192,     0,  1160,
       0,  1192,     0,     0,  1192,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1192,     0,
    1192,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1192,     0,     0,  1111,     0,     0,  1192,  1192,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1192,     0,     0,     0,     0,     0,  1192,
       0,     0,     0,     0,     0,  1192,     0,     0,     0,     0,
       4,     0,     0,     0,     0,     0,  1732,     0,  1734,     0,
       0,  1956,  1736,     0,     0,     0,     0,     0,     0,     0,
       5,     0,     0,     0,     0,     0,     0,  1192,     0,     0,
       6,     7,  1765,     0,     0,     0,     0,     0,     9,    10,
       0,     0,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,  1890,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1903,
       0,     0,  1956,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1913,     0,     0,     0,     0,     0,     0,  1915,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    46,
       0,  1964,     0,     0,  1968,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2011,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    47,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    48,     0,     0,
       0,     0,  1192,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1952,     0,     0,     0,     0,    49,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1956,
       0,     0,     0,   678,     0,     0,     0,     0,   722,    50,
     722,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     722,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1956,  1192,  1192,     0,
       0,     0,     0,     0,     0,    51,   722,     0,    52,     0,
       0,     0,     0,     0,     0,     0,   722,     0,     0,     0,
       0,     0,     0,    53,     0,     0,     0,   722,   722,     0,
       0,   722,     0,     0,     0,     0,     0,   722,     0,     0,
       0,  1015,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1192,
       0,  1015,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   722,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1192,     0,     0,    54,
       0,     0,     0,     0,     0,  1952,  1192,  1192,     0,  1956,
       0,     0,     0,     0,  1192,  1192,     0,     0,     0,  1192,
    1956,     0,     0,     0,     0,  1192,  1192,     0,     0,  1192,
       0,     0,  1192,     0,     0,     0,     0,     0,     0,     0,
       0,    55,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1192,     0,    56,     0,  1192,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1192,
      57,     0,     0,     0,  1192,     0,     0,     0,     0,  1192,
       0,     0,  1111,  2329,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    58,     0,
       0,     0,     0,     0,     0,    59,     0,     0,     0,    60,
      61,    62,    63,    64,     0,     0,    65,    66,  1397,     0,
       0,     0,  1192,    71,  1398,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1956,  2400,     0,     0,  2400,     0,  1953,     0,     0,     0,
       0,     0,  2407,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1956,     0,
    2416,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1956,     0,     0,
       0,   722,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2499,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1956,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1952,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1192,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1192,     0,     0,     0,  1953,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1952,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1956,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1952,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1192,     0,     0,
       0,  1956,     0,     0,     0,     0,  1192,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2700,     0,
     722,     0,     0,  1192,  1192,     0,     0,  1192,     0,     0,
       0,     0,     0,  2723,     0,     0,     0,     0,     0,     0,
    1192,     0,     0,     0,     0,  1192,     0,     0,     0,     0,
    1192,     0,  1952,  1192,     0,     0,     0,     0,  1192,  1192,
       0,     0,     0,     0,     0,     0,   722,   722,     0,     0,
       0,  1952,     0,     0,     0,     0,     0,     0,     0,  2771,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1952,
       0,  1192,     0,     0,  2786,     0,  2788,     0,  2789,     0,
       0,     0,     0,  2790,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   722,     0,     0,  1952,     0,     0,
       0,     0,     0,  1956,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1192,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2819,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2329,     0,     0,     0,  2329,     0,
    2329,     0,     0,  2329,     0,     0,     0,     0,     0,  1192,
    1952,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1953,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1192,     0,  1956,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1953,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1192,
    1956,     0,  1192,     0,  1192,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1953,
       0,     0,     0,     0,     0,     0,     0,  1192,     0,     0,
       0,  1192,     0,     0,     0,     0,  1956,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1347,   722,     0,   722,  3034,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1956,     0,     0,     0,
    1956,  1956,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1953,     0,     0,     0,
       0,     0,   722,     0,     0,   722,   722,     0,     0,     0,
       0,     0,     0,     0,     0,  1953,     0,  1952,     0,     0,
     678,  1192,  1015,     0,  1015,     0,     0,     0,     0,     0,
     678,     0,     0,  1953,   722,     0,     0,     0,     0,     0,
    1192,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1015,  1015,     0,     0,     0,     0,     0,
    1956,  1953,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1192,     0,
       0,  1192,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1160,   722,     0,   722,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1192,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1953,  3134,  3135,     0,     0,     0,
    3138,  3139,     0,     0,  3142,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3152,     0,     0,     0,     0,     0,
       0,  3161,     0,     0,     0,  3164,  3165,     0,     0,  3168,
    3169,  1192,     0,     0,     0,     0,  3174,     0,     0,     0,
       0,     0,  1192,     0,     0,     0,   678,     0,  3190,     0,
    3192,     0,     0,     0,     0,     0,     0,     0,  1192,  1192,
     678,   678,     0,     0,  1714,     0,  3214,     0,     0,     0,
       0,  3216,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1192,     0,  1952,  3221,     0,     0,  1952,  1952,     0,
       0,     0,  3226,     0,  3228,  3229,  3232,  3234,     0,     0,
       0,  3241,  3244,     0,     0,     0,     0,     0,     0,  3255,
       0,   678,     0,  3264,     0,     0,     0,  3268,     0,     0,
       0,     0,  1192,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1192,     0,     0,     0,
    3297,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3304,     0,  3306,     0,     0,     0,     0,  3309,     0,
       0,     0,  3310,     0,  3314,  3315,  3316,  3317,     0,  3319,
       0,     0,     4,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3343,  3344,  3345,     0,     0,     0,     0,     0,
       0,  1953,     5,  1952,     0,  3353,  3354,     0,     0,     0,
       0,     0,     6,     7,  1192,     0,     0,     0,     0,     0,
       9,    10,     0,  1192,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,     0,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,     0,    45,     0,  3408,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    46,     0,     0,     0,     0,     0,     0,     0,     0,
     678,     0,     0,     0,     0,   722,     0,   722,     0,     0,
     722,     0,   722,     0,     0,   722,   722,   722,     0,     0,
       0,  2109,     0,     0,     0,     0,     0,     0,   722,     0,
    1952,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   722,     0,   722,     0,     0,     0,     0,   722,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    47,     0,     0,     0,     0,     0,  1160,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1953,     0,    48,
    2329,  1953,  1953,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    49,
       0,     0,     0,     0,     0,  1952,     0,     0,  3535,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    50,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    51,     0,     0,
      52,     0,     0,     0,     0,     0,     0,     0,     0,  2269,
       0,     0,     0,     0,     0,    53,     0,     0,   722,   722,
       0,     0,     0,     0,     0,     0,     0,  1953,     0,     0,
       0,     0,     0,     0,     0,   678,     0,     0,     0,     0,
     678,   678,     0,     0,     0,  1952,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    54,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   722,     0,   678,     0,     0,     0,     0,
       0,     0,     0,    55,     0,  2404,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3716,    56,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    57,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1953,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      58,     0,     0,     0,     0,     0,     0,    59,     0,   678,
       0,    60,    61,    62,    63,    64,     0,   678,    65,    66,
    1397,  2066,     0,     0,     0,    71,     0,     0,  3762,  3763,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2329,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1953,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3785,   678,     0,     0,   678,   678,     0,     0,     0,  3789,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3800,  3802,     0,     0,     0,  3802,
       0,     0,     0,     0,  3813,  3814,  3815,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1952,     0,
       0,  1952,     0,  1952,     0,     0,     0,     0,  1952,     0,
       0,     0,     0,     0,  3835,  3836,  3837,  3838,     0,     0,
       0,     0,   678,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1953,
       0,     0,     0,     0,     0,     0,     0,     0,  3852,     0,
    3856,  3857,  3858,     0,     0,     0,     0,     0,  1952,     0,
    3871,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1952,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3912,     0,     0,     0,     0,
       0,     0,     0,  3916,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1952,
       0,  1952,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3984,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   722,     0,   722,     0,     0,     0,   722,
       0,   722,     0,     0,   722,     0,  1952,     0,   722,     0,
       0,     0,     0,  2269,     0,     0,     0,     0,     0,  4013,
       0,     0,  4016,     0,     0,     0,     0,     0,     0,     0,
       0,  1952,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1952,   930,     0,     0,  4056,     0,     0,     0,
       0,     0,     0,     0,     0,  1952,     0,     0,     0,     0,
    4066,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2329,     0,     0,     0,     0,     0,     0,
       0,     0,  1953,     0,     0,  1953,     0,  1953,     0,     0,
       0,     0,  1953,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1197,     0,     0,     0,     0,     0,  1952,
       0,     0,  1197,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1952,     0,     0,     0,     0,
       0,     0,  1953,     0,     0,     0,     0,     0,  1952,     0,
       0,     0,     0,     0,  2109,     0,  1197,     0,     0,     0,
       0,  3035,     0,     0,     0,     0,     0,     0,     0,     0,
    2404,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1953,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1197,     0,     0,     0,     0,     0,     0,
    1952,     0,     0,  1197,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,     0,     0,     0,     0,
    1952,     0,     0,  1953,     0,  1953,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1952,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,     0,
       0,   678,     0,     0,     0,     0,     0,  3107,     0,  1714,
    1953,  1952,   722,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1953,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4275,  1197,
    4276,     0,     0,     0,     0,     0,  1953,  4278,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1953,
       0,     0,     0,  4287,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1197,     0,     0,  4295,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4306,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4309,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1952,     0,
       0,     0,     0,  1953,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4341,  4342,  4343,  1953,
       0,  4346,  4347,  4348,  4349,  4350,     0,     0,     0,     0,
    4357,  4358,  1953,  4360,  4361,  4362,  4363,  4364,  4365,  4366,
       0,     0,     0,     0,     0,     0,     0,     0,  4374,     0,
    4376,  4377,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,     0,     0,     0,     0,     0,     0,   678,
       0,   678,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1952,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4426,  4428,  4430,     0,  1953,  4433,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1197,     0,     0,
       0,     0,     0,  1567,  1953,     0,     0,     0,  1197,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1953,
       0,  1959,     0,     0,     0,     0,     0,     0,     0,  1641,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1953,     0,  3802,  1197,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2329,  2329,  2329,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1952,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1952,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   722,  2109,     0,     0,     0,     0,
       0,     0,  1953,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,     0,  1959,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1197,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1197,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1952,     0,     0,     0,
       0,     0,     0,  1953,     0,     0,     0,  1952,     0,     0,
    1197,  1197,     0,  1197,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1197,     0,     0,  4635,  4636,  4637,  4638,     0,
       0,  4640,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4653,  4654,  4655,  4656,     0,  4658,  4659,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4668,
    4669,     0,     0,     0,     0,  1197,     0,     0,     0,     0,
       0,     0,  4671,     0,     0,     0,     0,     0,  2329,  2329,
       0,  2329,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1197,     0,     0,     0,  1197,  1197,
       0,     0,     0,  2404,     0,     0,     0,  1952,   678,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1953,     0,     0,     0,     0,  1952,     0,  2164,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1952,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2188,  1953,     0,     0,
       0,     0,     0,     0,     0,     0,  4733,     0,  1959,     0,
       0,     0,     0,     0,     0,  4739,     0,     0,     0,     0,
       0,     0,     0,     0,  2213,  2214,     0,  2217,     0,     0,
       0,     0,  1952,     0,     0,     0,  4758,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2259,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4777,     0,  1959,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1959,     0,     0,     0,     0,  2313,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1953,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1953,     0,     0,     0,     0,     0,  2329,  2336,     0,
       0,     0,  2348,  2351,     0,     0,     0,     0,     0,     0,
    2329,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1959,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1952,     0,
    1959,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1959,  4861,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4872,
       0,     0,     0,     0,     0,     0,  1959,     0,     0,     0,
       0,  1953,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1953,
       0,     0,     0,     0,     0,     0,   678,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1953,   678,
       0,     0,     0,  1197,     0,     0,     0,     0,     0,  1959,
       0,     0,  1197,     0,     0,     0,     0,     0,     0,     0,
    1952,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3802,     0,     0,
       0,     0,     0,     0,     0,     0,  1953,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2329,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2329,     0,
     722,     0,     0,     0,     0,     0,     0,     0,     0,  1197,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4997,     0,     0,     0,     0,     0,     0,     0,     0,  5004,
       0,     0,     0,     0,  1952,     0,     0,  1197,  1197,     0,
       0,     0,     0,     0,  2329,  1197,     0,     0,  1197,     0,
       0,   678,  1197,     0,     0,     0,     0,  1952,     0,     0,
    1197,  1197,     0,     0,     0,     0,     0,     0,  1197,     0,
       0,  1197,  1197,  1197,  1197,     0,     0,     0,     0,     0,
       0,  1197,  1197,     0,  1197,     0,  1197,  1197,     0,     0,
    1197,     0,     0,  1952,     0,     0,     0,     0,     0,     0,
       0,     0,  1953,     0,     0,     0,  1959,  1197,     0,     0,
       0,     0,  1197,     0,     0,     0,  1197,     0,  3802,     0,
    1197,     0,  1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,
    1197,     0,  1197,  1952,     0,     0,     0,  1952,  1952,     0,
       0,  2329,  1197,  1197,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5095,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5106,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5117,  1197,     0,     0,     0,  5121,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1953,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2897,
       0,  3107,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5158,     0,     0,     0,     0,     0,
       0,     0,  2920,     0,     0,  2922,     0,  1954,  2933,     0,
       0,     0,     0,     0,     0,  2940,  2945,     0,     0,     0,
       0,  2951,     0,     0,  2956,     0,     0,     0,     0,     0,
       0,     0,  1959,     0,     0,     0,  1959,  1959,     0,     0,
       0,  2965,     0,     0,     0,     0,  2972,     0,     0,     0,
    2984,     0,     0,     0,  2991,     0,  2993,  2994,  2995,  2996,
    2997,  2998,  2999,  3000,  3001,     0,  3002,     0,  1953,     0,
       0,     0,     0,     0,     0,     0,  1567,  3030,     0,  1197,
       0,     0,     0,   678,     0,     0,     0,     0,     0,     0,
    1197,  1953,     0,     0,     0,     0,     0,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1953,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1641,
       0,     0,  1959,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1953,     0,     0,
    1954,  1953,  1953,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     4,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     5,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     6,     7,     0,     0,     0,     0,     0,     0,     9,
      10,  2253,     0,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3166,     0,     0,     0,  1197,     0,  1959,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2253,     0,     0,     0,   678,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      46,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1959,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      47,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    48,     0,
       0,     0,  1197,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    49,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1954,     0,     0,     0,     0,     0,
      50,     0,     0,     0,  2404,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1959,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1197,
       0,     0,     0,     0,   678,  1197,    51,     0,     0,    52,
       0,  3383,     0,     0,     0,     0,     0,     0,  1954,     0,
       0,     0,  1197,  1197,    53,     0,     0,     0,  1197,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1954,     0,     0,  1197,  1197,     0,   678,     0,  1197,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1197,  1197,  1197,  1197,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1197,     0,     0,  1197,     0,  1197,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1197,  1197,
      54,     0,  1197,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1197,     0,  1197,     0,     0,
       0,  1197,     0,     0,     0,     0,     0,  1954,     0,     0,
       0,     0,     0,     0,     0,     0,  3507,     0,     0,     0,
    1197,   678,    55,     0,     0,     0,  1954,     0,     0,     0,
    1197,     0,     0,  1197,  1197,  1197,    56,     0,     0,     0,
       0,     0,     0,     0,  1954,     0,     0,     0,     0,   678,
       0,    57,     0,     0,     0,     0,     0,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1197,     0,  1954,     0,     0,  1197,     0,     0,     0,    58,
       0,  1197,     0,     0,     0,     0,    59,     0,     0,  1197,
      60,    61,    62,    63,    64,     0,     0,    65,    66,  1397,
    2799,     0,     0,     0,    71,     0,     0,  3556,     0,     0,
       0,     0,  3562,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1959,     0,     0,
    1959,     0,  1959,     0,     0,  1954,  2253,  1959,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2945,     0,  2945,  2945,     0,     0,
    1197,     0,     0,     0,     0,     0,     0,  3619,     0,     0,
    3622,     0,  3624,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1959,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3645,
       0,  3647,     0,     0,     0,  3650,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1959,  2253,     0,
       0,     0,     0,     0,     0,   722,     0,  3030,  3030,  3030,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2253,     0,     0,     0,     0,  2929,     0,     0,
       0,  3713,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2336,     0,     0,  2253,  2253,  3725,
       0,  2253,     0,     0,   678,  2351,     0,     0,  1959,     0,
    1959,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2253,     0,     0,     0,     0,     0,     0,
       0,     0,  1954,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1959,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3771,     0,     0,     0,     0,     0,
    1959,     0,     0,     0,     0,     0,     0,  2253,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     4,     0,
       0,  1959,     0,     0,     0,     0,     0,     0,     0,     0,
    2253,     0,     0,     0,  1959,     0,     0,     0,     5,     0,
       0,     0,  2253,     0,     0,  2253,     0,     0,     6,     7,
       0,     0,     0,     0,     0,     0,     9,    10,     0,     0,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,  1959,    45,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1959,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1959,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    46,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1197,  1954,     0,
       0,     0,  1954,  1954,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1197,     0,     0,  1959,
       0,     0,     0,     0,     0,     0,  1197,     0,     0,     0,
       0,     0,  1197,     0,  1197,     0,     0,    47,   678,  1959,
    1197,     0,     0,  1197,  1197,  1197,  1197,  1197,  1197,  1197,
    1197,  1197,  1197,     0,     0,    48,  1197,  1197,     0,     0,
       0,     0,     0,     0,  1959,     0,     0,     0,     0,  1197,
       0,     0,     0,  1197,     0,    49,     0,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1197,  1954,     0,
    1197,     0,  1197,     0,     0,     0,     0,    50,     0,     0,
    1959,  1197,  1197,  1197,     0,     0,     0,  1197,     0,     0,
    1197,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1197,     0,  1197,     0,     0,     0,
       0,     0,     0,    51,     0,     0,    52,     0,  1197,     0,
       0,     0,     0,     0,  1197,  1197,     0,     0,     0,     0,
       0,    53,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1197,
       0,     0,     0,     0,     0,  1197,     0,     0,     0,     0,
       0,  1197,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1959,     0,     0,
    4097,     0,     0,     0,     0,     0,     0,    54,     0,     0,
    4101,     0,     0,  1197,     0,  1954,  4102,     0,  4103,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4121,  4122,     0,     0,     0,     0,     0,     0,     0,    55,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2951,     0,    56,     0,     0,     0,     0,     0,     0,
       0,  4150,     0,     0,  4153,     0,  4155,     0,    57,     0,
       0,     0,     0,     0,     0,  4159,     0,     0,  1959,     0,
    1954,  4164,     0,     0,  4167,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    58,     0,     0,     0,
       0,     0,     0,    59,     0,     0,     0,    60,    61,    62,
      63,    64,  4208,     0,    65,    66,  1397,     0,  4215,  3030,
       0,    71,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4230,     0,     0,     0,     0,     0,  1567,
       0,     0,     0,     0,     0,  1641,     0,     0,     0,     0,
    1954,  2253,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1197,     0,
       0,     0,     0,     0,  2253,     0,  2253,     0,  2929,  2929,
    3593,     0,     0,  2929,     0,     0,     0,  2253,     0,     0,
       0,     0,     0,     0,  2253,  1959,     0,     0,     0,  2253,
       0,     0,     0,     0,     0,  2253,     0,     0,     0,     0,
    2253,     0,     0,     0,     0,     0,     0,     0,     0,  2253,
       0,     0,     0,  2929,  2929,     0,  2253,     0,     0,     0,
       0,     0,  1959,  1197,  1197,     0,     0,     0,  2253,     0,
       0,     0,     0,     0,     0,  2253,     0,  2253,  2253,  2253,
    2253,  2253,  2253,  2253,  2253,  2253,  2253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1197,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1197,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1197,  1197,     0,  1959,     0,     0,     0,     0,
    1197,  1197,     0,     0,     0,  1197,  1959,     0,     0,     0,
       0,  1197,  1197,     0,     0,  1197,     0,     0,  1197,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1197,
       0,     0,     0,  1197,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1197,     0,     0,     0,     0,
    1197,     0,     0,  1954,     0,  1197,  1954,     0,  1954,     0,
    2253,     0,     0,  1954,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4487,  4488,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1197,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1954,     0,     0,  1959,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4520,
       0,     0,     0,     0,  1959,     0,     0,     0,     0,     0,
       0,     0,     0,  1954,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1959,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4538,  4540,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4547,
       0,     0,     0,     0,     0,  4552,  4553,     0,     0,  4555,
       0,  1959,  4558,     0,  1954,     0,  1954,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3030,
       0,     0,     0,     0,  3030,     0,     0,     0,     0,  3030,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1197,  1954,     0,     0,     0,     0,     0,  2253,     0,     0,
       0,  1197,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1954,     0,     0,     0,
       0,     0,  4616,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1954,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1959,
    1954,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1197,     0,     0,     0,  1959,     0,     0,
       0,     0,  1197,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1197,
    1197,     0,     0,  1197,  1954,     0,     0,     0,     0,     0,
       0,  2253,     0,     0,     0,     0,  1197,     0,     0,     0,
    1954,  1197,     0,     0,     0,     0,  1197,     0,     0,  1197,
       0,     0,     0,  1954,  1197,  1197,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2253,     0,     0,     0,     0,     0,  2253,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3593,  3593,  4719,  2929,     0,     0,  2929,  2929,
    2929,  2929,  2929,  2929,  2929,  2929,  2929,  2929,  3593,  1959,
       0,     0,     0,     0,     0,  1954,     0,     0,     0,  1197,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2253,     0,  1954,  2253,     0,  2253,     0,
       0,     0,     0,  3593,  3593,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2929,  2929,  2253,
    1954,  2253,     0,     0,  2253,  1197,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1954,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4803,     0,     0,
       0,  1197,     0,  1959,     0,     0,     0,  2253,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2253,
       0,     0,     0,     0,     0,  1197,  1959,     0,  1197,  4826,
    1197,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1197,     0,     0,     0,  1197,     0,     0,
       0,     0,  1959,     0,     0,  2253,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1954,     0,     0,     0,     0,     0,     0,
       0,     0,  1959,     0,     0,     0,  1959,  1959,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1197,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1954,     0,  1959,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1197,     0,     0,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2951,     0,     0,     0,     0,     0,     0,  1197,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4973,     0,     0,
       0,     0,     0,  2929,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1197,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1197,  1197,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1954,     0,     0,     0,     0,     0,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1954,     0,
    5047,     0,     0,     0,     0,     0,     0,     0,  1197,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2253,  1197,     0,     0,  2253,  2253,  2253,     0,     0,
    3593,     0,     0,     0,     0,  3593,  3593,  3593,  3593,  3593,
    3593,  3593,  3593,  3593,  3593,  2253,  2253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5096,  2253,  2929,  2929,  2253,     0,  2253,
       0,     0,     0,  2253,  3593,  3593,     0,     0,  2253,     0,
    1197,  2253,     0,     0,     0,     0,     0,     0,     0,  1197,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1954,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1954,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2253,     0,     0,     0,     0,     0,     0,  2253,
       0,     0,     0,     0,     0,     0,     0,     0,  5142,  5142,
       0,     0,     0,     0,  2253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5142,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5198,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1954,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1954,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1954,
       0,     0,     0,     0,  5142,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1954,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3593,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2253,  2253,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2253,     0,     0,     0,  2929,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2253,     0,  2253,     0,     0,     0,     0,  3593,
    3593,  2253,     0,     0,  2929,  2929,  2253,  2253,     0,  2253,
       0,     0,  2253,     0,    86,    87,    88,     0,    90,    91,
      92,     0,     0,  1954,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,     0,     0,     0,   107,
     108,   109,   110,     0,   111,   112,   113,   114,   115,     0,
     116,   117,   118,     0,     0,     0,     0,     0,   121,   122,
       0,     0,     0,     0,   123,     0,     0,     0,     0,     0,
    2253,     0,     0,   124,     0,   125,     0,   126,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   133,     0,     0,     0,   135,   136,   137,
     138,   139,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   140,     0,  1954,     0,     0,     0,     0,
     144,     0,   145,     0,     0,     0,     0,     0,   148,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   151,
       0,     0,     0,  2253,     0,   152,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   155,   156,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   162,     0,     0,     0,     0,     0,     0,     0,
     164,     0,     0,     0,   166,     0,     0,     0,     0,     0,
     168,     0,     0,     0,     0,     0,   169,     0,   170,  3593,
    2929,     0,     0,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,   173,     0,  3593,  3593,  2253,     0,  1954,
       0,     0,     0,     0,     0,     0,   174,   175,     0,     0,
       0,     0,     0,   176,     0,   177,     0,     0,   178,   179,
    2253,   180,  1954,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   181,   182,     0,   183,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,   189,   190,  1954,     0,
     191,     0,     0,     0,   193,     0,     0,   194,     0,   195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   196,   197,     0,   198,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,  1954,   201,
       0,     0,  1954,  1954,     0,     0,     0,     0,     0,     0,
       0,     0,   203,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   210,     0,     0,   212,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3593,   217,     0,     0,   219,     0,   220,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2253,     0,     0,
     222,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,     0,     0,     0,   226,     0,   227,
       0,     0,     0,     0,     0,     0,     0,     0,   230,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   234,     0,     0,   235,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   237,   238,   239,   240,   241,   242,   243,   244,
     245,  2253,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3097,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2253,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,  2253,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,  2253,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,   739,   427,   428,   429,   740,
     741,   742,   743,   744,   745,   746,   430,   431,   747,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
     748,   437,   438,   439,   440,   441,   749,   750,   442,   443,
     751,   140,   444,   752,   445,   446,   447,   448,   144,   753,
     145,   754,   449,   450,   451,   452,   148,   453,   755,   756,
     454,   455,   456,   457,   458,   459,   757,   151,   460,   758,
     759,   760,   761,   152,   762,   763,   764,   461,   462,   463,
     464,   701,   465,   155,   156,   466,   765,   467,   766,   468,
     469,   470,   471,   472,   767,   473,   474,   475,   768,   769,
     476,   477,   478,   479,   480,   770,   481,   482,   483,   771,
     484,   485,   486,   772,   487,   488,   489,   490,   164,   491,
     492,   493,   166,   773,   494,   774,   495,   496,   168,   497,
     775,   498,   776,   499,   169,   777,   170,   500,   501,   502,
     778,   503,   172,   779,   504,   780,   505,   506,   703,   507,
     508,   173,   509,   510,   511,   781,   512,   513,   514,   515,
     516,   517,   782,   518,   174,   175,   783,   519,   520,   521,
     784,   176,   785,   177,   786,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,   787,   529,   530,   788,   531,
     181,   182,   532,   183,   789,   533,   534,   535,   790,   791,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,   189,   190,   547,   548,   191,   792,
     549,   550,   193,   551,   793,   194,   552,   195,   553,   554,
     555,   794,   556,   795,   796,   557,   558,   559,   797,   798,
     560,   196,   197,   561,   198,   199,   562,   563,   564,   565,
     566,   567,   568,   799,   569,   200,   570,   201,   571,   572,
     573,   800,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,   801,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   802,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,   803,   608,   609,   610,   611,   612,   804,   613,
     217,   614,   615,   219,   616,   220,   617,   805,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,   806,
     628,   629,   807,   630,   631,   632,   633,   634,   635,   808,
     224,   225,   809,   810,   637,   226,   638,   227,   811,   639,
     640,   641,   642,   643,   644,   645,   812,   813,   646,   647,
     648,   649,   650,   814,   815,   651,   652,   653,   654,   655,
     816,   234,   817,   656,   235,   657,   658,   659,   660,   818,
     819,   661,   820,   821,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,     0,    85,     0,     0,    86,    87,    88,    89,
      90,    91,    92,    93,     0,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   975,   104,   105,   106,     0,
       0,   107,   108,   109,   110,     0,   111,   112,   113,   114,
     115,     0,   116,   117,   118,   119,   120,     0,     0,     0,
     121,   122,     0,     0,     0,     0,   123,     0,     0,     0,
       0,     0,     0,     0,     0,   124,     0,   125,     0,   126,
     127,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   128,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   129,     0,   130,   131,     0,     0,     0,     0,     0,
       0,     0,     0,   132,     0,   133,     0,     0,   134,   135,
     136,   137,   138,   139,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   140,     0,     0,   141,     0,
     142,   143,   144,     0,   145,     0,   146,     0,   147,     0,
     148,     0,     0,     0,     0,     0,     0,     0,   149,     0,
     150,   151,     0,     0,     0,     0,     0,   152,     0,     0,
       0,     0,     0,     0,   153,     0,   154,   155,   156,   157,
       0,     0,     0,     0,     0, -1424,     0,     0,     0,     0,
       0,   158,     0,   159,     0,     0,     0,   160,     0,     0,
       0,     0,     0,   161,   162,     0,     0,     0,     0,     0,
       0,   163,   164,   165,     0,     0,   166,     0,     0,   167,
       0,     0,   168,     0,     0,     0,     0,     0,   169,     0,
     170,     0,     0,     0,   171,     0,   172,     0,     0,     0,
       0,     0,     0,     0,     0,   173,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   174,   175,
       0,     0, -1424,     0,     0,   176,     0,   177,     0,     0,
     178,   179,     0,   180,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   181,   182,     0,   183,     0,   184,
     185,     0,     0,     0,     0,   186,     0,     0,     0,     0,
       0,     0,     0,     0,   187,     0,     0,   188,   189,   190,
       0,     0,   191,     0,     0,   192,   193,     0,     0,   194,
       0,   195,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   196,   197,     0,   198,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
       0,   201,     0,   202,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,     0,     0,     0,
     205,   206,     0,   207,     0,     0,     0,     0,   208,     0,
       0,     0,     0,   209,   210,     0,   211,   212,     0,     0,
     213,     0,     0,     0,     0,   214,   215,     0,     0,     0,
       0,     0,     0,   216,   217,     0,   218,   219,     0,   220,
       0,     0,     0,     0,   221,     0,     0,     0,     0,     0,
       0,     0,   222,     0,     0,     0,   223,     0,     0,     0,
       0,     0,     0,     0,   224,   225,     0,     0,     0,   226,
       0,   227,     0,   228,     0,   229,     0,     0,     0,     0,
     230,     0,     0,   231,     0,     0, -1424,     0,     0,   232,
       0,     0,     0,     0,   233,   234,     0,     0,   235,     0,
       0,     0,     0,     0,     0,     0,     0,   236,     0,     0,
       0,     0,     0,     0,   237,   238,   239,   240,   241,   242,
     243,   244,   245,     0,    86,    87,    88,     0,    90,    91,
      92,     0,     0,     0,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   246,   104,   105,     0,  -138,     0,   107,
     108,   109,   110,     0,   111,   112,   113,   114,   115,     0,
     116,   117,   118,     0,     0,     0,     0,     0,   121,   122,
       0,     0,     0,     0,   123,     0,     0,     0,     0,     0,
       0,     0,     0,   124,     0,   125,     0,   126,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   133,     0,     0,     0,   135,   136,   137,
     138,   139,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   140,     0,     0,     0,     0,     0,     0,
     144,     0,   145,     0,     0,     0,     0,     0,   148,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   151,
       0,     0,     0,     0,     0,   152,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   155,   156,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   162,     0,     0,     0,     0,     0,     0,     0,
     164,     0,     0,     0,   166,     0,     0,     0,     0,     0,
     168,     0,     0,     0,     0,     0,   169,     0,   170,     0,
       0,     0,     0,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   174,   175,     0,     0,
       0,     0,     0,   176,     0,   177,     0,     0,   178,   179,
       0,   180,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   181,   182,     0,   183,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,   189,   190,     0,     0,
     191,     0,     0,     0,   193,     0,     0,   194,     0,   195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   196,   197,     0,   198,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,     0,   201,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   203,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   210,     0,     0,   212,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   217,     0,     0,   219,     0,   220,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     222,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,     0,     0,     0,   226,     0,   227,
       0,     0,     0,     0,     0,     0,     0,     0,   230,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   234,     0,     0,   235,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   237,   238,   239,   240,   241,   242,   243,   244,
     245,     0,     0,   732,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,  3099,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1486,  1487,  1488,    45,  1489,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,  3024,   427,   428,
     429,     0,     0,     0,     0,  1490,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,  1491,   137,
    1492,  1493,     0,   437,   438,   439,   440,   441,  1494,  1495,
     442,   443,  1496,  1497,   444,     0,   445,   446,   447,   448,
    1498,     0,  1499,     0,   449,   450,   451,   452,   148,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,  1500,  1501,  1502,  1503,  1504,  1505,  1506,   461,
     462,   463,   464,   701,   465,  1507,  1508,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
    3025,     0,   476,   477,  1509,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
    1510,   491,   492,   493,  1511,  1512,   494,     0,   495,   496,
    1513,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,  1514,     0,   504,     0,   505,   506,
     703,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,  1515,  1516,     0,  1517,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,  1518,   182,   532,   183,     0,   533,   534,   535,
    1519,  1520,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,  1521,   189,  1522,   547,   548,
     191,  1523,   549,   550,   193,   551,  1524,  1525,   552,  1526,
     553,   554,   555,     0,   556,     0,     0,  1527,   558,   559,
       0,     0,   560,   196,   197,   561,   198,  1528,   562,   563,
     564,   565,   566,   567,   568,     0,   569,  1529,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,  1530,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,  1531,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
    1532,   613,   217,   614,   615,   219,   616,  1533,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
    1534,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,  1535,  1536,     0,     0,   637,  1537,   638,  1538,
    1539,   639,   640,   641,   642,   643,   644,   645,     0,  1540,
     646,   647,   648,   649,   650,  1541,     0,   651,   652,   653,
     654,   655,   707,  1542,  3026,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,  1543,  1544,  1545,  1546,  1547,  1548,  1549,
    1550,   708,   668,   669,     0,     0,     0,     0,     0,     0,
       0,     0,  1551,  1552,  3027,     0,     0,     0,     0,     0,
       0,  1554,  3028,   732,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1486,  1487,  1488,    45,  1489,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,  1490,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,  1491,   137,
    1492,  1493,     0,   437,   438,   439,   440,   441,  1494,  1495,
     442,   443,  1496,  1497,   444,     0,   445,   446,   447,   448,
    1498,     0,  1499,     0,   449,   450,   451,   452,   148,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,  1500,  1501,  1502,  1503,  1504,  1505,  1506,   461,
     462,   463,   464,   701,   465,  1507,  1508,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,  1509,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
    1510,   491,   492,   493,  1511,  1512,   494,     0,   495,   496,
    1513,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,  1514,     0,   504,     0,   505,   506,
     703,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,  1515,  1516,     0,  1517,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,  1518,   182,   532,   183,     0,   533,   534,   535,
    1519,  1520,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,  1521,   189,  1522,   547,   548,
     191,  1523,   549,   550,   193,   551,  1524,  1525,   552,  1526,
     553,   554,   555,     0,   556,     0,     0,  1527,   558,   559,
       0,     0,   560,   196,   197,   561,   198,  1528,   562,   563,
     564,   565,   566,   567,   568,     0,   569,  1529,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,  1530,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,  1531,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
    1532,   613,   217,   614,   615,   219,   616,  1533,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
    1534,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,  1535,  1536,     0,     0,   637,  1537,   638,  1538,
    1539,   639,   640,   641,   642,   643,   644,   645,     0,  1540,
     646,   647,   648,   649,   650,  1541,     0,   651,   652,   653,
     654,   655,   707,  1542,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,  1543,  1544,  1545,  1546,  1547,  1548,  1549,
    1550,   708,   668,   669,     0,     0,     0,     0,     0,     0,
       0,     0,  1551,  1552,     0,     0,     0,     0,     0,     0,
       0,  1554,  2931,   732,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,     0,  1925,   137,
    1926,  1927,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,  1928,  1929,   444,     0,   445,   446,   447,   448,
       0,     0,   145,     0,   449,   450,   451,   452,   148,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,     0,     0,     0,   152,     0,     0,     0,   461,
     462,   463,   464,   701,   465,  1930,  1931,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,  1509,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
       0,   491,   492,   493,     0,     0,   494,     0,   495,   496,
    1932,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,     0,     0,   504,     0,   505,   506,
     703,   507,   508,   173,   509,   510,   511,  2419,   512,   513,
     514,   515,   516,   517,     0,   518,   174,  2420,     0,   519,
     520,   521,  1515,  1933,     0,  1934,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,     0,   182,   532,   183,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,  1935,   189,  1936,   547,   548,
       0,     0,   549,   550,   193,   551,     0,     0,   552,  1937,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,  2422,   197,   561,   198,     0,   562,   563,
     564,   565,   566,   567,   568,     0,   569,     0,   570,     0,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,  1938,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,  2423,   614,   615,   219,   616,  1940,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
       0,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,  1941,  1942,     0,     0,   637,     0,   638,     0,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,     0,  1943,  2424,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   708,   668,   669,     0,     0,     0,     0,     0,   732,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,  2522,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,     0,  1925,   137,  1926,  1927,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,  1928,  1929,
     444,     0,   445,   446,   447,   448,     0,     0,   145,     0,
     449,   450,   451,   452,   148,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,   701,
     465,  1930,  1931,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
    1509,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,     0,   491,   492,   493,
       0,     0,   494,     0,   495,   496,  1932,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
       0,     0,   504,     0,   505,   506,   703,   507,   508,   173,
     509,   510,   511,  2419,   512,   513,   514,   515,   516,   517,
       0,   518,   174,  2420,     0,   519,   520,   521,  1515,  1933,
       0,  1934,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,     0,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,  1935,   189,  1936,   547,   548,     0,     0,   549,   550,
     193,   551,     0,     0,   552,  1937,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,  2422,
     197,   561,   198,     0,   562,   563,   564,   565,   566,   567,
     568,     0,   569,     0,   570,     0,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,  1938,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,  2423,   614,
     615,   219,   616,  1940,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,     0,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1941,  1942,
       0,     0,   637,     0,   638,     0,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,     0,  1943,
    2424,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   708,   668,   669,
       0,     0,     0,     0,     0,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,  3469,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1486,  1487,  1488,    45,  1489,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,  1490,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
    1491,   137,  1492,  1493,  2941,   437,   438,   439,   440,   441,
    1494,  1495,   442,   443,  1496,  1497,   444,     0,   445,   446,
     447,   448,  1498,     0,  1499,     0,   449,   450,   451,   452,
     148,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,  1500,  1501,  1502,  1503,  1504,  1505,
    1506,   461,   462,   463,   464,   701,   465,  1507,  1508,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,  1509,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,  1510,   491,   492,   493,  1511,  1512,   494,     0,
     495,   496,  1513,   497,     0,   498,     0,   499,   169,  2942,
     170,   500,   501,   502,     0,   503,  1514,     0,   504,     0,
     505,   506,   703,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,  1515,  1516,     0,  1517,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,  2943,   531,  1518,   182,   532,   183,     0,   533,
     534,   535,  1519,  1520,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,  1521,   189,  1522,
     547,   548,   191,  1523,   549,   550,   193,   551,  1524,  1525,
     552,  1526,   553,   554,   555,     0,   556,     0,     0,  1527,
     558,   559,     0,     0,   560,   196,   197,   561,   198,  1528,
     562,   563,   564,   565,   566,   567,   568,     0,   569,  1529,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,  1530,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,  1531,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,  1532,   613,   217,   614,   615,   219,   616,  1533,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,  1534,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,  1535,  1536,     0,  2944,   637,  1537,
     638,  1538,  1539,   639,   640,   641,   642,   643,   644,   645,
       0,  1540,   646,   647,   648,   649,   650,  1541,     0,   651,
     652,   653,   654,   655,   707,  1542,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,  1543,  1544,  1545,  1546,  1547,
    1548,  1549,  1550,   708,   668,   669,     0,     0,     0,     0,
       0,     0,     0,     0,  1551,  1552,     0,     0,     0,     0,
       0,     0,     0,  1554,   732,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   733,   104,   105,   687,   734,     0,
     107,   108,   109,   110,   735,   736,   112,   113,   114,   115,
       0,   116,   737,   738,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,   418,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1486,  1487,  1488,    45,  1489,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,  1490,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436,   135,  1491,
     137,  1492,  1493,     0,   437,   438,   439,   440,   441,  1494,
    1495,   442,   443,  1496,  1497,   444,     0,   445,   446,   447,
     448,  1498,     0,  1499,     0,   449,   450,   451,   452,   148,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,     0,  1500,  1501,  1502,  1503,  1504,  1505,  1506,
     461,   462,   463,   464,   701,   465,  1507,  1508,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,  1509,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,  1510,   491,   492,   493,  1511,  1512,   494,     0,   495,
     496,  1513,   497,     0,   498,     0,   499,   169,     0,   170,
     500,   501,   502,     0,   503,  1514,     0,   504,     0,   505,
     506,   703,   507,   508,   173,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   174,   175,     0,
     519,   520,   521,  1515,  1516,     0,  1517,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,  1518,   182,   532,   183,     0,   533,   534,
     535,  1519,  1520,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,  1521,   189,  1522,   547,
     548,   191,  1523,   549,   550,   193,   551,  1524,  1525,   552,
    1526,   553,   554,   555,     0,   556,     0,     0,  1527,   558,
     559,     0,     0,   560,   196,   197,   561,   198,  1528,   562,
     563,   564,   565,   566,   567,   568,     0,   569,  1529,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,  1530,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,  1531,   601,   602,   603,
     604,   605,   606,   706,   607,   215,   608,   609,   610,   611,
     612,  1532,   613,   217,   614,   615,   219,   616,  1533,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,  1534,     0,   628,   629,   223,   630,   631,   632,   633,
     634,   635,     0,  1535,  1536,     0,     0,   637,  1537,   638,
    1538,  1539,   639,   640,   641,   642,   643,   644,   645,     0,
    1540,   646,   647,   648,   649,   650,  1541,     0,   651,   652,
     653,   654,   655,  2215,  1542,     0,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,   236,   662,   663,   664,
     665,   666,   667,   237,  1543,  1544,  1545,  1546,  1547,  1548,
    1549,  1550,   708,   668,   669,     0,     0,     0,     0,     0,
       0,     0,     0,  1551,  1552,     0,     0,     0,     0,     0,
       0,     0,  1554,   732,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1486,  1487,  1488,    45,  1489,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,  1490,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,  1491,   137,
    1492,  1493,     0,   437,   438,   439,   440,   441,  1494,  1495,
     442,   443,  1496,  1497,   444,     0,   445,   446,   447,   448,
    1498,     0,  1499,     0,   449,   450,   451,   452,   148,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,  1500,  1501,  1502,  1503,  1504,  1505,  1506,   461,
     462,   463,   464,   701,   465,  1507,  1508,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,  1509,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
    1510,   491,   492,   493,  1511,  1512,   494,     0,   495,   496,
    1513,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,  1514,     0,   504,     0,   505,   506,
     703,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,  1515,  1516,     0,  1517,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,  1518,   182,   532,   183,     0,   533,   534,   535,
    1519,  1520,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,  1521,   189,  1522,   547,   548,
     191,  1523,   549,   550,   193,   551,  1524,  1525,   552,  1526,
     553,   554,   555,     0,   556,     0,     0,  1527,   558,   559,
       0,     0,   560,   196,   197,   561,   198,  1528,   562,   563,
     564,   565,   566,   567,   568,     0,   569,  1529,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,  1530,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,  1531,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
    1532,   613,   217,   614,   615,   219,   616,  1533,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
    1534,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,  1535,  1536,     0,     0,   637,  1537,   638,  1538,
    1539,   639,   640,   641,   642,   643,   644,   645,     0,  1540,
     646,   647,   648,   649,   650,  1541,     0,   651,   652,   653,
     654,   655,   707,  1542,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,  1543,  1544,  1545,  1546,  1547,  1548,  1549,
    1550,   708,   668,   669,     0,     0,     0,     0,     0,     0,
       0,     0,  1551,  1552,     0,     0,     0,     0,     0,  2159,
    2889,  1554,   732,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   733,   104,   105,   687,   734,     0,   107,   108,
     109,   110,   735,   736,   112,   113,   114,   115,     0,   116,
     737,   738,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,   418,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1486,  1487,  1488,    45,  1489,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,  1490,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,   135,  1491,   137,  1492,
    1493,     0,   437,   438,   439,   440,   441,  1494,  1495,   442,
     443,  1496,  1497,   444,     0,   445,   446,   447,   448,  1498,
       0,  1499,     0,   449,   450,   451,   452,   148,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,  1500,  1501,  1502,  1503,  1504,  1505,  1506,   461,   462,
     463,   464,   701,   465,  1507,  1508,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,  1509,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,  1510,
     491,   492,   493,  1511,  1512,   494,     0,   495,   496,  1513,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,  1514,     0,   504,     0,   505,   506,   703,
     507,   508,   173,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,   174,   175,     0,   519,   520,
     521,  1515,  1516,     0,  1517,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,  1518,   182,   532,   183,     0,   533,   534,   535,  1519,
    1520,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,  1521,   189,  1522,   547,   548,   191,
    1523,   549,   550,   193,   551,  1524,  1525,   552,  1526,   553,
     554,   555,     0,   556,     0,     0,  1527,   558,   559,     0,
       0,   560,   196,   197,   561,   198,  1528,   562,   563,   564,
     565,   566,   567,   568,     0,   569,  1529,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,  1530,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,  1531,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,  1532,
     613,   217,   614,   615,   219,   616,  1533,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,  1534,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,  1535,  1536,     0,     0,   637,  1537,   638,  1538,  1539,
     639,   640,   641,   642,   643,   644,   645,     0,  1540,   646,
     647,   648,   649,   650,  1541,     0,   651,   652,   653,   654,
     655,   707,  1542,     0,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,  1543,  1544,  1545,  1546,  1547,  1548,  1549,  1550,
     708,   668,   669,     0,     0,     0,     0,     0,     0,     0,
       0,  1551,  1552,  1553,     0,     0,     0,     0,     0,     0,
    1554,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,   418,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1486,
    1487,  1488,    45,  1489,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,  1490,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,  1491,   137,  1492,  1493,
       0,   437,   438,   439,   440,   441,  1494,  1495,   442,   443,
    1496,  1497,   444,     0,   445,   446,   447,   448,  1498,     0,
    1499,     0,   449,   450,   451,   452,   148,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
    1500,  1501,  1502,  1503,  1504,  1505,  1506,   461,   462,   463,
     464,   701,   465,  1507,  1508,   466,  1640,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,  1509,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,  1510,   491,
     492,   493,  1511,  1512,   494,     0,   495,   496,  1513,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,  1514,     0,   504,     0,   505,   506,   703,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
    1515,  1516,     0,  1517,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
    1518,   182,   532,   183,     0,   533,   534,   535,  1519,  1520,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,  1521,   189,  1522,   547,   548,   191,  1523,
     549,   550,   193,   551,  1524,  1525,   552,  1526,   553,   554,
     555,     0,   556,     0,     0,  1527,   558,   559,     0,     0,
     560,   196,   197,   561,   198,  1528,   562,   563,   564,   565,
     566,   567,   568,     0,   569,  1529,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
    1530,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,  1531,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,  1532,   613,
     217,   614,   615,   219,   616,  1533,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,  1534,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
    1535,  1536,     0,     0,   637,  1537,   638,  1538,  1539,   639,
     640,   641,   642,   643,   644,   645,     0,  1540,   646,   647,
     648,   649,   650,  1541,     0,   651,   652,   653,   654,   655,
     707,  1542,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,  1543,  1544,  1545,  1546,  1547,  1548,  1549,  1550,   708,
     668,   669,     0,     0,     0,     0,     0,     0,     0,     0,
    1551,  1552,     0,     0,     0,     0,     0,     0,     0,  1554,
     732,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     733,   104,   105,   687,   734,     0,   107,   108,   109,   110,
     735,   736,   112,   113,   114,   115,     0,   116,   737,   738,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,   418,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1486,  1487,
    1488,    45,  1489,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,  2346,   427,   428,   429,     0,     0,
       0,     0,  1490,     0,     0,   430,   431,     0,   432,   433,
     133,   434,   435,   436,   135,  1491,   137,  1492,  1493,     0,
     437,   438,   439,   440,   441,  1494,  1495,   442,   443,  1496,
    1497,   444,     0,   445,   446,   447,   448,  1498,     0,  1499,
       0,   449,   450,   451,   452,   148,   453,   699,     0,   454,
     455,   456,   457,   458,   459,     0,   151,   460,     0,  1500,
    1501,  1502,  1503,  1504,  1505,  1506,   461,   462,   463,   464,
     701,   465,  1507,  1508,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,  1509,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,  1510,   491,   492,
     493,  1511,  1512,   494,     0,   495,   496,  1513,   497,     0,
     498,     0,   499,   169,     0,   170,   500,   501,   502,     0,
     503,  1514,     0,   504,     0,   505,   506,   703,   507,   508,
     173,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,   174,   175,     0,   519,   520,   521,  1515,
    1516,     0,  1517,     0,   522,   178,   179,   523,   180,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,  1518,
     182,   532,   183,     0,   533,   534,   535,  1519,  1520,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,  1521,   189,  1522,   547,   548,   191,  1523,   549,
     550,   193,   551,  1524,  1525,   552,  1526,   553,   554,   555,
       0,   556,     0,     0,  1527,   558,   559,     0,     0,   560,
     196,   197,   561,   198,  1528,   562,   563,   564,   565,   566,
     567,   568,     0,   569,  1529,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,  1530,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,   210,
     599,   600,  1531,   601,   602,   603,   604,   605,   606,   706,
     607,     0,   608,   609,   610,   611,   612,  1532,   613,   217,
     614,   615,   219,   616,  1533,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,  1534,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,  1535,
    1536,     0,     0,   637,  1537,   638,  1538,  1539,   639,   640,
     641,   642,   643,   644,   645,     0,  1540,   646,   647,   648,
     649,   650,  1541,     0,   651,   652,   653,   654,   655,   707,
    1542,     0,   656,   235,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,   237,
    1543,  1544,  1545,  1546,  1547,  1548,  1549,  1550,   708,   668,
     669,     0,     0,     0,     0,     0,     0,     0,     0,  1551,
    1552,     0,     0,     0,     0,     0,     0,     0,  1554,   732,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1486,  1487,  1488,
      45,  1489,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,  1490,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,  1491,   137,  1492,  1493,     0,   437,
     438,   439,   440,   441,  1494,  1495,   442,   443,  1496,  1497,
     444,     0,   445,   446,   447,   448,  1498,     0,  1499,     0,
     449,   450,   451,   452,   148,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,  1500,  1501,
    1502,  1503,  1504,  1505,  1506,   461,   462,   463,   464,   701,
     465,  1507,  1508,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
    1509,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,  1510,   491,   492,   493,
    1511,  1512,   494,     0,   495,   496,  1513,   497,     0,   498,
       0,   499,   169,  2942,   170,   500,   501,   502,     0,   503,
    1514,     0,   504,     0,   505,   506,   703,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,  1515,  1516,
       0,  1517,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,  1518,   182,
     532,   183,     0,   533,   534,   535,  1519,  1520,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,  1521,   189,  1522,   547,   548,   191,  1523,   549,   550,
     193,   551,  1524,  1525,   552,  1526,   553,   554,   555,     0,
     556,     0,     0,  1527,   558,   559,     0,     0,   560,   196,
     197,   561,   198,  1528,   562,   563,   564,   565,   566,   567,
     568,     0,   569,  1529,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,  1530,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,  1531,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,  1532,   613,   217,   614,
     615,   219,   616,  1533,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,  1534,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1535,  1536,
       0,     0,   637,  1537,   638,  1538,  1539,   639,   640,   641,
     642,   643,   644,   645,     0,  1540,   646,   647,   648,   649,
     650,  1541,     0,   651,   652,   653,   654,   655,   707,  1542,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,  1543,
    1544,  1545,  1546,  1547,  1548,  1549,  1550,   708,   668,   669,
       0,     0,     0,     0,     0,     0,     0,     0,  1551,  1552,
       0,     0,     0,     0,     0,     0,     0,  1554,   732,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   733,   104,
     105,   687,   734,     0,   107,   108,   109,   110,   735,   736,
     112,   113,   114,   115,     0,   116,   737,   738,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1486,  1487,  1488,    45,
    1489,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
    1490,     0,     0,   430,   431,     0,   432,   433,   133,   434,
     435,   436,   135,  1491,   137,  1492,  1493,     0,   437,   438,
     439,   440,   441,  1494,  1495,   442,   443,  1496,  1497,   444,
       0,   445,   446,   447,   448,  1498,     0,  1499,     0,   449,
     450,   451,   452,   148,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,   151,   460,     0,  1500,  1501,  1502,
    1503,  1504,  1505,  1506,   461,   462,   463,   464,   701,   465,
    1507,  1508,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,  1509,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,  1510,   491,   492,   493,  1511,
    1512,   494,     0,   495,   496,  1513,   497,     0,   498,     0,
     499,   169,     0,   170,   500,   501,   502,     0,   503,  1514,
       0,   504,     0,   505,   506,   703,   507,   508,   173,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,   174,   175,     0,   519,   520,   521,  1515,  1516,     0,
    1517,     0,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,  1518,   182,   532,
     183,     0,   533,   534,   535,  1519,  1520,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
    1521,   189,  1522,   547,   548,   191,  1523,   549,   550,   193,
     551,  1524,  1525,   552,  1526,   553,   554,   555,     0,   556,
       0,     0,  1527,   558,   559,     0,     0,   560,   196,   197,
     561,   198,  1528,   562,   563,   564,   565,   566,   567,   568,
       0,   569,  1529,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,  1530,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,   210,   599,   600,
    1531,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,  1532,   613,   217,   614,   615,
     219,   616,  1533,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,  1534,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,  1535,  1536,     0,
       0,   637,  1537,   638,  1538,  1539,   639,   640,   641,   642,
     643,   644,   645,     0,  1540,   646,   647,   648,   649,   650,
    1541,     0,   651,   652,   653,   654,   655,   707,  1542,  4216,
     656,   235,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,  1543,  1544,
    1545,  1546,  1547,  1548,  1549,  1550,   708,   668,   669,     0,
       0,     0,     0,     0,     0,     0,     0,  1551,  1552,     0,
       0,     0,     0,     0,     0,     0,  1554,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,   418,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1486,  1487,  1488,    45,  1489,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,  1490,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,  1491,   137,  1492,  1493,     0,   437,   438,   439,
     440,   441,  1494,  1495,   442,   443,  1496,  1497,   444,     0,
     445,   446,   447,   448,  1498,     0,  1499,     0,   449,   450,
     451,   452,   148,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,  4229,  1500,  1501,  1502,  1503,
    1504,  1505,  1506,   461,   462,   463,   464,   701,   465,  1507,
    1508,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,  1509,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,  1510,   491,   492,   493,  1511,  1512,
     494,     0,   495,   496,  1513,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,  1514,     0,
     504,     0,   505,   506,   703,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,  1515,  1516,     0,  1517,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,  1518,   182,   532,   183,
       0,   533,   534,   535,  1519,  1520,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,  1521,
     189,  1522,   547,   548,   191,  1523,   549,   550,   193,   551,
    1524,  1525,   552,  1526,   553,   554,   555,     0,   556,     0,
       0,  1527,   558,   559,     0,     0,   560,   196,   197,   561,
     198,  1528,   562,   563,   564,   565,   566,   567,   568,     0,
     569,  1529,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,  1530,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,  1531,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,  1532,   613,   217,   614,   615,   219,
     616,  1533,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,  1534,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,  1535,  1536,     0,     0,
     637,  1537,   638,  1538,  1539,   639,   640,   641,   642,   643,
     644,   645,     0,  1540,   646,   647,   648,   649,   650,  1541,
       0,   651,   652,   653,   654,   655,   707,  1542,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,  1543,  1544,  1545,
    1546,  1547,  1548,  1549,  1550,   708,   668,   669,     0,     0,
       0,     0,     0,     0,     0,     0,  1551,  1552,     0,     0,
       0,     0,     0,     0,     0,  1554,   732,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   733,   104,   105,   687,
     734,     0,   107,   108,   109,   110,   735,   736,   112,   113,
     114,   115,     0,   116,   737,   738,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,   418,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1486,  1487,  1488,    45,  1489,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,  1490,     0,
       0,   430,   431,     0,   432,   433,   133,   434,   435,   436,
    5139,  1491,   137,  1492,  1493,     0,   437,   438,   439,   440,
     441,  1494,  1495,   442,   443,  1496,  1497,   444,     0,   445,
     446,   447,   448,  1498,     0,  1499,     0,   449,   450,   451,
     452,   148,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,   151,   460,  5140,  1500,  1501,  1502,  1503,  1504,
    1505,  1506,   461,   462,   463,   464,   701,   465,  1507,  1508,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,  1509,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,  1510,   491,   492,   493,  1511,  1512,   494,
       0,   495,   496,  1513,   497,     0,   498,     0,   499,   169,
       0,   170,   500,   501,   502,     0,   503,  1514,     0,   504,
       0,   505,   506,   703,   507,   508,   173,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,   174,
     175,     0,   519,   520,   521,  1515,  1516,     0,  1517,     0,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,  1518,   182,   532,   183,     0,
     533,   534,   535,  1519,  1520,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,  1521,   189,
    1522,   547,   548,   191,  1523,   549,   550,   193,   551,  1524,
    1525,   552,  1526,   553,   554,   555,     0,   556,     0,     0,
    1527,   558,   559,     0,     0,   560,   196,   197,   561,   198,
    1528,   562,   563,   564,   565,   566,   567,   568,     0,   569,
    1529,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,  1530,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,   210,   599,   600,  1531,   601,
     602,   603,   604,   605,   606,   706,   607,     0,   608,   609,
     610,   611,   612,  1532,   613,   217,   614,   615,   219,   616,
    1533,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,  1534,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,  1535,  1536,     0,     0,   637,
    1537,   638,  1538,  1539,   639,   640,   641,   642,  5141,   644,
     645,     0,  1540,   646,   647,   648,   649,   650,  1541,     0,
     651,   652,   653,   654,   655,   707,  1542,     0,   656,   235,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,  1543,  1544,  1545,  1546,
    1547,  1548,  1549,  1550,   708,   668,   669,     0,     0,     0,
       0,     0,     0,     0,     0,  1551,  1552,     0,     0,     0,
       0,     0,     0,     0,  1554,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1486,  1487,  1488,    45,  1489,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,  1490,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
    1491,   137,  1492,  1493,     0,   437,   438,   439,   440,   441,
    1494,  1495,   442,   443,  1496,  1497,   444,     0,   445,   446,
     447,   448,  1498,     0,  1499,     0,   449,   450,   451,   452,
     148,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,  5140,  1500,  1501,  1502,  1503,  1504,  1505,
    1506,   461,   462,   463,   464,   701,   465,  1507,  1508,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,  1509,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,  1510,   491,   492,   493,  1511,  1512,   494,     0,
     495,   496,  1513,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,  1514,     0,   504,     0,
     505,   506,   703,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,  1515,  1516,     0,  1517,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,  1518,   182,   532,   183,     0,   533,
     534,   535,  1519,  1520,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,  1521,   189,  1522,
     547,   548,   191,  1523,   549,   550,   193,   551,  1524,  1525,
     552,  1526,   553,   554,   555,     0,   556,     0,     0,  1527,
     558,   559,     0,     0,   560,   196,   197,   561,   198,  1528,
     562,   563,   564,   565,   566,   567,   568,     0,   569,  1529,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,  1530,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,  1531,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,  1532,   613,   217,   614,   615,   219,   616,  1533,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,  1534,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,  1535,  1536,     0,     0,   637,  1537,
     638,  1538,  1539,   639,   640,   641,   642,  5141,   644,   645,
       0,  1540,   646,   647,   648,   649,   650,  1541,     0,   651,
     652,   653,   654,   655,   707,  1542,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,  1543,  1544,  1545,  1546,  1547,
    1548,  1549,  1550,   708,   668,   669,     0,     0,     0,     0,
       0,     0,     0,     0,  1551,  1552,     0,     0,     0,     0,
       0,     0,     0,  1554,   732,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   733,   104,   105,   687,   734,     0,
     107,   108,   109,   110,   735,   736,   112,   113,   114,   115,
       0,   116,   737,   738,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,   418,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1486,  1487,  1488,    45,  1489,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,  1490,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436,   135,  1491,
     137,  1492,  1493,     0,   437,   438,   439,   440,   441,  1494,
    1495,   442,   443,  1496,  1497,   444,     0,   445,   446,   447,
     448,  1498,     0,  1499,     0,   449,   450,   451,   452,   148,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,     0,  1500,  1501,  1502,  1503,  1504,  1505,  1506,
     461,   462,   463,   464,   701,   465,  1507,  1508,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,  1509,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,  1510,   491,   492,   493,  1511,  1512,   494,     0,   495,
     496,  1513,   497,     0,   498,     0,   499,   169,     0,   170,
     500,   501,   502,     0,   503,  1514,     0,   504,     0,   505,
     506,   703,   507,   508,   173,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   174,   175,     0,
     519,   520,   521,  1515,  1516,     0,  1517,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,  1518,   182,   532,   183,     0,   533,   534,
     535,  1519,  1520,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,  1521,   189,  1522,   547,
     548,   191,  1523,   549,   550,   193,   551,  1524,  1525,   552,
    1526,   553,   554,   555,     0,   556,     0,     0,  1527,   558,
     559,     0,     0,   560,   196,   197,   561,   198,  1528,   562,
     563,   564,   565,   566,   567,   568,     0,   569,  1529,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,  1530,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,  1531,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,  1532,   613,   217,   614,   615,   219,   616,  1533,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,  1534,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,  1535,  1536,     0,     0,   637,  1537,   638,
    1538,  1539,   639,   640,   641,   642,   643,   644,   645,     0,
    1540,   646,   647,   648,   649,   650,  1541,     0,   651,   652,
     653,   654,   655,   707,  1542,     0,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,  1543,  1544,  1545,  1546,  1547,  1548,
    1549,  1550,   708,   668,   669,     0,     0,     0,     0,     0,
       0,     0,     0,  1551,  1552,     0,     0,     0,     0,     0,
       0,     0,  1554,   732,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1486,  1487,  1488,    45,  1489,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,  1490,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,  1491,   137,
    1492,  1493,     0,   437,   438,   439,   440,   441,  1494,  1495,
     442,   443,  1496,  1497,   444,     0,   445,   446,   447,   448,
    1498,     0,  1499,     0,   449,   450,   451,   452,   148,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,  1500,  1501,  1502,  1503,  1504,  1505,  1506,   461,
     462,   463,   464,   701,   465,  1507,  1508,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,  1509,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
    1510,   491,   492,   493,  1511,  1512,   494,     0,   495,   496,
    1513,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,  1514,     0,   504,     0,   505,   506,
     703,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,  1515,  1516,     0,  1517,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,  1518,   182,   532,   183,     0,   533,   534,   535,
    1519,  1520,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,  1521,   189,  1522,   547,   548,
     191,  1523,   549,   550,   193,   551,  1524,  1525,   552,  1526,
     553,   554,   555,     0,   556,     0,     0,  1527,   558,   559,
       0,     0,   560,   196,   197,   561,   198,  1528,   562,   563,
     564,   565,   566,   567,   568,     0,   569,  1529,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,  1530,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,  1531,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
    1532,   613,   217,   614,   615,   219,   616,  1533,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
    1534,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,  1535,  1536,     0,     0,   637,  1537,   638,  1538,
    1539,   639,   640,   641,   642,   643,   644,   645,     0,  1540,
     646,   647,   648,   649,   650,  1541,     0,   651,   652,   653,
     654,   655,   707,  1542,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,  4530,  1543,  1544,  1545,  1546,  1547,  1548,  1549,
    1550,   708,   668,   669,     0,     0,     0,     0,     0,     0,
       0,     0,  1551,  1552,     0,     0,     0,     0,     0,     0,
       0,  1554,   732,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   733,   104,   105,   687,   734,     0,   107,   108,
     109,   110,   735,   736,   112,   113,   114,   115,     0,   116,
     737,   738,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,   418,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1486,  1487,  1488,    45,  1489,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,  1490,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,   135,  1491,   137,  1492,
    1493,     0,   437,   438,   439,   440,   441,  1494,  1495,   442,
     443,  1496,  1497,   444,     0,   445,   446,   447,   448,  1498,
       0,  1499,     0,   449,   450,   451,   452,   148,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,  1500,  1501,  1502,  1503,  1504,  1505,  1506,   461,   462,
     463,   464,   701,   465,  1507,  1508,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,  1509,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,  1510,
     491,   492,   493,  1511,  1512,   494,     0,   495,   496,  1513,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,  1514,     0,   504,     0,   505,   506,   703,
     507,   508,   173,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,   174,   175,     0,   519,   520,
     521,  1515,  1516,     0,  1517,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,  1518,   182,   532,   183,     0,   533,   534,   535,  1519,
    1520,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,  1521,   189,  1522,   547,  4539,   191,
    1523,   549,   550,   193,   551,  1524,  1525,   552,  1526,   553,
     554,   555,     0,   556,     0,     0,  1527,   558,   559,     0,
       0,   560,   196,   197,   561,   198,  1528,   562,   563,   564,
     565,   566,   567,   568,     0,   569,  1529,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,  1530,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,  1531,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,  1532,
     613,   217,   614,   615,   219,   616,  1533,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,  1534,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,  1535,  1536,     0,     0,   637,  1537,   638,  1538,  1539,
     639,   640,   641,   642,   643,   644,   645,     0,  1540,   646,
     647,   648,   649,   650,  1541,     0,   651,   652,   653,   654,
     655,   707,  1542,     0,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,  1543,  1544,  1545,  1546,  1547,  1548,  1549,  1550,
     708,   668,   669,     0,     0,     0,     0,     0,     0,     0,
       0,  1551,  1552,     0,     0,     0,     0,     0,     0,     0,
    1554,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,   418,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1486,
    1487,  1488,    45,  1489,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,  1490,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,  1491,   137,  1492,  1493,
       0,   437,   438,   439,   440,   441,  1494,  1495,   442,   443,
    1496,  1497,   444,     0,   445,   446,   447,   448,  1498,     0,
    1499,     0,   449,   450,   451,   452,   148,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
    1500,  1501,  1502,  1503,  1504,  1505,  1506,   461,   462,   463,
     464,   701,   465,  1507,  1508,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,  1509,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,  1510,   491,
     492,   493,  1511,  1512,   494,     0,   495,   496,  1513,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,  1514,     0,   504,     0,   505,   506,   703,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
    1515,  1516,     0,  1517,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
    1518,   182,   532,   183,     0,   533,   534,   535,  1519,  1520,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,  1521,   189,  1522,   547,   548,   191,     0,
     549,   550,   193,   551,  1524,  1525,   552,  1526,   553,   554,
     555,     0,   556,     0,     0,  1527,   558,   559,     0,     0,
     560,   196,   197,   561,   198,  1528,   562,   563,   564,   565,
     566,   567,   568,     0,   569,  1529,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
    1530,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,  1531,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,  1532,   613,
     217,   614,   615,   219,   616,  1533,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,  1534,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
    1535,  1536,     0,     0,   637,  1537,   638,  1538,  1539,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,  1541,     0,   651,   652,   653,   654,   655,
     707,  1542,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,  1543,  1544,  1545,  1546,  1547,  1548,  1549,  1550,   708,
     668,   669,     0,     0,     0,     0,     0,     0,     0,     0,
    2924,  2925,     0,     0,     0,     0,     0,     0,     0,  1554,
     732,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     733,   104,   105,   687,   734,     0,   107,   108,   109,   110,
     735,   736,   112,   113,   114,   115,     0,   116,   737,   738,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,   418,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1486,  1487,
    1488,    45,  1489,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,  1490,     0,     0,   430,   431,     0,   432,   433,
     133,   434,   435,   436, -2684,  1491,   137,  1492,  1493,     0,
     437,   438,   439,   440,   441,  1494,  1495,   442,   443,  1496,
    1497,   444,     0,   445,   446,   447,   448,  1498,     0,  1499,
       0,   449,   450,   451,   452,   148,   453,   699,     0,   454,
     455,   456,   457,   458,   459,     0,   151,   460,  5140,  1500,
    1501,  1502,  1503,  1504,  1505,  1506,   461,   462,   463,   464,
     701,   465,  1507,  1508,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,  1509,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,  1510,   491,   492,
     493,  1511,  1512,   494,     0,   495,   496,  1513,   497,     0,
     498,     0,   499,   169,     0,   170,   500,   501,   502,     0,
     503,  1514,     0,   504,     0,   505,   506,   703,   507,   508,
       0,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,   174,   175,     0,   519,   520,   521,  1515,
    1516,     0,  1517,     0,   522,   178,   179,   523,   180,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,  1518,
     182,   532,     0,     0,   533,   534,   535,  1519,  1520,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,  1521,   189,  1522,   547,   548,   191,     0,   549,
     550,   193,   551,  1524,  1525,   552,  1526,   553,   554,   555,
       0,   556,     0,     0,  1527,   558,   559,     0,     0,   560,
     196,   197,   561,   198,  1528,   562,   563,   564,   565,   566,
     567,   568,     0,   569,  1529,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,  1530,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,   210,
     599,   600,  1531,   601,   602,   603,   604,   605,   606,   706,
     607,     0,   608,   609,   610,   611,   612,  1532,   613,   217,
     614,   615,     0,   616,  1533,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,  1534,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,  1535,
    1536,     0,     0,   637,  1537,   638,  1538,  1539,   639,   640,
     641,   642,  5141,   644,   645,     0,  1540,   646,   647,   648,
     649,   650,  1541,     0,   651,   652,   653,   654,   655,   707,
    1542,     0,   656,   235,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,   237,
    1543,  1544,  1545,  1546,  1547,  1548,  1549,  1550,   708,   668,
     669,     0,     0,     0,     0,     0,     0,     0,     0,  1551,
    1552,     0,     0,     0,     0,     0,     0,     0,  1554,   732,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1486,  1487,     0,
      45,  1489,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,  1490,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,  1491,   137,  1492,  1493,     0,   437,
     438,   439,   440,   441,  1494,  1495,   442,   443,  1496,  1497,
     444,     0,   445,   446,   447,   448,  1498,     0,  1499,     0,
     449,   450,   451,   452,   148,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,  1500,  1501,
    1502,  1503,  1504,  1505,  1506,   461,   462,   463,   464,   701,
     465,  1507,  1508,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
    1509,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,  1510,   491,   492,   493,
    1511,  1512,   494,     0,   495,   496,  1513,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
    1514,     0,   504,     0,   505,   506,   703,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,  1515,  1516,
       0,  1517,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,  1518,   182,
     532,   183,     0,   533,   534,   535,  1519,  1520,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,  1521,   189,  1522,   547,   548,   191,     0,   549,   550,
     193,   551,  1524,  1525,   552,  1526,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
     197,   561,   198,  1528,   562,   563,   564,   565,   566,   567,
     568,     0,   569,  1529,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,  1530,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,  1531,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,  1532,   613,   217,   614,
     615,   219,   616,  1533,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,  1534,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1535,  1536,
       0,     0,   637,  1537,   638,  1538,  1539,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,  1541,     0,   651,   652,   653,   654,   655,   707,  1542,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,  1543,
    1544,  1545,  1546,  1547,  1548,  1549,  1550,   708,   668,   669,
       0,     0,     0,     0,   732,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,  1554,    98,    99,
     100,   101,   102,   103,   733,   104,   105,   687,   734,     0,
     107,   108,   109,   110,   735,   736,   112,   113,   114,   115,
       0,   116,   737,   738,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,   418,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1486,  1487,     0,    45,  1489,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,  1490,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436,   135,  1491,
     137,  1492,  1493,     0,  4134,   438,   439,   440,   441,  1494,
    1495,   442,   443,  1496,  1497,   444,     0,   445,   446,   447,
     448,  1498,     0,  1499,     0,   449,   450,   451,   452,   148,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,     0,  1500,  1501,  1502,  1503,  1504,  1505,  1506,
     461,   462,   463,   464,   701,   465,  1507,  1508,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,  1509,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,  1510,   491,   492,   493,  1511,  1512,   494,     0,   495,
     496,  1513,   497,     0,   498,     0,   499,   169,     0,   170,
     500,   501,   502,     0,   503,  1514,     0,   504,     0,   505,
     506,   703,   507,   508,   173,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   174,   175,     0,
     519,   520,   521,  1515,  1516,     0,  1517,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,  1518,   182,   532,   183,     0,   533,   534,
     535,  1519,  1520,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,  1521,   189,  1522,   547,
     548,   191,     0,   549,   550,   193,   551,  1524,  1525,   552,
    1526,   553,   554,   555,     0,   556,     0,     0,   557,   558,
     559,     0,     0,   560,   196,   197,   561,   198,  1528,   562,
     563,   564,   565,   566,   567,   568,     0,   569,  1529,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,  1530,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,  1531,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,  1532,   613,   217,   614,   615,   219,   616,  1533,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,  1534,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,  1535,  1536,     0,     0,   637,  1537,   638,
    1538,  1539,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,  1541,     0,   651,   652,
     653,   654,   655,   707,  1542,     0,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,  1543,  1544,  1545,  1546,  1547,  1548,
    1549,  1550,   708,   668,   669,     0,     0,     0,     0,   732,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,  1554,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1486,  1487,  1488,
      45,  1489,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,  1490,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,     0,  1491,   137,  1492,  1493,     0,   437,
     438,   439,   440,   441,  1494,  1495,   442,   443,  1496,  1497,
     444,     0,   445,   446,   447,   448,  1498,     0,  1499,     0,
     449,   450,   451,   452,   148,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,  1500,  1501,
    1502,  1503,  1504,  1505,  1506,   461,   462,   463,   464,   701,
     465,  1507,  1508,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
    1509,   479,   480,     0,   481,   482,   483,     0,   484,     0,
     486,     0,   487,   488,   489,   490,  1510,   491,   492,   493,
    1511,  1512,   494,     0,   495,   496,  1513,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
    1514,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,  1515,  1516,
       0,  1517,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,  1518,   182,
     532,     0,     0,   533,   534,   535,  1519,  1520,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,  1521,   189,  1522,   547,   548,   191,     0,   549,   550,
     193,   551,  1524,  1525,   552,  1526,   553,   554,   555,     0,
     556,     0,     0,  1527,   558,   559,     0,     0,   560,   196,
     197,   561,   198,  1528,   562,   563,   564,   565,   566,   567,
     568,     0,   569,  1529,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,  1530,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,  1531,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,  1532,   613,   217,   614,
     615,     0,   616,  1533,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,  1534,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1535,  1536,
       0,     0,   637,  1537,   638,  1538,  1539,   639,   640,   641,
     642,   643,   644,   645,     0,  1540,   646,   647,   648,   649,
     650,  1541,     0,   651,   652,   653,   654,   655,   707,  1542,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,  1543,
    1544,  1545,  1546,  1547,  1548,  1549,  1550,   708,   668,   669,
       0,     0,     0,     0,     0,     0,     0,     0,  1551,  1552,
       0,     0,     0,     0,     0,     0,     0,  1554,   732,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   733,   104,
     105,   687,   734,     0,   107,   108,   109,   110,   735,   736,
     112,   113,   114,   115,     0,   116,   737,   738,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1486,  1487,  1488,    45,
    1489,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
    1490,     0,     0,   430,   431,     0,   432,   433,   133,   434,
     435,   436,     0,  1491,   137,  1492,  1493,     0,   437,   438,
     439,   440,   441,  1494,  1495,   442,   443,  1496,  1497,   444,
       0,   445,   446,   447,   448,  1498,     0,  1499,     0,   449,
     450,   451,   452,   148,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,   151,   460,     0,  1500,  1501,  1502,
    1503,  1504,  1505,  1506,   461,   462,   463,   464,   701,   465,
    1507,  1508,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,  1509,
     479,   480,     0,   481,   482,   483,     0,   484,     0,   486,
       0,   487,   488,   489,   490,  1510,   491,   492,   493,  1511,
    1512,   494,     0,   495,   496,  1513,   497,     0,   498,     0,
     499,   169,     0,   170,   500,   501,   502,     0,   503,  1514,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,   174,   175,     0,   519,   520,   521,  1515,  1516,     0,
    1517,     0,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,  1518,   182,   532,
       0,     0,   533,   534,   535,  1519,  1520,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
    1521,   189,  1522,   547,   548,   191,     0,   549,   550,   193,
     551,  1524,  1525,   552,  1526,   553,   554,   555,     0,   556,
       0,     0,  1527,   558,   559,     0,     0,   560,   196,   197,
     561,   198,  1528,   562,   563,   564,   565,   566,   567,   568,
       0,   569,  1529,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,  1530,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,   210,   599,   600,
    1531,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,  1532,   613,   217,   614,   615,
       0,   616,  1533,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,  1534,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,  1535,  1536,     0,
       0,   637,  1537,   638,  1538,  1539,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
    1541,     0,   651,   652,   653,   654,   655,   707,  1542,     0,
     656,   235,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,  1543,  1544,
    1545,  1546,  1547,  1548,  1549,  1550,   708,   668,   669,     0,
       0,     0,     0,     0,     0,     0,     0,  2924,  2925,     0,
       0,     0,     0,     0,     0,     0,  1554,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,     0,   437,   438,   439,
     440,   441,     0,  1495,   442,   443,   698,   140,   444,     0,
     445,   446,   447,   448,  1498,     0,  1499,     0,   449,   450,
     451,   452,   148,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,  1500,  1501,  1502,  1503,
    1504,  1505,  1506,   461,   462,   463,   464,   701,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,  1511,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,  1514,     0,
     504,     0,   505,   506,   703,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,  3665,   529,   530,     0,   531,  1518,   182,   532,   183,
       0,   533,   534,   535,  1519,  1520,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,   188,
     189,   190,   547,   548,   191,     0,   549,   550,   193,   551,
       0,  1525,   552,   195,   553,   554,   555,     0,   556,     0,
    1094,   557,   558,   559,     0,     0,   560,   196,   197,   561,
     198,  1528,   562,   563,   564,   565,   566,   567,   568,     0,
     569,  1529,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,   212,
    3666,   602,   603,   604,   605,   606,   706,   607,   215,   608,
     609,   610,   611,   612,  1532,   613,   217,   614,   615,   219,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,  1534,     0,   628,   629,   223,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,  1537,   638,  1538,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,  1541,
       0,   651,   652,   653,   654,   655,  2215,   234,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,   236,
     662,   663,   664,   665,   666,   667,   237,  1543,  1544,  1545,
    1546,  1547,  1548,  1549,  1550,   708,   668,   669,     0,     0,
       0,     0,   732,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,  3667,    98,    99,   100,   101,
     102,   103,   733,   104,   105,   687,   734,     0,   107,   108,
     109,   110,   735,   736,   112,   113,   114,   115,     0,   116,
     737,   738,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,   135,   136,   137,   138,
     139,     0,   437,   438,   439,   440,   441,     0,  1495,   442,
     443,   698,   140,   444,     0,   445,   446,   447,   448,  1498,
       0,  1499,     0,   449,   450,   451,   452,   148,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,  1500,  1501,  1502,  1503,  1504,  1505,  1506,   461,   462,
     463,   464,   701,   465,   155,   156,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,  1511,     0,   494,     0,   495,   496,   168,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,  1514,     0,   504,     0,   505,   506,   703,
     507,   508,   173,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,   174,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,  3665,   529,   530,     0,
     531,  1518,   182,   532,   183,     0,   533,   534,   535,  1519,
    1520,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,   188,   189,   190,   547,   548,   191,
       0,   549,   550,   193,   551,     0,  1525,   552,   195,   553,
     554,   555,     0,   556,     0,  1094,   557,   558,   559,     0,
       0,   560,   196,   197,   561,   198,  1528,   562,   563,   564,
     565,   566,   567,   568,     0,   569,  1529,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,   212,  3666,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,  1532,
     613,   217,   614,   615,   219,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,  1534,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,   224,   225,     0,     0,   637,  1537,   638,  1538,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,  1541,     0,   651,   652,   653,   654,
     655,   707,   234,     0,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,  1543,  1544,  1545,  1546,  1547,  1548,  1549,  1550,
     708,   668,   669,     0,     0,     0,     0,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
    3667,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,     0,   437,   438,   439,
     440,   441,     0,  1495,   442,   443,   698,   140,   444,     0,
     445,   446,   447,   448,  1498,     0,  1499,     0,   449,   450,
     451,   452,   148,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,  1500,  1501,  1502,  1503,
    1504,  1505,  1506,   461,   462,   463,   464,   701,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,  1511,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,  1514,     0,
     504,     0,   505,   506,   703,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,  1518,   182,   532,   183,
       0,   533,   534,   535,  1519,  1520,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,   188,
     189,   190,   547,   548,   191,     0,   549,   550,   193,   551,
       0,  1525,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,   197,   561,
     198,  1528,   562,   563,   564,   565,   566,   567,   568,     0,
     569,  1529,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,   212,
    3666,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,  1532,   613,   217,   614,   615,   219,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,  1534,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,  1537,   638,  1538,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,  1541,
       0,   651,   652,   653,   654,   655,   707,   234,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,  1543,  1544,  1545,
    1546,  1547,  1548,  1549,  1550,   708,   668,   669,     0,     0,
       0,     0,   732,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,   246,    98,    99,   100,   101,
     102,   103,   733,   104,   105,   687,   734,     0,   107,   108,
     109,   110,   735,   736,   112,   113,   114,   115,     0,   116,
     737,   738,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,   135,   136,   137,   138,
     139,     0,   437,   438,   439,   440,   441,     0,  1495,   442,
     443,   698,   140,   444,     0,   445,   446,   447,   448,  1498,
       0,  1499,     0,   449,   450,   451,   452,   148,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,  1500,  1501,  1502,  1503,  1504,  1505,  1506,   461,   462,
     463,   464,   701,   465,   155,   156,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,  1511,     0,   494,     0,   495,   496,   168,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,  1514,     0,   504,     0,   505,   506,   703,
     507,   508,   173,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,   174,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,  1518,   182,   532,   183,     0,   533,   534,   535,  1519,
    1520,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,   188,   189,   190,   547,   548,   191,
       0,   549,   550,   193,   551,     0,  1525,   552,   195,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,   196,   197,   561,   198,  1528,   562,   563,   564,
     565,   566,   567,   568,     0,   569,  1529,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,   212,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,  1532,
     613,   217,   614,   615,   219,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,  1534,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,   224,   225,     0,     0,   637,  1537,   638,  1538,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,  1541,     0,   651,   652,   653,   654,
     655,   707,   234,     0,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,  1543,  1544,  1545,  1546,  1547,  1548,  1549,  1550,
     708,   668,   669,     0,     0,     0,     0,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
    4259,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,   698,   140,   444,     0,
     445,   446,   447,   448,   144,     0,   145,     0,   449,   450,
     451,   452,   148,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,     0,     0,     0,   152,
       0,     0,     0,   461,   462,   463,   464,   701,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,   703,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,   182,   532,   183,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,   188,
     189,   190,   547,   548,   191,     0,   549,   550,   193,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,   197,   561,
     198,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,   212,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,   219,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,   707,   234,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   708,   668,   669,     0,     0,
       0,     0,     0,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,  4863,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   687,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,  4186,     0,   430,   431,     0,
     432,   433,     0,   434,   435,   436,   135,   136,     0,   138,
     139,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,   698,   140,   444,     0,   445,   446,   447,   448,   144,
       0,     0,     0,   449,   450,   451,   452,     0,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0, -1516,   460,
       0,     0,     0,     0,     0,     0,     0,     0,   461,   462,
     463,   464,   701,   465,   155,   156,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,   166,     0,   494,     0,   495,   496,   168,
     497,     0,   498,     0,   499,     0,     0, -1516,   500,   501,
     502,     0,   503,   172,     0,   504,     0,   505,   506,   703,
     507,   508,     0,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518, -1516,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,     0,     0,   523,
   -1516,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,   181, -1516,   532,     0,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,   188, -1516,   190,   547,   548,   191,
       0,   549,   550,     0,   551,     0,   194,   552,   195,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,   196,     0,   561,     0,   199,   562,   563,   564,
     565,   566,   567,   568,     0,   569,   200,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598, -1516,   599,   600,   212,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,     0,
     613,   217,   614,   615,     0,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   222,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,   224,   225,     0,     0,   637,   226,   638,   227,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,   707,   234,     0,   656,     0,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     708,   668,   669,     0,     0,     0,     0,     0,     0,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,  1648,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,    45,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,     0,
       0,     0,     0,     0,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,  3947,  3948,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,    45,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,     0,     0,     0,     0,     0,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,  3948,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,   215,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,   223,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,  2215,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
     236,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,     0,
       0,     0,     0,     0,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,   246,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,   215,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,   223,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,  2215,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,   236,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,     0,     0,     0,     0,     0,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,   246,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,     0,
       0,     0,     0,     0,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,  1623,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,     0,     0,     0,     0,     0,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,  3087,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,     0,
       0,     0,     0,     0,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,  4170,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,     0,     0,     0,     0,   732,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,  4581,    98,    99,   100,   101,   102,   103,   733,   104,
     105,   687,   734,     0,   107,   108,   109,   110,   735,   736,
     112,   113,   114,   115,     0,   116,   737,   738,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,  1219,    45,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,   739,   427,   428,   429,   740,   741,   742,   743,
     744,   745,   746,   430,   431,   747,   432,   433,   133,   434,
     435,   436,     0,  1925,   137,  1926,  1927,   748,   437,   438,
     439,   440,   441,   749,   750,   442,   443,  1928,  1929,   444,
     752,   445,   446,   447,   448,     0,   753,   145,   754,   449,
     450,   451,   452,   148,   453,   699,   756,   454,   455,   456,
     457,   458,   459,   757,   151,   460,     0,   759,   760,   761,
     152,   762,   763,   764,   461,   462,   463,   464,   701,   465,
    1930,  1931,   466,   765,   467,   766,   468,   469,   470,   471,
     472,   767,   473,   474,   475,   768,   769,   476,   477,  1509,
     479,   480,   770,   481,   482,   483,   771,   484,   485,   486,
     772,   487,   488,   489,   490,     0,   491,   492,   493,     0,
     773,   494,   774,   495,   496,  1932,   497,   775,   498,   776,
     499,   169,   777,   170,   500,   501,   502,   778,   503,     0,
     779,   504,   780,   505,   506,   703,   507,   508,   173,   509,
     510,   511,   781,   512,   513,   514,   515,   516,   517,   782,
     518,   174,     0,     0,   519,   520,   521,  1515,  1933,   785,
    1934,   786,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,   787,   529,   530,   788,   531,     0,   182,   532,
     183,   789,   533,   534,   535,   790,   791,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
    1935,   189,  1936,   547,   548,     0,   792,   549,   550,   193,
     551,   793,     0,   552,  1937,   553,   554,   555,   794,   556,
     795,   796,  3934,   558,   559,   797,   798,   560,     0,   197,
     561,   198,     0,   562,   563,   564,   565,   566,   567,   568,
     799,   569,     0,   570,     0,   571,   572,   573,   800,   574,
     575,   576,   577,   578,   579,   580,   581,  1938,   582,   583,
     584,   585,   801,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   802,   597,   598,   210,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   706,   607,   803,
     608,   609,   610,   611,   612,   804,   613,  2423,   614,   615,
     219,   616,  1940,   617,   805,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,     0,   806,   628,   629,   807,
     630,   631,   632,   633,   634,   635,   808,  1941,  1942,     0,
     810,   637,     0,   638,     0,   811,   639,   640,   641,   642,
     643,   644,   645,     0,   813,   646,   647,   648,   649,   650,
     814,   815,   651,   652,   653,   654,   655,     0,  1943,   817,
     656,   235,   657,   658,   659,   660,   818,   819,   661,   820,
     821,   662,   663,   664,   665,   666,   667,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   708,   668,   669,     0,
       0,     0,     0,  1222,  1223,  1224,     0,  3935,  3936,  1227,
    1228,  1229,  1230,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   687,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1219,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,     0,   434,   435,   436,   135,   136,     0,   138,
     139,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,   698,   140,   444,     0,   445,  1220,   447,   448,   144,
       0,     0,     0,   449,   450,   451,   452,     0,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,     0,   460,
       0,     0,     0,     0,     0,     0,     0,     0,   461,   462,
     463,   464,   701,   465,   155,   156,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,   166,     0,  1221,     0,   495,   496,   168,
     497,     0,   498,     0,   499,     0,     0,     0,   500,   501,
     502,     0,   503,   172,     0,   504,     0,   505,   506,   703,
     507,   508,     0,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,     0,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,     0,     0,   523,
       0,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,   181,     0,   532,     0,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,   188,     0,   190,   547,   548,   191,
       0,   549,   550,     0,   551,     0,   194,   552,   195,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,   196,     0,   561,     0,   199,   562,   563,   564,
     565,   566,   567,   568,     0,   569,   200,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,     0,   599,   600,   212,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,     0,
     613,   217,   614,   615,     0,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   222,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,   224,   225,     0,     0,   637,   226,   638,   227,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,   707,   234,     0,   656,     0,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     708,   668,   669,     0,     0,     0,     0,  1222,  1223,  1224,
       0,  1225,  1226,  1227,  1228,  1229,  1230,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   687,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1219,     0,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,     0,     0,
       0,   430,   431,     0,   432,   433,     0,   434,   435,   436,
     135,   136,     0,   138,   139,     0,   437,   438,   439,   440,
     441,     0,     0,   442,   443,   698,   140,   444,     0,   445,
    1317,   447,   448,   144,     0,     0,     0,   449,   450,   451,
     452,     0,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,     0,   460,     0,     0,     0,     0,     0,     0,
       0,     0,   461,   462,   463,   464,   701,   465,   155,   156,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,   164,   491,   492,   493,   166,     0,  1318,
       0,   495,   496,   168,   497,     0,   498,     0,   499,     0,
       0,     0,   500,   501,   502,     0,   503,   172,     0,   504,
       0,   505,   506,   703,   507,   508,     0,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,     0,
     175,     0,   519,   520,   521,     0,   176,     0,   177,     0,
     522,     0,     0,   523,     0,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,   181,     0,   532,     0,     0,
     533,   534,   535,     0,     0,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,   188,     0,
     190,   547,   548,   191,     0,   549,   550,     0,   551,     0,
     194,   552,   195,   553,   554,   555,     0,   556,     0,     0,
     557,   558,   559,     0,     0,   560,   196,     0,   561,     0,
     199,   562,   563,   564,   565,   566,   567,   568,     0,   569,
     200,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   203,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,     0,   599,   600,   212,   601,
     602,   603,   604,   605,   606,   706,   607,     0,   608,   609,
     610,   611,   612,     0,   613,   217,   614,   615,     0,   616,
     220,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   222,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,   224,   225,     0,     0,   637,
     226,   638,   227,     0,   639,   640,   641,   642,   643,   644,
     645,     0,     0,   646,   647,   648,   649,   650,     0,     0,
     651,   652,   653,   654,   655,   707,   234,     0,   656,     0,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   708,   668,   669,     0,     0,     0,
       0,  1222,  1223,  1224,     0,  1225,  1226,  1227,  1228,  1229,
    1230,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   687,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
    1219,     0,     0,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,     0,     0,     0,   430,   431,     0,   432,   433,
       0,   434,   435,   436,   135,   136,     0,   138,   139,     0,
     437,   438,   439,   440,   441,     0,     0,   442,   443,   698,
     140,   444,     0,   445,  1374,   447,   448,   144,     0,     0,
       0,   449,   450,   451,   452,     0,   453,   699,     0,   454,
     455,   456,   457,   458,   459,     0,     0,   460,     0,     0,
       0,     0,     0,     0,     0,     0,   461,   462,   463,   464,
     701,   465,   155,   156,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,   164,   491,   492,
     493,   166,     0,  1375,     0,   495,   496,   168,   497,     0,
     498,     0,   499,     0,     0,     0,   500,   501,   502,     0,
     503,   172,     0,   504,     0,   505,   506,   703,   507,  1376,
       0,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,     0,   175,     0,   519,   520,   521,     0,
     176,     0,   177,     0,   522,     0,     0,   523,     0,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,   181,
       0,   532,     0,     0,   533,   534,   535,     0,     0,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,   188,     0,   190,   547,   548,   191,     0,   549,
     550,     0,   551,     0,   194,   552,   195,   553,   554,   555,
       0,   556,     0,     0,   557,   558,   559,     0,     0,   560,
     196,     0,   561,     0,   199,   562,   563,   564,   565,   566,
     567,   568,     0,   569,   200,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   203,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,     0,
     599,   600,   212,   601,   602,   603,   604,   605,   606,   706,
     607,     0,   608,   609,   610,   611,   612,     0,   613,   217,
     614,   615,     0,   616,   220,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   222,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,   224,
     225,     0,     0,   637,   226,   638,   227,     0,   639,   640,
     641,   642,   643,   644,   645,     0,     0,   646,   647,   648,
     649,   650,     0,     0,   651,   652,   653,   654,   655,   707,
     234,     0,   656,     0,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   708,   668,
     669,     0,     0,     0,     0,  1222,  1223,  1224,     0,  1225,
    1226,  1227,  1228,  1229,  1230,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   687,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,  1219,     0,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,     0,     0,     0,   430,
     431,     0,   432,   433,     0,   434,   435,   436,   135,   136,
       0,   138,   139,     0,   437,   438,   439,   440,   441,     0,
       0,   442,   443,   698,   140,   444,     0,   445,  1910,   447,
     448,   144,     0,     0,     0,   449,   450,   451,   452,     0,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
       0,   460,     0,     0,     0,     0,     0,     0,     0,     0,
     461,   462,   463,   464,   701,   465,   155,   156,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,   164,   491,   492,   493,   166,     0,  1911,     0,   495,
     496,   168,   497,     0,   498,     0,   499,     0,     0,     0,
     500,   501,   502,     0,   503,   172,     0,   504,     0,   505,
     506,   703,   507,   508,     0,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,     0,   175,     0,
     519,   520,   521,     0,   176,     0,   177,     0,   522,     0,
       0,   523,     0,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,   181,     0,   532,     0,     0,   533,   534,
     535,     0,     0,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,   188,     0,   190,   547,
     548,   191,     0,   549,   550,     0,   551,     0,   194,   552,
     195,   553,   554,   555,     0,   556,     0,     0,   557,   558,
     559,     0,     0,   560,   196,     0,   561,     0,   199,   562,
     563,   564,   565,   566,   567,   568,     0,   569,   200,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   203,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,     0,   599,   600,   212,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,     0,   613,   217,   614,   615,     0,   616,   220,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   222,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,   224,   225,     0,     0,   637,   226,   638,
     227,     0,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,     0,     0,   651,   652,
     653,   654,   655,   707,   234,     0,   656,     0,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   708,   668,   669,     0,     0,     0,     0,  1222,
    1223,  1224,     0,  1225,  1226,  1227,  1228,  1229,  1230,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1219,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,     0,
       0,     0,     0,  1222,  1223,  1224,     0,  1225,  1226,  1227,
    1228,  1229,  1230,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   687,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1219,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,     0,   434,   435,   436,   135,   136,     0,   138,
     139,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,   698,   140,   444,     0,   445,  3187,   447,   448,   144,
       0,     0,     0,   449,   450,   451,   452,     0,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,     0,   460,
       0,     0,     0,     0,     0,     0,     0,     0,   461,   462,
     463,   464,   701,   465,   155,   156,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,   166,     0,  3188,     0,   495,   496,   168,
     497,     0,   498,     0,   499,     0,     0,     0,   500,   501,
     502,     0,   503,   172,     0,   504,     0,   505,   506,   703,
     507,   508,     0,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,     0,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,     0,     0,   523,
       0,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,   181,     0,   532,     0,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,   188,     0,   190,   547,   548,   191,
       0,   549,   550,     0,   551,     0,   194,   552,   195,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,   196,     0,   561,     0,   199,   562,   563,   564,
     565,   566,   567,   568,     0,   569,   200,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,     0,   599,   600,   212,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,     0,
     613,   217,   614,   615,     0,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   222,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,   224,   225,     0,     0,   637,   226,   638,   227,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,   707,   234,     0,   656,     0,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     708,   668,   669,     0,     0,     0,     0,  1222,  1223,  1224,
       0,  1225,  1226,  1227,  1228,  1229,  1230,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   687,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1219,     0,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,     0,     0,
       0,   430,   431,     0,   432,   433,     0,   434,   435,   436,
     135,   136,     0,   138,   139,     0,   437,   438,   439,   440,
     441,     0,     0,   442,   443,   698,   140,   444,     0,   445,
     446,   447,   448,   144,     0,     0,     0,   449,   450,   451,
     452,     0,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,     0,   460,     0,     0,     0,     0,     0,     0,
       0,     0,   461,   462,   463,   464,   701,   465,   155,   156,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,   164,   491,   492,   493,   166,     0,   494,
       0,   495,   496,   168,   497,     0,   498,     0,   499,     0,
       0,     0,   500,   501,   502,     0,   503,   172,     0,   504,
       0,   505,   506,   703,   507,   508,     0,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,     0,
     175,     0,   519,   520,   521,     0,   176,     0,   177,     0,
     522,     0,     0,   523,     0,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,   181,     0,   532,     0,     0,
     533,   534,   535,     0,     0,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,   188,     0,
     190,   547,   548,   191,     0,   549,   550,     0,   551,     0,
     194,   552,   195,   553,   554,   555,     0,   556,     0,     0,
    4842,   558,   559,     0,     0,   560,   196,     0,   561,     0,
     199,   562,   563,   564,   565,   566,   567,   568,     0,   569,
     200,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   203,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,     0,   599,   600,   212,   601,
     602,   603,   604,   605,   606,   706,   607,     0,   608,   609,
     610,   611,   612,     0,   613,   217,   614,   615,     0,   616,
     220,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   222,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,   224,   225,     0,     0,   637,
     226,   638,   227,     0,   639,   640,   641,   642,   643,   644,
     645,     0,     0,   646,   647,   648,   649,   650,     0,     0,
     651,   652,   653,   654,   655,   707,   234,     0,   656,     0,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   708,   668,   669,     0,     0,     0,
       0,  1222,  1223,  1224,     0,  1225,  1226,  1227,  1228,  1229,
    1230,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,   739,   427,   428,   429,   740,
     741,   742,   743,   744,   745,   746,   430,   431,   747,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
     748,   437,   438,   439,   440,   441,   749,   750,   442,   443,
     751,   140,   444,   752,   445,   446,   447,   448,   144,   753,
     145,   754,   449,   450,   451,   452,   148,   453,   755,   756,
     454,   455,   456,   457,   458,   459,   757,   151,   460,   758,
     759,   760,   761,   152,   762,   763,   764,   461,   462,   463,
     464,   701,   465,   155,   156,   466,   765,   467,   766,   468,
     469,   470,   471,   472,   767,   473,   474,   475,   768,   769,
     476,   477,   478,   479,   480,   770,   481,   482,   483,   771,
     484,   485,   486,   772,   487,   488,   489,   490,   164,   491,
     492,   493,   166,   773,   494,   774,   495,   496,   168,   497,
     775,   498,   776,   499,   169,   777,   170,   500,   501,   502,
     778,   503,   172,   779,   504,   780,   505,   506,   703,   507,
     508,   173,   509,   510,   511,   781,   512,   513,   514,   515,
     516,   517,   782,   518,   174,   175,   783,   519,   520,   521,
     784,   176,   785,   177,   786,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,   787,   529,   530,   788,   531,
     181,   182,   532,   183,   789,   533,   534,   535,   790,   791,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,   189,   190,   547,   548,   191,   792,
     549,   550,   193,   551,   793,   194,   552,   195,   553,   554,
     555,   794,   556,   795,   796,   557,   558,   559,   797,   798,
     560,   196,   197,   561,   198,   199,   562,   563,   564,   565,
     566,   567,   568,   799,   569,   200,   570,   201,   571,   572,
     573,   800,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,   801,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   802,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,   803,   608,   609,   610,   611,   612,   804,   613,
     217,   614,   615,   219,   616,   220,   617,   805,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,   806,
     628,   629,   807,   630,   631,   632,   633,   634,   635,   808,
     224,   225,   809,   810,   637,   226,   638,   227,   811,   639,
     640,   641,   642,   643,   644,   645,   812,   813,   646,   647,
     648,   649,   650,   814,   815,   651,   652,   653,   654,   655,
     816,   234,   817,   656,   235,   657,   658,   659,   660,   818,
     819,   661,   820,   821,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,     0,   732,    86,    87,    88,   684,    90,    91,
      92,   685,  2314,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,     0,  1925,   137,
    1926,  1927,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,  1928,  1929,   444,     0,   445,   446,   447,   448,
       0,     0,   145,     0,   449,   450,   451,   452,   148,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,     0,     0,     0,   152,     0,     0,     0,   461,
     462,   463,   464,   701,   465,  1930,  1931,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,  1509,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
       0,   491,   492,   493,     0,     0,   494,     0,   495,   496,
    1932,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,     0,     0,   504,     0,   505,   506,
     703,   507,   508,   173,   509,   510,   511,  2419,   512,   513,
     514,   515,   516,   517,     0,   518,   174,  2420,     0,   519,
     520,   521,  1515,  1933,     0,  1934,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,     0,   182,   532,   183,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,  1935,   189,  1936,   547,   548,
       0,     0,   549,   550,   193,   551,     0,     0,   552,  1937,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,  2421,   560,  2422,   197,   561,   198,     0,   562,   563,
     564,   565,   566,   567,   568,     0,   569,     0,   570,     0,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,  1938,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,  2423,   614,   615,   219,   616,  1940,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
       0,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,  1941,  1942,     0,     0,   637,     0,   638,     0,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,     0,  1943,  2424,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   708,   668,   669,     0,     0,    86,    87,    88,   684,
      90,    91,    92,   685,  2425,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,     0,     0,    86,    87,
      88,   684,    90,    91,    92,   685,  1101,   686,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     687,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,     0,   434,   435,
     436,   135,   136,     0,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,   698,   140,   444,     0,
     445,   446,   447,   448,   144,     0,     0,     0,   449,   450,
     451,   452,     0,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,     0,   460,     0,     0,     0,     0,     0,
       0,     0,     0,   461,   462,   463,   464,   701,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
       0,     0,     0,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,   703,   507,   508,     0,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
       0,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,     0,     0,   523,     0,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,     0,   532,     0,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,   188,
       0,   190,   547,   548,   191,     0,   549,   550,     0,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,     0,   561,
       0,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,     0,   599,   600,   212,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,     0,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,   707,   234,     0,   656,
       0,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   708,   668,   669,     0,     0,
      86,    87,    88,   684,    90,    91,    92,   685,  4890,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
      45,     0,     0,     0,     0,   419,   996,   421,   422,   423,
     424,   425,   426,   997,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     998,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   999,   168,   497,     0,   498,
       0,  1000,     0,  1001,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,  1002,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,  1003,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,  1004,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
    1005,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,  1006,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
       0,     0,     0,     0,     0,     0,     0,     0,  1007,  1008,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
      45,     0,     0,     0,     0,   419,   996,   421,   422,   423,
     424,   425,   426,   997,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
    1029,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   999,   168,   497,     0,   498,
       0,  1030,     0,  1001,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,  1002,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,  1003,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,  1004,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
    1005,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,  1006,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
       0,     0,     0,     0,     0,     0,     0,     0,  1007,  1008,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
      45,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  1422,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,  1001,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,  1002,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
       0,     0,     0,     0,     0,     0,     0,     0,  1007,  1008,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
      45,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  1427,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,  1001,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,  1002,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
       0,     0,     0,     0,     0,     0,     0,     0,  1007,  1008,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,   702,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
    1594,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
       0,     0,     0,  1071,  1595,    86,    87,    88,   684,    90,
      91,    92,   685,  1072,   686,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   687,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,     0,     0,     0,   430,
     431,     0,   432,   433,     0,   434,   435,   436,   135,   136,
       0,   138,   139,     0,   437,   438,   439,   440,   441,     0,
       0,  1073,   443,  1045,   140,   444,     0,   445,   446,   447,
     448,   144,     0,     0,     0,   449,   450,   451,   452,     0,
     453,  1074,     0,  1075,   455,   456,   457,   458,   459,     0,
       0,   460,     0,     0,     0,     0,     0,     0,     0,     0,
     461,   462,   463,   464,   701,   465,   155,   156,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,   164,   491,   492,   493,   166,     0,   494,     0,   495,
     496,   168,   497,     0,   498,     0,   499,     0,     0,     0,
     500,   501,   502,     0,   503,   172,     0,   504,     0,   505,
     506,   703,   507,   508,     0,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,     0,   175,     0,
     519,   520,   521,     0,   176,     0,   177,     0,   522,     0,
       0,   523,     0,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,   181,     0,   532,     0,     0,   533,   534,
    1076,     0,     0,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,  1077,   188,     0,   190,   547,
     548,   191,     0,   549,   550,     0,   551,     0,   194,   552,
     195,   553,   554,   555,     0,   556,     0,     0,   557,   558,
     559,     0,     0,   560,   196,     0,   561,     0,   199,   562,
     563,   564,   565,   566,   567,   568,     0,   569,   200,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   203,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,     0,  1078,   600,   212,   601,   602,   603,
    1079,   605,   606,   706,   607,     0,   608,   609,   610,   611,
    1080,     0,   613,   217,   614,   615,     0,   616,   220,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   222,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,  1081,   225,     0,     0,  1082,   226,   638,
     227,     0,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,     0,     0,   651,   652,
     653,   654,   655,  1049,   234,     0,   656,     0,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,  1083,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   708,   668,   669,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,   739,
     427,   428,   429,   740,   741,   742,   743,   744,   745,   746,
     430,   431,   747,   432,   433,   133,   434,   435,   436,   135,
     136,   137,   138,   139,   748,   437,   438,   439,   440,   441,
     749,   750,   442,   443,   751,   140,   444,   752,   445,   446,
     447,   448,   144,   753,   145,   754,   449,   450,   451,   452,
     148,   453,   755,   756,   454,   455,   456,   457,   458,   459,
     757,   151,   460,   758,   759,   760,   761,   152,   762,   763,
     764,   461,   462,   463,   464,   701,   465,   155,   156,   466,
     765,   467,   766,   468,   469,   470,   471,   472,   767,   473,
     474,   475,   768,   769,   476,   477,   478,   479,   480,   770,
     481,   482,   483,   771,   484,   485,   486,   772,   487,   488,
     489,   490,   164,   491,   492,   493,   166,   773,   494,   774,
     495,   496,   168,   497,   775,   498,   776,   499,   169,   777,
     170,   500,   501,   502,   778,   503,   172,   779,   504,   780,
     505,   506,   703,   507,   508,   173,   509,   510,   511,   781,
     512,   513,   514,   515,   516,   517,   782,   518,   174,   175,
     783,   519,   520,   521,   784,   176,   785,   177,   786,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,   787,
     529,   530,   788,   531,   181,   182,   532,   183,   789,   533,
     534,   535,   790,   791,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,   189,   190,
     547,   548,   191,   792,   549,   550,   193,   551,   793,   194,
     552,   195,   553,   554,   555,   794,   556,   795,   796,   557,
     558,   559,   797,   798,   560,   196,   197,   561,   198,   199,
     562,   563,   564,   565,   566,   567,   568,   799,   569,   200,
     570,   201,   571,   572,   573,   800,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,   801,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   802,   597,   598,   210,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,   803,   608,   609,   610,
     611,   612,   804,   613,   217,   614,   615,   219,   616,   220,
     617,   805,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,   806,   628,   629,   807,   630,   631,   632,
     633,   634,   635,   808,   224,   225,   809,   810,   637,   226,
     638,   227,   811,   639,   640,   641,   642,   643,   644,   645,
     812,   813,   646,   647,   648,   649,   650,   814,   815,   651,
     652,   653,   654,   655,   816,   234,   817,   656,   235,   657,
     658,   659,   660,   818,   819,   661,   820,   821,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,   732,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   733,   104,   105,   687,
     734,     0,   107,   108,   109,   110,   735,   736,   112,   113,
     114,   115,     0,   116,   737,   738,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
     739,   427,   428,   429,   740,   741,   742,   743,   744,   745,
     746,   430,   431,   747,   432,   433,   133,   434,   435,   436,
     135,   136,   137,   138,   139,   748,   437,   438,   439,   440,
     441,   749,   750,   442,   443,   751,   140,   444,   752,   445,
     446,   447,   448,   144,   753,   145,   754,   449,   450,   451,
     452,   148,   453,   755,   756,   454,   455,   456,   457,   458,
     459,   757,   151,   460,   758,   759,   760,   761,   152,   762,
     763,   764,   461,   462,   463,   464,   701,   465,   155,   156,
     466,   765,   467,   766,   468,   469,   470,   471,   472,   767,
     473,   474,   475,   768,   769,   476,   477,   478,   479,   480,
     770,   481,   482,   483,   771,   484,   485,   486,   772,   487,
     488,   489,   490,   164,   491,   492,   493,   166,   773,   494,
     774,   495,   496,   168,   497,   775,   498,   776,   499,   169,
     777,   170,   500,   501,   502,   778,   503,   172,   779,   504,
     780,   505,   506,   703,   507,   508,   173,   509,   510,   511,
     781,   512,   513,   514,   515,   516,   517,   782,   518,   174,
     175,   783,   519,   520,   521,   784,   176,   785,   177,   786,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
     787,   529,   530,   788,   531,   181,   182,   532,   183,   789,
     533,   534,   535,   790,   791,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,   188,   189,
     190,   547,   548,   191,   792,   549,   550,   193,   551,   793,
     194,   552,   195,   553,   554,   555,   794,   556,   795,   796,
     557,   558,   559,   797,   798,   560,   196,   197,   561,   198,
     199,   562,   563,   564,   565,   566,   567,   568,   799,   569,
     200,   570,   201,   571,   572,   573,   800,   574,   575,   576,
     577,   578,   579,   580,   581,   203,   582,   583,   584,   585,
     801,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   802,   597,   598,   210,   599,   600,   212,   601,
     602,   603,   604,   605,   606,   706,   607,   803,   608,   609,
     610,   611,   612,   804,   613,   217,   614,   615,   219,   616,
     220,   617,   805,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   222,   806,   628,   629,   807,   630,   631,
     632,   633,   634,   635,   808,   224,   225,   809,   810,   637,
     226,   638,   227,   811,   639,   640,   641,   642,   643,   644,
     645,   812,   813,   646,   647,   648,   649,   650,   814,   815,
     651,   652,   653,   654,   655,   816,   234,   817,   656,   235,
     657,   658,   659,   660,   818,   819,   661,   820,   821,   662,
     663,   664,   665,   666,   667,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   708,   668,   669,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,  3246,   424,   425,
     426,   739,   427,   428,   429,   740,   741,   742,   743,   744,
     745,   746,   430,   431,   747,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,   748,   437,   438,   439,
     440,   441,   749,   750,   442,   443,   751,   140,   444,   752,
     445,   446,   447,   448,   144,   753,   145,   754,   449,   450,
     451,   452,   148,   453,   755,   756,   454,   455,   456,   457,
     458,   459,   757,   151,   460,   758,   759,   760,   761,   152,
     762,   763,   764,   461,   462,   463,   464,   701,   465,   155,
     156,   466,   765,   467,   766,   468,   469,   470,   471,   472,
     767,   473,   474,   475,   768,   769,   476,   477,   478,  3247,
     480,   770,   481,   482,   483,   771,   484,   485,   486,   772,
     487,   488,   489,   490,   164,   491,   492,   493,   166,   773,
     494,   774,   495,   496,   168,   497,   775,   498,   776,   499,
     169,   777,   170,   500,   501,   502,   778,   503,   172,   779,
     504,   780,   505,   506,   703,   507,   508,   173,   509,   510,
     511,   781,   512,   513,   514,   515,   516,   517,   782,   518,
     174,   175,   783,   519,   520,   521,   784,   176,   785,   177,
     786,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,   787,   529,   530,   788,   531,   181,   182,   532,   183,
     789,   533,   534,   535,   790,   791,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,   188,
     189,   190,   547,   548,   191,   792,   549,   550,   193,   551,
     793,   194,   552,   195,   553,   554,   555,   794,   556,   795,
     796,   557,   558,   559,   797,   798,   560,   196,   197,   561,
     198,   199,   562,   563,   564,   565,   566,   567,   568,   799,
     569,   200,   570,   201,   571,   572,   573,   800,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,   801,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   802,   597,   598,   210,   599,   600,   212,
     601,   602,   603,   604,   605,   606,   706,   607,   803,   608,
     609,   610,   611,   612,   804,  3248,   217,   614,   615,   219,
     616,   220,   617,   805,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,   806,   628,   629,   807,   630,
     631,   632,   633,   634,   635,   808,   224,   225,   809,   810,
     637,   226,   638,   227,   811,   639,   640,   641,   642,   643,
     644,   645,   812,   813,   646,   647,   648,   649,   650,   814,
     815,   651,   652,   653,   654,   655,   816,   234,   817,   656,
     235,   657,   658,   659,   660,   818,   819,   661,   820,   821,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   708,   668,   669,   732,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   733,   104,
     105,   687,   734,     0,   107,   108,   109,   110,   735,   736,
     112,   113,   114,   115,     0,   116,   737,   738,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,   133,   434,
     435,   436,   135,   136,   137,   138,   139,     0,   437,   438,
     439,   440,   441,     0,  1495,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,  1498,     0,  1499,     0,   449,
     450,   451,   452,   148,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,   151,   460,     0,  1500,  1501,  1502,
    1503,  1504,  1505,  1506,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,  1511,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,   169,     0,   170,   500,   501,   502,     0,   503,  1514,
       0,   504,     0,   505,   506,   703,   507,   508,   173,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,   174,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,  1518,   182,   532,
     183,     0,   533,   534,   535,  1519,  1520,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,   189,   190,   547,   548,   191,     0,   549,   550,   193,
     551,     0,  1525,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,   197,
     561,   198,  1528,   562,   563,   564,   565,   566,   567,   568,
       0,   569,  1529,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,   210,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,  1532,   613,   217,   614,   615,
     219,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,  1534,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,  1537,   638,  1538,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
    1541,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,   235,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,  1543,  1544,
    1545,  1546,  1547,  1548,  1549,  1550,   708,   668,   669,   732,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,   136,   137,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,   145,     0,
     449,   450,   451,   452,   148,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,   189,   190,   547,   548,   191,     0,   549,   550,
     193,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
     197,   561,   198,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,   219,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
     732,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     733,   104,   105,   687,   734,     0,   107,   108,   109,   110,
     735,   736,   112,   113,   114,   115,     0,   116,   737,   738,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,     0,     0,     0,   430,   431,     0,   432,   433,
     133,   434,   435,   436,   135,   136,   137,   138,   139,     0,
     437,   438,   439,   440,   441,     0,     0,   442,   443,   698,
     140,   444,     0,   445,   446,   447,   448,   144,     0,   145,
       0,   449,   450,   451,   452,   148,   453,   699,     0,   454,
     455,   456,   457,   458,   459,     0,   151,   460,     0,     0,
       0,     0,   152,     0,     0,     0,   461,   462,   463,   464,
     701,   465,   155,   156,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,   164,   491,   492,
     493,   166,     0,   494,     0,   495,   496,   168,   497,     0,
     498,     0,   499,   169,     0,   170,   500,   501,   502,     0,
     503,   172,     0,   504,     0,   505,   506,   703,   507,  1357,
     173,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,   174,   175,     0,   519,   520,   521,     0,
     176,     0,   177,     0,   522,   178,   179,   523,   180,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,   181,
     182,   532,   183,     0,   533,   534,   535,     0,     0,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,   188,   189,   190,   547,   548,   191,     0,   549,
     550,   193,   551,     0,   194,   552,   195,   553,   554,   555,
       0,   556,     0,     0,   557,   558,   559,     0,     0,   560,
     196,   197,   561,   198,   199,   562,   563,   564,   565,   566,
     567,   568,     0,   569,   200,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   203,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,   210,
     599,   600,   212,   601,   602,   603,   604,   605,   606,   706,
     607,     0,   608,   609,   610,   611,   612,     0,   613,   217,
     614,   615,   219,   616,   220,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   222,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,   224,
     225,     0,     0,   637,   226,   638,   227,     0,   639,   640,
     641,   642,   643,   644,   645,     0,     0,   646,   647,   648,
     649,   650,     0,     0,   651,   652,   653,   654,   655,   707,
     234,     0,   656,   235,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   708,   668,
     669,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
     145,     0,   449,   450,   451,   452,   148,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
       0,     0,     0,   152,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
    1367,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,   182,   532,   183,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,   189,   190,   547,   548,   191,     0,
     549,   550,   193,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,   197,   561,   198,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,   219,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,   732,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   733,   104,   105,   687,   734,     0,   107,   108,
     109,   110,   735,   736,   112,   113,   114,   115,     0,   116,
     737,   738,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,     0,  1925,   137,  1926,
    1927,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,  1928,  1929,   444,     0,   445,   446,   447,   448,     0,
       0,   145,     0,   449,   450,   451,   452,   148,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,     0,     0,     0,   152,     0,     0,     0,   461,   462,
     463,   464,   701,   465,  1930,  1931,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,  1509,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,     0,
     491,   492,   493,     0,     0,   494,     0,   495,   496,  1932,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,     0,     0,   504,     0,   505,   506,   703,
     507,   508,   173,   509,   510,   511,  2419,   512,   513,   514,
     515,   516,   517,     0,   518,   174,  2420,     0,   519,   520,
     521,  1515,  1933,     0,  1934,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,     0,   182,   532,   183,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,  1935,   189,  1936,   547,   548,     0,
       0,   549,   550,   193,   551,     0,     0,   552,  1937,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,  2422,   197,   561,   198,     0,   562,   563,   564,
     565,   566,   567,   568,     0,   569,     0,   570,     0,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,  1938,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,     0,
     613,  2423,   614,   615,   219,   616,  1940,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,     0,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,  1941,  1942,     0,     0,   637,     0,   638,     0,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,     0,  1943,  2424,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     708,   668,   669,   732,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,     0,  1925,   137,
    1926,  1927,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,  1928,  1929,   444,     0,   445,   446,   447,   448,
       0,     0,   145,     0,   449,   450,   451,   452,   148,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,     0,     0,     0,   152,     0,     0,     0,   461,
     462,   463,   464,   701,   465,  1930,  1931,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,  1509,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
       0,   491,   492,   493,     0,     0,   494,     0,   495,   496,
    1932,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,     0,     0,   504,     0,   505,   506,
     703,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,     0,     0,   519,
     520,   521,  1515,  1933,     0,  1934,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,     0,   182,   532,   183,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,  1935,   189,  1936,   547,   548,
       0,     0,   549,   550,   193,   551,  2510,     0,   552,  1937,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,     0,   197,   561,   198,     0,   562,   563,
     564,   565,   566,   567,   568,     0,   569,     0,   570,     0,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,  1938,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,  2423,   614,   615,   219,   616,  1940,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
       0,     0,   628,   629,  4039,   630,   631,   632,   633,   634,
     635,     0,  1941,  1942,     0,     0,   637,     0,   638,     0,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,     0,  1943,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   708,   668,   669,   732,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   733,   104,   105,   687,   734,     0,
     107,   108,   109,   110,   735,   736,   112,   113,   114,   115,
       0,   116,   737,   738,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,     0,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436,     0,  1925,
     137,  1926,  1927,     0,   437,   438,   439,   440,   441,     0,
       0,   442,   443,  1928,  1929,   444,     0,   445,   446,   447,
     448,     0,     0,   145,     0,   449,   450,   451,   452,   148,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,     0,     0,     0,     0,   152,     0,     0,     0,
     461,   462,   463,   464,   701,   465,  1930,  1931,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,  1509,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,     0,   491,   492,   493,     0,     0,   494,     0,   495,
     496,  1932,   497,     0,   498,     0,   499,   169,     0,   170,
     500,   501,   502,     0,   503,     0,     0,   504,     0,   505,
     506,   703,   507,   508,   173,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   174,     0,     0,
     519,   520,   521,  1515,  1933,     0,  1934,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,     0,   182,   532,   183,     0,   533,   534,
     535,     0,     0,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,  1935,   189,  1936,   547,
     548,  2570,     0,   549,   550,   193,   551,     0,     0,   552,
    1937,   553,   554,   555,     0,   556,     0,     0,   557,   558,
     559,     0,     0,   560,     0,   197,   561,   198,     0,   562,
     563,   564,   565,   566,   567,   568,     0,   569,     0,   570,
       0,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,  1938,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,     0,   613,  1939,   614,   615,   219,   616,  1940,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,     0,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,  1941,  1942,     0,     0,   637,     0,   638,
       0,     0,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,     0,     0,   651,   652,
     653,   654,   655,     0,  1943,     0,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   708,   668,   669,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,     0,
    1925,   137,  1926,  1927,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,  1928,  1929,   444,     0,   445,   446,
     447,   448,     0,     0,   145,     0,   449,   450,   451,   452,
     148,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,     0,     0,     0,   152,     0,     0,
       0,   461,   462,   463,   464,   701,   465,  1930,  1931,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,  1509,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,     0,   491,   492,   493,     0,     0,   494,     0,
     495,   496,  1932,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,     0,     0,   504,     0,
     505,   506,   703,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,     0,
       0,   519,   520,   521,  1515,  1933,     0,  1934,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,     0,   182,   532,   183,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,  1935,   189,  1936,
     547,   548,  3868,     0,   549,   550,   193,   551,     0,     0,
     552,  1937,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,     0,   197,   561,   198,     0,
     562,   563,   564,   565,   566,   567,   568,     0,   569,     0,
     570,     0,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,  1938,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,  1939,   614,   615,   219,   616,  1940,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,     0,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,  1941,  1942,     0,     0,   637,     0,
     638,     0,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,     0,  1943,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   708,   668,   669,   732,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   733,   104,   105,   687,
     734,     0,   107,   108,   109,   110,   735,   736,   112,   113,
     114,   115,     0,   116,   737,   738,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,     0,     0,
       0,   430,   431,     0,   432,   433,   133,   434,   435,   436,
       0,  1925,   137,  1926,  1927,     0,   437,   438,   439,   440,
     441,     0,     0,   442,   443,  1928,  1929,   444,     0,   445,
     446,   447,   448,     0,     0,   145,     0,   449,   450,   451,
     452,   148,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,   151,   460,     0,     0,     0,     0,   152,     0,
       0,     0,   461,   462,   463,   464,   701,   465,  1930,  1931,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,  1509,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,     0,   491,   492,   493,     0,     0,   494,
       0,   495,   496,  1932,   497,     0,   498,     0,   499,   169,
       0,   170,   500,   501,   502,     0,   503,     0,     0,   504,
       0,   505,   506,   703,   507,   508,   173,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,   174,
       0,     0,   519,   520,   521,  1515,  1933,     0,  1934,     0,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,     0,   182,   532,   183,     0,
     533,   534,   535,     0,     0,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,  1935,   189,
    1936,   547,   548,     0,     0,   549,   550,   193,   551,     0,
       0,   552,  1937,   553,   554,   555,     0,   556,     0,     0,
     557,   558,   559,     0,     0,   560,     0,   197,   561,   198,
       0,   562,   563,   564,   565,   566,   567,   568,     0,   569,
       0,   570,     0,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,  1938,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,   210,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   706,   607,     0,   608,   609,
     610,   611,   612,     0,   613,  1939,   614,   615,   219,   616,
    1940,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,     0,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,  1941,  1942,     0,     0,   637,
       0,   638,     0,     0,   639,   640,   641,   642,   643,   644,
     645,     0,     0,   646,   647,   648,   649,   650,     0,     0,
     651,   652,   653,   654,   655,     0,  1943,     0,   656,   235,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   708,   668,   669,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,     0,  1925,   137,  1926,  1927,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,  1928,  1929,   444,     0,
     445,   446,   447,   448,     0,     0,   145,     0,   449,   450,
     451,   452,   148,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,     0,     0,     0,   152,
       0,     0,     0,   461,   462,   463,   464,   701,   465,  1930,
    1931,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,  1509,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,     0,   491,   492,   493,     0,     0,
     494,     0,   495,   496,  1932,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,     0,     0,
     504,     0,   505,   506,   703,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,     0,     0,   519,   520,   521,  1515,  1933,     0,  1934,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,     0,   182,   532,   183,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,  1935,
     189,  1936,   547,   548,     0,     0,   549,   550,   193,   551,
       0,     0,   552,  1937,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,     0,   197,   561,
     198,     0,   562,   563,   564,   565,   566,   567,   568,     0,
     569,     0,   570,     0,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,  1938,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,     0,   613,  2423,   614,   615,   219,
     616,  1940,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,     0,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,  1941,  1942,     0,     0,
     637,     0,   638,     0,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,     0,  1943,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   708,   668,   669,   732,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   733,   104,
     105,   687,   734,     0,   107,   108,   109,   110,   735,   736,
     112,   113,   114,   115,     0,   116,   737,   738,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,   133,   434,
     435,   436,     0,  1925,   137,  1926,  1927,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,  1928,  1929,   444,
       0,   445,   446,   447,   448,     0,     0,   145,     0,   449,
     450,   451,   452,   148,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,   151,   460,     0,     0,     0,     0,
     152,     0,     0,     0,   461,   462,   463,   464,   701,   465,
    1930,  1931,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,  1509,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,     0,   491,   492,   493,     0,
       0,   494,     0,   495,   496,  1932,   497,     0,   498,     0,
     499,   169,     0,   170,   500,   501,   502,     0,   503,     0,
       0,   504,     0,   505,   506,   703,   507,   508,   173,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,   174,     0,     0,   519,   520,   521,  1515,  1933,     0,
    1934,     0,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,     0,   182,   532,
     183,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
    1935,   189,  1936,   547,   548,     0,     0,   549,   550,   193,
     551,     0,     0,   552,  1937,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,     0,   197,
     561,   198,     0,   562,   563,   564,   565,   566,   567,   568,
       0,   569,     0,   570,     0,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,  1938,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,   210,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,     0,   614,   615,
     219,   616,  1940,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,     0,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,  1941,  1942,     0,
       0,   637,     0,   638,     0,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,     0,  1943,     0,
     656,   235,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   708,   668,   669,   732,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,     0,     0,   137,     0,     0,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,     0,     0,
     444,     0,   445,   446,   447,   448,     0,     0,   145,     0,
     449,   450,   451,   452,   148,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,   701,
     465,     0,     0,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,     0,   491,   492,   493,
       0,     0,   494,     0,   495,   496,     0,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
       0,     0,   504,     0,   505,   506,   703,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,     0,     0,   519,   520,   521,     0,     0,
       0,     0,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,     0,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,     0,   189,     0,   547,   548,     0,     0,   549,   550,
     193,   551,     0,     0,   552,     0,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,     0,
     197,   561,   198,     0,   562,   563,   564,   565,   566,   567,
     568,     0,   569,     0,   570,     0,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,     0,   614,
     615,   219,   616,     0,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,     0,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,     0,     0,
       0,     0,   637,     0,   638,     0,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,     0,     0,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,   739,   427,   428,   429,   740,   741,   742,
     743,   744,   745,   746,   430,   431,   747,   432,   433,   133,
     434,   435,   436,   135,   136,   137,   138,   139,   748,   437,
     438,   439,   440,   441,   749,   750,   442,   443,     0,   140,
     444,   752,   445,   446,   447,   448,   144,   753,   145,   754,
     449,   450,   451,   452,   148,   453,   755,   756,   454,   455,
     456,   457,   458,   459,   757,   151,   460,     0,   759,   760,
     761,   152,   762,   763,   764,   461,   462,   463,   464,     0,
     465,   155,   156,   466,   765,   467,   766,   468,   469,   470,
     471,   472,   767,   473,   474,   475,   768,   769,   476,   477,
     478,   479,   480,   770,   481,   482,   483,   771,   484,   485,
     486,   772,   487,   488,   489,   490,   164,   491,   492,   493,
     166,   773,   494,   774,   495,   496,   168,   497,   775,   498,
     776,   499,   169,   777,   170,   500,   501,   502,   778,   503,
     172,   779,   504,   780,   505,   506,     0,   507,   508,   173,
     509,   510,   511,   781,   512,   513,   514,   515,   516,   517,
     782,   518,   174,   175,     0,   519,   520,   521,     0,   176,
     785,   177,   786,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,   787,   529,   530,   788,   531,   181,   182,
     532,   183,   789,   533,   534,   535,   790,   791,   536,   537,
     538,   539,   540,   541,     0,   542,   543,     0,   544,   545,
     546,   188,   189,   190,   547,   548,   191,   792,   549,   550,
     193,   551,   793,   194,   552,   195,   553,   554,   555,   794,
     556,   795,   796,   557,   558,   559,   797,   798,   560,   196,
     197,   561,   198,   199,   562,   563,   564,   565,   566,   567,
     568,   799,   569,   200,   570,   201,   571,   572,   573,   800,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,   801,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,   802,   597,   598,   210,   599,
     600,   212,   601,   602,   603,   604,   605,   606,     0,   607,
     803,   608,   609,   610,   611,   612,   804,   613,   217,   614,
     615,   219,   616,   220,   617,   805,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,   806,   628,   629,
     807,   630,   631,   632,   633,   634,   635,   808,   224,   225,
       0,   810,   637,   226,   638,   227,   811,   639,   640,   641,
     642,   643,   644,   645,     0,   813,   646,   647,   648,   649,
     650,   814,   815,   651,   652,   653,   654,   655,     0,   234,
     817,   656,   235,   657,   658,   659,   660,   818,   819,   661,
     820,   821,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,     0,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,  1163,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,  2456,   445,   446,   447,   448,   144,     0,     0,  2529,
     449,   450,   451,   452,     0,   453,   699,  2457,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,  2530,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
    2459,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,  2460,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,  2461,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,  2456,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,  2457,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,  2530,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
    2459,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,  3416,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,  2460,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,  2461,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
    1060,   425,   426,  1016,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,  1017,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,  1061,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,  1018,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
    1019,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  1016,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,  1017,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,  3149,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,  1018,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
    1019,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,  2456,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,  2457,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,  2530,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
    2459,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,  2460,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,  2461,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,   697,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,   700,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,   702,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  1016,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,  1017,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,  1018,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
    1019,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,   927,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,   928,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   929,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  2116,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,  2117,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,  2118,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
    2119,   499,     0,     0,     0,  2120,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
    2121,  2122,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,  2123,   605,   606,   706,   607,
       0,  2124,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
    2125,   630,  2126,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,  2127,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,  1017,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,  1018,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
    1019,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,  2105,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,  2401,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,  3013,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,  3014,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
    3015,   630,   631,  3016,   633,  3017,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,  3018,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,   724,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,   702,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,   877,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  1244,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1245,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,  1094,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  1349,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,   130,   131,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  3230,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,  3231,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  3242,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,  3243,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   933,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     978,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,  1033,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,  1094,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  1214,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1215,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  1597,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1772,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,  1094,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  1820,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1821,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,  2013,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,  2105,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,  2401,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,  4186,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,  4200,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,  4425,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,  4427,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,  4429,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,  4845,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,  1042,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  1044,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,  1045,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,  1046,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1047,   225,
       0,     0,  1048,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,  1049,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  1088,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,  1045,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,  1089,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1090,   225,
       0,     0,  1091,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,  1049,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,  1108,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1239,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1254,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1308,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1322,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1362,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1381,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1383,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1385,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1388,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1394,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,  1608,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,  1073,   443,  1045,   140,
    1609,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
    1077,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,  1078,
     600,   212,   601,   602,   603,  1079,   605,   606,   706,   607,
       0,   608,   609,   610,   611,  1601,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1081,   225,
       0,     0,  1082,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,  1049,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,  1083,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
    1735,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  1044,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,  1045,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,  1049,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1972,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  2002,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  2037,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  2039,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  2041,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,  2154,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,  2367,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,     0,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  2770,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  3160,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  3233,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  3235,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  3340,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,  1073,   443,  1045,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
    1077,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,  1078,
     600,   212,   601,   602,   603,  1079,   605,   606,   706,   607,
       0,   608,   609,   610,   611,  1601,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1081,   225,
       0,     0,  1082,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,  1049,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,  1083,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,  1045,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,  1049,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,  1073,   443,  1045,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
    1077,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,  1078,
     600,   212,   601,   602,   603,  1079,   605,   606,   706,   607,
       0,   608,   609,   610,   611,  1601,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,  2447,   632,   633,   634,   635,     0,  1081,   225,
       0,     0,  1082,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,  1049,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,  1083,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,  1073,   443,  1045,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
    1077,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,  1078,
     600,   212,   601,   602,   603,  2514,   605,   606,   706,   607,
       0,   608,   609,   610,   611,  2515,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1081,   225,
       0,     0,  2516,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,  1049,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,  1083,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,  1073,   443,  1045,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
    1077,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,  1078,
     600,   212,   601,   602,   603,  1079,   605,   606,   706,   607,
       0,   608,   609,   610,   611,  2515,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1081,   225,
       0,     0,  2516,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,  1049,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,  1083,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,     0,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,     0,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,     0,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,     0,    90,    91,    92,     0,     0,     0,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,     0,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114,   115, -2438,   116,   117,   118,     0,
       0,     0,     0,     0,   121,   122,     0,     0,     0,     0,
     123,     0,     0,     0,     0,     0,     0,     0,     0,   124,
       0,   125,     0,   126,   127,    35,     0,   413,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   133,
       0,     0,     0,   135,   136,   137,   138,   139,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   140,
       0,     0,     0,     0,     0,     0,   144,     0,   145,     0,
       0,     0,     0,     0,   148,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   151,     0,     0,     0,     0,
       0,   152,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   155,   156,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   162,     0,
       0,     0,     0,     0,     0,     0,   164,     0,     0,     0,
     166,     0,     0,     0,     0,     0,   168,     0,     0,     0,
       0,     0,   169,     0,   170,     0,     0,     0,     0,     0,
     172,     0,     0,     0,     0,     0,     0,     0,     0,   173,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   174,   175,     0,     0,     0,     0,     0,   176,
       0,   177,     0,     0,   178,   179,     0,   180,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   181,   182,
       0,   183,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   188,   189,   190,     0,     0,   191,     0,     0,     0,
     193,     0,     0,   194,     0,   195,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   196,
     197,     0,   198,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,     0,   201,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   203,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   210,     0,
       0,   212,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   217,     0,
       0,   219,     0,   220,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   222,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
       0,     0,     0,   226,     0,   227,     0,     0,     0,     0,
       0,     0,     0,     0,   230,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   234,
       0,     0,   235,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    86,    87,    88,
       0,    90,    91,    92,     0,     0,     0,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,     0,
       0,     0,   107,   108,   109,   110,     0,   111,   112,   113,
     114,   115, -2439,   116,   117,   118,     0,     0,     0,     0,
       0,   121,   122,     0,     0,     0,     0,   123,     0,     0,
       0,     0,     0,     0,     0,     0,   124,     0,   125,     0,
     126,   127,    35,     0,  1158,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   133,     0,     0,     0,
     135,   136,   137,   138,   139,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   140,     0,     0,     0,
       0,     0,     0,   144,     0,   145,     0,     0,     0,     0,
       0,   148,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   151,     0,     0,     0,     0,     0,   152,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   155,   156,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   162,     0,     0,     0,     0,
       0,     0,     0,   164,     0,     0,     0,   166,     0,     0,
       0,     0,     0,   168,     0,     0,     0,     0,     0,   169,
       0,   170,     0,     0,     0,     0,     0,   172,     0,     0,
       0,     0,     0,     0,     0,     0,   173,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   174,
     175,     0,     0,     0,     0,     0,   176,     0,   177,     0,
       0,   178,   179,     0,   180,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   181,   182,     0,   183,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   188,   189,
     190,     0,     0,   191,     0,     0,     0,   193,     0,     0,
     194,     0,   195,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   196,   197,     0,   198,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,     0,   201,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   203,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   210,     0,     0,   212,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   217,     0,     0,   219,     0,
     220,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,     0,     0,     0,
     226,     0,   227,     0,     0,     0,     0,     0,     0,     0,
       0,   230,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,     0,     0,   235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    86,    87,    88,     0,    90,    91,
      92,     0,     0,     0,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,     0,     0,     0,   107,
     108,   109,   110,     0,   111,   112,   113,   114,   115,     0,
     116,   117,   118,     0,     0,     0,     0,     0,   121,   122,
       0,     0,     0,     0,   123,     0,     0,     0,     0,     0,
       0,     0,     0,   124,     0,   125,     0,   126,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   133,     0,     0,     0,   135,   136,   137,
     138,   139,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   140,     0,     0,     0,     0,     0,     0,
     144,     0,   145,     0,     0,     0,     0,     0,   148,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   151,
       0,     0,     0,     0,     0,   152,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   155,   156,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   162,     0,     0,     0,     0,     0,     0,     0,
     164,     0,     0,     0,   166,     0,     0,     0,     0,     0,
     168,     0,     0,     0,     0,     0,   169,     0,   170,     0,
       0,     0,     0,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   174,   175,     0,     0,
       0,     0,     0,   176,     0,   177,     0,     0,   178,   179,
       0,   180,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   181,   182,     0,   183,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,   189,   190,     0,     0,
     191,     0,     0,     0,   193,     0,     0,   194,     0,   195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   196,   197,     0,   198,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,     0,   201,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   203,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   210,     0,     0,   212,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   217,     0,     0,   219,     0,   220,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     222,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,     0,     0,     0,   226,     0,   227,
       0,     0,     0,     0,     0,     0,     0,     0,   230,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   234,     0,     0,   235,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    86,    87,    88,     0,    90,    91,    92,     0,     0,
       0,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,     0,     0,     0,   107,   108,   109,   110,
       0,   111,   112,   113,   114,   115,     0,   116,   117,   118,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     133,     0,     0,     0,   135,   136,   137,   138,   139,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     140,     0,     0,     0,     0,     0,     0,   144,     0,   145,
       0,     0,     0,     0,     0,   148,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   151,     0,     0,     0,
       0,     0,   152,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   155,   156,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   162,
       0,     0,     0,     0,     0,     0,     0,   164,     0,     0,
       0,   166,     0,     0,     0,     0,     0,   168,     0,     0,
       0,     0,     0,   169,     0,   170,     0,     0,     0,     0,
       0,   172,     0,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   174,   175,     0,     0,     0,     0,     0,
     176,     0,   177,     0,     0,   178,   179,     0,   180,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   181,
     182,     0,   183,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   188,   189,   190,     0,     0,   191,     0,     0,
       0,   193,     0,     0,   194,     0,   195,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     196,   197,     0,   198,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,     0,   201,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   203,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   210,
       0,     0,   212,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   217,
       0,     0,   219,     0,   220,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,     0,     0,     0,   226,     0,   227,     0,     0,     0,
       0,     0,     0,     0,     0,   230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,     0,     0,   235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
       0,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   133,     0,     0,
       0,   135,   136,   137,   138,   139,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   140,     0,     0,
       0,     0,     0,     0,   144,     0,   145,     0,     0,     0,
       0,     0,   148,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,   152,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   155,
     156,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   164,     0,     0,     0,   166,     0,
       0,     0,     0,     0,   168,     0,     0,     0,     0,     0,
     169,     0,   170,     0,     0,     0,     0,     0,   172,     0,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     174,   175,     0,     0,     0,     0,     0,   176,     0,   177,
       0,     0,   178,   179,     0,   180,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   181,   182,     0,   183,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   188,
     189,   190,     0,     0,   191,     0,     0,     0,   193,     0,
       0,   194,     0,   195,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   196,   197,     0,
     198,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,     0,   201,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   203,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   210,     0,     0,   212,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   217,     0,     0,   219,
       0,   220,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   222,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,     0,     0,
       0,   226,     0,   227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   234,     0,     0,
     235,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    35,   418,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,   136,   137,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,     0,   140,
     444,     0,   445,   446,   447,   448,   144,     0,   145,     0,
     449,   450,   451,   452,   148,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,  2081,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,     0,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,     0,   542,   543,     0,   544,   545,
     546,   188,   189,   190,   547,   548,   191,     0,   549,   550,
     193,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,  2082,     0,   557,   558,   559,     0,     0,   560,   196,
     197,   561,   198,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,   212,   601,   602,   603,   604,   605,   606,     0,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,   219,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,  2083,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,     0,   234,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,     0,   668,   669,
       0,     0,     0,    35,     0,     0,     0,     0,  1692,  1693,
    4692,    41,    42,     0,     0,     0,     0,  4693,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,   130,   131,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,     0,   140,   444,     0,
     445,   446,   447,   448,   144,     0,   145,     0,   449,   450,
     451,   452,   148,   453,     0,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,     0,     0,     0,   152,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,     0,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,   182,   532,   183,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,     0,   542,   543,     0,   544,   545,   546,   188,
     189,   190,   547,   548,   191,     0,   549,   550,   193,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,   197,   561,
     198,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,   212,
     601,   602,   603,   604,   605,   606,     0,   607,   215,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,   219,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,   223,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,   233,   234,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,   236,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,     0,   668,   669,    35,   418,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,     0,    45,     0,   246,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,   135,   136,   137,   138,
     139,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,     0,   140,   444,     0,   445,   446,   447,   448,   144,
       0,   145,     0,   449,   450,   451,   452,   148,   453,     0,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,     0,     0,     0,   152,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   155,   156,   466,  2302,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,   166,  2081,   494,     0,   495,   496,   168,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,   172,     0,   504,     0,   505,   506,     0,
     507,   508,   173,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,   174,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,   181,   182,   532,   183,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,     0,   542,   543,
       0,   544,   545,   546,   188,   189,   190,   547,   548,   191,
       0,   549,   550,   193,   551,     0,   194,   552,   195,   553,
     554,   555,     0,   556,  2082,     0,   557,   558,   559,     0,
       0,   560,   196,   197,   561,   198,   199,   562,   563,   564,
     565,   566,   567,   568,     0,   569,   200,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,   212,   601,   602,   603,   604,   605,
     606,     0,   607,     0,   608,   609,   610,   611,   612,     0,
     613,   217,   614,   615,   219,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   222,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,   224,   225,     0,     0,   637,   226,   638,   227,  2083,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,     0,   234,     0,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,   238,   239,   240,   241,   242,   243,   244,   245,
       0,   668,   669,     0,     0,     0,     0,     0,     0,    35,
     418,  1692,  1693,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,   136,   137,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,     0,   140,   444,     0,   445,   446,   447,   448,
     144,     0,   145,     0,   449,   450,   451,   452,   148,   453,
       0,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,     0,     0,     0,   152,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   155,   156,   466,  2307,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,  2081,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
       0,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,   182,   532,   183,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,     0,   542,
     543,     0,   544,   545,   546,   188,   189,   190,   547,   548,
     191,     0,   549,   550,   193,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,  2082,     0,   557,   558,   559,
       0,     0,   560,   196,   197,   561,   198,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,   212,   601,   602,   603,   604,
     605,   606,     0,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,   219,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
    2083,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,     0,   234,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,     0,   668,   669,     0,     0,     0,     0,     0,     0,
      35,   418,  1692,  1693,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,     0,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436,   135,   136,
     137,   138,   139,     0,   437,   438,   439,   440,   441,     0,
       0,   442,   443,     0,   140,   444,     0,   445,   446,   447,
     448,   144,     0,   145,     0,   449,   450,   451,   452,   148,
     453,     0,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,     0,     0,     0,     0,   152,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   155,   156,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,   164,   491,   492,   493,   166,  2081,   494,     0,   495,
     496,   168,   497,     0,   498,     0,   499,   169,     0,   170,
     500,   501,   502,     0,   503,   172,     0,   504,     0,   505,
     506,     0,   507,   508,   173,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   174,   175,     0,
     519,   520,   521,     0,   176,     0,   177,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,   181,   182,   532,   183,     0,   533,   534,
     535,     0,     0,   536,   537,   538,   539,   540,   541,     0,
     542,   543,     0,   544,   545,   546,   188,   189,   190,   547,
     548,   191,     0,   549,   550,   193,   551,     0,   194,   552,
     195,   553,   554,   555,     0,   556,  2082,     0,   557,   558,
     559,     0,     0,   560,   196,   197,   561,   198,   199,   562,
     563,   564,   565,   566,   567,   568,     0,   569,   200,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   203,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,   212,   601,   602,   603,
     604,   605,   606,     0,   607,     0,   608,   609,   610,   611,
     612,     0,   613,   217,   614,   615,   219,   616,   220,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   222,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,   224,   225,     0,     0,   637,   226,   638,
     227,  2083,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,     0,     0,   651,   652,
     653,   654,   655,     0,   234,     0,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,   238,   239,   240,   241,   242,   243,
     244,   245,     0,   668,   669,     0,     0,     0,     0,     0,
       0,    35,     0,  1692,  1693,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
     136,   137,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,     0,   140,   444,     0,   445,   446,
     447,   448,   144,     0,   145,     0,   449,   450,   451,   452,
     148,   453,     0,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,     0,     0,     0,   152,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,  2081,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,     0,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,   182,   532,   183,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
       0,   542,   543,     0,   544,   545,   546,   188,   189,   190,
     547,   548,   191,     0,   549,   550,   193,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,  2082,     0,   557,
     558,   559,     0,     0,   560,   196,   197,   561,   198,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,   212,   601,   602,
     603,   604,   605,   606,     0,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,   219,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,  2083,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,     0,   234,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,     0,   668,   669,    35,   418,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,     0,     0,     0,   430,   431,     0,   432,   433,
     133,   434,   435,   436,   135,   136,   137,   138,   139,     0,
     437,   438,   439,   440,   441,     0,     0,   442,   443,     0,
     140,   444,     0,   445,   446,   447,   448,   144,     0,   145,
       0,   449,   450,   451,   452,   148,   453,     0,     0,   454,
     455,   456,   457,   458,   459,     0,   151,   460,     0,     0,
       0,     0,   152,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   155,   156,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,   164,   491,   492,
     493,   166,     0,   494,     0,   495,   496,   168,   497,     0,
     498,     0,   499,   169,     0,   170,   500,   501,   502,     0,
     503,   172,     0,   504,     0,   505,   506,     0,   507,   508,
     173,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,   174,   175,     0,   519,   520,   521,     0,
     176,     0,   177,     0,   522,   178,   179,   523,   180,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,   181,
     182,   532,   183,     0,   533,   534,   535,     0,     0,   536,
     537,   538,   539,   540,   541,     0,   542,   543,     0,   544,
     545,   546,   188,   189,   190,   547,   548,   191,     0,   549,
     550,   193,   551,     0,   194,   552,   195,   553,   554,   555,
       0,   556,     0,     0,   557,   558,   559,     0,     0,   560,
     196,   197,   561,   198,   199,   562,   563,   564,   565,   566,
     567,   568,     0,   569,   200,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   203,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,   210,
     599,   600,   212,   601,   602,   603,   604,   605,   606,     0,
     607,     0,   608,   609,   610,   611,   612,     0,   613,   217,
     614,   615,   219,   616,   220,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   222,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,   224,
     225,   636,     0,   637,   226,   638,   227,     0,   639,   640,
     641,   642,   643,   644,   645,     0,     0,   646,   647,   648,
     649,   650,     0,     0,   651,   652,   653,   654,   655,     0,
     234,     0,   656,   235,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,   237,
     238,   239,   240,   241,   242,   243,   244,   245,     0,   668,
     669,    35,   418,     0,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
     136,   137,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,     0,   140,   444,     0,   445,   446,
     447,   448,   144,     0,   145,     0,   449,   450,   451,   452,
     148,   453,     0,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,     0,     0,     0,   152,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,     0,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,   182,   532,   183,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
       0,   542,   543,     0,   544,   545,   546,   188,   189,   190,
     547,   548,   191,     0,   549,   550,   193,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,   197,   561,   198,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,   212,   601,   602,
     603,   604,   605,   606,     0,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,   219,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,     0,   234,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    35,   668,   669,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,     0,   140,   444,     0,
     445,   446,   447,   448,   144,     0,   145,     0,   449,   450,
     451,   452,   148,   453,     0,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,     0,     0,     0,   152,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   155,
     156,   466,  2287,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,     0,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,   182,   532,   183,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,     0,   542,   543,     0,   544,   545,   546,   188,
     189,   190,   547,   548,   191,     0,   549,   550,   193,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,   197,   561,
     198,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,   212,
     601,   602,   603,   604,   605,   606,     0,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,   219,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,     0,   234,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    35,   668,   669,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,   136,   137,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,     0,   140,
     444,     0,   445,   446,   447,   448,   144,     0,   145,     0,
     449,   450,   451,   452,   148,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,     0,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,     0,   542,   543,     0,   544,   545,
     546,   188,   189,   190,   547,   548,   191,     0,   549,   550,
     193,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
     197,   561,   198,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,   212,   601,   602,   603,   604,   605,   606,     0,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,   219,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,     0,   234,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    35,   668,   669,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
       0,   140,   444,     0,   445,   446,   447,   448,   144,     0,
     145,     0,   449,   450,   451,   452,   148,   453,     0,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
       0,     0,     0,   152,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,     0,   507,
    2061,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,   182,   532,   183,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,     0,   542,   543,     0,
     544,   545,   546,   188,   189,   190,   547,   548,   191,     0,
     549,   550,   193,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,   197,   561,   198,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
       0,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,   219,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
       0,   234,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    35,
     668,   669,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,   136,   137,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,     0,   140,   444,     0,   445,   446,   447,   448,
     144,     0,   145,     0,   449,   450,   451,   452,   148,   453,
       0,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,     0,     0,     0,   152,     0,     0,  2630,   461,
     462,   463,   464,     0,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
       0,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,   182,   532,   183,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,     0,   542,
     543,     0,   544,   545,   546,   188,   189,   190,   547,   548,
     191,     0,   549,   550,   193,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,   197,   561,   198,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,   212,   601,   602,   603,   604,
     605,   606,     0,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,   219,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,  2631,     0,   651,   652,   653,
     654,   655,     0,   234,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    35,   668,   669,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,   130,   131,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
     136,   137,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,     0,   140,   444,     0,   445,   446,
     447,   448,   144,     0,   145,     0,   449,   450,   451,   452,
     148,   453,     0,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,     0,     0,     0,   152,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,     0,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,   182,   532,   183,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
       0,   542,   543,     0,   544,   545,   546,   188,   189,   190,
     547,   548,   191,     0,   549,   550,   193,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,   197,   561,   198,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,   212,   601,   602,
     603,   604,   605,   606,     0,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,   219,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,     0,   234,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    35,   668,   669,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,  1235,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,     0,   140,   444,     0,
     445,   446,   447,   448,   144,     0,   145,     0,   449,   450,
     451,   452,   148,   453,     0,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,     0,     0,     0,   152,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,     0,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,   182,   532,   183,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,     0,   542,   543,     0,   544,   545,   546,   188,
     189,   190,   547,   548,   191,     0,   549,   550,   193,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,   197,   561,
     198,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,   212,
     601,   602,   603,   604,   605,   606,     0,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,   219,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,     0,   234,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    35,   668,   669,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  1251,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,   136,   137,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,     0,   140,
     444,     0,   445,   446,   447,   448,   144,     0,   145,     0,
     449,   450,   451,   452,   148,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,     0,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
    1252,   539,   540,   541,     0,   542,   543,     0,   544,   545,
     546,   188,   189,   190,   547,   548,   191,     0,   549,   550,
     193,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
     197,   561,   198,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,   212,   601,   602,   603,   604,   605,   606,     0,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,   219,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,     0,   234,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    35,   668,   669,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
       0,   140,   444,     0,   445,   446,   447,   448,   144,     0,
     145,     0,   449,   450,   451,   452,   148,   453,     0,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
       0,     0,     0,   152,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,   172,  3521,   504,     0,   505,   506,     0,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,   182,   532,   183,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,     0,   542,   543,     0,
     544,   545,   546,   188,   189,   190,   547,   548,   191,     0,
     549,   550,   193,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,   197,   561,   198,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
       0,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,   219,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
       0,   234,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    35,
     668,   669,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,   136,   137,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,     0,   140,   444,     0,   445,   446,   447,   448,
     144,     0,   145,     0,   449,   450,   451,   452,   148,   453,
       0,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,     0,     0,     0,   152,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
       0,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,   182,   532,   183,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,     0,   542,
     543,     0,   544,   545,   546,   188,   189,   190,   547,   548,
     191,     0,   549,   550,   193,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,   197,   561,   198,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,   212,   601,   602,   603,   604,
     605,   606,     0,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,   219,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,     0,   234,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    35,   668,   669,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
     136,   137,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,     0,   140,   444,     0,   445,   446,
     447,   448,   144,     0,   145,     0,   449,   450,   451,   452,
     148,   453,     0,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,     0,     0,     0,   152,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,     0,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,   182,   532,   183,     0,   533,
     534,   535,     0,     0,   536,   537,  1330,   539,   540,   541,
       0,   542,   543,     0,   544,   545,   546,   188,   189,   190,
     547,   548,   191,     0,   549,   550,   193,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,   197,   561,   198,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,   212,   601,   602,
     603,   604,   605,   606,     0,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,   219,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,     0,   234,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    35,   668,   669,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,     0,   140,   444,     0,
     445,   446,   447,   448,   144,     0,   145,     0,   449,   450,
     451,   452,   148,   453,     0,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,     0,     0,     0,   152,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,     0,   507,  1369,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,   182,   532,   183,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,     0,   542,   543,     0,   544,   545,   546,   188,
     189,   190,   547,   548,   191,     0,   549,   550,   193,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,   197,   561,
     198,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,   212,
     601,   602,   603,   604,   605,   606,     0,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,   219,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,     0,   234,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    35,   668,   669,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,   136,   137,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,     0,   140,
     444,     0,   445,   446,   447,   448,   144,     0,   145,     0,
     449,   450,   451,   452,   148,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,     0,   507,  1379,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,     0,   542,   543,     0,   544,   545,
     546,   188,   189,   190,   547,   548,   191,     0,   549,   550,
     193,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
     197,   561,   198,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,   212,   601,   602,   603,   604,   605,   606,     0,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,   219,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,     0,   234,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    35,   668,   669,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
       0,   140,   444,     0,   445,   446,   447,   448,   144,     0,
     145,     0,   449,   450,   451,   452,   148,   453,     0,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
       0,     0,     0,   152,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,     0,   507,
    1390,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,   182,   532,   183,     0,   533,   534,   535,     0,     0,
     536,   537,  1391,   539,   540,   541,     0,   542,   543,     0,
     544,   545,   546,   188,   189,   190,   547,   548,   191,     0,
     549,   550,   193,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,   197,   561,   198,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
       0,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,   219,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
       0,   234,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,     0,
     668,   669
};

static const yytype_int16 yycheck[] =
{
       2,   381,  1075,   901,  1124,  1368,    78,   246,   167,    78,
      78,    78,    78,   381,  1416,    84,    78,  1372,  1377,   365,
    1129,   209,    96,   940,   117,  1092,  1263,   153,   187,  1758,
     154,  1194,   106,  2362,   858,   960,  1236,  1017,  1018,  1019,
    1955,  1446,  2120,  1023,   150,   970,   228,  1629,  2866,  1241,
    1300,  1793,  1939,  1253,  1479,  2427,  2428,  2070,   117,   940,
     958,  1507,  1508,   730,  2264,  1536,   171,   984,   142,   162,
    1799,  1898,  1998,  1082,   160,  3414,    78,   901,   202,  2702,
    1526,  1803,    84,   157,  1957,  2276,  2710,    89,  1813,  1319,
    3246,  3226,  3248,   165,  3477,   223,  1849,    94,   132,  1329,
    3721,  2326,  3202,   162,   209,  1305,    78,  1650,  1358,  1309,
    2159,  2620,    84,    78,  1314,   117,   367,  3087,   353,   731,
    3439,  1321,  1686,  1687,  1688,   165,   367,  3395,  2845,  3026,
    4029,  1331,  3774,  2059,   958,   132,  1171,   230,  2569,  1861,
    3382,  1866,  1867,  1240,  3667,   117,  1171,  3466,  3823,  1246,
    3976,   153,   983,  3395,  1408,  3770,   153,   154,  1255,  1741,
     162,  1078,   216,  3024,  3025,  4040,   163,   208,  4019,  2958,
    3673,   230,  1785,  1799,  1211,   117,  1745,   218,  1409,  1400,
    3118,   167,  2009,  4264,  2001,  1121,  1429,  1681,  1682,  2374,
     162,  1152,  1121,  2667,  1166,  1167,  3731,  1078,  1496,  1497,
    4475,   187,  3672,    21,  3599,   202,   208,  3641,    10,    30,
     975,    72,  4769,   121,   216,  4017,   218,  4581,   117,  4583,
     162,   114,    14,   135,  1522,    86,  4028,  2427,   230,  2414,
     108,   102,    88,  2418,  3399,  3400,  3401,  3402,  3403,  3404,
     156,    88,    95,    84,   128,    37,   838,    75,    76,    77,
      78,   149,  4762,   128,    82,    72,  1217,   113,   230,  4622,
     927,   128,    88,   162,   179,    75,    76,    77,    78,   204,
     114,   230,    82,  1646,  2705,   180,   145,   112,     2,    78,
      72,   249,    93,    75,    76,    77,    78,   143,   230,    81,
      82,    83,    84,   112,    86,   145,    75,    76,    77,    78,
    1554,   373,   326,    82,  3093,   373,   373,   373,   187,   208,
    2225,   373,   381,   224,    72,   238,    29,   216,  1298,   218,
     328,  3948,    75,    76,    77,    78,    78,   237,    86,    82,
     143,   230,    75,    76,    77,    78,   182,   229,   145,    82,
     229,    78,  1409,   385,   197,  3021,   153,   416,  2779,   109,
    2781,   100,   180,    78,   155,   268,   135,   376,   367,    78,
    4708,    75,    76,    77,    78,   103,   104,   145,    82,    78,
     229,    75,    76,    77,    78,   458,  1613,   145,    82,   381,
     137,   387,   135,    99,   145,  1283,    90,   311,   224,  3021,
     106,   180,  1555,   194,   511,    75,    76,    77,    78,   210,
     517,   229,    82,    72,  3080,  1072,    99,   173,   373,   381,
    2488,    88,    81,   106,   416,   457,    78,    86,   199,  1582,
     417,  2193,    75,    76,    77,    78,   272,   362,   188,    82,
     513,    75,    76,    77,    78,  2207,   113,    90,    82,    75,
      76,    77,    78,  4269,   416,    78,    82,   229,  3080,    99,
     182,   208,   153,  1378,    90,  1416,   106,  4821,   477,  1283,
     840,   470,   102,   379,    78,   376,   143,   313,   128,   226,
      99,  1942,   840,    78,   482,   385,  1393,     0,    95,  4754,
      75,    76,    77,    78,  1930,  1931,  2258,    82,   173,   513,
     228,  1937,   230,    78,  2679,    90,   380,   516,  3204,  1416,
     211,    75,    76,    77,    78,   380,   377,   513,    82,  1576,
     636,    78,  1393,   380,   263,   235,    90,   363,   389,    75,
      76,    77,    78,   438,   313,    14,    82,  1452,    75,    76,
      77,    78,    38,   229,    40,    82,  2423,    25,   462,   462,
     185,   173,  1467,   436,  1907,   458,  4894,   260,   516,  5059,
     448,  1618,  1619,  1912,   513,  1480,  1168,  1169,   682,   683,
    2433,    75,    76,    77,    78,   480,  1483,   436,    82,   440,
      75,    76,    77,    78,   373,   416,   387,    82,   513,   458,
     197,  3849,    75,    76,    77,    78,   436,  1418,   423,    82,
      75,    76,    77,    78,   405,   500,  1188,    82,   355,  3764,
     516,   513,  1483,   456,   423,   513,    72,  3849,   436,    75,
      76,    77,    78,  4439,    72,    81,    82,    83,    84,   463,
      86,   373,  5179,    81,   516,  4988,  4477,   516,    86,   436,
    1928,  1929,   516,  1398,   636,   513,   373,  2219,  1936,   636,
     458,   516,  3777,   504,   505,  1845,   463,  1847,   373,   516,
    1611,  1901,   513,   509,   373,  1616,  1617,   516,   436,  1896,
     426,   463,   509,  1855,   373,  4491,  4468,  4190,   436,    85,
     516,  4194,   500,   327,  4013,   436,  1773,   513,  4181,  3998,
     506,   507,   508,   509,  2266,   682,   683,   515,  2270,   507,
     511,  1608,   473,  1923,   451,   411,    88,   268,   511,  1616,
    1617,   511,   515,   513,  4239,   515,  2111,  3413,  2063,  4104,
    4180,   373,   504,   505,   467,   268,  5080,    95,   411,   348,
     380,   847,  3153,  4157,   341,  1822,   151,  1608,   460,  1701,
     468,   513,  1668,   730,   513,   436,   479,   377,   866,  1668,
     373,   426,   160,   836,  2117,   984,   504,   505,  2121,  3121,
    2123,  3123,   987,  2126,   229,  1792,   499,   374,  4839,   373,
     513,   411,   473,  2118,   189,   479,   892,  2584,   373,   398,
     513,   840,  2127,   417,   418,  5050,   264,   836,  1124,  2501,
    4407,  4408,  4409,  4410,  4411,   499,   403,   467,   373,  3686,
      85,  4617,  3957,    88,   426,   881,   516,  1409,  4624,   513,
     429,   403,   431,   173,   173,   929,   373,   313,  3943,   513,
    3434,   456,   268,   173,  1775,    99,   234,   513,   333,   197,
    3758,   160,  1783,   949,  3024,  3025,  3026,  4847,  4848,   506,
     507,   508,   509,   513,   836,   504,   505,   996,   840,   998,
     223,  1000,   844,  2565,   461,  2076,  2067,  1006,  3039,  2092,
     231,   853,   854,  4752,  5129,  2098,    25,   511,   860,   180,
     513,   515,    25,  1114,   836,   229,    35,  3052,   840,   871,
    1029,  1030,  2441,  1114,   980,   182,  1837,   513,   270,  1840,
    1841,  2375,   229,  2377,   111,   887,  3360,  2185,  2186,  3363,
    3364,    88,   232,  3367,   836,   234,   141,   899,    51,  3373,
    1028,   903,   249,  2529,  2158,  2159,  2519,   981,   192,   230,
     268,   983,   914,   329,   516,  2169,    69,   342,   513,  2173,
     175,   268,   333,    99,   998,  4567,  1000,  2181,  2182,  1827,
     927,   933,   929,  4922,  3365,  3366,  1010,   836,   940,   513,
    2194,  2195,   944,   128,   984,   516,  3735,  1908,   329,   311,
    4050,  2205,   954,   955,   249,  1029,  1030,   513,   960,   162,
     436,   436,   515,   381,    14,   134,   513,   350,   970,   357,
    1098,   180,   174,   975,    72,   270,  4618,    75,    76,    77,
      78,   978,   984,    81,    82,   982,   185,   242,    86,  3665,
    2743,  3667,   229,   314,   151,   229,   374,   238,   210,   513,
    1128,   516,   458,  1827,   119,   430,   268,  2074,   513,   268,
    3382,   318,   998,  2755,  1000,   249,   192,    95,   323,   477,
     513,   248,  1076,  3395,   500,  2005,  1080,   230,   513,   173,
    1099,   400,   189,  3665,   329,  3667,   180,  4936,   504,   505,
    1074,   229,   381,  1029,  1030,   300,   504,   505,   303,  4572,
     252,  2124,  2125,  2216,  4577,   175,   426,  4580,   398,   477,
    5049,   249,   468,   262,  1104,  4568,   426,  5087,  1070,   210,
     311,  4946,   436,   270,  1076,  1072,  1078,  1074,  1080,  4930,
     268,   326,  1210,   180,   500,   501,   502,   427,   504,   505,
     506,   507,   508,   509,  4528,   264,   514,  1099,  3774,   517,
     458,   264,   137,  3475,  1106,   516,    85,    99,  4491,    88,
    2035,   458,   504,   505,   506,   507,   508,   509,   153,   197,
    4762,  2046,   242,  4258,   403,   513,   311,  1099,  3043,   231,
     245,   238,   494,  2058,   249,   333,   500,   458,   477,   394,
    4296,   151,  3774,   231,   999,  2043,  4465,   137,  1003,  1004,
    1005,   515,  2924,  2925,   391,   147,   207,  2929,  1013,   517,
     221,   173,   154,  2080,  1166,  1167,   238,   180,   185,   313,
     517,   323,   287,   208,   161,   514,    95,  1076,   517,   189,
     300,  1080,   101,   303,   403,   342,  5175,   396,   500,   181,
     180,   226,  4647,   405,    78,   380,   458,  2969,  2970,   458,
    5051,  1242,  1243,   515,   311,   500,   501,   502,   513,   504,
     505,   506,   507,   508,   509,   266,   313,   426,   403,  2043,
     153,   462,  4837,   425,   426,    85,  4681,   329,    88,  5128,
     367,  5139,   469,  5132,  5060,   121,   515,  1202,   493,   311,
    1242,  1243,  2688,   230,  2311,   262,  3119,   180,  2079,   310,
     184,   975,  3125,   113,   105,   464,  1342,   456,  4933,   119,
     397,   253,   185,   341,   405,   149,  1268,  4237,   477,   341,
     458,   258,   416,   430,   394,   419,   517,  1279,   197,  5178,
     323,   165,   333,   143,   151,   171,   273,  4625,  2361,   426,
     327,   270,   407,  2191,   391,  4818,   374,   516,   285,   311,
    1302,   389,   374,    85,   513,   318,    88,   504,   505,   506,
     507,   508,   509,  5221,  4211,  1554,   514,   419,   516,  4216,
     355,   308,   189,   313,   185,   403,  4968,   333,   318,   517,
     403,   190,   342,   470,   175,   269,   197,  1339,   340,   262,
     327,   200,    95,  1242,  1243,  4206,  1418,  1421,   101,  1423,
     329,  1731,  1426,  4787,  1428,   462,   444,  1431,  1432,  1433,
     211,   513,   246,  1731,   458,   355,   230,  2191,  4085,   513,
    1444,  4992,  4993,   493,   197,   261,  1378,   184,  2413,   369,
     313,   107,  4650,  1457,  4722,  1459,  2616,   393,  2413,   249,
     462,  1393,  2579,   513,  4733,  1397,  1398,   384,  1400,   450,
    4739,   242,  1653,  1654,  1639,  1656,  1408,   505,  4650,  2772,
     270,   271,  1653,  1654,  1416,  1656,   451,  5059,    95,   513,
     430,  2776,   341,  2782,   101,   311,   443,   419,  1152,  4863,
     300,  2528,  2393,  4867,  4868,   426,   151,   103,   104,   456,
    3518,   129,   233,   516,   197,  3919,   229,  1171,  2635,   137,
    1452,  3925,  3926,   274,   180,   374,   316,    14,   126,   300,
    2833,   451,   269,  1465,  2076,  1467,   249,  1464,   175,   329,
     513,   458,  2672,   396,   189,   342,  3218,  3849,  1480,   343,
      37,  1483,   341,   367,   403,   268,  3686,  2584,   270,   373,
     311,   352,  1494,  1217,   160,  2725,  2726,  2727,  2728,   242,
     291,   121,  4840,  4012,   172,  3554,   392,  2737,   331,  2606,
    3053,   160,  4850,   179,  4190,   374,  2766,  3742,  4194,   436,
     197,  1523,   501,   502,   394,   504,   505,   506,   507,   508,
     509,  5152,   298,   456,  1627,   242,    75,    76,    77,    78,
    2637,   436,  1670,    82,   408,   211,    97,   329,  3301,  1551,
    1552,   171,  1554,   394,   232,   378,    88,   300,  4190,    72,
    1594,  1595,  4194,   430,  1419,  1567,   117,  1422,  1627,   477,
    1425,  1573,  1427,    86,   182,  1430,    71,    72,  3504,  1434,
     403,   113,  4717,   251,   405,   234,    71,  1680,   341,  3311,
     219,   160,  2490,   300,    79,    80,   303,  1594,  1595,   516,
     182,  2526,  4921,   291,    22,   500,  1608,   333,   516,  1611,
     179,   143,  1681,  1682,  1616,  1617,    75,    76,    77,    78,
     515,   374,   249,    82,  1626,  1627,  2587,   342,  4059,   145,
    4061,   299,   182,   301,  2595,   456,  2597,   153,   429,  2893,
     431,   261,   211,   311,   504,   505,   506,   507,   508,   509,
     403,   394,  1745,  1655,    72,  1627,   341,  1659,  1660,   288,
     275,   229,  1731,   454,   272,  1699,  2490,   152,   300,  1738,
    4770,   303,   340,  1397,  1398,   458,  1400,  5060,  1680,  1681,
    1682,   249,   183,  3129,  1770,  1627,  1745,   394,  2942,   374,
     272,   311,  1416,   378,  4512,   314,   315,   331,   436,  1701,
     268,  4857,  1699,   458,   370,   313,   256,   341,  1680,  1681,
    1682,   379,   263,   389,  1980,   430,  4851,   202,   403,  2973,
     398,   438,   504,   505,   506,   507,   508,   509,  1627,  1731,
     396,   313,  1860,  1999,   517,  3460,  1738,  1739,  3463,  5058,
     374,  2408,   192,  1745,   194,   246,   414,   374,   341,   427,
    1752,   378,   192,  3158,   194,   363,   249,  3011,   513,  1731,
     426,   311,   394,   313,   440,   387,  1738,   217,   446,   254,
     172,  2751,   392,  1745,   500,  3148,   403,   396,   516,   318,
     428,   363,  5121,  1785,   152,   511,   493,   513,   514,   515,
     516,  1793,   477,   340,  4612,   313,  4614,    88,   464,   340,
     318,   370,   468,  1745,   341,   341,   513,   426,   513,  3581,
     403,   477,  3584,  3585,  3586,  3587,  3588,  3589,  3590,  3591,
    3592,  3593,   113,  1825,  4447,  3389,   340,   396,   410,   477,
    3189,   479,  4456,   201,   456,   469,     2,   374,   374,   183,
     438,  2758,  3614,   361,  4467,   464,  1745,   513,  4279,  4280,
     477,  4951,   143,  1752,    88,   354,   403,   426,   477,   318,
    4995,   346,   403,   313,  1829,   513,   403,  1832,   318,  1962,
     517,  3643,  3644,   323,   209,    88,  2837,  2758,  2795,   113,
    1882,   374,   480,   323,   183,   378,  1785,  1611,   341,   403,
     458,  4567,  1616,  1617,   513,   464,  4572,   299,   354,   301,
    1902,  4577,   246,  1962,  4580,  2031,  4380,  4381,   477,   143,
     403,  3031,   280,   281,  2795,   250,  1881,   270,   224,  1921,
    1885,   374,   516,    89,   182,   378,   294,  3177,   234,  3802,
     143,    75,    76,    77,    78,  4567,   517,  1939,    82,   438,
    4572,  2321,  4618,   249,   513,  4577,   389,   246,  4580,   517,
     403,  3778,   477,  2321,  5089,    75,    76,    77,    78,   192,
    1962,   194,    82,  2151,   449,  1967,   224,   389,  1692,  1693,
     145,   519,   457,   341,   327,   460,   513,   274,   153,   270,
    1982,   480,   438,   374,   477,     8,  4618,   153,    11,    12,
    1962,   516,   442,   159,  1718,  1719,  1998,   440,   256,    22,
      23,    24,   452,    26,    27,  2133,  4206,  2079,    31,    32,
      33,  4211,   403,  3205,   311,  2089,  4216,  2091,   440,   185,
    1962,  2095,  2024,  2097,   480,   341,  2100,    41,  2030,  4220,
    2104,  2033,  3041,  2035,  2036,  3227,   270,   271,  3953,  3444,
    2080,  3623,   230,   219,  2046,  2150,   115,   192,  3453,   194,
     458,  1775,   477,   311,   511,   313,  2058,  2059,   374,  1783,
     428,   518,   430,  1962,  5199,  2067,   363,   136,  2070,  2141,
     258,  2157,   217,  2141,  2141,  2141,   479,   383,  2080,  2141,
     313,   233,   316,  3044,   264,   273,  4762,   403,  3810,   219,
     323,   516,  2990,   219,   224,   172,   499,   285,   224,   983,
     984,  3826,  3827,   362,    75,    76,    77,    78,   405,  3206,
     513,    82,   288,  1837,  3539,    71,  1840,  1841,  2120,    75,
      76,    77,    78,    79,    80,     5,    82,  3044,   479,   388,
    4762,  3853,  3603,  3604,   479,   231,  2229,   511,   514,   291,
     516,   515,  4818,  3516,   387,    25,   298,   516,   499,   325,
     173,   520,   367,  2820,   499,    35,  2158,  2159,   288,   456,
     374,  3743,   288,   259,  2166,   233,  2990,  2169,   513,   341,
    2229,  2173,   415,   318,   318,  3272,  2178,   254,   323,  2181,
    2182,  2340,   397,  3546,  1908,   440,  4818,  2189,  3576,   403,
    2192,  2193,  2194,  2195,    16,   325,   384,  3969,   318,   325,
    2202,  2203,   374,  2205,   341,  2207,  2208,   378,  3408,  2211,
    4684,   426,  3600,   504,   505,   506,   507,   508,   509,   175,
    3145,  3146,   299,   291,   301,  2227,  2228,  2229,   378,  4242,
    1114,  2233,   403,   357,  4149,  2237,   341,   374,   153,  2241,
    3064,  2243,  2244,  2245,  2246,  2247,  2248,  2249,  2250,  2251,
     322,  2253,  2321,   403,   134,   470,   276,  2229,  3175,  4146,
     224,  2263,  2264,  2451,   324,  2453,   403,   327,  5086,   374,
     504,   505,   506,   507,   508,   509,    71,   429,  4650,   431,
     244,   128,   305,  2323,    79,    80,   242,  2229,   470,  4018,
    4490,  4033,  4968,  3543,  3175,   224,   341,   442,   403,   367,
     147,    96,   454,  4734,  2366,   276,  2375,   452,  2377,  3755,
     207,  4640,    97,   516,   161,   244,   196,   520,   233,  2321,
    2446,   429,   219,   431,  2326,    71,    72,   224,   351,   374,
    2229,    14,   117,    79,    80,   512,  4968,   252,   207,   516,
      86,   363,  4671,  2067,   300,   393,  2070,   303,  2441,  2321,
     219,   134,   135,   375,    37,   224,  3610,   152,   403,   391,
     436,   429,   391,   431,   211,   161,  3291,   516,   517,   266,
    3775,  3776,  2500,  2375,   512,  2377,   291,   399,   516,  4151,
    4152,    34,  2441,  5059,   264,   514,   454,  1302,   517,    72,
     396,   288,  4764,  1236,   513,  2397,   428,   266,  4390,   428,
    4392,   440,   470,  2375,  4396,  2377,  4398,   202,  1251,    81,
    1253,  2408,   396,  2415,    86,  2417,   391,   332,   376,   288,
     426,  2423,   445,   391,   440,  2427,  2428,  5059,   325,  1660,
      75,    76,    77,    78,   230,  2437,   333,    82,   394,  2441,
    2442,    86,   426,  2445,   393,   477,   327,   479,   477,  2575,
     479,   332,  3432,   428,   249,   157,   325,  2550,   464,   254,
     428,  2554,   258,   298,   333,  2467,    71,    85,  2470,  2441,
     636,   477,  3709,   514,    79,    80,   517,   273,   508,  2481,
     464,   513,   327,   513,   513,   515,  2488,   332,   315,   285,
     298,  2550,  3409,   252,  3411,  2554,   508,   518,  3423,  2441,
    3425,   513,   477,   515,   479,    72,  2508,   513,     7,   477,
    2209,   479,   308,  2212,   429,  3678,   431,  2519,   516,   517,
      19,    20,   244,  2525,  2526,   440,   440,   121,  3409,   513,
    3411,  2533,  4861,   150,  1418,   180,   451,   493,   513,   454,
      39,   125,  2441,    42,  2941,   513,  2943,  2944,  2550,  2551,
    1465,   346,  2554,   450,   506,   507,   508,  3474,  3382,   391,
     470,  3681,  3682,  3683,  4513,  4514,  4515,  4516,   162,   396,
     429,  3395,   431,   511,  2576,   513,  2578,  2579,  2550,   393,
    2582,   450,  2554,   511,   276,   513,  3547,   515,   384,   514,
     385,   516,   186,  3474,   496,   497,   428,  1829,  2600,   426,
    1832,   514,   519,   516,  2697,  2711,  1490,   201,   513,  2611,
     515,   205,  2554,  3538,   511,   387,   388,   514,   515,   477,
    2519,   479,  2624,   387,   388,  4207,  1510,   513,  4706,   424,
     513,   225,  2634,  2635,   228,  1470,  1471,   464,  2697,   514,
      86,   516,   391,   327,   516,   477,   240,   479,   125,  1881,
     477,  2550,  4234,  1885,   449,  2554,  1540,   156,   470,   514,
      85,   516,   457,    88,   514,   460,   516,   115,   272,  2393,
    1554,   514,   514,   516,   516,   495,  2678,  2576,  2680,   428,
     105,   513,   515,   514,  4599,   516,   513,   514,   330,  2413,
     517,  2415,   330,  2417,   193,  2697,   327,  4070,  4071,  4072,
     391,  2703,   224,   436,    71,    72,  2708,   327,    75,    76,
      77,    78,    79,    80,    81,    82,   882,   391,   495,    86,
    3912,   514,   115,   516,   318,  2697,   495,   514,   477,   516,
     479,   513,   326,   515,  2973,   330,   272,   428,  2740,   391,
     844,   514,   228,   516,   391,   506,   477,  4947,   479,   853,
     516,   513,  4524,  2755,   428,  2697,  2758,   137,   514,   514,
     516,  4533,   514,   143,   513,   125,  5095,   361,   229,  1653,
    1654,   268,  1656,   153,   940,   941,   428,  5106,  4550,  4551,
     514,   428,   516,   887,    85,   517,   477,    88,   479,    75,
      76,    77,    78,  2795,   506,   514,    82,   516,  2697,   519,
     180,  2803,   182,   477,   105,   479,   514,   264,   516,   975,
     519,   436,  4042,   180,    75,    76,    77,    78,   514,   513,
     516,    82,   513,  2820,   514,   477,   516,   479,   108,  5158,
     477,   429,   479,   431,  3016,  3017,  3018,   436,   203,   513,
     944,  2843,   125,   436,  3083,   270,     2,   514,   270,   516,
     954,   264,   514,  2855,   516,   514,  2949,   516,   429,   436,
     431,   513,  2955,  2587,  2866,   513,   513,  1033,  2870,   515,
     514,  2595,   516,  2597,  2876,   514,   256,   516,   514,  4133,
     516,   514,   514,   516,   516,   436,    75,    76,    77,    78,
    2949,  2893,  2894,    82,   180,   436,  2955,  2899,  1064,   514,
     267,   516,    85,   403,   329,    88,   514,  1073,   516,   481,
    1825,  1077,  1078,  1079,    75,    76,    77,    78,   514,   180,
     516,    82,  2924,  2925,   291,   212,   514,  2929,   516,   514,
     113,   516,   514,   313,   516,   477,   119,   479,   318,  2941,
    2942,  2943,  2944,    75,    76,    77,    78,  2949,   327,   514,
      82,   516,  2954,  2955,   514,  2957,   516,  2959,   249,   514,
     143,   516,  2193,    75,    76,    77,    78,  2969,  2970,   270,
      82,  2973,  1118,   513,  1120,   355,  2207,  2949,  4351,  4352,
     514,  4354,   516,  2955,  2986,  4387,  2988,  1902,  3060,   369,
    2992,   180,  3060,  3060,  3060,   514,   513,   516,  3060,   515,
    1166,  1167,   514,   249,   516,  1171,   514,  2949,   516,  3011,
     514,   167,   516,  2955,  4786,  4195,   514,  4197,   516,  3021,
     212,  4750,  3024,  3025,  3026,  3849,   249,   514,   329,   516,
     514,   187,   516,   504,   505,   506,   507,   508,    75,    76,
      77,    78,  3044,   514,   212,    82,  3048,   224,   327,  4454,
    2949,   514,  1967,   516,   212,   514,  2955,   516,   514,  3061,
     516,   514,   245,   516,  3066,   517,   249,  3992,  3993,   286,
    3072,   451,   514,   182,   516,   500,   501,   502,  3080,   504,
     505,   506,   507,   508,   509,   458,   327,   270,   271,   504,
     505,   506,   507,   508,   514,   513,   516,   512,   514,   440,
     516,  4264,   322,   393,   287,    75,    76,    77,    78,   514,
     276,   516,    82,  2837,  4075,  2030,  3118,   470,   514,  3121,
     516,  3123,   514,   514,   516,   516,  3128,   360,  3130,    85,
     513,   137,    88,   316,   477,   108,   513,   504,   505,   514,
     313,   516,    89,  3145,  3146,   514,   329,   516,   514,  3151,
     516,   481,   115,  3246,  3247,  3248,    75,    76,    77,    78,
     514,   313,   516,    82,  1268,   514,   115,   516,  4235,   514,
    3172,   516,   514,  3175,   516,  1279,  3178,   514,   514,   516,
     516,   514,   514,   516,   516,   445,   341,  3246,  3247,  3248,
     514,   514,   516,   516,   224,  2079,   470,   470,   150,   500,
     501,   502,   518,   504,   505,   506,   507,   508,   509,   358,
     212,   212,   212,   513,   481,   212,  3218,   212,   516,   212,
     167,   212,   212,   327,   407,   212,   212,  1393,   212,   327,
     212,  1397,  1398,   212,  1400,  1339,   426,   513,   108,   286,
     187,   327,   225,   224,  3246,  3247,  3248,   224,   513,   513,
    1416,   513,   224,   338,   513,   513,   351,  2141,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   478,  3270,   513,
     513,   513,   268,   513,  3246,  3247,  3248,  3279,   513,  3281,
    3282,   513,   513,   513,    85,   513,   513,    88,   513,  3291,
     516,  4693,   513,   108,   513,  1461,  4701,  4702,   516,   163,
     268,  3394,   108,   270,   105,   325,   286,  3653,   224,   224,
     323,   403,  2227,   506,   270,   394,   264,  1483,   501,   502,
    3044,   504,   505,   506,   507,   508,   509,  4225,   303,   516,
     179,  4585,   457,   500,  3336,  3394,   516,    14,   516,   513,
     436,   513,   513,   436,   153,   391,   515,  3246,  3247,  3248,
    2234,   391,   436,  3355,   436,   436,   436,  3483,    85,  3361,
     436,    88,  3486,   391,   212,   327,   395,   436,  4293,   283,
     436,   436,   318,   329,   457,   428,   327,   254,   105,  3381,
    3382,   323,   513,   243,   436,   436,   513,   153,   516,   212,
    1556,   341,  3394,  3395,  3456,   249,   458,   458,   174,   125,
    1566,  4225,   436,  3465,   436,   436,   125,  3409,   331,  3411,
     436,   436,  3651,  1579,   436,   436,   428,   436,   114,  4344,
     114,  3423,  3394,  3425,  3486,   436,  4387,   391,  3667,   516,
     327,   436,   436,   481,   327,   270,   477,   108,  4811,   513,
     467,   513,  1608,   513,   107,  1611,  1612,    97,  4821,   327,
    1616,  1617,  3394,   212,   313,   513,   180,  3459,   212,   458,
    4440,   469,   294,   313,  4584,   323,   108,   224,   513,   270,
    4387,  4591,  3474,  3475,   108,  3657,  3658,  3659,  3660,   276,
     515,   392,  2366,  4888,   212,    14,  3488,   212,  4688,  3486,
     212,   212,   458,   458,   212,  3394,  4605,   322,   516,   436,
     317,  4864,  3504,   513,  4877,   434,  4865,   495,    88,   229,
     513,   305,   473,   305,   403,   513,  3518,   434,  4873,  3521,
    4875,   513,   516,  3616,   436,   237,   229,   220,   329,   500,
     438,   516,   243,   243,   266,  1701,  3538,  4791,   516,  3541,
     514,   274,   405,   270,   500,   501,   502,   516,   504,   505,
     506,   507,   508,   509,   513,  3557,   328,  3616,  3560,   516,
     458,   514,    34,    10,   335,  3567,   125,   436,   436,   514,
     514,  3573,   391,  3575,   152,   391,   458,   513,  3580,  3581,
     318,   318,  3584,  3585,  3586,  3587,  3588,  3589,  3590,  3591,
    3592,  3593,   274,   274,   436,  3597,  3598,   436,   436,   440,
     513,  4974,   329,  3605,   470,   393,   276,   115,  3610,   318,
     327,   410,  3614,   326,  3616,   436,  3618,   428,  2533,   374,
    5022,   516,   436,   391,   374,   244,  3628,   400,   436,  3631,
     270,  3633,   436,   363,   108,   270,   458,   270,    98,  3641,
    3642,  3643,  3644,   270,  3616,   458,  3648,   270,   326,  3651,
     107,   436,   436,   500,   511,   511,   500,   212,  3382,   224,
     470,   323,   226,  3665,   400,  3667,   212,   513,   513,   211,
     477,  3395,   108,   327,  3616,   327,   507,  3679,   241,   241,
    4753,   224,   108,  3685,  3686,   145,  4806,  1853,   212,   327,
     327,   224,   400,  2924,  2925,   249,   249,   249,  2929,   500,
     501,   502,   481,   504,   505,   506,   507,   508,   509,    96,
     235,  4965,   302,  3872,   174,   477,   516,  3616,   516,   327,
     516,  4619,   125,   516,   440,   426,  4651,   322,  3730,   470,
     229,   276,   514,   514,  3736,   195,   514,   514,  2969,  2970,
    3742,   516,   495,   345,   514,   514,   206,   514,   229,   514,
    3843,   514,   495,   514,  1920,  3848,  3758,  3850,   514,    90,
     436,   337,   514,  4661,   513,  2680,   226,   514,   514,   514,
     474,   231,  3774,   500,   501,   502,  4693,   504,   505,   506,
     507,   508,   509,   514,  3843,    90,   474,   456,   381,  3848,
     513,  3850,   464,   500,   288,  4619,  5159,   125,   513,   513,
     500,   327,   330,  3805,   327,   212,   252,   436,   481,   514,
     436,   517,   436,   318,   516,   514,   513,   277,  1984,   975,
     260,   516,   513,  3547,   436,   331,  4650,   212,   212,   252,
     288,   346,   346,   455,   108,   436,  3929,  4661,   298,   436,
     996,  3843,   998,   296,  1000,   436,  3848,  3849,  3850,   436,
    1006,  1007,  1008,   127,   296,   296,   391,   436,   313,   436,
     391,   436,   436,   436,   391,   436,   436,   403,   212,   391,
    3929,  3843,   114,  1029,  1030,   436,  3848,   270,  3850,   436,
     270,   270,   513,   511,   514,   159,   303,   288,    85,   514,
    3892,    88,   115,  3895,   500,   516,   514,   445,   358,   376,
     173,  2067,   516,   514,  2070,   514,  3848,   326,  3850,   513,
     108,   327,   238,   224,   458,   436,   113,   458,   391,   330,
    2024,   391,   119,   391,   516,   385,   210,  3929,   210,  2033,
     270,   391,   203,   229,    88,   224,   135,   397,   229,   511,
    2855,   215,   333,   229,  3843,   514,   143,   514,   514,  3848,
     469,  3850,   237,   328,   514,   513,   474,  3929,   514,   498,
     445,   224,   513,   500,   514,  4027,   426,  3969,   428,   516,
     500,   108,   458,   247,   458,   513,   516,   436,   125,   260,
     514,   445,   514,   428,   436,   445,   436,  3929,   436,   391,
    3992,  3993,   436,   513,  3996,   391,  1152,  3999,   436,   125,
     428,   514,   276,   514,   514,   224,   212,  4069,   205,   283,
     470,   143,  2178,   173,  4994,  1171,  2120,   514,   445,   270,
     270,   512,   274,   513,   513,   359,  4406,   400,   477,   516,
    3929,  4033,  4034,  4035,   513,   513,   224,   255,  4406,   313,
     516,   148,   481,   514,   436,   428,   513,   516,   245,   996,
      85,   998,   249,  1000,   400,   234,   173,   229,   514,  1006,
     270,  1217,   270,   270,   229,   270,   368,   125,  4256,   475,
     475,   514,   273,   270,   271,   336,  4078,   514,   513,   273,
     514,   514,  1029,  1030,   516,   514,   125,   239,   513,  2973,
     287,  4250,  4990,   513,  4096,   513,   323,   445,   436,   514,
     514,   514,   500,  2987,   378,  5022,   229,   477,   382,   143,
     254,   125,   500,   428,   388,   318,   318,   516,   436,   316,
     212,   395,  3006,   231,   270,  3849,   229,   249,  2294,   403,
     516,  4133,   329,   512,   458,   458,   108,  3021,   412,   198,
     473,  4143,  4144,  4302,  4146,   477,   420,   513,   477,  4151,
    4152,   229,   513,   257,  4156,  4157,   330,   229,   513,   513,
    4162,  4163,   463,   514,  4166,   413,  4990,  4169,   368,   514,
    4232,   344,   513,   273,   513,   224,  3060,   476,   514,   327,
    2924,  2925,   369,   436,   514,  2929,   513,   436,  4190,   477,
     187,   513,  4194,   318,   108,   514,  3080,   318,   472,  3083,
     297,   252,   476,  4296,  4206,  1152,   513,   513,   359,  4211,
     407,  3935,  3936,   513,  4216,   211,   514,   108,   331,  1166,
    1167,   514,   388,   500,  1171,  2969,  2970,   388,   125,   125,
     108,  2397,   458,   513,   311,   514,   514,  4296,   513,   428,
    4242,  1397,  1398,   428,  1400,   327,   428,  2413,   514,  2415,
      82,  2417,   218,   359,   137,   400,  4415,  4259,   137,   330,
    1416,   193,    85,  3178,   108,   229,   368,   462,   513,   516,
    1217,   463,   428,   366,   224,  4277,   198,   254,   513,   327,
     327,   474,   108,   108,   330,   330,   477,   125,   387,   514,
     514,  4293,   513,   513,  4296,   185,    82,   456,   514,   513,
     387,    94,   105,  4305,   211,   359,   127,   504,   505,   506,
     507,   508,   509,   373,  1884,  2709,  1243,  4319,  1617,  1213,
    3044,  1242,  4324,   513,  4296,  2561,  3227,  3848,  2628,  4331,
    3378,  3928,  4880,  4691,  5022,  4746,  4750,  4406,   159,  3990,
    4732,  4433,  4344,  3152,  2825,  5093,  4618,  5156,  2514,  5036,
    3581,  4075,  5035,  3584,  3585,  3586,  3587,  3588,  3589,  3590,
    3591,  3592,  3593,  5112,  3279,  4931,  3281,  3156,  2700,  3982,
    4372,  2700,  3843,  3247,  1985,  2694,  3446,  2481,  5164,  5234,
    5226,  3381,  4727,  3614,  2488,  4387,  3394,  5123,  4663,  1975,
    5009,  5103,  4666,   187,   215,  4078,  1453,  4296,  4836,  4033,
    1468,  4031,  2428,  3128,  4406,  4947,  5137,  3339,  5228,  1093,
    2080,  2323,  3643,  3644,  3060,  2324,  4016,  4233,  3740,  2808,
    3061,  3336,  1411,  1108,   941,  2364,   247,  1663,  1662,  4431,
    1645,  3067,  3072,  2363,  4406,  3088,  1665,  3080,   108,  3667,
    4442,  4181,  4196,  4819,  3665,  1098,  3361,  4968,  1670,  4967,
    3741,  3626,  4789,  3618,  5084,  1611,  5085,   127,  5076,  3064,
    1616,  1617,   283,  2987,  2895,  2985,  3736,   636,  3483,  1416,
    1346,  2263,  2759,  2018,  2397,  5068,  1682,   382,  1676,   977,
    2372,  2413,  1169,  1169,  2405,  3038,  2406,  3747,  4490,   159,
    4219,  1189,   313,  2659,  3748,  1680,  4220,  1591,  3714,   415,
    2821,  2667,  2109,     2,  1464,  1397,  2417,  4235,  1009,    -1,
    4512,    -1,    -1,    85,    -1,    -1,    88,    -1,  4242,    -1,
     341,    -1,  4524,    -1,    -1,    -1,  4528,  4601,    -1,    -1,
      -1,  4533,    -1,   105,  1690,    -1,  1692,  1693,    -1,    -1,
      -1,   113,    -1,    -1,  3459,   215,    -1,   119,  4550,  4551,
      -1,    -1,  4554,   374,    -1,  1711,    -1,   378,  2724,    -1,
      -1,   382,  1718,  1719,    -1,  4567,    -1,   388,    -1,    -1,
    4572,   143,  3456,  3488,   395,  4577,    -1,   247,  4580,    -1,
      -1,  3465,   403,  4585,  4586,    -1,  2752,    -1,    -1,    -1,
      -1,   412,  2758,    -1,    -1,    -1,    -1,    -1,  4691,   420,
      -1,    -1,  3486,    -1,    -1,    -1,   276,    -1,    -1,    -1,
    4612,    -1,  4614,   283,    -1,    -1,  4618,    -1,    -1,  1775,
      98,    -1,    -1,    -1,    -1,    -1,    -1,  1783,    -1,  2795,
      -1,    -1,  4691,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    95,    -1,   313,    -1,  3560,    -1,   101,  4650,  4651,
      -1,   472,    -1,   131,    -1,    -1,    -1,    -1,  4660,    -1,
      -1,    78,    -1,  4387,  1611,  3580,   144,    84,    -1,  1616,
    1617,    -1,    89,   245,  4736,    -1,    -1,   249,    -1,   157,
      -1,  1837,    -1,    -1,  1840,  1841,    -1,   141,    -1,  4691,
    3605,  4693,    -1,    -1,    -1,    -1,    -1,    -1,   270,   271,
     117,    -1,    -1,    -1,  4706,    -1,    -1,    -1,   378,    -1,
      -1,    -1,   382,    -1,    -1,   287,    -1,   195,   388,  4691,
      -1,    -1,    89,    -1,    -1,   395,  3641,    -1,   206,    -1,
      -1,    -1,    -1,   403,    -1,    -1,   190,    -1,  3969,    -1,
      -1,   313,   412,   197,   316,   162,   200,    -1,   226,  4691,
     420,    -1,  1908,   231,  1701,    -1,    -1,   329,    -1,    -1,
    4762,    -1,  4764,    -1,  4857,    -1,  2870,  3651,    -1,    -1,
      -1,    -1,  2876,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3665,    -1,  3667,  4786,  4787,    -1,  4789,    -1,  4791,
      -1,   208,  4691,    -1,    -1,    -1,    -1,    -1,  4857,   216,
     254,   218,   472,    -1,    -1,    -1,   476,   477,    -1,    -1,
      -1,    -1,  4814,   230,    -1,    -1,  4818,    -1,    -1,    -1,
     298,  4823,    -1,    -1,    -1,    -1,    -1,    -1,  1775,    -1,
      -1,    -1,    -1,    -1,    -1,   407,  1783,  3581,    -1,    -1,
    3584,  3585,  3586,  3587,  3588,  3589,  3590,  3591,  3592,  3593,
      -1,   329,    -1,    -1,    -1,  4857,    -1,   311,    -1,   313,
    2016,  4863,    -1,    -1,    -1,  4867,  4868,  4929,    -1,   323,
    4594,    -1,    -1,    -1,    -1,    -1,    -1,   331,  3044,    -1,
     358,    -1,    -1,    -1,    -1,  4857,    -1,   341,    -1,    -1,
    1837,    -1,    -1,  1840,  1841,    -1,    -1,    -1,    -1,  3643,
    3644,    -1,    -1,    -1,    -1,    -1,  4908,    -1,    -1,    -1,
      -1,  2067,    -1,   391,  2070,    -1,    -1,  3021,    -1,   397,
    4151,  4152,   400,   377,   378,  4927,  4650,    -1,   500,   501,
     502,    -1,   504,   505,   506,   507,   508,   509,    -1,    -1,
      -1,    -1,  5181,    -1,    -1,  4947,    -1,    -1,   426,   403,
      -1,    -1,  4954,    -1,   432,    -1,    -1,    -1,  4857,    -1,
      -1,  1908,    -1,  4965,   381,    -1,  4968,   445,    -1,    -1,
      -1,    -1,    -1,    -1,   160,    -1,  3080,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   470,    -1,    -1,    -1,    -1,    -1,  5000,   416,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   461,    -1,  3175,
      -1,    -1,    -1,    -1,    -1,  2171,  2172,    -1,    -1,    -1,
    5022,   207,    -1,  2179,    -1,    -1,    -1,  2183,  2184,    -1,
      95,    -1,    -1,   219,    -1,    -1,   101,    -1,   224,    -1,
      -1,    -1,  2198,   229,  2200,    -1,  5048,    -1,   234,    -1,
      -1,   237,    -1,   239,    -1,    -1,    -1,  5059,    -1,    -1,
      -1,    -1,  5124,    -1,    -1,  5137,  2222,    -1,  2224,  5137,
    5137,  5137,    -1,  5075,  5076,  5137,   141,    -1,    -1,    -1,
     266,  3996,    -1,  5176,  5086,    -1,  3252,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5098,    -1,    -1,   108,
      -1,    -1,   288,    -1,    -1,    -1,    -1,    -1,    -1,  5181,
      -1,    -1,    -1,  5181,  5181,  5181,    -1,  5176,   127,  5181,
    2276,    -1,    -1,  3289,    -1,   190,    -1,    -1,    -1,    -1,
      -1,    -1,   197,  5226,    -1,   200,    -1,  5139,    -1,   325,
      -1,  5234,    -1,  4027,    -1,    -1,    -1,   333,    -1,    -1,
     159,  5153,    -1,    -1,    -1,    -1,  5228,    -1,    -1,    -1,
    5228,  5228,  5228,    -1,    -1,    -1,  5228,  5226,    -1,    -1,
      -1,    -1,  3338,    -1,  5176,  5234,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2340,  4069,    -1,    -1,  1384,   254,
      -1,    -1,    -1,    -1,  3360,   381,    -1,  3363,  3364,  1395,
      -1,  3367,    -1,    -1,  5176,    -1,   215,  3373,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3382,    -1,    -1,  5221,
      -1,    -1,  3388,    -1,  5226,  3969,    -1,    -1,  5230,  3395,
      -1,    -1,  5234,    -1,  5176,    -1,    -1,  2393,   247,    -1,
     426,    -1,  4157,  3409,    -1,  3411,   311,    -1,   313,    -1,
      -1,    -1,    -1,    -1,  5226,    -1,    -1,  2413,   323,  2415,
      -1,  2417,  5234,    -1,   450,    -1,   331,   276,    -1,    -1,
      -1,    -1,    -1,    -1,   283,    -1,   341,  5176,    -1,    -1,
      -1,  3447,    -1,    -1,  5226,    -1,    -1,    -1,   474,    -1,
     476,   477,  5234,  4524,    98,    -1,    -1,    -1,    85,    -1,
      -1,    88,  4533,    -1,   313,    -1,  4190,  3473,  3474,   374,
    4194,    -1,   377,   378,    -1,    -1,    -1,    -1,   105,  4550,
    4551,    -1,    -1,    -1,    -1,   511,   113,  5226,   514,   515,
      -1,   517,   119,    -1,    -1,  5234,    -1,    -1,   403,    -1,
     144,    71,    -1,    -1,    -1,    -1,    -1,    -1,  4232,    79,
      80,    -1,    -1,   157,    -1,    85,   143,    -1,    88,    -1,
      -1,    -1,  4277,    -1,    -1,    -1,    -1,    -1,    -1,   378,
     174,    -1,    -1,   382,    -1,   105,   180,    -1,   108,   388,
      -1,    -1,    -1,   113,    -1,    -1,   395,    -1,    -1,   119,
    4305,   195,    -1,  2340,   403,    -1,   461,    -1,    -1,    -1,
      -1,    -1,   206,   412,    -1,    -1,    -1,  4151,  4152,  4324,
     214,   420,    -1,   143,  3518,    -1,    -1,    -1,    -1,   836,
      -1,    -1,   226,   840,    -1,    -1,    -1,   231,    -1,    -1,
      -1,  2587,    -1,   237,    -1,    -1,    -1,   854,    -1,  2595,
      -1,  2597,    -1,   860,    -1,    -1,  2393,    -1,   252,    -1,
    2397,    -1,  5176,    -1,   871,    -1,    -1,  4372,   245,    -1,
      -1,  3627,   249,   472,    -1,    -1,  2413,   476,    -1,    -1,
      -1,    -1,    -1,   277,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   899,   270,   271,    -1,   903,   854,    -1,    -1,
      -1,    -1,    -1,   860,   298,    -1,    -1,   914,    -1,    -1,
     287,    -1,  5226,    -1,   871,    -1,    -1,    -1,    -1,    -1,
    5234,    -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,   249,
      -1,    -1,    -1,   940,    -1,   329,   313,    -1,    -1,   316,
    2686,    -1,   899,    -1,    -1,    -1,   903,    -1,   955,    -1,
     270,   271,   329,   960,    -1,   332,    -1,   914,    -1,    -1,
      -1,    -1,    -1,   970,   358,  4786,    -1,   287,    -1,    -1,
      -1,  3665,    -1,  3667,    -1,    -1,    -1,   984,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   385,    -1,   313,    -1,   389,   316,   391,    -1,    -1,
      -1,    -1,    -1,   397,    -1,    -1,   400,    -1,    -1,   329,
      -1,    -1,   332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4528,    -1,    -1,    -1,    -1,    -1,    -1,
     407,   425,   426,    -1,   428,    -1,    -1,    -1,   432,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   440,    -1,    -1,    -1,
    2587,   445,    -1,    95,    -1,    -1,    -1,    -1,  2595,   101,
    2597,    -1,    -1,   457,   855,    -1,    -1,    -1,    -1,  1076,
      -1,  1078,   863,  1080,    -1,    -1,   470,    78,    -1,    -1,
    3774,   872,    -1,    84,    -1,    -1,    -1,   407,    89,   880,
      -1,  2837,  1099,  3849,   885,    -1,    -1,    -1,  4572,   141,
      -1,    -1,    -1,  4577,    -1,    -1,  4580,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   117,  3873,    -1,    -1,
    3876,    -1,  3878,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,    -1,    -1,   512,    -1,    85,    -1,    -1,
      88,   518,    -1,    -1,    -1,    -1,    -1,    -1,   190,    -1,
      -1,    -1,    -1,    -1,    -1,   197,    -1,   105,   200,  1166,
    1167,   162,    -1,  3919,    -1,   113,    -1,    -1,    -1,  3925,
    3926,   119,  3928,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     500,   501,   502,    -1,   504,   505,   506,   507,   508,   509,
    4524,    -1,  3948,    -1,    -1,   143,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3959,  3960,  3961,  3962,    -1,    -1,  1166,
    1167,    -1,   254,    -1,    -1,    -1,  4550,  4551,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   230,
      -1,    -1,    -1,    -1,    -1,  1242,  1243,    -1,    -1,  2025,
     127,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2034,    -1,
    1041,    -1,  2038,    -1,    -1,    -1,    -1,    -1,  2044,  2045,
      -1,    -1,  4736,    -1,    -1,    -1,    -1,    -1,    -1,   311,
      -1,   313,   159,    -1,  4030,    -1,  2062,    -1,    -1,    -1,
      -1,   323,  4787,    -1,  1075,    -1,    -1,    -1,    -1,   331,
      -1,    -1,    -1,  3039,    -1,    -1,  3042,   245,  3044,   341,
    2837,   249,    -1,  1094,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4823,    -1,
      -1,    -1,   270,   271,    -1,  1116,    -1,    -1,   215,    -1,
      -1,    -1,   374,    -1,    -1,   377,   378,  4093,    -1,   287,
      -1,    -1,    -1,    -1,  4818,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4863,    -1,
     247,   403,  4867,  4868,    85,   313,    -1,    88,   316,    -1,
      -1,  1378,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     381,   329,    -1,    -1,   332,    -1,  1393,    -1,    -1,    -1,
      -1,    -1,   113,    -1,    -1,    -1,   283,    -1,   119,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,  1416,
      -1,    -1,    -1,    -1,    -1,   416,    -1,    -1,    -1,   461,
      -1,    -1,   143,    -1,    -1,    -1,   313,  1218,    -1,    -1,
      -1,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1452,    -1,    -1,    -1,    -1,
      -1,    -1,  4786,    -1,    -1,  4929,    -1,    -1,    -1,   407,
    1467,   143,  4218,    -1,  4220,  4221,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1480,    -1,    -1,  1483,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4242,    -1,    -1,    -1,
      -1,   378,    -1,   380,    -1,   382,  4190,    -1,    -1,    -1,
    4194,   388,    -1,    -1,    -1,    -1,    -1,  3044,   395,    -1,
      -1,    -1,    85,    -1,    -1,    88,   403,    -1,    -1,    -1,
    1311,    -1,    -1,    -1,   245,   412,    -1,    -1,   249,    -1,
      -1,    -1,    -1,   420,  2320,    -1,    -1,    -1,    -1,    -1,
     113,    -1,  1333,  1334,  1335,    -1,   119,    -1,    -1,   270,
     271,    -1,   500,   501,   502,    -1,   504,   505,   506,   507,
     508,   509,    -1,   245,    -1,    -1,   287,   249,   516,    -1,
     143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   472,    -1,    -1,   270,   271,
      -1,    -1,   313,    -1,    -1,   316,    -1,    -1,    -1,    -1,
      -1,  1608,    -1,    -1,    -1,   287,    -1,    -1,   329,  1616,
    1617,    -1,    -1,    -1,  4370,  4371,    -1,    -1,    -1,    -1,
    1627,    -1,    -1,    -1,  4380,  4381,    -1,    -1,    -1,    -1,
      -1,  4387,   205,    -1,   316,  4391,  3382,    -1,    -1,    -1,
      -1,  3387,  3388,    -1,    -1,    -1,    -1,   329,    -1,  3395,
    5124,  4407,  4408,  4409,  4410,  4411,    -1,    -1,    -1,    -1,
    1451,    -1,    -1,  5137,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   245,  1680,  1681,  1682,   249,    -1,    -1,    -1,
    3426,    -1,    -1,    -1,    -1,    -1,   407,    -1,  1479,    -1,
      -1,    -1,    -1,    -1,  1701,    -1,    -1,   270,   271,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4462,  5181,    -1,    -1,
      -1,    -1,    -1,    -1,   287,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1731,   407,    -1,    -1,    -1,    -1,
      -1,  1738,    -1,  4489,    -1,    -1,    85,    -1,  1745,    88,
      -1,    -1,    -1,   316,  1701,  1752,    -1,    -1,  4442,    -1,
      -1,    -1,    -1,    -1,  5228,    -1,   329,  4513,  4514,  4515,
    4516,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,
     119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1785,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,    -1,
      -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,
      -1,  3547,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,   501,
     502,    -1,   504,   505,   506,   507,   508,   509,    -1,    -1,
      -1,    -1,  1623,    -1,   407,   836,    -1,    -1,    -1,   840,
      -1,    -1,    -1,    -1,    -1,  3382,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   854,    -1,    -1,   205,    -1,  3395,   860,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     871,    -1,    -1,  4567,    -1,  1882,    -1,    -1,  4572,    -1,
    1671,    -1,    -1,  4577,    85,    -1,  4580,    88,    -1,    -1,
      -1,    -1,    -1,    -1,  4650,    -1,   245,    -1,   899,    -1,
     249,    -1,   903,    -1,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   914,    -1,    -1,    -1,    -1,   119,    -1,
      -1,   270,   271,    -1,  4618,  1882,    -1,    -1,  4684,    -1,
      -1,   504,   505,   506,   507,   508,   509,  4693,   287,   940,
      -1,  4697,   143,  4699,    -1,    -1,    -1,  4703,  4704,    -1,
      -1,    -1,    -1,    -1,   955,  1962,    -1,    -1,    -1,   960,
      -1,    -1,    -1,    -1,    -1,    -1,  4660,   316,    -1,   970,
      -1,    -1,    -1,    -1,    -1,  1982,    -1,    -1,    -1,    -1,
     329,    -1,    -1,   984,    -1,  2771,    -1,    -1,    -1,    -1,
      -1,  1998,    -1,    -1,    -1,    -1,    -1,    -1,  3744,    -1,
      -1,  2787,  2788,    -1,    -1,  2791,    -1,  1798,    -1,    -1,
    3547,  2797,  4706,    -1,  1805,    95,    -1,    -1,    -1,    -1,
      -1,   101,    -1,    -1,    -1,  1982,    -1,    -1,  2035,  2036,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2046,
      -1,  1998,  1833,    -1,   245,  1836,    -1,    -1,   249,    -1,
      -1,  2058,  2059,    -1,    -1,    -1,    -1,    -1,   407,    -1,
      -1,   141,    -1,    -1,    -1,    -1,    -1,    -1,  4762,   270,
     271,   160,    -1,  2080,    -1,    -1,    -1,  1078,    -1,  2036,
      -1,  1872,  2868,    -1,    -1,    -1,   287,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1886,    -1,    -1,  1099,    -1,
      -1,    -1,  2059,  3849,    -1,    -1,    -1,    -1,    89,  1900,
     190,    -1,   313,    -1,    -1,   316,    -1,   197,   207,    -1,
     200,    -1,    -1,    -1,  4818,  4881,  3872,    -1,   329,    -1,
     219,   332,    -1,    -1,    -1,   224,   117,    -1,    -1,    -1,
     229,    -1,    -1,    -1,    -1,   234,    -1,    -1,   237,    -1,
     239,    -1,    -1,    -1,    -1,   504,   505,   506,   507,   508,
     509,    -1,    -1,    -1,    -1,  1166,  1167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   254,    -1,    -1,   266,    -1,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3935,
    3936,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3944,   288,
      -1,    -1,  3948,    -1,    -1,    -1,   407,    -1,    -1,  2000,
      -1,    -1,    98,  3959,  4908,  2006,    -1,    -1,    -1,    -1,
      -1,    -1,  2229,    -1,    -1,    -1,    -1,   208,    -1,    -1,
      -1,   311,    -1,   313,    -1,   216,   325,   218,    -1,    -1,
      -1,    -1,    -1,   323,   333,   131,    -1,    -1,    -1,   230,
      -1,   331,    -1,    -1,    -1,    -1,    -1,    -1,   144,   145,
      -1,   341,    -1,    -1,    -1,    -1,  5022,   153,    -1,    -1,
      -1,   157,    -1,    -1,  4968,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2077,    -1,   174,    -1,
      -1,    -1,   381,    -1,   374,    -1,    -1,   377,   378,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,   195,
      -1,    -1,  3849,    -1,  2321,   516,    -1,    -1,    -1,    -1,
     206,    -1,    -1,   403,    -1,    -1,    -1,    -1,   214,  4075,
      -1,    -1,    -1,  2124,  2125,  3872,    -1,   426,    -1,    -1,
     226,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,
      -1,    -1,  2143,    -1,  5048,    -1,    -1,    -1,    -1,    -1,
      -1,   450,    -1,    -1,    -1,  5059,   252,    -1,  2375,    -1,
    2377,    -1,    -1,    -1,    -1,  3161,    -1,  1378,    -1,    -1,
      -1,   461,    -1,    -1,    -1,   474,    -1,   476,   477,    -1,
    2397,   277,  1393,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    85,  5098,    -1,    88,    -1,    -1,    -1,
      -1,    -1,   298,    -1,    -1,  1416,    -1,    -1,    -1,    -1,
    5176,    -1,   511,   105,    -1,   514,   515,    -1,   517,    -1,
    2437,   113,    -1,    -1,  2441,  2442,    -1,   119,  2445,    -1,
    2397,    -1,    -1,   329,    -1,    -1,    -1,    -1,  3234,    -1,
    3236,  1452,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2467,   143,    -1,    -1,    -1,    -1,  1467,    -1,    -1,  2260,
    5226,    -1,   358,    -1,  4220,    -1,    -1,    -1,  5234,  1480,
    2437,    -1,  1483,    -1,    -1,  2442,    -1,    -1,  2445,    -1,
      -1,    -1,    -1,    -1,  2285,    -1,  4242,    -1,    -1,   385,
      -1,  2508,    -1,   389,  4250,   391,    -1,    -1,    -1,    -1,
    2467,   397,  2519,    -1,   400,    -1,    -1,    -1,  2525,  2526,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2322,    -1,  2324,    -1,    -1,  5230,    -1,  4075,    -1,
     426,    -1,   428,  2550,  2551,    -1,   432,  2554,    -1,  3335,
      -1,  2508,    -1,    -1,   440,  3341,  4302,    -1,    -1,   445,
      -1,    -1,    -1,   245,    -1,    -1,    -1,   249,  2525,  2576,
    2361,  2578,    -1,    -1,    -1,  2582,  4322,  4323,    -1,    -1,
      -1,  4327,  4328,    -1,   470,    -1,    -1,    -1,   270,   271,
      -1,    -1,    -1,  2600,  2551,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2611,   287,    -1,  1608,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1616,  1617,  2624,    -1,    -1,
      -1,  2578,    -1,    -1,    -1,  2582,  1627,  2634,    -1,    -1,
      -1,   313,    -1,    -1,   316,    -1,    -1,    -1,    -1,    -1,
      -1,  4387,    -1,  2600,    -1,    -1,    -1,   329,    -1,    -1,
     332,    -1,    -1,    -1,  2611,    -1,    -1,    -1,    -1,    -1,
      -1,  4407,  4408,  4409,  4410,  4411,    -1,  2624,    -1,  4415,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2634,    -1,  1680,
    1681,  1682,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2697,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1701,  3487,    -1,    -1,    -1,  3491,  3492,    -1,  3494,    -1,
    3496,  3497,    -1,  4250,    -1,    -1,    -1,    -1,    -1,  3505,
      -1,    -1,    -1,    -1,    -1,   407,    -1,    -1,    -1,    85,
    1731,    -1,    88,    -1,    -1,    -1,    -1,  1738,    -1,    -1,
      -1,    -1,    -1,    -1,  1745,    -1,    -1,    -1,    -1,   105,
      -1,  2758,    -1,    -1,  3540,    -1,  2547,   113,    -1,    -1,
      -1,    -1,    -1,   119,    -1,  4302,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2564,    -1,    -1,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    88,    -1,    -1,    -1,   143,  2795,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,
      -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,   500,   501,
     502,    -1,   504,   505,   506,   507,   508,   509,    -1,    -1,
      -1,    -1,   514,    -1,    85,    -1,  2843,    88,   143,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4594,    -1,
    4387,    -1,    -1,    -1,   105,   836,    -1,    -1,   109,  2866,
      -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,
      -1,    -1,    -1,   854,    -1,    -1,    -1,    -1,  4415,   860,
      -1,  1882,    -1,    -1,    -1,    -1,  2843,    -1,    -1,   245,
     871,    -1,   143,   249,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4650,    -1,    -1,    -1,    -1,  2866,
      -1,    -1,    -1,    -1,   270,   271,  2707,    -1,   899,    -1,
      -1,    -1,   903,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   287,    -1,   914,    -1,    -1,    -1,   188,    -1,    -1,
     245,    -1,  2949,    -1,   249,    -1,    -1,    -1,  2955,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   313,    -1,   940,
     316,  1962,    -1,    -1,    -1,   270,   271,    -1,    -1,    -1,
      -1,    -1,    -1,   329,   955,    -1,   332,    -1,    -1,   960,
      -1,  1982,   287,    -1,    -1,    -1,    -1,    -1,    -1,   970,
      -1,    -1,    -1,    -1,   245,    -1,    -1,  1998,   249,    -1,
      -1,    -1,    -1,   984,    -1,    -1,    -1,    -1,   313,    -1,
      -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   270,
     271,    -1,    -1,    -1,   329,    -1,    -1,   332,    -1,    -1,
      -1,    -1,    -1,    -1,  2035,  2036,   287,  3044,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2046,    -1,    -1,    -1,    -1,
      -1,   407,    -1,    -1,    -1,    -1,    -1,  2058,  2059,    -1,
      -1,    -1,   313,    -1,    -1,   316,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   329,  2080,
      -1,   332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1076,    -1,  1078,    -1,  1080,
      -1,    -1,   407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4650,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3130,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3145,  3146,
      -1,    -1,    -1,    -1,   500,   501,   502,    -1,   504,   505,
     506,   507,   508,   509,    -1,    -1,   407,    -1,   514,    -1,
      -1,    -1,    -1,    -1,    -1,  3172,    -1,    -1,  3175,    -1,
      -1,    -1,    -1,  3130,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1302,    -1,    -1,    -1,  1166,  1167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,    -1,    -1,   458,  4954,   514,
      -1,    -1,    -1,    -1,    -1,  3172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3015,    -1,    -1,    -1,  2229,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3246,
    3247,  3248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,    -1,
      -1,  1242,  1243,  3270,    -1,    -1,    -1,    -1,    -1,    -1,
    4056,    -1,    -1,    -1,    -1,  3282,    -1,    -1,  4064,  4065,
      -1,    -1,    -1,    -1,  3291,    -1,    -1,    95,    -1,    -1,
      -1,    -1,    -1,   101,    -1,    -1,    -1,    -1,    -1,    -1,
    1302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    88,    -1,  3270,    -1,    -1,    -1,    -1,    -1,    -1,
    2321,    -1,    -1,    -1,    -1,  3282,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   141,    -1,    -1,   113,    -1,    -1,    -1,
      -1,    -1,   119,    -1,  1465,    -1,    -1,    -1,  3355,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2375,    -1,  2377,    -1,    -1,    -1,
      -1,    -1,   190,    -1,    -1,    -1,    -1,  3394,    -1,   197,
      -1,    -1,   200,    -1,    -1,    -1,  2397,  1378,  3355,    -1,
      -1,    -1,  3409,    -1,  3411,    -1,    -1,    -1,    -1,    -1,
      -1,    85,  1393,    -1,    88,    -1,  3423,  4954,  3425,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   205,    -1,
    5176,   105,    -1,    -1,    -1,  1416,  2437,    -1,    -1,   113,
    2441,  2442,    -1,    -1,  2445,   119,   254,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1465,    -1,    -1,  2467,  3474,   245,   143,
      -1,  1452,   249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5226,    -1,    -1,    -1,    -1,    -1,  1467,    -1,  5234,  4275,
    1611,    -1,    -1,   270,   271,    -1,    -1,  3504,    -1,  1480,
      -1,    -1,  1483,   311,    -1,   313,    -1,  2508,    -1,    -1,
     287,    -1,    -1,    -1,  3521,   323,    -1,    -1,    -1,    -1,
    4306,  4307,    -1,   331,  2525,  2526,    -1,    -1,    -1,    -1,
      -1,  3538,    -1,   341,  3541,    -1,    -1,    -1,    -1,   316,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3504,    -1,  2550,
    2551,    -1,   329,  2554,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3521,    -1,   374,    -1,    -1,   377,
     378,   245,    -1,    -1,    -1,   249,    -1,  2578,    -1,    -1,
      -1,  2582,    -1,    -1,  3541,    -1,    -1,  4373,  4374,    -1,
      -1,    -1,    -1,    -1,    -1,   403,   270,   271,    -1,  2600,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3616,
    2611,    -1,    -1,   287,    -1,    -1,    -1,    -1,  1739,    -1,
      -1,    -1,    -1,  2624,  3415,  3416,    -1,  1608,    -1,    -1,
     407,    -1,    -1,  2634,    -1,  1616,  1617,    -1,    -1,   313,
    3431,    -1,   316,    -1,    -1,    -1,  1627,    -1,    -1,    -1,
      -1,    -1,    -1,   461,  3445,   329,    -1,    -1,   332,    -1,
      -1,    -1,    -1,  3454,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1793,    -1,    -1,    -1,    -1,  3468,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2697,    95,    -1,  1680,
      -1,    -1,    -1,   101,  1825,    -1,    -1,    -1,    -1,    -1,
      -1,  4497,    -1,  4499,  4500,    -1,    -1,    -1,    -1,    85,
    1701,    -1,    88,    -1,    -1,  4511,    -1,   504,   505,   506,
     507,   508,   509,   407,    -1,    -1,    -1,  1739,    -1,   105,
      -1,    -1,    -1,   141,    -1,    -1,    -1,   113,  3539,    -1,
      -1,    -1,    -1,   119,    -1,    -1,    -1,  2758,    -1,    -1,
      -1,    -1,    -1,    -1,  1745,    -1,    -1,    -1,    -1,    -1,
      -1,  1752,    -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,
      -1,  1902,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1793,   190,    -1,  2795,    -1,    -1,    -1,  3805,   197,
    1921,    -1,   200,    -1,  1785,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1939,    -1,
      -1,    -1,    -1,  1825,    -1,    -1,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,  3843,    -1,    -1,    -1,
     514,  3848,  2843,  3850,    -1,    -1,  1967,    -1,  3805,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   254,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2866,    -1,    -1,    -1,    -1,
      -1,  3662,  3663,  3664,    -1,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,   249,    -1,  3892,    -1,    -1,  3895,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1902,  1882,    -1,    -1,   270,   271,    -1,    -1,    -1,  2030,
      -1,    -1,    -1,   311,    -1,   313,    -1,    -1,    -1,  1921,
      -1,   287,  3929,    -1,    -1,   323,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   331,    -1,  3892,    -1,  1939,  3895,    -1,
      -1,    -1,    -1,   341,    -1,    -1,    -1,   313,  2949,    -1,
     316,    -1,    -1,    -1,  2955,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   329,    -1,  1967,   332,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   374,    -1,    -1,   377,
     378,  1962,    -1,    -1,    -1,  3992,  3993,    -1,    -1,    -1,
      -1,    -1,  3999,    -1,  4780,    -1,    -1,    -1,    -1,    -1,
      -1,  1982,    -1,    -1,    -1,   403,    -1,    -1,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    88,    -1,  1998,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2030,    -1,
      85,    -1,   105,    88,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   407,  3999,  3044,    -1,    -1,   119,    -1,    -1,    -1,
     105,    -1,  4838,    -1,  2035,  2036,    -1,    -1,   113,    -1,
      -1,    -1,    -1,   461,   119,  2046,    -1,    -1,    -1,    85,
     143,  4078,    88,    -1,    -1,    -1,    -1,  2058,  2059,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,
      -1,    -1,  4878,    -1,    -1,    -1,    -1,   113,    -1,  2080,
      -1,    -1,    -1,   119,    -1,    -1,  2227,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4078,    -1,    -1,    -1,    -1,    -1,   143,    -1,  3130,
      -1,    -1,    -1,    -1,   500,   501,   502,    -1,   504,   505,
     506,   507,   508,   509,  3145,  3146,    -1,    -1,   514,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    88,    -1,    -1,  3956,    -1,    -1,    -1,    -1,
      -1,  3172,   245,    -1,  3175,    -1,   249,    -1,    -1,   105,
      -1,    -1,    -1,    -1,  3975,    -1,    -1,   113,    -1,   205,
     245,    -1,    -1,   119,   249,    -1,    -1,   270,   271,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4002,    -1,    -1,   287,   270,   271,   143,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2227,    -1,    -1,    -1,   245,
      -1,    -1,   287,   249,    -1,    -1,    -1,    -1,    -1,    -1,
     313,    -1,    -1,   316,    -1,  3246,  3247,  3248,  2229,    -1,
      -1,    -1,    -1,    -1,   270,   271,   329,    -1,   313,   332,
      -1,   316,  2264,    -1,    -1,    -1,    -1,    -1,    -1,  3270,
      -1,   287,    -1,    -1,   329,    -1,    -1,   332,    -1,    -1,
      -1,  3282,    -1,    -1,    -1,    -1,  4293,    -1,    -1,  4296,
    3291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     316,    -1,  2423,    -1,    -1,    -1,  2427,  2428,    -1,    -1,
      -1,    -1,  4319,   329,    -1,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,   249,  4331,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   407,    -1,    -1,  4344,    -1,    -1,
      -1,    -1,    -1,    -1,   270,   271,    -1,    -1,    -1,    -1,
      -1,    -1,   407,    -1,  3355,    -1,    -1,    -1,    -1,    -1,
      -1,   287,  4319,    -1,    -1,  5151,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4331,    -1,    -1,    -1,    -1,    -1,
    4387,    -1,  4173,  4174,  4175,  4176,    -1,   313,    -1,    -1,
     316,   407,    -1,  3394,    -1,    -1,    -1,    -1,    -1,  4406,
      -1,    -1,    -1,   329,    -1,    -1,   332,    -1,  3409,    -1,
    3411,    -1,  2533,    -1,    -1,    -1,  2397,    -1,    -1,    -1,
      -1,  2423,  3423,    -1,  3425,  2427,  2428,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,    -1,    -1,    -1,
      -1,   514,    -1,    -1,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,    -1,  2437,    -1,    -1,   514,
    2441,  2442,    -1,    -1,  2445,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3474,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   407,    -1,    -1,    -1,    -1,  2467,    -1,   504,   505,
     506,   507,   508,   509,    85,    -1,    -1,    88,    -1,    -1,
      -1,    95,    -1,  3504,    -1,  4512,    -1,   101,    -1,    -1,
      -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,
    3521,    -1,   113,    -1,    -1,    -1,    -1,  2508,   119,    85,
      -1,  2533,    88,    -1,    -1,    -1,    -1,  3538,  2519,    -1,
    3541,    -1,    -1,    -1,  2525,  2526,    -1,   141,    -1,   105,
      -1,    -1,   143,    -1,    -1,  4512,    -1,   113,    -1,  2680,
      -1,    -1,    -1,   119,    85,    -1,    -1,    88,    -1,  2550,
    2551,    -1,    -1,  2554,   500,   501,   502,    -1,   504,   505,
     506,   507,   508,   509,   105,    -1,    -1,   143,   514,    -1,
      -1,    -1,   113,    -1,    -1,  2576,   190,  2578,   119,    -1,
      -1,  2582,    -1,   197,    -1,  4612,   200,  4614,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3616,    -1,    -1,    -1,  2600,
      -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2611,    -1,    -1,    -1,  2755,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2624,  4651,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2634,   245,  4612,    -1,  4614,   249,    95,
     254,    -1,    -1,    -1,    -1,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2680,   270,
     271,    -1,    -1,    -1,  4691,    -1,  4693,    -1,    -1,   245,
     126,    -1,    -1,   249,    -1,    -1,   287,    -1,    -1,    -1,
      -1,    -1,  4493,    -1,    -1,   141,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   270,   271,  2697,   311,    -1,   313,
      -1,    -1,   313,    -1,   245,   316,    -1,    -1,   249,   323,
      -1,   287,    -1,    -1,  2855,    -1,   172,   331,   329,    -1,
      -1,   332,    -1,    -1,    -1,    -1,    -1,   341,    -1,   270,
     271,    -1,    -1,  2755,   190,    -1,    -1,   313,    -1,    -1,
     316,   197,    -1,    -1,   200,    -1,   287,    -1,    -1,    -1,
      -1,    -1,    -1,   329,    -1,    -1,   332,  2758,    -1,    -1,
     374,    -1,    -1,   377,   378,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   313,    -1,    -1,   316,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3805,    -1,    -1,    -1,   329,   403,
      -1,   332,    -1,    -1,  2795,   251,   407,    -1,   254,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3843,    -1,    -1,    -1,    -1,  3848,    -1,  3850,
    4857,   407,    -1,  2855,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2843,   299,    -1,   301,    -1,   461,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   311,    -1,   313,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2866,   407,   323,    -1,    -1,
      -1,  3892,    -1,    -1,  3895,   331,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   340,   341,    -1,    -1,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,    -1,
      -1,    -1,    -1,   514,    -1,  4716,    -1,    -1,  3929,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   374,    -1,
      -1,   377,   378,   379,   500,   501,   502,    -1,   504,   505,
     506,   507,   508,   509,    -1,    -1,    -1,    94,   514,    -1,
      -1,    -1,  4753,    -1,    -1,    -1,    -1,   403,  2949,    -1,
      -1,    -1,    -1,    -1,  2955,    -1,    -1,    -1,   414,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,    -1,
      -1,  3992,  3993,   514,    -1,   132,    -1,  3118,  3999,    -1,
    3121,    -1,  3123,    -1,    -1,    -1,    -1,  3128,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5022,   153,    -1,    -1,    -1,
      -1,    -1,  3024,  3025,  3026,   461,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   184,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   192,    -1,  3178,  4849,    -1,
      -1,    -1,    -1,  3044,    -1,    -1,    -1,    -1,    -1,    -1,
     207,    -1,   209,    -1,    -1,    -1,   213,  4078,    -1,  5086,
      -1,    -1,    -1,    -1,    -1,    -1,   223,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   231,    -1,    -1,  3218,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3118,    -1,    -1,  3121,
      -1,  3123,    -1,    -1,    -1,    -1,  3128,    85,    -1,  5086,
      88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,  3130,
      88,    -1,    -1,    -1,    -1,   113,    -1,    -1,  3279,    -1,
    3281,   119,    -1,    -1,  3145,  3146,    -1,   105,    -1,  5176,
      -1,    -1,    -1,    -1,    -1,   113,  3178,    -1,    -1,    -1,
      -1,   119,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,
      -1,  3172,    -1,    -1,  3175,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    85,   143,    -1,    88,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3336,  3218,    -1,    -1,  5226,
      -1,    -1,    95,    -1,   105,    -1,    -1,  5234,   101,    -1,
      -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,
    3361,    -1,    -1,    -1,    -1,    -1,    -1,   205,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3382,   143,    -1,    -1,  3246,  3247,  3248,   141,    -1,
      -1,    -1,    -1,    -1,  3395,    -1,    -1,  3279,    -1,  3281,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,    -1,  3270,
      -1,   249,  4293,    -1,    -1,  4296,    -1,    -1,    -1,    -1,
      -1,  3282,    -1,    -1,    -1,    -1,    -1,   245,    -1,    -1,
    3291,   249,   270,   271,    -1,    -1,    -1,   190,  4319,    -1,
      -1,    -1,    -1,    -1,   197,    -1,    -1,   200,    -1,   287,
    4331,    -1,   270,   271,  3336,    -1,    -1,    -1,  3459,    -1,
      -1,    -1,    -1,  4344,    -1,    -1,    -1,    -1,    -1,   287,
      -1,    -1,    -1,    -1,  3475,    -1,    -1,    -1,   316,  3361,
      -1,    -1,    -1,    -1,   245,    -1,    -1,  3488,   249,    -1,
      -1,   329,    -1,    -1,  3355,   313,    -1,    -1,   316,    -1,
    3382,   254,    -1,    -1,    -1,    -1,  4387,    -1,    -1,   270,
     271,   329,    -1,  3395,   332,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4406,   287,    -1,    -1,    -1,
      -1,    -1,    -1,  3394,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3409,    -1,
    3411,    -1,   313,    -1,    -1,   316,    -1,    -1,   311,  3560,
     313,    -1,  3423,    -1,  3425,    -1,    -1,    -1,   329,   407,
     323,   332,    -1,    -1,    -1,    -1,    -1,  3459,   331,  3580,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   341,   407,
      -1,    -1,    -1,  3475,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3605,    -1,  3488,    -1,    -1,    -1,
      -1,    -1,    -1,  3474,    -1,    -1,    -1,    -1,    -1,   636,
      -1,   374,    -1,    -1,   377,   378,    -1,    -1,    -1,    -1,
      -1,  4512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3641,    -1,    -1,  3504,    -1,    -1,   407,    -1,    -1,    -1,
     403,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3521,    -1,    -1,    -1,    -1,    -1,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,    -1,    -1,  3538,  3560,    -1,
    3541,    -1,   500,   501,   502,    -1,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,    -1,   514,    -1,  3580,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   461,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3605,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4612,    -1,  4614,    -1,    -1,    -1,    -1,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,    85,
      -1,    -1,    88,   514,    -1,  3616,    95,  3758,    -1,  3641,
      85,    -1,   101,    88,    -1,    -1,    -1,    -1,    -1,   105,
    4651,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,
     105,    -1,    -1,   119,    -1,    -1,    -1,    -1,   113,    -1,
      -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   141,    -1,  3686,    -1,    -1,   143,    -1,    -1,
    4691,    -1,  4693,    -1,    -1,    -1,    -1,    -1,   143,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   844,   845,   846,
     847,    -1,   849,    -1,   851,    -1,   853,    -1,   855,    -1,
      -1,   858,    -1,    -1,    -1,    -1,   863,    -1,  3849,   866,
      -1,   190,    -1,   870,    -1,   872,    -1,    -1,   197,    -1,
      -1,   200,    -1,   880,    -1,    -1,    -1,    -1,   885,    -1,
     887,    -1,    -1,   890,    -1,   892,  3758,   894,    -1,    -1,
      -1,    -1,    -1,    -1,   901,    -1,    -1,   904,    -1,    -1,
      -1,    -1,    -1,    -1,   911,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,   249,    -1,   254,    -1,    -1,    -1,    -1,
     245,    -1,    -1,    -1,   249,    -1,    -1,   944,    -1,    -1,
      -1,    -1,   949,    -1,   270,   271,    -1,   954,    -1,    -1,
      -1,   958,    -1,    -1,  3805,   270,   271,    -1,    -1,    -1,
      -1,   287,    -1,    -1,    -1,    -1,   973,    -1,    -1,    -1,
      -1,    -1,   287,    -1,    -1,    -1,    -1,  3849,    -1,    -1,
      -1,    -1,   311,    -1,   313,    -1,  4857,   313,    -1,    -1,
     316,    -1,  3843,    -1,   323,    -1,    -1,  3848,   313,  3850,
      -1,   316,   331,   329,    -1,  3996,   332,    -1,    -1,    -1,
      -1,    -1,   341,    -1,   329,    -1,    -1,   332,    -1,    -1,
      -1,  1028,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1041,  1042,    -1,    -1,    -1,    -1,
      -1,  3892,  4033,    -1,  3895,   374,    -1,    -1,   377,   378,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    85,  1070,    -1,    88,    -1,  1074,  1075,    -1,
      -1,    -1,    -1,    -1,   403,    -1,    -1,    -1,  3929,    -1,
      -1,   407,   105,    -1,    -1,    -1,    -1,  1094,    -1,    -1,
     113,  1098,   407,    -1,    -1,    -1,   119,    -1,    -1,  1106,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1116,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     143,  1128,    -1,    -1,  3996,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   461,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3992,  3993,    -1,    -1,    -1,    -1,    -1,  3999,    -1,
      -1,  5022,    -1,    -1,    -1,  4146,    -1,    -1,    -1,    -1,
      -1,  4033,    -1,    -1,    -1,    -1,  4157,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   500,   501,   502,    -1,   504,   505,
     506,   507,   508,   509,    -1,   500,   501,   502,   514,   504,
     505,   506,   507,   508,   509,    -1,    -1,   512,    -1,    -1,
      -1,   224,    -1,  1210,    -1,    -1,   229,    -1,    -1,    -1,
      -1,  1218,    -1,  1220,  1221,  5086,    -1,    -1,    -1,    -1,
      -1,    -1,   245,    -1,    -1,    -1,   249,  4078,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   270,   271,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1268,    -1,    85,   287,    -1,    88,    -1,    -1,    -1,
      -1,    -1,  1279,    -1,  4146,    -1,  1283,    -1,    -1,    -1,
      -1,    -1,    -1,   105,    -1,  4157,  4277,    -1,    -1,  1296,
     313,   113,    -1,   316,    -1,    -1,    -1,   119,    -1,    -1,
      -1,    -1,    -1,    -1,  1311,  5176,   329,    -1,    -1,   332,
    1317,  1318,    -1,    -1,  4305,    -1,    -1,    -1,    -1,    -1,
      -1,   143,    -1,    -1,    -1,    -1,  1333,  1334,  1335,    -1,
    1337,    -1,  1339,  4324,  4206,    -1,  1343,    -1,    -1,  4211,
      -1,    -1,    -1,    -1,  4216,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5226,    -1,    -1,    95,    -1,
      -1,    -1,    -1,  5234,   101,  1372,    -1,  1374,  1375,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4372,    -1,    -1,   407,    -1,    -1,    -1,    -1,   126,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1408,    -1,    -1,   141,  4277,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   245,    -1,    -1,    -1,   249,    -1,    -1,
      -1,    -1,    -1,  4305,    -1,   172,    -1,    -1,    -1,  1446,
    1447,    -1,  4293,    -1,  1451,  4296,  1453,    -1,   270,   271,
      -1,    -1,  4324,   190,    -1,    -1,    -1,    -1,    -1,    -1,
     197,    -1,    -1,   200,    -1,   287,    -1,    -1,  4319,  1476,
      -1,    -1,  1479,    -1,    -1,  1482,    -1,   500,   501,   502,
    4331,   504,   505,   506,   507,   508,   509,  1494,    -1,    -1,
      -1,   313,    -1,  4344,   316,    -1,    -1,    -1,    -1,    -1,
    4372,    -1,    -1,    95,    -1,    -1,    -1,   329,    -1,   101,
     332,    -1,    85,    -1,   251,    88,  1523,   254,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     352,    -1,   105,    -1,    -1,    -1,  4387,  4528,    -1,    -1,
     113,    -1,    -1,    -1,  1551,  1552,   119,  1554,    -1,   141,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   299,    -1,   301,    -1,  1573,    -1,    -1,    -1,
     143,    -1,    -1,    -1,   311,    -1,   313,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   407,   323,  1594,  1595,    -1,
      -1,    -1,    -1,    -1,   331,    -1,    -1,    -1,   190,   421,
      -1,    -1,    -1,   340,   341,   197,    -1,    -1,   200,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1623,    -1,  4490,  1626,
      -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   374,    -1,    -1,
     377,   378,   379,   105,    -1,    -1,   108,    -1,  1655,    -1,
     223,   113,  1659,  1660,    -1,    -1,  4528,   119,    -1,  4650,
      -1,  4512,   254,  1670,  1671,  1672,   403,    -1,    -1,    -1,
      -1,    -1,   245,    -1,    -1,    -1,   249,   414,   500,   501,
     502,   143,   504,   505,   506,   507,   508,   509,    -1,    -1,
      -1,    -1,  1699,    -1,    -1,    -1,    -1,   270,   271,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   287,    -1,    -1,    -1,    -1,   311,
      -1,   313,    95,    -1,   461,    -1,    -1,    -1,   101,    -1,
      -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   331,
     313,    -1,    -1,   316,    -1,    -1,    -1,    -1,    -1,   341,
      -1,    -1,    -1,    -1,    -1,    -1,   329,    -1,    -1,   332,
      -1,  4612,    -1,  4614,    -1,    -1,    -1,    -1,   141,    -1,
      -1,    -1,    -1,  4764,    -1,    -1,    -1,   350,  4650,    -1,
      -1,    -1,   374,   245,    -1,   377,   378,   249,    -1,    -1,
      -1,  1798,  1799,    -1,    -1,    -1,  4787,    -1,  1805,    -1,
    4651,  1808,    -1,    -1,    -1,    -1,    -1,    -1,   270,   271,
      -1,   403,    -1,    -1,    -1,    -1,    -1,   190,    -1,    -1,
    1827,    -1,    -1,    -1,   197,   287,  1833,   200,    -1,  1836,
      -1,    -1,  4823,    -1,   407,    -1,    -1,    -1,    -1,    -1,
    4691,    -1,  4693,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   313,    -1,  1860,   316,    -1,    -1,    -1,    -1,    -1,
      -1,  1868,  1869,  1870,  1871,  1872,    -1,   329,    -1,   461,
     332,    -1,  4863,    -1,    -1,    -1,  4867,  4868,    -1,  1886,
      -1,   254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1898,  4764,  1900,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1910,  1911,    -1,    -1,    -1,    -1,  1916,
      -1,    -1,    -1,    -1,    -1,  4787,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,    -1,   311,    -1,
     313,    -1,    -1,    -1,    -1,   407,    -1,    -1,    -1,    -1,
     323,  4823,    -1,    -1,  1961,    -1,    -1,    -1,   331,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   341,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1988,  1989,  1990,  1991,    -1,    -1,    -1,    -1,    -1,
      -1,  4863,    -1,  2000,    -1,  4867,  4868,    -1,    -1,  2006,
      -1,   374,  2009,    -1,   377,   378,  4857,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2024,    -1,    -1,
      -1,    -1,    -1,    -1,  2031,    -1,  2033,    -1,    -1,    -1,
     403,    -1,    -1,    -1,    -1,    -1,  2043,    -1,   500,   501,
     502,  2048,   504,   505,   506,   507,   508,   509,    -1,    -1,
    2057,    -1,    -1,    -1,    -1,    -1,  2063,  2064,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2077,    -1,    -1,    -1,    -1,  4947,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   461,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2111,    -1,    -1,    -1,    -1,    -1,
      -1,  2118,    -1,  2120,    -1,    -1,    -1,  2124,  2125,    -1,
    2127,    -1,    -1,    -1,    -1,    -1,  2133,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2143,    -1,    -1,    -1,
      -1,    -1,    -1,  2150,  2151,    -1,    -1,  2154,    -1,    -1,
      -1,  2158,  2159,    -1,    -1,    -1,    -1,    -1,    -1,  2166,
      -1,    -1,  2169,    -1,    -1,    -1,  2173,    -1,    -1,    -1,
      -1,  5022,    -1,    -1,  2181,  2182,    -1,    -1,    -1,    -1,
      -1,    -1,  2189,    -1,  2191,  2192,  2193,  2194,  2195,    -1,
      -1,    -1,    -1,    -1,    -1,  2202,  2203,    -1,  2205,    -1,
    2207,  2208,    -1,    -1,  2211,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2228,    -1,    -1,    -1,  2232,  2233,    -1,    -1,    -1,
    2237,    -1,    -1,    -1,  2241,  5086,  2243,  2244,  2245,  2246,
    2247,  2248,  2249,  2250,  2251,    -1,  2253,    -1,    -1,    -1,
      -1,    -1,    -1,  2260,    -1,    -1,  2263,  2264,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2285,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2322,    -1,  2324,    -1,  2326,
      -1,    -1,    -1,    -1,    -1,  5176,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2361,    -1,    -1,    -1,    -1,     5,
    2367,    -1,  2369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5226,    -1,    -1,    -1,    25,
      -1,    -1,    -1,  5234,    -1,    -1,    -1,    -1,    -1,    35,
      36,    -1,    -1,    -1,    -1,    41,    -1,    43,    44,    -1,
      -1,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    -1,  2446,
      86,    -1,    -1,    -1,  2451,    -1,  2453,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2470,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2481,    -1,  2483,  2484,  2485,    -1,
      -1,  2488,    -1,  2490,    -1,  2492,    -1,  2494,   134,  2496,
    2497,    85,    -1,  2500,    88,   160,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
      -1,    -1,  2529,    -1,    -1,   119,    -1,    -1,    -1,  2536,
      -1,    -1,    -1,    -1,  2541,    -1,    -1,    -1,    -1,    -1,
    2547,    -1,   207,    -1,    -1,    -1,    -1,    -1,    -1,   143,
      -1,    -1,    -1,    -1,   219,    -1,    -1,  2564,   204,   224,
      -1,  2568,  2569,    -1,   229,    -1,    -1,    -1,  2575,   234,
      -1,    -1,   237,    -1,   239,    -1,   222,    85,    -1,    -1,
      88,    -1,    -1,    -1,    -1,    -1,  2593,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   242,   105,    -1,    -1,
     108,   266,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,
      -1,   119,    -1,  2620,    -1,  2622,  2623,    -1,   264,    -1,
      -1,    -1,    -1,   288,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2652,    -1,    -1,    -1,    -1,
      -1,   245,    -1,  2660,   300,   249,    -1,   303,  2665,    -1,
     325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   333,    -1,
      -1,  2678,   318,    -1,    -1,    -1,   270,   271,    -1,  1302,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   287,    -1,  2702,    -1,    -1,  2705,    -1,
    2707,    -1,  2709,    -1,    -1,  2712,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   381,    -1,    -1,   313,
      -1,    -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2738,    -1,    -1,    -1,   329,    -1,   245,   332,  2746,
    2747,   249,    -1,    -1,    -1,    -1,    -1,    -1,   394,    -1,
      -1,    -1,  2759,   347,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   426,   270,   271,    -1,    -1,    -1,    -1,  1302,  2776,
      -1,  2778,  2779,  2780,  2781,    -1,    -1,    -1,    -1,   287,
      -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,    -1,    -1,
     436,    -1,    -1,    -1,    -1,    -1,  2803,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   450,   313,    -1,    -1,   316,   474,
      -1,   476,   477,   407,    -1,    -1,    -1,    -1,  2825,   465,
      -1,   329,    -1,    -1,   332,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   845,   846,    -1,    -1,   849,    -1,   851,    -1,
      -1,    -1,  1465,    -1,    -1,    -1,   511,   493,    -1,   514,
     515,    -1,   517,    -1,   500,    -1,    -1,   870,   504,   505,
     506,   507,   508,  2870,    -1,   511,   512,   513,   514,  2876,
     516,   517,   518,   519,   520,    -1,    -1,   890,    -1,    -1,
    2887,   894,    -1,    -1,    -1,    -1,  2893,  2894,    -1,    -1,
      -1,    -1,  2899,    -1,    -1,    -1,    -1,    -1,   911,   407,
      -1,    -1,    -1,    -1,    -1,    -1,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,    -1,  2924,  2925,    -1,
      -1,    -1,  2929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1465,    -1,    -1,  2941,  2942,  2943,  2944,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2954,    -1,    -1,
    2957,    -1,  2959,  2960,    85,    -1,    -1,    88,    -1,    -1,
      -1,    -1,  2969,  2970,    -1,    -1,  2973,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,  2986,
      -1,  2988,   113,  2990,    -1,  2992,    -1,    -1,   119,    -1,
      -1,    -1,   500,   501,   502,    -1,   504,   505,   506,   507,
     508,   509,    -1,    -1,  3011,    -1,    -1,    -1,  3015,    -1,
      -1,    -1,   143,    -1,  3021,    -1,    -1,  3024,  3025,  3026,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3048,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3061,    -1,    -1,    -1,    -1,  3066,
      -1,    -1,    -1,    -1,    -1,  3072,    85,    -1,    -1,    88,
      -1,    -1,    -1,  3080,    -1,    -1,  3083,    -1,    -1,    -1,
    3087,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,   108,
      -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,   229,    -1,
     119,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      88,    -1,    -1,    -1,   245,    -1,  1739,    -1,   249,    -1,
      -1,    -1,    -1,    -1,   143,    -1,    -1,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,   270,
     271,   119,    -1,    -1,  3151,    -1,  3153,    -1,    -1,    -1,
      -1,  3158,    -1,    -1,    -1,    -1,   287,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,
    1793,    -1,    -1,    -1,    -1,    -1,    -1,  3184,    -1,  3186,
    3187,  3188,   313,    -1,    -1,   316,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   329,    -1,
      -1,   332,  1825,    -1,    -1,  1739,    -1,  1220,  1221,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,
     249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   270,   271,    -1,   117,    -1,    -1,    -1,    -1,  1793,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,   287,    -1,
      -1,   249,    -1,    -1,    -1,    -1,   407,    -1,    -1,  1902,
      -1,    -1,    -1,  1296,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1825,   270,   271,   313,    -1,    -1,   316,  1921,   162,
      -1,    -1,    -1,    -1,  1317,  1318,    -1,    -1,    -1,   287,
     329,    -1,    -1,   332,    -1,    -1,  1939,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1337,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   313,    -1,    -1,   316,    -1,
      -1,    -1,    -1,    -1,  1967,   208,    -1,    -1,    -1,    -1,
      -1,   329,    -1,   216,   332,   218,    -1,    -1,  3365,  3366,
      -1,  1374,  1375,    -1,    -1,    -1,    -1,   230,  1902,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,    -1,
      -1,  3388,    -1,    -1,    -1,    -1,    -1,  1921,   407,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1939,    -1,  2030,  3415,  3416,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3431,    -1,    -1,    -1,    -1,   407,
      -1,    -1,    -1,  1967,    -1,    -1,    -1,  3444,  3445,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3453,  3454,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   433,    -1,    -1,    -1,    -1,
      -1,  3468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3483,    -1,    -1,    -1,
      -1,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,  3498,    -1,    -1,  3501,    -1,  2030,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3518,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,
      -1,    -1,   500,   501,   502,    -1,   504,   505,   506,   507,
     508,   509,  3539,   105,    -1,    -1,   108,    -1,    -1,    -1,
      -1,   113,  3549,    -1,    -1,    -1,    -1,   119,    -1,    -1,
    3557,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3567,    -1,    -1,    -1,    -1,    -1,  3573,    -1,  3575,    -1,
      -1,   143,    -1,    -1,  3581,    -1,    -1,  3584,  3585,  3586,
    3587,  3588,  3589,  3590,  3591,  3592,  3593,    -1,    -1,    -1,
    3597,  3598,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3610,  2227,    -1,    -1,  3614,    -1,    -1,
      -1,  3618,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3628,    -1,    -1,  3631,    -1,  3633,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3642,  3643,  3644,    -1,    -1,
      -1,  3648,    -1,    -1,  3651,    -1,    -1,    -1,  3655,    -1,
      -1,    -1,    -1,    -1,    -1,  3662,  3663,  3664,  3665,    -1,
    3667,  3668,    -1,    -1,    -1,  3672,  3673,    -1,    -1,    -1,
      -1,    -1,  3679,   245,    -1,    -1,    -1,   249,  3685,  3686,
      85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2227,    -1,    -1,    -1,    -1,   270,   271,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,
      -1,    -1,    -1,    -1,   119,   287,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3730,    -1,    -1,    -1,    -1,    -1,  3736,
      -1,    -1,    -1,  3740,    -1,  3742,    -1,    -1,   143,    -1,
      -1,   313,    -1,    -1,   316,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   329,    -1,    -1,
     332,    -1,    -1,    -1,    -1,    -1,    -1,  3774,  3775,  3776,
      -1,  3778,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3796,
    3797,  3798,  3799,    -1,    -1,  1808,    -1,    -1,    -1,    -1,
    2423,    -1,    -1,    -1,  2427,  2428,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3833,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   407,    -1,    -1,    -1,    -1,
     245,    -1,    -1,    -1,   249,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1868,  1869,  1870,  1871,    -1,
      -1,    -1,    -1,    -1,    -1,   270,   271,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   287,    -1,    -1,    -1,    -1,    -1,    -1,  2423,
      -1,    -1,    -1,  2427,  2428,    -1,    -1,  1910,  1911,    -1,
      -1,    -1,  3909,  1916,    -1,    -1,    -1,    -1,   313,    -1,
    2533,   316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   329,    -1,    -1,   332,   500,   501,
     502,    -1,   504,   505,   506,   507,   508,   509,    -1,    -1,
      -1,  3948,    -1,    -1,    -1,    -1,    -1,    -1,  1961,  3956,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3967,    -1,  3969,    -1,    -1,    -1,    -1,    -1,  3975,    -1,
      -1,    -1,    -1,   836,  3981,  1988,  1989,  1990,  1991,    -1,
      -1,   844,    -1,  3990,    -1,    -1,    -1,    -1,    -1,    -1,
     853,    -1,    -1,    -1,    -1,  4002,    -1,    -1,    -1,  2533,
      -1,    -1,   407,    -1,    -1,  4012,    -1,    -1,    -1,    -1,
      -1,  4018,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   887,    -1,    -1,  4034,  4035,    -1,
      -1,    -1,    -1,    -1,    -1,  2048,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2057,    -1,    -1,    -1,    -1,    -1,
      -1,  2064,  4059,    -1,  4061,    -1,    -1,  2680,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   944,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4096,
      -1,   954,    -1,    -1,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4133,    -1,    -1,    -1,
      -1,    -1,  2755,    -1,    -1,    -1,  4143,  4144,    -1,    -1,
      -1,    -1,    -1,    -1,  4151,  4152,  2680,    -1,    -1,  4156,
      -1,    -1,    -1,    -1,    -1,  4162,  4163,    -1,    -1,  4166,
      -1,    -1,  4169,  4170,    -1,    -1,  4173,  4174,  4175,  4176,
      -1,    -1,    -1,  4180,  4181,    -1,  4183,    -1,    -1,  4186,
      -1,    -1,    -1,  4190,    -1,    -1,    -1,  4194,    -1,    -1,
      -1,    -1,    -1,  4200,    -1,    -1,    -1,    -1,    -1,  4206,
      -1,    -1,    -1,    -1,  4211,    -1,    -1,  1070,    -1,  4216,
      -1,    -1,    -1,  1076,    -1,    -1,    -1,  1080,  4225,  2232,
      -1,  2755,    -1,    -1,    -1,    -1,  4233,    -1,    -1,    -1,
    4237,    -1,  2855,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1106,    -1,    -1,    -1,    -1,    -1,  4256,
      -1,    -1,  4259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4279,  4280,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4303,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2855,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4353,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4367,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1242,
    1243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4407,  4408,  4409,  4410,  4411,  1268,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1279,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4431,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4442,    -1,    -1,    -1,  1302,
    4447,    -1,    -1,    -1,    -1,    -1,    -1,  4454,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4466,
    4467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2483,  2484,  2485,    -1,    -1,    -1,  1339,    -1,    -1,  2492,
      -1,  2494,    -1,  2496,  2497,    -1,  4493,    -1,  4495,    -1,
      -1,    -1,    -1,    -1,    -1,  3118,    -1,    -1,  3121,    -1,
    3123,    -1,    -1,    -1,    -1,  3128,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4524,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4533,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4550,  4551,  1408,    -1,  4554,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3178,    -1,    -1,    -1,    -1,
    4567,  4568,    -1,    -1,    -1,  4572,    -1,    -1,    -1,    -1,
    4577,    -1,    -1,  4580,  4581,    -1,  4583,    -1,  4585,  4586,
    2593,    -1,    -1,    -1,  3118,    -1,    -1,  3121,    -1,  3123,
      -1,    -1,    -1,    -1,  3128,  3218,    -1,    -1,    -1,    -1,
      -1,    -1,  1465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4618,  4619,  4620,  4621,  4622,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2652,
      -1,    -1,    -1,    -1,  3178,    -1,    -1,  2660,    -1,    -1,
      -1,    -1,  2665,  4660,  4661,    -1,  3279,    -1,  3281,    -1,
    1523,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3218,    -1,    -1,    -1,  1551,  1552,
      -1,  1554,    -1,    -1,  4701,  4702,    -1,    -1,    -1,  4706,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4716,
    1573,    -1,    -1,  3336,    -1,    -1,    -1,    -1,    -1,    -1,
    4727,    -1,    -1,    -1,    -1,    -1,    -1,  4734,    -1,    -1,
      -1,  4738,    -1,  2746,    -1,    -1,    -1,    -1,  3361,    -1,
      -1,    -1,    -1,  4750,    -1,  3279,  4753,  3281,    -1,    -1,
      -1,    -1,    -1,    -1,  4761,  4762,    -1,    -1,    -1,  3382,
      -1,    -1,    -1,  1626,  1627,  2778,    -1,  2780,    -1,    -1,
      -1,    -1,  3395,    -1,    -1,    -1,    -1,    -1,    -1,  4786,
      -1,    -1,  4789,    -1,  4791,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1655,    -1,    -1,    -1,  1659,  1660,    -1,    -1,
      -1,    -1,  3336,    -1,    -1,    -1,    -1,  4814,    -1,    -1,
      -1,  4818,    -1,    -1,  4821,    -1,    -1,    -1,    -1,    -1,
    4827,    -1,    -1,    -1,    -1,    -1,    -1,  3361,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3459,    -1,  4845,    -1,
      -1,    -1,  4849,    -1,    -1,    -1,    -1,    -1,  3382,    -1,
      -1,    -1,  3475,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3395,    -1,    -1,    -1,  3488,  4873,  4874,  4875,  4876,
      -1,    -1,    -1,    -1,  2887,    -1,  1739,    -1,    -1,    -1,
      -1,  4888,  1745,    -1,    -1,    -1,    -1,    -1,    -1,  1752,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4908,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    98,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4927,   110,  1785,    -1,    -1,  3459,    -1,    -1,    -1,    -1,
    1793,    -1,    -1,    -1,    -1,    -1,    -1,  3560,    -1,    -1,
      -1,  3475,   131,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3488,   144,    -1,  3580,  4965,    -1,
      -1,  4968,  1825,    -1,   153,    -1,    -1,    -1,   157,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4988,  3605,  4990,    -1,   174,    -1,    -1,    -1,    -1,
      -1,   180,    -1,  5000,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   195,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,  3641,    -1,
      -1,    -1,    -1,    -1,    -1,   214,  3560,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5043,   226,    -1,  1902,
      -1,  5048,    -1,    -1,   233,    -1,  3580,    -1,   237,    -1,
      -1,    -1,  5059,    -1,    -1,    -1,    -1,    -1,  1921,    -1,
      -1,  5068,    -1,   252,    -1,    -1,    -1,    -1,  5075,  5076,
      -1,  3605,    -1,  5080,    -1,    -1,  1939,  5084,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5098,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1962,
    5107,    -1,   291,    -1,  1967,    -1,    -1,  3641,    -1,   298,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5139,    -1,    -1,  3758,    -1,    -1,    -1,    -1,
     329,    -1,    -1,   332,    -1,    -1,  5153,    -1,    -1,    -1,
      -1,    -1,    -1,  5160,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2024,    -1,    -1,    -1,    -1,    -1,  2030,    -1,    -1,
    2033,  3184,    -1,  3186,  3187,  3188,    -1,    -1,   367,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   385,    -1,    -1,    -1,
      -1,    -1,   391,    -1,    -1,    -1,    -1,    -1,   397,    -1,
      -1,   400,    -1,    -1,  5221,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5230,  3758,    -1,  3849,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,    -1,   428,
     429,    -1,   431,   432,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   440,    -1,    -1,    -1,    -1,   445,  2120,    -1,    -1,
      -1,    -1,   451,    -1,    -1,   454,    -1,    -1,   457,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   470,    -1,  1302,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2158,  2159,    -1,    -1,    -1,
      -1,    -1,    -1,  2166,    -1,    -1,  2169,    -1,    -1,    -1,
    2173,    -1,    -1,    -1,    -1,  3849,    -1,    -1,  2181,  2182,
      -1,    -1,    -1,    -1,    -1,    -1,  2189,    -1,    -1,  2192,
    2193,  2194,  2195,    -1,    -1,    -1,    -1,    -1,    -1,  2202,
    2203,    -1,  2205,    -1,  2207,  2208,    -1,    -1,  2211,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2227,  2228,  2229,    -1,    -1,    -1,
    2233,    -1,    -1,  3996,  2237,    -1,    -1,    -1,  2241,    -1,
    2243,  2244,  2245,  2246,  2247,  2248,  2249,  2250,  2251,    -1,
    2253,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2263,  2264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4033,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1465,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3996,  2326,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3498,    -1,    -1,  3501,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,  4033,
      -1,     9,    -1,    -1,    -1,    13,    -1,    15,    -1,    17,
      18,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      28,    -1,    -1,  4146,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4157,    -1,  3549,    45,    46,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2423,    -1,    -1,    -1,  2427,  2428,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2441,    -1,
      -1,    -1,    -1,    91,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   101,    -1,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2470,    -1,    -1,
     118,    -1,  4146,    -1,    -1,    -1,    -1,    -1,  2481,    -1,
      -1,    -1,    -1,  4157,    -1,  2488,    -1,    -1,    -1,    -1,
     138,    -1,   140,   141,    -1,    -1,    -1,    -1,   146,    -1,
     148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     158,    -1,   160,    -1,  4277,    -1,  2519,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,   176,    -1,
    2533,   179,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4305,   191,    -1,   193,    -1,  2550,    -1,   197,
      -1,  2554,    -1,    -1,    -1,   203,    -1,    -1,    -1,    -1,
      -1,  4324,    -1,   211,    -1,   213,    -1,    -1,    -1,    -1,
      -1,   219,    -1,  2576,    -1,    -1,    -1,    -1,    -1,    -1,
    1739,    -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4277,    -1,    -1,    -1,    -1,    -1,  4372,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4305,    -1,    -1,  1793,    -1,    -1,    -1,    -1,    -1,
      -1,   289,   290,  3796,  3797,  3798,  3799,   295,    -1,    -1,
    4324,    -1,    -1,    -1,    -1,    -1,   304,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1825,   315,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2678,    -1,  2680,    -1,    -1,
      -1,   208,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   216,
      -1,   218,    -1,    -1,  2697,    -1,    -1,    -1,  4372,    -1,
      -1,    -1,    -1,    -1,    -1,   353,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   365,    -1,    -1,
      -1,    -1,   370,   371,    -1,   373,    -1,    -1,    -1,    -1,
     378,    -1,    -1,    -1,    -1,   383,    -1,    -1,   386,    -1,
      -1,    -1,   390,  1902,    -1,    -1,    -1,   395,   396,    -1,
      -1,    -1,  2755,    -1,    -1,   403,    -1,    -1,   406,    -1,
      -1,    -1,  1921,    -1,    -1,  4528,   414,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,    -1,
    1939,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   443,    -1,   445,    -1,    -1,
    2803,    -1,    -1,    -1,    -1,   453,    -1,    -1,  1967,    -1,
      -1,   459,    -1,    -1,  3967,    -1,   464,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2855,    -1,  4528,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   513,    -1,  2870,    -1,   517,
      -1,  2030,    -1,  2876,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4650,    -1,    -1,
    2893,  2894,    -1,    -1,    -1,    -1,  2899,    -1,    -1,    98,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2924,  2925,    -1,    -1,    -1,  2929,    -1,    -1,    -1,
      -1,    -1,   131,    -1,    -1,    -1,    -1,    -1,  2941,  2942,
    2943,  2944,    -1,    -1,    -1,   144,  2949,    -1,    -1,    -1,
      -1,  2954,  2955,    -1,  2957,    -1,  2959,    -1,   157,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2969,  2970,    -1,    -1,
    2973,    -1,    -1,    -1,    -1,   174,  4650,    -1,    -1,    -1,
      -1,    -1,    -1,  2986,    -1,  2988,    -1,    -1,    -1,  2992,
      -1,    -1,    -1,    -1,    -1,    -1,   195,    -1,    -1,    -1,
      -1,  4764,    -1,    -1,    -1,    -1,    -1,   206,  3011,    -1,
      -1,    -1,    -1,    -1,    -1,   214,    -1,    -1,  3021,    -1,
      -1,  3024,  3025,  3026,  4787,    -1,    -1,   226,    -1,    -1,
      -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,   237,    -1,
      -1,    -1,    -1,    -1,    -1,  3048,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,  3061,    -1,
    4823,    -1,    -1,  3066,    -1,    -1,    -1,    -1,  2227,  3072,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3080,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4764,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   298,
    4863,    -1,    -1,    -1,  4867,  4868,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4787,    -1,  3118,    -1,    -1,  3121,    -1,
    3123,    -1,    -1,    -1,    -1,  3128,    -1,    -1,    -1,    -1,
     329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   340,    -1,    -1,    -1,    -1,    -1,    -1,  3151,  4823,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   358,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3178,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   385,    -1,    -1,  4863,
     389,    -1,   391,  4867,  4868,    -1,    -1,    -1,   397,    -1,
    4353,   400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4367,  3218,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,    -1,   428,
      -1,    -1,    -1,   432,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   440,    -1,  3246,  3247,  3248,   445,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   457,    -1,
      -1,    -1,    -1,    -1,  2423,    -1,    -1,    -1,  2427,  2428,
      -1,   470,    -1,    -1,    -1,    -1,  3279,    -1,  3281,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4466,    -1,    -1,    -1,   844,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   853,    -1,    -1,    -1,
      -1,    -1,    -1,  3336,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3361,    -1,
     887,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2533,    -1,    -1,    -1,    -1,  3382,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3394,  3395,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   944,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   954,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3459,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4620,  4621,  4622,
      -1,    -1,  3475,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3488,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3518,    -1,    -1,    -1,    -1,
      -1,  2680,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1070,    -1,    -1,    -1,    -1,    -1,  1076,
      -1,    -1,    -1,  1080,  3557,    -1,    -1,  3560,    -1,    -1,
      -1,    -1,    -1,    -1,  3567,    -1,    -1,    -1,    -1,    -1,
    3573,    -1,  3575,    -1,    -1,    -1,    -1,  3580,  3581,  1106,
      -1,  3584,  3585,  3586,  3587,  3588,  3589,  3590,  3591,  3592,
    3593,    -1,    -1,    -1,  3597,  3598,  2755,    -1,    -1,    -1,
      -1,    -1,  3605,    -1,    -1,    -1,    -1,  3610,  4761,    -1,
      -1,  3614,    -1,  3616,    -1,  3618,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3628,    -1,    -1,  3631,    -1,
    3633,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3641,  3642,
    3643,  3644,    -1,    -1,    -1,  3648,    -1,    -1,  3651,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3665,    -1,  3667,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3679,    -1,    -1,    -1,
      -1,    -1,  3685,  3686,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4845,    -1,    -1,    -1,  2855,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1242,  1243,    -1,    -1,    -1,
      -1,  4874,    -1,  4876,    -1,    -1,    -1,  3730,    -1,    -1,
      -1,    -1,    -1,  3736,    -1,    -1,    -1,    -1,    -1,  3742,
      -1,  1268,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1279,    -1,    -1,  3758,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3774,    -1,    -1,    -1,  1302,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4988,    -1,    -1,    -1,    -1,
    3843,    -1,    -1,    -1,    -1,  3848,  3849,  3850,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5043,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3929,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1465,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5107,    -1,    -1,    -1,    -1,  3118,
      -1,    -1,  3121,    -1,  3123,    -1,  3969,  1494,    -1,  3128,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3996,    -1,    -1,  1523,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5160,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3178,
      -1,    -1,    -1,    -1,  1551,  1552,    -1,  1554,    -1,    -1,
    4033,  4034,  4035,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1573,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3218,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4096,    -1,    -1,    -1,    -1,    -1,  1626,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3279,    -1,  3281,    -1,    -1,    -1,    -1,    -1,  1655,    -1,
    4133,    -1,  1659,  1660,    -1,    -1,    -1,    -1,    -1,    -1,
    4143,  4144,    -1,  4146,    -1,    -1,    -1,    -1,  4151,  4152,
      -1,    -1,    -1,  4156,  4157,    -1,    -1,    -1,    -1,  4162,
    4163,    -1,    -1,  4166,    -1,    -1,  4169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3336,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4190,    -1,    -1,
      -1,  4194,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3361,  4206,    -1,    -1,    -1,    -1,  4211,    -1,
      -1,    -1,  1739,  4216,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3382,    -1,  1752,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3395,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4259,    -1,  1785,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1793,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4277,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4296,    -1,    -1,    -1,    -1,  1825,    -1,
    3459,    -1,  4305,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3475,    -1,    -1,    -1,
      -1,  4324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3488,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4372,
      -1,    -1,    -1,    -1,    -1,  1902,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1921,    -1,    -1,    -1,    -1,    -1,
      -1,  3560,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1939,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3580,    -1,    -1,    -1,    -1,    -1,    -1,  4431,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4442,
    1967,    -1,    -1,    -1,    -1,    -1,  3605,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3641,    -1,    -1,    -1,    -1,  4490,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2024,    -1,    -1,
      -1,    -1,    -1,  2030,    -1,    -1,  2033,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4524,    -1,    -1,    -1,  4528,    -1,    -1,    -1,    -1,
    4533,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4550,  4551,    -1,
      -1,  4554,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4567,    -1,    -1,    -1,    -1,  4572,
      -1,    -1,    -1,    -1,  4577,    -1,    -1,  4580,    -1,    -1,
      -1,    -1,  4585,  4586,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2120,    -1,    -1,    -1,    -1,    -1,  3758,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4618,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2158,  2159,    -1,    -1,    -1,    -1,    -1,    -1,  2166,
      -1,    -1,  2169,    -1,    -1,    -1,  2173,  4650,    -1,    -1,
      -1,    -1,    -1,    -1,  2181,  2182,    -1,  4660,    -1,    -1,
      -1,    -1,  2189,    -1,    -1,  2192,  2193,  2194,  2195,    -1,
      -1,    -1,    -1,    -1,    -1,  2202,  2203,    -1,  2205,    -1,
    2207,  2208,    -1,    -1,  2211,    -1,    -1,    -1,  4691,    -1,
    3849,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2227,  2228,    -1,  4706,    -1,    -1,  2233,    -1,    -1,    -1,
    2237,    -1,    -1,    -1,  2241,    -1,  2243,  2244,  2245,  2246,
    2247,  2248,  2249,  2250,  2251,    -1,  2253,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2263,  2264,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4762,
      -1,  4764,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4786,  4787,    -1,  4789,    -1,  4791,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2326,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4814,    -1,    -1,    -1,  4818,    -1,    -1,    -1,    -1,
    4823,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3996,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4857,    -1,    -1,    -1,    -1,    -1,
    4863,    -1,    -1,    -1,  4867,  4868,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4033,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2423,    -1,    -1,    -1,
    2427,  2428,    -1,    -1,    -1,  4908,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4927,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2470,  4947,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2481,    -1,    -1,    -1,    -1,    -1,
      -1,  2488,  4965,    -1,    -1,  4968,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4146,    -1,    -1,
      -1,    -1,  2519,    -1,    -1,    -1,    -1,  5000,  4157,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2533,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5048,    -1,    -1,    -1,  2576,
      -1,    -1,    -1,    -1,    -1,    -1,  5059,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5075,  5076,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5098,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4277,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5139,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4305,    -1,    -1,    -1,
    5153,  2678,    -1,  2680,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4324,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5176,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   154,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     163,    -1,    -1,  4372,    -1,    -1,    -1,    -1,  5221,    -1,
      -1,    -1,    -1,  5226,    -1,    -1,    -1,  5230,  2755,    -1,
      -1,  5234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   202,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2803,    -1,    -1,    -1,
      -1,    -1,    -1,   236,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2855,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2870,    -1,    -1,    -1,    -1,    -1,  2876,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2893,  2894,    -1,  4528,
      -1,    -1,  2899,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2924,  2925,    -1,
      -1,    -1,  2929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2941,  2942,  2943,  2944,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2954,    -1,    -1,
    2957,    -1,  2959,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2969,  2970,    -1,    -1,  2973,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2986,
      -1,  2988,    -1,    -1,   417,  2992,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3011,    -1,    -1,    -1,    -1,    -1,
      -1,  4650,    -1,    -1,  3021,    -1,    -1,  3024,  3025,  3026,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3048,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3061,    -1,    -1,    -1,    -1,  3066,
      -1,    -1,    -1,    -1,    -1,  3072,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3080,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3118,    -1,    -1,  3121,    -1,  3123,    -1,    -1,    -1,
      -1,  3128,    -1,    -1,    -1,  4764,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3151,    -1,    -1,    -1,  4787,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4823,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3218,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4863,    -1,    -1,    -1,  4867,  4868,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   682,
     683,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3279,    -1,  3281,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   730,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3336,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3361,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3382,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3395,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   851,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   861,   862,
      -1,   864,    -1,    -1,   867,    -1,   869,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3459,    -1,    -1,   888,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   896,    -1,    -1,    -1,    -1,  3475,    -1,
      -1,    -1,   905,   906,    -1,    -1,    -1,   910,    -1,    -1,
      -1,  3488,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   927,    -1,   929,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3518,   945,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   961,    -1,
      -1,   964,    -1,   966,    -1,   968,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   982,
    3557,    -1,    -1,  3560,    -1,    -1,    -1,    -1,    -1,    -1,
    3567,    -1,    -1,    -1,    -1,    -1,  3573,    -1,  3575,    -1,
      -1,    -1,    -1,  3580,  3581,    -1,    -1,  3584,  3585,  3586,
    3587,  3588,  3589,  3590,  3591,  3592,  3593,    -1,    -1,    -1,
    3597,  3598,    -1,    -1,    -1,    -1,    -1,    -1,  3605,    -1,
      -1,    -1,    -1,  3610,  1037,    -1,  1039,  3614,    -1,    -1,
      -1,  3618,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3628,    -1,    -1,  3631,    -1,  3633,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3641,  3642,  3643,  3644,    -1,  1072,
      -1,  3648,    -1,    -1,  3651,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3665,    -1,
    3667,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3679,    -1,    -1,  1108,    -1,    -1,  3685,  3686,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3730,    -1,    -1,    -1,    -1,    -1,  3736,
      -1,    -1,    -1,    -1,    -1,  3742,    -1,    -1,    -1,    -1,
       5,    -1,    -1,    -1,    -1,    -1,  1179,    -1,  1181,    -1,
      -1,  3758,  1185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      25,    -1,    -1,    -1,    -1,    -1,    -1,  3774,    -1,    -1,
      35,    36,  1205,    -1,    -1,    -1,    -1,    -1,    43,    44,
      -1,    -1,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    86,    -1,  1256,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1272,
      -1,    -1,  3849,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1285,    -1,    -1,    -1,    -1,    -1,    -1,  1292,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   134,
      -1,  1304,    -1,    -1,  1307,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1340,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   222,    -1,    -1,
      -1,    -1,  3969,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1302,    -1,    -1,    -1,    -1,   242,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3996,
      -1,    -1,    -1,    89,    -1,    -1,    -1,    -1,    94,   264,
      96,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4033,  4034,  4035,    -1,
      -1,    -1,    -1,    -1,    -1,   300,   132,    -1,   303,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,    -1,    -1,
      -1,    -1,    -1,   318,    -1,    -1,    -1,   153,   154,    -1,
      -1,   157,    -1,    -1,    -1,    -1,    -1,   163,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4096,
      -1,   187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   202,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4133,    -1,    -1,   394,
      -1,    -1,    -1,    -1,    -1,  1465,  4143,  4144,    -1,  4146,
      -1,    -1,    -1,    -1,  4151,  4152,    -1,    -1,    -1,  4156,
    4157,    -1,    -1,    -1,    -1,  4162,  4163,    -1,    -1,  4166,
      -1,    -1,  4169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4190,    -1,   450,    -1,  4194,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4206,
     465,    -1,    -1,    -1,  4211,    -1,    -1,    -1,    -1,  4216,
      -1,    -1,  1645,  1646,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,    -1,
      -1,    -1,    -1,    -1,    -1,   500,    -1,    -1,    -1,   504,
     505,   506,   507,   508,    -1,    -1,   511,   512,   513,    -1,
      -1,    -1,  4259,   518,   519,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4277,  1704,    -1,    -1,  1707,    -1,  1302,    -1,    -1,    -1,
      -1,    -1,  1715,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4305,    -1,
    1733,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4324,    -1,    -1,
      -1,   417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1771,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4372,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1739,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4431,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4442,    -1,    -1,    -1,  1465,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1793,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4490,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1825,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4524,    -1,    -1,
      -1,  4528,    -1,    -1,    -1,    -1,  4533,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1971,    -1,
     636,    -1,    -1,  4550,  4551,    -1,    -1,  4554,    -1,    -1,
      -1,    -1,    -1,  1986,    -1,    -1,    -1,    -1,    -1,    -1,
    4567,    -1,    -1,    -1,    -1,  4572,    -1,    -1,    -1,    -1,
    4577,    -1,  1902,  4580,    -1,    -1,    -1,    -1,  4585,  4586,
      -1,    -1,    -1,    -1,    -1,    -1,   682,   683,    -1,    -1,
      -1,  1921,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2032,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1939,
      -1,  4618,    -1,    -1,  2047,    -1,  2049,    -1,  2051,    -1,
      -1,    -1,    -1,  2056,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   730,    -1,    -1,  1967,    -1,    -1,
      -1,    -1,    -1,  4650,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4660,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2117,    -1,    -1,    -1,  2121,    -1,
    2123,    -1,    -1,  2126,    -1,    -1,    -1,    -1,    -1,  4706,
    2030,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1739,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4762,    -1,  4764,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1793,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4786,
    4787,    -1,  4789,    -1,  4791,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1825,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4814,    -1,    -1,
      -1,  4818,    -1,    -1,    -1,    -1,  4823,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     926,   927,    -1,   929,  2267,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4863,    -1,    -1,    -1,
    4867,  4868,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1902,    -1,    -1,    -1,
      -1,    -1,   978,    -1,    -1,   981,   982,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1921,    -1,  2227,    -1,    -1,
     996,  4908,   998,    -1,  1000,    -1,    -1,    -1,    -1,    -1,
    1006,    -1,    -1,  1939,  1010,    -1,    -1,    -1,    -1,    -1,
    4927,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1029,  1030,    -1,    -1,    -1,    -1,    -1,
    4947,  1967,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4965,    -1,
      -1,  4968,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2408,  1072,    -1,  1074,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5000,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2030,  2438,  2439,    -1,    -1,    -1,
    2443,  2444,    -1,    -1,  2447,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2457,    -1,    -1,    -1,    -1,    -1,
      -1,  2464,    -1,    -1,    -1,  2468,  2469,    -1,    -1,  2472,
    2473,  5048,    -1,    -1,    -1,    -1,  2479,    -1,    -1,    -1,
      -1,    -1,  5059,    -1,    -1,    -1,  1152,    -1,  2491,    -1,
    2493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5075,  5076,
    1166,  1167,    -1,    -1,  1170,    -1,  2509,    -1,    -1,    -1,
      -1,  2514,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5098,    -1,  2423,  2527,    -1,    -1,  2427,  2428,    -1,
      -1,    -1,  2535,    -1,  2537,  2538,  2539,  2540,    -1,    -1,
      -1,  2544,  2545,    -1,    -1,    -1,    -1,    -1,    -1,  2552,
      -1,  1217,    -1,  2556,    -1,    -1,    -1,  2560,    -1,    -1,
      -1,    -1,  5139,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5153,    -1,    -1,    -1,
    2583,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2594,    -1,  2596,    -1,    -1,    -1,    -1,  2601,    -1,
      -1,    -1,  2605,    -1,  2607,  2608,  2609,  2610,    -1,  2612,
      -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2625,  2626,  2627,    -1,    -1,    -1,    -1,    -1,
      -1,  2227,    25,  2533,    -1,  2638,  2639,    -1,    -1,    -1,
      -1,    -1,    35,    36,  5221,    -1,    -1,    -1,    -1,    -1,
      43,    44,    -1,  5230,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    86,    -1,  2698,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1416,    -1,    -1,    -1,    -1,  1421,    -1,  1423,    -1,    -1,
    1426,    -1,  1428,    -1,    -1,  1431,  1432,  1433,    -1,    -1,
      -1,  1437,    -1,    -1,    -1,    -1,    -1,    -1,  1444,    -1,
    2680,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1457,    -1,  1459,    -1,    -1,    -1,    -1,  1464,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   204,    -1,    -1,    -1,    -1,    -1,  2820,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2423,    -1,   222,
    2833,  2427,  2428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   242,
      -1,    -1,    -1,    -1,    -1,  2755,    -1,    -1,  2861,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   300,    -1,    -1,
     303,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1585,
      -1,    -1,    -1,    -1,    -1,   318,    -1,    -1,  1594,  1595,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2533,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1611,    -1,    -1,    -1,    -1,
    1616,  1617,    -1,    -1,    -1,  2855,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1699,    -1,  1701,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   436,    -1,  1711,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3059,   450,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2680,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     493,    -1,    -1,    -1,    -1,    -1,    -1,   500,    -1,  1775,
      -1,   504,   505,   506,   507,   508,    -1,  1783,   511,   512,
     513,   514,    -1,    -1,    -1,   518,    -1,    -1,  3131,  3132,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3148,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2755,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3173,  1837,    -1,    -1,  1840,  1841,    -1,    -1,    -1,  3182,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3197,  3198,    -1,    -1,    -1,  3202,
      -1,    -1,    -1,    -1,  3207,  3208,  3209,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3118,    -1,
      -1,  3121,    -1,  3123,    -1,    -1,    -1,    -1,  3128,    -1,
      -1,    -1,    -1,    -1,  3237,  3238,  3239,  3240,    -1,    -1,
      -1,    -1,  1908,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2855,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3271,    -1,
    3273,  3274,  3275,    -1,    -1,    -1,    -1,    -1,  3178,    -1,
    3283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3218,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3348,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3356,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3279,
      -1,  3281,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3410,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2089,    -1,  2091,    -1,    -1,    -1,  2095,
      -1,  2097,    -1,    -1,  2100,    -1,  3336,    -1,  2104,    -1,
      -1,    -1,    -1,  2109,    -1,    -1,    -1,    -1,    -1,  3452,
      -1,    -1,  3455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3382,  3486,    -1,    -1,  3489,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3395,    -1,    -1,    -1,    -1,
    3503,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3516,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3118,    -1,    -1,  3121,    -1,  3123,    -1,    -1,
      -1,    -1,  3128,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   844,    -1,    -1,    -1,    -1,    -1,  3459,
      -1,    -1,   853,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3475,    -1,    -1,    -1,    -1,
      -1,    -1,  3178,    -1,    -1,    -1,    -1,    -1,  3488,    -1,
      -1,    -1,    -1,    -1,  2260,    -1,   887,    -1,    -1,    -1,
      -1,  2267,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2276,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3218,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   944,    -1,    -1,    -1,    -1,    -1,    -1,
    3560,    -1,    -1,   954,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2340,    -1,    -1,    -1,    -1,    -1,
    3580,    -1,    -1,  3279,    -1,  3281,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3605,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2393,    -1,    -1,
      -1,  2397,    -1,    -1,    -1,    -1,    -1,  2403,    -1,  2405,
    3336,  3641,  2408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3361,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3781,  1070,
    3783,    -1,    -1,    -1,    -1,    -1,  3382,  3790,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3395,
      -1,    -1,    -1,  3806,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1106,    -1,    -1,  3821,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3831,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3846,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3758,    -1,
      -1,    -1,    -1,  3459,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3879,  3880,  3881,  3475,
      -1,  3884,  3885,  3886,  3887,  3888,    -1,    -1,    -1,    -1,
    3893,  3894,  3488,  3896,  3897,  3898,  3899,  3900,  3901,  3902,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3911,    -1,
    3913,  3914,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2587,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2595,
      -1,  2597,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3849,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3963,  3964,  3965,    -1,  3560,  3968,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1268,    -1,    -1,
      -1,    -1,    -1,  1070,  3580,    -1,    -1,    -1,  1279,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3605,
      -1,  1302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1106,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3641,    -1,  4050,  1339,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4070,  4071,  4072,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3996,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1408,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4033,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2820,  2821,    -1,    -1,    -1,    -1,
      -1,    -1,  3758,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2837,    -1,    -1,  1465,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1494,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1523,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4146,    -1,    -1,    -1,
      -1,    -1,    -1,  3849,    -1,    -1,    -1,  4157,    -1,    -1,
    1551,  1552,    -1,  1554,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1573,    -1,    -1,  4288,  4289,  4290,  4291,    -1,
      -1,  4294,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4315,  4316,  4317,  4318,    -1,  4320,  4321,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4332,
    4333,    -1,    -1,    -1,    -1,  1626,    -1,    -1,    -1,    -1,
      -1,    -1,  4345,    -1,    -1,    -1,    -1,    -1,  4351,  4352,
      -1,  4354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1655,    -1,    -1,    -1,  1659,  1660,
      -1,    -1,    -1,  3039,    -1,    -1,    -1,  4277,  3044,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3996,    -1,    -1,    -1,    -1,  4305,    -1,  1494,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4324,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1523,  4033,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4449,    -1,  1739,    -1,
      -1,    -1,    -1,    -1,    -1,  4458,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1551,  1552,    -1,  1554,    -1,    -1,
      -1,    -1,  4372,    -1,    -1,    -1,  4479,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1573,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4503,    -1,  1793,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1825,    -1,    -1,    -1,    -1,  1626,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4157,    -1,    -1,    -1,    -1,    -1,  4570,  1655,    -1,
      -1,    -1,  1659,  1660,    -1,    -1,    -1,    -1,    -1,    -1,
    4583,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1902,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4528,    -1,
    1921,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1939,  4652,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4672,
      -1,    -1,    -1,    -1,    -1,    -1,  1967,    -1,    -1,    -1,
      -1,  4277,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4305,
      -1,    -1,    -1,    -1,    -1,    -1,  3382,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4324,  3395,
      -1,    -1,    -1,  2024,    -1,    -1,    -1,    -1,    -1,  2030,
      -1,    -1,  2033,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4650,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4770,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4372,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4811,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4821,    -1,
    3486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2120,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4853,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4862,
      -1,    -1,    -1,    -1,  4764,    -1,    -1,  2158,  2159,    -1,
      -1,    -1,    -1,    -1,  4877,  2166,    -1,    -1,  2169,    -1,
      -1,  3547,  2173,    -1,    -1,    -1,    -1,  4787,    -1,    -1,
    2181,  2182,    -1,    -1,    -1,    -1,    -1,    -1,  2189,    -1,
      -1,  2192,  2193,  2194,  2195,    -1,    -1,    -1,    -1,    -1,
      -1,  2202,  2203,    -1,  2205,    -1,  2207,  2208,    -1,    -1,
    2211,    -1,    -1,  4823,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4528,    -1,    -1,    -1,  2227,  2228,    -1,    -1,
      -1,    -1,  2233,    -1,    -1,    -1,  2237,    -1,  4951,    -1,
    2241,    -1,  2243,  2244,  2245,  2246,  2247,  2248,  2249,  2250,
    2251,    -1,  2253,  4863,    -1,    -1,    -1,  4867,  4868,    -1,
      -1,  4974,  2263,  2264,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4998,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5012,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5037,  2326,    -1,    -1,    -1,  5042,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4650,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2166,
      -1,  3747,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5097,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2189,    -1,    -1,  2192,    -1,  1302,  2195,    -1,
      -1,    -1,    -1,    -1,    -1,  2202,  2203,    -1,    -1,    -1,
      -1,  2208,    -1,    -1,  2211,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2423,    -1,    -1,    -1,  2427,  2428,    -1,    -1,
      -1,  2228,    -1,    -1,    -1,    -1,  2233,    -1,    -1,    -1,
    2237,    -1,    -1,    -1,  2241,    -1,  2243,  2244,  2245,  2246,
    2247,  2248,  2249,  2250,  2251,    -1,  2253,    -1,  4764,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2263,  2264,    -1,  2470,
      -1,    -1,    -1,  3849,    -1,    -1,    -1,    -1,    -1,    -1,
    2481,  4787,    -1,    -1,    -1,    -1,    -1,  2488,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3872,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4823,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2326,
      -1,    -1,  2533,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4863,    -1,    -1,
    1465,  4867,  4868,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    35,    36,    -1,    -1,    -1,    -1,    -1,    -1,    43,
      44,  1567,    -1,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2470,    -1,    -1,    -1,  2678,    -1,  2680,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1641,    -1,    -1,    -1,  4075,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2755,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   222,    -1,
      -1,    -1,  2803,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   242,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1739,    -1,    -1,    -1,    -1,    -1,
     264,    -1,    -1,    -1,  4220,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2855,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2870,
      -1,    -1,    -1,    -1,  4250,  2876,   300,    -1,    -1,   303,
      -1,  2678,    -1,    -1,    -1,    -1,    -1,    -1,  1793,    -1,
      -1,    -1,  2893,  2894,   318,    -1,    -1,    -1,  2899,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1825,    -1,    -1,  2924,  2925,    -1,  4302,    -1,  2929,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2941,  2942,  2943,  2944,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2954,    -1,    -1,  2957,    -1,  2959,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2969,  2970,
     394,    -1,  2973,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2986,    -1,  2988,    -1,    -1,
      -1,  2992,    -1,    -1,    -1,    -1,    -1,  1902,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2803,    -1,    -1,    -1,
    3011,  4387,   436,    -1,    -1,    -1,  1921,    -1,    -1,    -1,
    3021,    -1,    -1,  3024,  3025,  3026,   450,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1939,    -1,    -1,    -1,    -1,  4415,
      -1,   465,    -1,    -1,    -1,    -1,    -1,  3048,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3061,    -1,  1967,    -1,    -1,  3066,    -1,    -1,    -1,   493,
      -1,  3072,    -1,    -1,    -1,    -1,   500,    -1,    -1,  3080,
     504,   505,   506,   507,   508,    -1,    -1,   511,   512,   513,
     514,    -1,    -1,    -1,   518,    -1,    -1,  2894,    -1,    -1,
      -1,    -1,  2899,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3118,    -1,    -1,
    3121,    -1,  3123,    -1,    -1,  2030,  2072,  3128,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2941,    -1,  2943,  2944,    -1,    -1,
    3151,    -1,    -1,    -1,    -1,    -1,    -1,  2954,    -1,    -1,
    2957,    -1,  2959,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3178,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2986,
      -1,  2988,    -1,    -1,    -1,  2992,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3218,  2164,    -1,
      -1,    -1,    -1,    -1,    -1,  4601,    -1,  3024,  3025,  3026,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2188,    -1,    -1,    -1,    -1,  2193,    -1,    -1,
      -1,  3048,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3061,    -1,    -1,  2213,  2214,  3066,
      -1,  2217,    -1,    -1,  4650,  3072,    -1,    -1,  3279,    -1,
    3281,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2259,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3336,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3151,    -1,    -1,    -1,    -1,    -1,
    3361,    -1,    -1,    -1,    -1,    -1,    -1,  2313,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,    -1,
      -1,  3382,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2336,    -1,    -1,    -1,  3395,    -1,    -1,    -1,    25,    -1,
      -1,    -1,  2348,    -1,    -1,  2351,    -1,    -1,    35,    36,
      -1,    -1,    -1,    -1,    -1,    -1,    43,    44,    -1,    -1,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    -1,  3459,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3475,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3488,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   134,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3518,  2423,    -1,
      -1,    -1,  2427,  2428,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3557,    -1,    -1,  3560,
      -1,    -1,    -1,    -1,    -1,    -1,  3567,    -1,    -1,    -1,
      -1,    -1,  3573,    -1,  3575,    -1,    -1,   204,  4954,  3580,
    3581,    -1,    -1,  3584,  3585,  3586,  3587,  3588,  3589,  3590,
    3591,  3592,  3593,    -1,    -1,   222,  3597,  3598,    -1,    -1,
      -1,    -1,    -1,    -1,  3605,    -1,    -1,    -1,    -1,  3610,
      -1,    -1,    -1,  3614,    -1,   242,    -1,  3618,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3628,  2533,    -1,
    3631,    -1,  3633,    -1,    -1,    -1,    -1,   264,    -1,    -1,
    3641,  3642,  3643,  3644,    -1,    -1,    -1,  3648,    -1,    -1,
    3651,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3665,    -1,  3667,    -1,    -1,    -1,
      -1,    -1,    -1,   300,    -1,    -1,   303,    -1,  3679,    -1,
      -1,    -1,    -1,    -1,  3685,  3686,    -1,    -1,    -1,    -1,
      -1,   318,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3730,
      -1,    -1,    -1,    -1,    -1,  3736,    -1,    -1,    -1,    -1,
      -1,  3742,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3758,    -1,    -1,
    3557,    -1,    -1,    -1,    -1,    -1,    -1,   394,    -1,    -1,
    3567,    -1,    -1,  3774,    -1,  2680,  3573,    -1,  3575,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3597,  3598,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3618,    -1,   450,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3628,    -1,    -1,  3631,    -1,  3633,    -1,   465,    -1,
      -1,    -1,    -1,    -1,    -1,  3642,    -1,    -1,  3849,    -1,
    2755,  3648,    -1,    -1,  3651,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   493,    -1,    -1,    -1,
      -1,    -1,    -1,   500,    -1,    -1,    -1,   504,   505,   506,
     507,   508,  3679,    -1,   511,   512,   513,    -1,  3685,  3686,
      -1,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3730,    -1,    -1,    -1,    -1,    -1,  3736,
      -1,    -1,    -1,    -1,    -1,  3742,    -1,    -1,    -1,    -1,
    2855,  2897,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3969,    -1,
      -1,    -1,    -1,    -1,  2920,    -1,  2922,    -1,  2924,  2925,
    2926,    -1,    -1,  2929,    -1,    -1,    -1,  2933,    -1,    -1,
      -1,    -1,    -1,    -1,  2940,  3996,    -1,    -1,    -1,  2945,
      -1,    -1,    -1,    -1,    -1,  2951,    -1,    -1,    -1,    -1,
    2956,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2965,
      -1,    -1,    -1,  2969,  2970,    -1,  2972,    -1,    -1,    -1,
      -1,    -1,  4033,  4034,  4035,    -1,    -1,    -1,  2984,    -1,
      -1,    -1,    -1,    -1,    -1,  2991,    -1,  2993,  2994,  2995,
    2996,  2997,  2998,  2999,  3000,  3001,  3002,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3030,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4096,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4133,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4143,  4144,    -1,  4146,    -1,    -1,    -1,    -1,
    4151,  4152,    -1,    -1,    -1,  4156,  4157,    -1,    -1,    -1,
      -1,  4162,  4163,    -1,    -1,  4166,    -1,    -1,  4169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4190,
      -1,    -1,    -1,  4194,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4206,    -1,    -1,    -1,    -1,
    4211,    -1,    -1,  3118,    -1,  4216,  3121,    -1,  3123,    -1,
    3166,    -1,    -1,  3128,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4034,  4035,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4259,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3178,    -1,    -1,  4277,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4096,
      -1,    -1,    -1,    -1,  4305,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3218,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4324,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4143,  4144,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4156,
      -1,    -1,    -1,    -1,    -1,  4162,  4163,    -1,    -1,  4166,
      -1,  4372,  4169,    -1,  3279,    -1,  3281,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4206,
      -1,    -1,    -1,    -1,  4211,    -1,    -1,    -1,    -1,  4216,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4431,  3336,    -1,    -1,    -1,    -1,    -1,  3383,    -1,    -1,
      -1,  4442,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3361,    -1,    -1,    -1,
      -1,    -1,  4259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3382,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4490,
    3395,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4524,    -1,    -1,    -1,  4528,    -1,    -1,
      -1,    -1,  4533,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4550,
    4551,    -1,    -1,  4554,  3459,    -1,    -1,    -1,    -1,    -1,
      -1,  3507,    -1,    -1,    -1,    -1,  4567,    -1,    -1,    -1,
    3475,  4572,    -1,    -1,    -1,    -1,  4577,    -1,    -1,  4580,
      -1,    -1,    -1,  3488,  4585,  4586,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3556,    -1,    -1,    -1,    -1,    -1,  3562,  4618,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3578,  3579,  4431,  3581,    -1,    -1,  3584,  3585,
    3586,  3587,  3588,  3589,  3590,  3591,  3592,  3593,  3594,  4650,
      -1,    -1,    -1,    -1,    -1,  3560,    -1,    -1,    -1,  4660,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3619,    -1,  3580,  3622,    -1,  3624,    -1,
      -1,    -1,    -1,  3629,  3630,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3643,  3644,  3645,
    3605,  3647,    -1,    -1,  3650,  4706,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3641,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4554,    -1,    -1,
      -1,  4762,    -1,  4764,    -1,    -1,    -1,  3713,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3725,
      -1,    -1,    -1,    -1,    -1,  4786,  4787,    -1,  4789,  4586,
    4791,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4814,    -1,    -1,    -1,  4818,    -1,    -1,
      -1,    -1,  4823,    -1,    -1,  3771,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3758,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4863,    -1,    -1,    -1,  4867,  4868,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4908,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4927,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3849,    -1,  4947,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4965,    -1,    -1,  4968,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4789,    -1,    -1,    -1,    -1,    -1,    -1,  5000,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4814,    -1,    -1,
      -1,    -1,    -1,  3969,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5048,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5059,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5075,  5076,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3996,    -1,    -1,    -1,    -1,    -1,  5098,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4033,    -1,
    4927,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5139,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4097,  5153,    -1,    -1,  4101,  4102,  4103,    -1,    -1,
    4106,    -1,    -1,    -1,    -1,  4111,  4112,  4113,  4114,  4115,
    4116,  4117,  4118,  4119,  4120,  4121,  4122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5000,  4150,  4151,  4152,  4153,    -1,  4155,
      -1,    -1,    -1,  4159,  4160,  4161,    -1,    -1,  4164,    -1,
    5221,  4167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5230,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4157,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4208,    -1,    -1,    -1,    -1,    -1,    -1,  4215,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5075,  5076,
      -1,    -1,    -1,    -1,  4230,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5139,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5153,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4277,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4305,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4324,
      -1,    -1,    -1,    -1,  5221,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4372,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4434,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4487,  4488,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4520,    -1,    -1,    -1,  4524,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4538,    -1,  4540,    -1,    -1,    -1,    -1,  4545,
    4546,  4547,    -1,    -1,  4550,  4551,  4552,  4553,    -1,  4555,
      -1,    -1,  4558,    -1,     6,     7,     8,    -1,    10,    11,
      12,    -1,    -1,  4528,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,
      32,    33,    34,    -1,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    -1,    -1,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
    4616,    -1,    -1,    65,    -1,    67,    -1,    69,    -1,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,
     122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   135,    -1,  4650,    -1,    -1,    -1,    -1,
     142,    -1,   144,    -1,    -1,    -1,    -1,    -1,   150,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,
      -1,    -1,    -1,  4719,    -1,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     212,    -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,    -1,
     222,    -1,    -1,    -1,    -1,    -1,   228,    -1,   230,  4785,
    4786,    -1,    -1,    -1,   236,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   245,    -1,  4801,  4802,  4803,    -1,  4764,
      -1,    -1,    -1,    -1,    -1,    -1,   258,   259,    -1,    -1,
      -1,    -1,    -1,   265,    -1,   267,    -1,    -1,   270,   271,
    4826,   273,  4787,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   284,   285,    -1,   287,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   307,   308,   309,  4823,    -1,
     312,    -1,    -1,    -1,   316,    -1,    -1,   319,    -1,   321,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   335,   336,    -1,   338,   339,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   349,  4863,   351,
      -1,    -1,  4867,  4868,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   384,    -1,    -1,   387,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4957,   404,    -1,    -1,   407,    -1,   409,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4973,    -1,    -1,
     422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   434,   435,    -1,    -1,    -1,   439,    -1,   441,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   465,    -1,    -1,   468,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   484,   485,   486,   487,   488,   489,   490,   491,
     492,  5047,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   520,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5096,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,  5142,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,  5198,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,     3,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,   519,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   101,    -1,   103,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,    -1,   115,    -1,    -1,   118,   119,
     120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,   138,    -1,
     140,   141,   142,    -1,   144,    -1,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   158,    -1,
     160,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,    -1,    -1,    -1,   174,    -1,   176,   177,   178,   179,
      -1,    -1,    -1,    -1,    -1,   185,    -1,    -1,    -1,    -1,
      -1,   191,    -1,   193,    -1,    -1,    -1,   197,    -1,    -1,
      -1,    -1,    -1,   203,   204,    -1,    -1,    -1,    -1,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,    -1,    -1,   219,
      -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,   228,    -1,
     230,    -1,    -1,    -1,   234,    -1,   236,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   258,   259,
      -1,    -1,   262,    -1,    -1,   265,    -1,   267,    -1,    -1,
     270,   271,    -1,   273,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   284,   285,    -1,   287,    -1,   289,
     290,    -1,    -1,    -1,    -1,   295,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   304,    -1,    -1,   307,   308,   309,
      -1,    -1,   312,    -1,    -1,   315,   316,    -1,    -1,   319,
      -1,   321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   335,   336,    -1,   338,   339,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   349,
      -1,   351,    -1,   353,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   364,   365,    -1,    -1,    -1,    -1,
     370,   371,    -1,   373,    -1,    -1,    -1,    -1,   378,    -1,
      -1,    -1,    -1,   383,   384,    -1,   386,   387,    -1,    -1,
     390,    -1,    -1,    -1,    -1,   395,   396,    -1,    -1,    -1,
      -1,    -1,    -1,   403,   404,    -1,   406,   407,    -1,   409,
      -1,    -1,    -1,    -1,   414,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   422,    -1,    -1,    -1,   426,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   434,   435,    -1,    -1,    -1,   439,
      -1,   441,    -1,   443,    -1,   445,    -1,    -1,    -1,    -1,
     450,    -1,    -1,   453,    -1,    -1,   456,    -1,    -1,   459,
      -1,    -1,    -1,    -1,   464,   465,    -1,    -1,   468,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,    -1,    -1,
      -1,    -1,    -1,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    -1,     6,     7,     8,    -1,    10,    11,
      12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,   513,    26,    27,    -1,   517,    -1,    31,
      32,    33,    34,    -1,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    -1,    -1,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    -1,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,
     122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,
     142,    -1,   144,    -1,    -1,    -1,    -1,    -1,   150,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,
      -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     212,    -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,    -1,
     222,    -1,    -1,    -1,    -1,    -1,   228,    -1,   230,    -1,
      -1,    -1,    -1,    -1,   236,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   245,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   258,   259,    -1,    -1,
      -1,    -1,    -1,   265,    -1,   267,    -1,    -1,   270,   271,
      -1,   273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   284,   285,    -1,   287,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   307,   308,   309,    -1,    -1,
     312,    -1,    -1,    -1,   316,    -1,    -1,   319,    -1,   321,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   335,   336,    -1,   338,   339,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   349,    -1,   351,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   384,    -1,    -1,   387,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   404,    -1,    -1,   407,    -1,   409,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   434,   435,    -1,    -1,    -1,   439,    -1,   441,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   465,    -1,    -1,   468,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,   520,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,   455,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   504,   505,   506,    -1,    -1,    -1,    -1,    -1,
      -1,   513,   514,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,   455,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   504,   505,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   513,   514,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
      -1,   213,   214,   215,    -1,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,    -1,    -1,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,    -1,   314,   315,   316,   317,    -1,    -1,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,    -1,   350,    -1,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,    -1,   440,    -1,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   514,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,    -1,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,    -1,   213,   214,   215,
      -1,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
      -1,    -1,   238,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,    -1,   314,   315,
     316,   317,    -1,    -1,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,    -1,   350,    -1,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,    -1,   440,    -1,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,   494,   495,
      -1,    -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   514,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,   229,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,   455,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   504,   505,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   513,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,   426,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
     451,   452,   453,   454,   455,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   504,   505,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   513,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,   455,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   504,   505,    -1,    -1,    -1,    -1,    -1,   511,
     512,   513,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,   451,   452,
     453,   454,   455,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   504,   505,   506,    -1,    -1,    -1,    -1,    -1,    -1,
     513,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,   455,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     504,   505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,   242,   243,   244,
     245,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,   451,   452,   453,   454,
     455,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,
     505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,   229,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,   455,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,   451,   452,   453,   454,   455,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   513,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,   455,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   504,   505,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   513,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,    -1,   451,   452,   453,   454,   455,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   504,   505,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   513,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,   455,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   504,   505,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   513,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
     451,   452,   453,   454,   455,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   504,   505,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   513,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,   455,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   504,   505,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   513,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,   451,   452,
     453,   454,   455,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   504,   505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     513,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     504,   505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,   451,   452,   453,   454,
     455,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,
     505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    -1,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   513,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   513,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,    -1,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,   455,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,    -1,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   513,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,   426,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   513,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     513,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   513,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     513,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   513,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,   108,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,    -1,    -1,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,   285,   286,    -1,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,    -1,   337,    -1,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,    -1,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,    -1,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   514,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,    86,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,   512,   513,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   513,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,   426,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   513,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,   426,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   513,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   513,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   513,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   513,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   513,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,    -1,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,    -1,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,    -1,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,    -1,
     437,   438,    -1,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   493,   494,   495,    -1,
      -1,    -1,    -1,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,
      -1,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,    -1,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,    -1,   337,    -1,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,    -1,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,    -1,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,    -1,
      -1,    -1,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,    -1,
     259,    -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,    -1,    -1,   272,    -1,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,    -1,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,    -1,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,    -1,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,    -1,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,    -1,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
      -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,    -1,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,    -1,   337,    -1,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,    -1,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,    -1,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,    -1,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,    -1,    -1,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,    -1,   259,    -1,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,
      -1,   272,    -1,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,    -1,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,    -1,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,    -1,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,    -1,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,
      -1,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,    -1,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,    -1,   337,    -1,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,    -1,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,    -1,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,    -1,
      -1,    -1,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,    -1,
     259,    -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,    -1,    -1,   272,    -1,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,    -1,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,    -1,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,    -1,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,    -1,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,    -1,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,   506,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
      -1,   213,   214,   215,    -1,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,    -1,    -1,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,    -1,   314,   315,   316,   317,    -1,    -1,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,    -1,   350,    -1,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,    -1,   440,    -1,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   493,   494,   495,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,   506,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,   506,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
      -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
      -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,    -1,   286,    -1,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,    -1,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
      -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,   506,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,   229,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,   229,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,   229,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,   229,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
     436,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,     4,   500,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,    -1,   259,    -1,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,
      -1,   272,    -1,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,    -1,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,    -1,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,    -1,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,    -1,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,   242,   243,   244,
     245,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,    -1,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,    -1,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,    -1,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,    -1,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,    -1,
     213,   214,   215,    -1,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,    -1,    -1,   238,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
      -1,   314,   315,   316,   317,    -1,    -1,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,    -1,   350,    -1,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,    -1,   440,    -1,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     493,   494,   495,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
      -1,   213,   214,   215,    -1,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,    -1,    -1,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,    -1,    -1,   261,
     262,   263,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,    -1,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,    -1,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,    -1,   350,    -1,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,   426,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,    -1,   440,    -1,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   493,   494,   495,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,    -1,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,    -1,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,    -1,   213,   214,   215,    -1,    -1,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,   235,    -1,    -1,   238,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,    -1,    -1,
     261,   262,   263,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,   285,   286,   287,    -1,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,    -1,    -1,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,    -1,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,    -1,   350,
      -1,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,    -1,   440,
      -1,    -1,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,    -1,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   493,   494,   495,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,    -1,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,    -1,   213,   214,   215,    -1,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,    -1,    -1,   238,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,    -1,
      -1,   261,   262,   263,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,   285,   286,   287,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,    -1,    -1,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,    -1,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,    -1,
     350,    -1,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,    -1,
     440,    -1,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   493,   494,   495,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
      -1,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,    -1,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,    -1,   213,   214,   215,    -1,    -1,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,   235,    -1,    -1,   238,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
      -1,    -1,   261,   262,   263,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,    -1,   314,   315,   316,   317,    -1,
      -1,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,    -1,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
      -1,   350,    -1,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
      -1,   440,    -1,    -1,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   493,   494,   495,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,    -1,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,    -1,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,    -1,   213,   214,   215,    -1,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,    -1,    -1,
     238,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,    -1,    -1,   261,   262,   263,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,    -1,   314,   315,   316,   317,
      -1,    -1,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,    -1,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,    -1,   350,    -1,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,    -1,   440,    -1,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   493,   494,   495,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,    -1,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,    -1,   213,   214,   215,    -1,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,   235,    -1,
      -1,   238,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,    -1,    -1,   261,   262,   263,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,    -1,   314,   315,   316,
     317,    -1,    -1,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,    -1,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,    -1,   350,    -1,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,    -1,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,    -1,   440,    -1,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   493,   494,   495,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,    -1,    -1,   121,    -1,    -1,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,    -1,
     136,    -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,    -1,    -1,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,    -1,   213,   214,   215,
      -1,    -1,   218,    -1,   220,   221,    -1,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
      -1,    -1,   238,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,    -1,    -1,   261,   262,   263,    -1,    -1,
      -1,    -1,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,    -1,   310,   311,    -1,    -1,   314,   315,
     316,   317,    -1,    -1,   320,    -1,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,    -1,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,    -1,   350,    -1,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,    -1,   405,
     406,   407,   408,    -1,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,    -1,
      -1,    -1,   438,    -1,   440,    -1,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,    -1,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,    -1,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,    -1,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    -1,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,    -1,    -1,   145,
     146,   147,   148,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
     226,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
     226,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,   160,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,   234,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,   160,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,   234,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
     226,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,   163,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,   160,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
     226,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
     426,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,   160,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
     426,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    74,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,   108,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,   108,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,   458,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,   108,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,
      -1,    -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,
      -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,   144,    -1,
      -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   177,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,
     216,    -1,    -1,    -1,    -1,    -1,   222,    -1,    -1,    -1,
      -1,    -1,   228,    -1,   230,    -1,    -1,    -1,    -1,    -1,
     236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   258,   259,    -1,    -1,    -1,    -1,    -1,   265,
      -1,   267,    -1,    -1,   270,   271,    -1,   273,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,   285,
      -1,   287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   307,   308,   309,    -1,    -1,   312,    -1,    -1,    -1,
     316,    -1,    -1,   319,    -1,   321,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   335,
     336,    -1,   338,   339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   349,    -1,   351,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   364,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   384,    -1,
      -1,   387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,
      -1,   407,    -1,   409,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   422,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,   435,
      -1,    -1,    -1,   439,    -1,   441,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   450,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   465,
      -1,    -1,   468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,   485,
     486,   487,   488,   489,   490,   491,   492,     6,     7,     8,
      -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    -1,
      -1,    -1,    31,    32,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    -1,    -1,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,
     119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,
      -1,    -1,    -1,   142,    -1,   144,    -1,    -1,    -1,    -1,
      -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,   178,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   212,    -1,    -1,    -1,   216,    -1,    -1,
      -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,   228,
      -1,   230,    -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   258,
     259,    -1,    -1,    -1,    -1,    -1,   265,    -1,   267,    -1,
      -1,   270,   271,    -1,   273,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   284,   285,    -1,   287,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   307,   308,
     309,    -1,    -1,   312,    -1,    -1,    -1,   316,    -1,    -1,
     319,    -1,   321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   335,   336,    -1,   338,
     339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     349,    -1,   351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   364,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   384,    -1,    -1,   387,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,   407,    -1,
     409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   422,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   434,   435,    -1,    -1,    -1,
     439,    -1,   441,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   465,    -1,    -1,   468,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     6,     7,     8,    -1,    10,    11,
      12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,
      32,    33,    34,    -1,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    -1,    -1,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    -1,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,
     122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,
     142,    -1,   144,    -1,    -1,    -1,    -1,    -1,   150,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,
      -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     212,    -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,    -1,
     222,    -1,    -1,    -1,    -1,    -1,   228,    -1,   230,    -1,
      -1,    -1,    -1,    -1,   236,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   245,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   258,   259,    -1,    -1,
      -1,    -1,    -1,   265,    -1,   267,    -1,    -1,   270,   271,
      -1,   273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   284,   285,    -1,   287,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   307,   308,   309,    -1,    -1,
     312,    -1,    -1,    -1,   316,    -1,    -1,   319,    -1,   321,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   335,   336,    -1,   338,   339,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   349,    -1,   351,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   384,    -1,    -1,   387,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   404,    -1,    -1,   407,    -1,   409,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   434,   435,    -1,    -1,    -1,   439,    -1,   441,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   465,    -1,    -1,   468,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     6,     7,     8,    -1,    10,    11,    12,    -1,    -1,
      -1,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,    34,
      -1,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     115,    -1,    -1,    -1,   119,   120,   121,   122,   123,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     135,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,   144,
      -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   177,   178,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,
      -1,   216,    -1,    -1,    -1,    -1,    -1,   222,    -1,    -1,
      -1,    -1,    -1,   228,    -1,   230,    -1,    -1,    -1,    -1,
      -1,   236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     245,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   258,   259,    -1,    -1,    -1,    -1,    -1,
     265,    -1,   267,    -1,    -1,   270,   271,    -1,   273,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,
     285,    -1,   287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   307,   308,   309,    -1,    -1,   312,    -1,    -1,
      -1,   316,    -1,    -1,   319,    -1,   321,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     335,   336,    -1,   338,   339,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   349,    -1,   351,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   364,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   384,
      -1,    -1,   387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,
      -1,    -1,   407,    -1,   409,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,
     435,    -1,    -1,    -1,   439,    -1,   441,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     465,    -1,    -1,   468,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      -1,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,
      -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,
      -1,    -1,    -1,    -1,   142,    -1,   144,    -1,    -1,    -1,
      -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,
     178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,   216,    -1,
      -1,    -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,
     228,    -1,   230,    -1,    -1,    -1,    -1,    -1,   236,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     258,   259,    -1,    -1,    -1,    -1,    -1,   265,    -1,   267,
      -1,    -1,   270,   271,    -1,   273,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   284,   285,    -1,   287,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   307,
     308,   309,    -1,    -1,   312,    -1,    -1,    -1,   316,    -1,
      -1,   319,    -1,   321,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   335,   336,    -1,
     338,   339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   349,    -1,   351,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   364,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   384,    -1,    -1,   387,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,   407,
      -1,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   422,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   434,   435,    -1,    -1,
      -1,   439,    -1,   441,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   465,    -1,    -1,
     468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,    -1,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,    -1,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    -1,   494,   495,
      -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,   504,   505,
     506,    79,    80,    -1,    -1,    -1,    -1,   513,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,    -1,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,    -1,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,   426,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    -1,   494,   495,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    86,    -1,   513,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,    -1,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
      -1,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    71,
      72,   504,   505,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,    -1,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
      -1,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,    -1,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    -1,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      71,    72,   504,   505,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,    -1,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,    -1,   243,   244,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,    -1,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,    -1,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    71,    -1,   504,   505,    75,    76,    77,    78,    79,
      80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
      -1,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    -1,   494,   495,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,    -1,   243,   244,
     245,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,   436,    -1,   438,   439,   440,   441,    -1,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,    -1,    -1,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,    -1,   494,
     495,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
      -1,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    71,   494,   495,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,    -1,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,    -1,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    71,   494,   495,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,    -1,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,    -1,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    71,   494,   495,
      -1,    75,    76,    77,    78,    79,    80,    -1,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
      -1,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,    -1,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    71,
     494,   495,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,    -1,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,   170,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
      -1,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,    -1,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,    -1,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    71,   494,   495,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
      -1,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    71,   494,   495,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,    -1,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,    -1,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    71,   494,   495,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,    -1,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,    -1,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    71,   494,   495,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
      -1,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    71,
     494,   495,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,    -1,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
      -1,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,    -1,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    71,   494,   495,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
      -1,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    71,   494,   495,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,    -1,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,    -1,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    71,   494,   495,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,    -1,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,    -1,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    71,   494,   495,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
      -1,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,    -1,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    -1,
     494,   495
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   522,  1090,     0,     5,    25,    35,    36,    41,    43,
      44,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    73,    75,    76,    77,
      78,    79,    80,    81,    82,    86,   134,   204,   222,   242,
     264,   300,   303,   318,   394,   436,   450,   465,   493,   500,
     504,   505,   506,   507,   508,   511,   512,   513,   514,   516,
     517,   518,   519,   520,  1081,  1091,  1119,  1121,  1212,  1222,
    1223,  1225,  1231,  1232,  1120,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    40,    42,    43,    44,    45,
      46,    50,    51,    56,    65,    67,    69,    70,    91,   101,
     103,   104,   113,   115,   118,   119,   120,   121,   122,   123,
     135,   138,   140,   141,   142,   144,   146,   148,   150,   158,
     160,   161,   167,   174,   176,   177,   178,   179,   191,   193,
     197,   203,   204,   211,   212,   213,   216,   219,   222,   228,
     230,   234,   236,   245,   258,   259,   265,   267,   270,   271,
     273,   284,   285,   287,   289,   290,   295,   304,   307,   308,
     309,   312,   315,   316,   319,   321,   335,   336,   338,   339,
     349,   351,   353,   364,   365,   370,   371,   373,   378,   383,
     384,   386,   387,   390,   395,   396,   403,   404,   406,   407,
     409,   414,   422,   426,   434,   435,   439,   441,   443,   445,
     450,   453,   459,   464,   465,   468,   477,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   513,   523,   524,   530,
     531,   533,   534,   535,   536,   537,   538,   539,   541,   542,
     546,   558,   563,   564,   567,   568,   569,   581,   584,   585,
     601,   640,   643,   644,   645,   652,   658,   660,   662,   663,
     666,   669,   670,   674,   675,   684,   688,   689,   690,   691,
     692,   694,   695,   696,   709,   710,   714,   716,   717,   718,
     728,   730,   737,   738,   741,   742,   743,   744,   745,   750,
     752,   755,   759,   763,   764,   774,   775,   778,   783,   794,
     816,   819,   820,   821,   824,   827,   829,   831,   834,   835,
     838,   839,   840,   847,   848,   850,   851,   852,   857,   859,
     860,   864,   865,   868,   869,   870,   871,   873,   874,   875,
     876,   878,   881,   882,   887,   893,   896,   898,   903,   905,
     909,   916,   920,   921,   922,   923,   924,   925,   928,   956,
    1087,  1088,  1092,  1094,  1095,  1112,  1113,  1114,  1115,  1126,
    1128,  1132,  1133,  1134,  1135,  1136,  1138,  1140,  1142,  1143,
    1144,  1145,  1147,  1152,  1153,  1157,  1158,  1167,  1169,  1170,
    1171,  1174,  1179,  1182,  1187,  1189,  1190,  1193,  1195,  1198,
    1207,  1225,  1233,    73,  1115,  1123,  1124,    14,    72,    91,
      92,    93,    94,    95,    96,    97,    98,   100,   101,   102,
     110,   111,   113,   114,   116,   117,   118,   125,   126,   127,
     128,   129,   132,   133,   136,   138,   139,   140,   141,   146,
     147,   148,   149,   151,   154,   155,   156,   157,   158,   159,
     162,   171,   172,   173,   174,   176,   179,   181,   183,   184,
     185,   186,   187,   189,   190,   191,   194,   195,   196,   197,
     198,   200,   201,   202,   204,   205,   206,   208,   209,   210,
     211,   213,   214,   215,   218,   220,   221,   223,   225,   227,
     231,   232,   233,   235,   238,   240,   241,   243,   244,   246,
     247,   248,   250,   251,   252,   253,   254,   255,   257,   261,
     262,   263,   269,   272,   274,   275,   276,   277,   278,   280,
     281,   283,   286,   289,   290,   291,   294,   295,   296,   297,
     298,   299,   301,   302,   304,   305,   306,   310,   311,   314,
     315,   317,   320,   322,   323,   324,   326,   329,   330,   331,
     334,   337,   340,   341,   342,   343,   344,   345,   346,   348,
     350,   352,   353,   354,   356,   357,   358,   359,   360,   361,
     362,   363,   365,   366,   367,   368,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   382,   383,   385,
     386,   388,   389,   390,   391,   392,   393,   395,   397,   398,
     399,   400,   401,   403,   405,   406,   408,   410,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   424,   425,
     427,   428,   429,   430,   431,   432,   436,   438,   440,   443,
     444,   445,   446,   447,   448,   449,   452,   453,   454,   455,
     456,   459,   460,   461,   462,   463,   467,   469,   470,   471,
     472,   475,   478,   479,   480,   481,   482,   483,   494,   495,
    1082,  1085,  1086,  1087,  1088,  1105,  1106,  1217,  1219,  1223,
    1225,    29,   260,  1168,     9,    13,    15,    28,    45,    46,
      50,    51,    56,    65,    67,    69,    70,    99,   134,   152,
     163,   175,   180,   242,   300,   303,   394,   464,   493,  1074,
    1086,  1087,  1107,  1154,  1155,  1197,  1198,  1199,  1203,  1208,
    1209,  1210,  1219,  1225,    99,   917,  1073,  1107,  1203,  1216,
      14,   917,     5,    25,    29,    35,    36,    43,    44,    99,
     103,   104,   105,   106,   107,   108,   109,   112,   124,   130,
     131,   134,   137,   143,   145,   152,   153,   160,   163,   164,
     165,   166,   168,   169,   170,   180,   182,   188,   192,   193,
     199,   203,   207,   217,   219,   224,   226,   229,   234,   237,
     239,   249,   256,   260,   264,   266,   268,   279,   282,   288,
     292,   293,   313,   318,   325,   327,   328,   332,   333,   347,
     355,   369,   381,   396,   402,   411,   423,   426,   433,   436,
     437,   442,   450,   451,   457,   458,   464,   466,   473,   474,
     476,   477,  1086,  1089,  1199,  1200,  1201,  1205,  1206,  1207,
    1208,  1210,    25,    35,   134,   264,  1194,    38,    40,   313,
    1127,   438,   480,   853,    98,   144,   157,   174,   180,   195,
     206,   214,   226,   231,   237,   252,   277,   298,   329,   358,
     385,   389,   391,   397,   400,   425,   426,   428,   432,   440,
     445,   457,   470,   659,  1155,   179,   853,    99,   917,   468,
     883,   327,   354,   853,   121,   592,   921,    98,   110,   131,
     144,   153,   174,   180,   195,   206,   214,   226,   233,   237,
     291,   329,   332,   385,   391,   400,   428,   429,   431,   432,
     440,   445,   451,   454,   457,   602,   642,   733,   784,   795,
    1074,  1096,  1097,  1098,  1107,  1223,  1225,    14,    99,   353,
    1073,  1107,  1111,   415,   917,    99,   348,   398,   429,   431,
     276,   825,   826,  1223,    98,   110,   131,   144,   157,   174,
     195,   206,   214,   226,   231,   237,   252,   298,   329,   340,
     385,   389,   391,   397,   400,   426,   428,   432,   440,   445,
     457,   470,   659,   746,   853,   519,  1137,  1201,   246,  1111,
     160,   179,   211,   468,   513,   640,   643,   882,   888,   896,
     898,   903,   909,   916,   920,  1092,    92,    99,   116,   221,
     227,   229,   249,   278,   310,   356,   372,   504,   505,   760,
     761,   917,  1081,  1084,  1217,  1219,    99,   160,   369,   396,
     765,   766,   767,  1203,  1203,  1078,  1223,   426,   931,   116,
     227,   760,  1203,   438,  1111,   340,   298,   174,   252,   425,
     426,   832,   390,  1203,    99,   134,   401,   434,   438,   464,
     550,   559,   560,  1086,  1087,  1197,  1202,  1208,  1210,  1225,
      96,   234,   765,   766,   354,   853,  1203,   275,    99,   192,
     933,     4,    14,   132,   152,   154,   291,   306,   385,   391,
     401,   434,   438,   483,   547,   548,   549,   550,    99,   401,
     434,   438,   550,   438,   328,   967,  1071,  1203,   931,  1191,
    1201,   506,  1203,   230,   513,   884,   513,  1066,   367,   926,
     927,  1073,   921,   922,   925,   517,   883,   207,   266,   333,
     450,   934,   935,   921,   923,   924,   185,   262,   456,   516,
     118,   523,  1135,  1138,  1134,  1130,   517,  1139,  1141,     5,
      25,    35,   134,   196,   264,  1146,   175,   242,   300,   303,
     394,   493,   513,  1002,  1003,  1118,  1122,  1212,    73,  1115,
    1073,  1107,  1226,   180,  1096,    21,   458,   507,  1111,  1111,
    1226,   458,  1159,  1160,  1161,    25,   264,   264,  1205,     7,
      19,    20,    39,    42,   156,   193,  1196,  1196,    16,  1135,
    1079,  1088,  1197,  1200,  1203,  1204,  1208,  1209,  1225,   748,
    1203,   748,  1074,   357,   748,   440,   748,  1073,  1203,   173,
     426,   773,  1079,  1082,    99,   244,  1071,   322,   470,    85,
     139,   218,   500,   501,   502,   504,   505,   506,   507,   508,
     509,   823,  1033,  1034,  1203,    99,  1082,  1073,  1073,   244,
    1071,  1073,   378,   403,    99,   244,   967,  1073,   393,  1073,
     748,    99,   296,  1082,   244,  1071,   276,    34,   182,   272,
     313,   363,   854,   855,   856,  1071,  1077,  1203,    98,   131,
     144,   145,   153,   157,   174,   195,   206,   214,   226,   231,
     252,   277,   298,   329,   385,   389,   391,   397,   400,   426,
     428,   432,   440,   445,   470,   659,   753,  1223,  1071,   436,
    1079,  1073,   513,   748,   440,  1074,   748,   440,   244,  1073,
     173,   426,   429,   431,  1082,   429,   431,   139,   218,   823,
     376,  1082,   244,   543,  1203,  1073,  1073,   393,  1073,   748,
     296,  1082,   367,   397,   426,   470,   298,   157,   252,   231,
     389,   444,   653,    85,  1099,  1100,   518,  1219,  1226,    99,
    1111,  1225,   918,   557,  1085,  1223,   826,   244,  1079,  1073,
     244,   830,   244,  1074,   440,   173,   426,   244,  1079,   244,
    1082,  1083,   150,   470,   139,   218,   244,   823,   125,   244,
    1083,   244,  1073,   244,  1073,   244,  1073,   393,   244,  1073,
     244,   296,  1083,   276,   244,   747,   748,   513,   519,  1227,
    1228,  1229,  1230,  1232,  1137,    71,  1107,  1156,   513,   897,
     602,   917,   888,   882,   889,   890,   891,  1085,   883,  1084,
     761,   762,    99,   761,   917,  1084,   762,    99,   761,   917,
    1084,   762,   762,   762,  1084,  1081,  1081,   268,   458,  1161,
    1162,  1236,  1238,   917,   762,   357,   513,   513,   621,   621,
     621,   327,   436,   516,   621,   967,   968,   761,   917,   761,
     917,   516,   849,  1223,   229,   513,   894,   125,   470,  1073,
    1073,  1071,  1203,   115,   495,   272,   515,   330,   330,   327,
     229,  1223,   436,   224,   756,   327,    83,    84,    85,    87,
     107,   120,   122,   123,   130,   131,   134,   135,   142,   144,
     164,   165,   166,   167,   168,   169,   170,   177,   178,   196,
     212,   216,   217,   222,   236,   264,   265,   267,   284,   292,
     293,   307,   309,   313,   318,   319,   321,   329,   339,   349,
     364,   387,   402,   409,   422,   434,   435,   439,   441,   442,
     451,   457,   465,   485,   486,   487,   488,   489,   490,   491,
     492,   504,   505,   506,   513,   921,   983,   986,   989,   990,
     991,   993,   994,   995,   996,   999,  1000,  1004,  1006,  1007,
    1008,  1010,  1031,  1035,  1054,  1059,  1067,  1068,  1069,  1079,
    1080,  1081,  1203,  1215,  1217,  1219,  1220,  1221,  1222,  1223,
     436,   500,  1226,  1223,   436,   500,  1155,    99,   565,  1070,
    1071,   401,   547,   180,   556,  1223,   557,  1223,   115,   136,
     547,   495,   410,   855,   330,   229,   436,   500,   115,   495,
     272,  1236,   856,   513,  1071,   506,   511,   515,  1060,  1061,
     968,  1207,   228,   230,   468,   879,   880,   882,   228,   885,
     180,  1004,  1064,  1065,   926,   516,   513,   886,   514,   514,
    1071,    99,   192,   932,   932,   125,   932,   219,   224,   288,
     325,   938,   940,   941,   950,   952,   953,   954,   934,   935,
     229,   268,   967,   969,  1066,   517,  1129,   506,  1148,  1149,
    1151,   519,   519,    25,   264,   264,   436,   436,   436,   436,
     513,   436,   504,   505,   650,  1084,  1116,  1222,   203,   108,
    1103,   125,  1106,  1106,   268,  1161,  1163,   268,  1161,  1162,
    1163,   463,  1172,  1173,  1219,    14,    37,    84,   504,   505,
    1081,  1164,  1165,  1166,  1215,  1217,  1221,  1222,  1223,  1224,
     264,   270,  1073,   436,  1073,     6,  1073,  1196,  1151,   513,
     807,  1061,   341,   374,   403,   515,   749,   341,   374,   403,
     341,   374,   403,   477,   525,   558,   561,   779,    95,   197,
     341,   374,   403,   461,   572,  1073,   403,    95,   197,   456,
     540,   481,   244,   967,   127,   159,   215,   247,   283,   313,
     341,   374,   382,   388,   395,   403,   412,   420,   472,   558,
     562,   810,   817,   513,   796,   374,   540,   249,   212,    95,
     101,   141,   190,   197,   200,   254,   311,   313,   323,   331,
     341,   374,   377,   378,   403,   461,   570,   571,   678,   650,
      99,   244,  1071,   748,   748,   513,   822,   515,   249,   532,
     374,   525,   532,   327,   341,   374,   212,   126,   172,   251,
     299,   301,   311,   340,   374,   379,   403,   414,   570,   647,
     648,   341,   374,   469,   678,   686,   560,   548,   550,   249,
     212,   374,   403,   570,   341,   374,   378,   403,   151,   189,
     342,   430,   327,    95,   101,   197,   341,   374,   403,   582,
     583,   532,   224,   374,   525,   532,   212,   374,   403,   570,
    1073,   517,   286,   182,   328,   482,   516,   854,   458,   877,
     327,  1079,   513,  1073,   440,   173,   426,  1079,   322,   470,
     139,   218,   823,  1073,   393,  1073,   276,   748,   621,   360,
     587,   513,   723,   807,   137,   120,   122,   123,   134,   135,
     177,   178,   222,   265,   267,   307,   309,   321,   364,   404,
     409,   434,   435,   465,   980,   982,   984,   986,   988,   990,
     991,   992,   994,   995,   999,  1000,  1197,  1204,  1208,  1209,
    1225,   229,   513,   719,  1073,   525,   108,   872,  1073,   313,
     525,   481,   244,  1071,   525,   748,   748,   719,   454,   602,
     525,   313,   115,   544,   445,   685,   341,   661,   151,   189,
     342,   430,    97,   117,   263,   697,   108,   719,   224,   525,
     470,  1071,   244,   638,  1071,  1071,   470,   748,   150,   785,
    1079,  1073,   659,    74,  1101,  1203,   518,  1102,  1099,   121,
     171,   261,   311,   392,   212,   807,   128,   380,   573,   212,
     513,   212,   481,   212,   796,   212,   516,   244,   747,   244,
     748,   244,   748,   212,   822,  1083,   212,   212,   327,   212,
     573,   212,   151,   189,   342,   430,   212,   327,   212,   224,
     244,   244,   557,   212,   516,   573,   514,  1228,  1229,  1227,
     516,   520,  1004,  1038,  1160,  1235,  1236,   426,   918,   514,
     516,   217,   327,   442,   554,   557,   650,   892,   888,   762,
     917,   762,   917,  1238,  1239,   762,   917,   762,   917,  1239,
     762,   917,   917,   917,   762,    14,    37,  1211,  1214,  1219,
     917,   513,   622,   623,  1203,   622,    99,   174,   195,   226,
     231,   276,   277,   391,   397,   426,   428,   445,   768,  1070,
    1083,   767,   249,   516,   906,   917,   917,  1223,  1156,   980,
    1041,   108,  1083,   785,   225,   833,   833,   833,   286,  1203,
     224,   224,   768,  1083,   390,  1203,   557,   327,   513,   511,
     921,  1042,   467,   997,  1004,  1058,   513,   997,   997,   513,
     224,   513,   513,   513,   985,   985,   351,   921,   513,   513,
     987,   513,   513,   513,   513,   134,   135,   997,  1004,   513,
     985,   513,   513,   513,   513,   513,   479,   499,   513,  1001,
     513,  1001,   513,   513,   921,   513,   513,   513,   513,   513,
     513,   513,   513,  1004,  1004,   464,   921,  1004,  1038,  1061,
    1223,   135,   513,   998,   513,  1223,    85,    88,   105,   108,
     113,   119,   143,   245,   249,   270,   271,   287,   313,   316,
     329,   332,   407,   500,   501,   502,   504,   505,   506,   507,
     508,   509,  1033,  1035,  1037,  1225,   478,  1019,   338,  1004,
     268,   929,  1236,   516,   513,  1223,  1061,    22,  1218,  1219,
    1062,   324,   327,  1188,  1188,    10,   463,  1175,  1176,  1178,
    1155,  1155,   183,   246,   566,   516,   136,   180,   557,   108,
     180,   291,   555,   650,  1000,  1223,  1225,  1223,   155,   194,
    1016,   163,   180,   551,   552,   554,   650,   180,   551,  1236,
    1236,   286,  1071,  1004,   506,  1076,  1205,  1060,   156,   379,
     751,   270,   514,   516,   883,   514,   516,   927,  1072,  1073,
     108,   886,   923,   923,   936,   937,  1004,   923,   221,   310,
     947,   274,   311,   363,   405,   456,    99,   942,  1004,   943,
     945,  1004,  1006,   950,   951,   941,   940,   938,   939,   224,
     953,   323,   955,   938,   950,   969,  1071,   108,  1203,   403,
    1148,   506,   516,   517,  1206,  1125,  1128,  1125,   264,   175,
     242,   300,  1003,   300,  1003,  1003,   303,  1081,   300,   303,
     394,  1222,  1222,   516,  1117,   179,  1155,   457,  1104,  1106,
    1073,    37,  1081,  1177,  1219,   516,   500,  1073,    14,  1081,
    1222,  1081,  1222,   516,  1135,   513,  1073,   513,  1207,   249,
     259,   333,   335,   404,   466,   506,   800,   801,   802,   804,
     806,   808,   980,  1204,   341,   374,   403,   436,   436,   391,
    1076,   515,   436,   436,   391,   436,   436,   428,   547,   866,
     224,   234,   249,   383,   780,   781,   137,   153,   208,   226,
     355,   451,   618,   619,   153,   180,   313,   436,   153,   436,
     180,   313,   391,   153,   190,   200,   341,   374,   715,   391,
     667,    98,   131,   144,   157,   195,   206,   226,   231,   298,
     329,   391,   397,   400,   426,   432,   445,   470,   659,  1073,
     212,   374,   403,   570,   327,   650,   395,   283,   436,   436,
     318,   650,   184,   269,   391,   401,   438,   549,   380,   403,
     810,   818,   514,   797,   800,   436,   457,   428,  1071,   145,
     208,   609,   618,  1203,   145,   153,   836,   327,   389,   440,
     153,   836,   102,   377,   389,   440,  1071,   254,   323,   748,
     513,   436,   436,   243,   513,   577,   428,   477,   479,   577,
     153,   516,   341,   249,   212,   374,   403,   570,   458,   458,
     312,   980,   341,   403,   823,   174,   403,   561,   436,   527,
     561,  1071,   436,   436,  1071,   650,   125,   649,   650,   650,
     172,   299,   301,   125,   436,   525,   391,   525,   311,   648,
     436,   436,   318,  1223,   678,   428,   967,   153,   436,   836,
     391,   436,   436,   577,   577,   748,   748,   748,   748,  1071,
     114,   463,   114,   114,   436,   114,   436,   391,   516,   561,
     170,   457,   693,  1082,   436,   527,   561,  1071,   436,   391,
     341,   374,   363,   375,   399,   553,   854,  1077,  1203,  1071,
     807,   980,   327,   481,   796,   650,   748,   748,   822,   270,
     327,   151,   189,   342,   430,   327,   748,   270,   477,   593,
     417,   418,   588,  1223,   724,   725,  1225,   719,   513,   982,
     108,   107,   981,   175,   303,   493,   513,  1002,   749,   985,
     748,   720,   721,  1205,    97,   861,   980,   327,   212,   664,
    1073,   313,   513,   526,   733,   458,   367,   470,   526,   212,
    1082,   160,   234,   545,   601,   644,   696,   763,   783,   857,
    1223,   686,   687,  1073,   294,   748,   748,   748,   748,   323,
     185,   262,   443,   456,   698,   699,   204,   362,   513,   693,
     526,  1071,   646,   647,   313,   108,   323,   513,   621,   621,
     641,  1071,   224,   786,  1077,   513,   798,   108,   276,   515,
    1081,  1102,   477,   479,   919,   392,  1079,   573,   980,  1074,
     244,  1073,  1079,   573,  1083,  1082,   212,   573,   212,   458,
     212,   458,   823,   573,   573,  1083,  1073,   748,  1073,  1073,
    1073,   748,  1083,   693,   212,   212,   573,   747,   748,   514,
     520,  1230,   514,   516,  1236,  1237,  1160,  1071,   171,   888,
     890,   917,   917,  1239,   917,   917,  1239,   917,   917,  1073,
      14,   516,  1218,   622,   514,   516,   514,   232,   398,   427,
    1072,   747,   173,   400,   772,   773,  1072,   322,  1072,  1070,
    1070,  1072,   747,   436,   477,   776,    93,   210,   387,   405,
     907,   967,   317,   908,   514,   516,   895,   898,   903,   909,
     920,   436,  1071,   766,   765,   766,   229,   235,   777,  1203,
      98,   145,   174,   195,   206,   226,   231,   277,   298,   385,
     391,   397,   426,   428,   445,   470,   659,   757,  1038,   512,
    1038,  1042,  1043,   513,   473,  1055,  1056,  1004,  1038,   513,
    1081,  1081,  1038,   175,   242,   300,   303,   394,   493,  1044,
    1045,  1223,  1225,  1081,  1038,  1038,  1081,  1081,   997,   997,
    1004,   823,  1004,  1046,   504,   505,  1005,  1006,  1031,  1035,
    1048,   514,  1038,  1004,  1038,  1049,   434,   495,  1081,  1081,
    1004,   124,   229,   282,   437,  1004,  1038,  1052,  1038,   305,
    1006,  1004,  1014,  1015,  1016,   305,  1004,  1016,   514,   516,
     403,  1081,  1081,  1002,   980,  1004,  1205,   434,   112,   423,
    1063,   748,  1004,   513,   921,  1053,   192,   194,   217,   313,
     318,   323,   442,   452,  1004,   119,   245,   249,   287,   407,
     513,  1004,   436,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,    99,   106,   411,  1032,   237,   220,  1020,
     387,   513,  1031,   233,   291,   426,   429,   431,   454,   930,
    1071,   229,   957,  1069,    99,   192,   466,   506,   514,   802,
    1004,  1039,  1040,  1204,  1073,  1219,  1060,  1177,   516,   500,
    1071,   438,   513,  1223,   516,  1236,   514,   512,   518,   243,
     243,   573,  1135,  1071,   880,   881,  1071,  1064,   514,   516,
     513,   516,   109,   188,   458,   792,   513,   944,  1084,   405,
     274,   328,   516,   387,   388,   946,  1070,   908,   951,   939,
     458,   904,   180,   513,   899,   920,  1203,   513,   910,   911,
     912,   913,   914,  1203,   517,  1149,   981,   520,  1128,   520,
     514,   650,   514,    34,  1105,  1180,  1181,  1219,  1173,  1178,
    1226,  1164,   981,  1213,  1229,  1213,   981,   335,   125,  1204,
     514,   802,   804,   801,   804,  1204,   333,   514,   516,   749,
     436,   436,   391,  1082,  1073,  1073,  1076,  1082,  1073,  1073,
    1082,  1074,  1073,   152,   867,   385,   457,   765,   391,   234,
     765,   513,  1073,   458,   787,   274,   274,   458,   513,   637,
     244,  1073,   318,  1082,  1073,  1073,  1004,   318,  1073,  1073,
     102,   377,   436,   436,  1073,   436,   668,  1079,   513,   748,
     748,   748,   440,   173,   426,   773,   470,   139,   218,   823,
    1073,   748,  1073,   748,   393,   748,   748,   276,   238,   311,
     341,   374,   462,   671,   672,   673,   967,   436,   836,   391,
     318,   184,   269,  1082,  1073,   327,  1073,   514,   516,  1082,
    1083,  1073,   374,   570,   609,   980,  1073,  1203,  1073,  1073,
      99,   457,  1073,   244,  1073,   244,  1203,   389,   440,   389,
     440,  1073,    99,   457,  1073,  1071,    95,   197,   403,   679,
     680,   681,   682,  1205,  1082,  1073,   180,   230,   314,   458,
     576,   579,   580,  1205,  1073,   326,   141,   326,  1073,   571,
     436,   428,  1071,   436,   836,   391,  1075,  1203,  1075,   516,
     514,   516,   436,   391,  1074,  1082,   152,   202,   254,   346,
     449,   457,   460,   528,  1225,   374,  1082,  1073,   374,   403,
     570,   647,   650,   748,  1073,   650,  1073,   650,  1082,  1073,
    1073,   374,   403,   570,  1073,  1073,  1073,  1073,  1082,  1073,
      95,   101,   197,   341,   374,   403,   341,   374,   403,   719,
     374,   403,   374,   403,   374,   979,  1203,   244,   729,  1203,
     244,  1203,  1082,  1073,  1073,  1073,    95,   583,   400,  1082,
     374,   403,   570,  1073,  1073,   436,   436,   149,   448,   363,
     270,   108,   748,   270,   270,   458,   458,   270,   318,   754,
    1223,   748,   748,   270,   754,   326,   229,   436,   586,   525,
     514,   516,   500,  1004,   107,   981,   980,   511,   511,   436,
     436,  1081,   985,   514,   516,   500,   698,   152,   201,   280,
     281,   294,   341,   428,   430,   862,   611,  1205,  1073,   229,
     391,   469,   665,   672,   673,   212,   287,   603,   605,   607,
     609,   615,   618,    96,   249,   385,   424,   528,   529,   224,
    1075,   470,  1071,   543,  1203,   544,   332,   602,   226,  1223,
     719,   719,   719,   719,   323,   327,   332,   513,   719,   977,
     978,   979,   400,   513,   212,   211,  1093,   748,   603,  1203,
     477,   479,   633,   477,   578,   108,   621,  1223,   327,   514,
     799,   800,   805,   108,   276,   382,   476,   809,   810,   811,
     327,   557,  1101,   507,   241,   241,   224,   807,   108,   212,
     573,   796,   747,   748,  1075,   748,  1075,   822,   327,   573,
     573,   327,   573,   400,   224,   557,   573,  1004,   919,  1226,
    1214,   514,   623,   249,   249,   249,   481,  1072,   516,   650,
     651,   237,   769,   770,  1082,    96,   777,   210,   405,   210,
     405,   387,   456,   302,   980,  1073,   477,   639,   229,   327,
     769,   125,   573,  1079,   440,   426,  1079,   322,   470,   276,
     748,   514,   512,   512,   516,  1038,  1004,   199,  1056,  1057,
     108,   514,  1004,   514,   514,   514,   514,   229,   514,   514,
     514,   514,   514,   516,   514,   347,  1047,   514,  1005,  1005,
      88,   249,   270,   329,   500,   501,   502,   504,   505,   506,
     507,   508,   509,  1035,  1005,   514,   514,   224,   229,  1050,
    1051,   514,   495,   514,   514,   108,  1052,  1038,  1052,  1052,
     229,   514,   514,  1205,   345,  1018,   108,   514,   516,  1004,
    1205,   516,  1004,  1062,  1004,  1203,   514,   514,   495,  1005,
    1005,   205,  1038,   229,   192,   194,   217,   318,   323,   442,
     452,   513,   205,   423,  1063,  1004,  1053,  1004,   436,   823,
    1004,   513,   921,   513,   513,   337,  1024,   429,   431,   429,
     431,  1071,   931,   931,   931,   279,   388,   513,   921,   958,
     959,   960,   967,   970,  1007,  1009,  1010,  1079,  1203,   474,
     975,  1039,  1039,  1040,   514,    90,   516,   934,   935,     8,
      11,    12,    22,    23,    24,    26,    27,    31,    32,    33,
     173,   305,   351,   445,  1183,  1184,  1186,  1176,  1177,   855,
    1081,  1002,   552,  1004,   981,   886,  1073,   895,   937,   329,
    1033,  1036,   496,   497,   793,  1004,   946,   456,   943,   958,
     474,   976,   464,   900,   901,  1203,   381,   902,   914,   915,
     516,   957,   500,  1062,   518,  1131,   517,   516,   500,    30,
    1192,   514,   514,   517,   808,   749,   804,   804,   125,   806,
     508,  1082,  1073,  1073,   288,  1083,  1083,   327,  1072,   330,
     327,  1004,   619,  1075,   513,   513,   513,   637,   252,   622,
     707,   212,   573,   436,  1082,  1073,   557,   807,   980,  1073,
     481,   748,   748,   748,   748,   822,   151,   189,   342,   430,
    1073,   654,  1073,   238,   462,   436,   436,   654,   671,   678,
     374,   403,   570,  1073,  1073,  1073,   260,   318,   800,   340,
     403,   436,   331,   676,   707,   197,   378,   403,   572,   678,
     837,   212,   573,   212,   573,  1073,  1073,  1073,  1073,   681,
     682,   681,   514,   516,   683,  1223,   252,   514,   516,   500,
     515,  1082,  1073,   374,   403,   570,  1073,  1073,  1073,   341,
     374,   403,    95,   197,   341,   374,   403,   980,   312,   980,
    1082,  1073,   288,   346,   318,  1223,   346,  1083,   455,   436,
     436,   391,   340,   403,   436,   836,   391,   436,   436,   296,
     296,   296,   436,   436,   391,   436,   436,   391,   436,   391,
     436,   391,   436,   573,   980,   313,  1223,   403,   837,   212,
     573,   436,  1073,   436,   391,  1082,  1073,   754,   980,   270,
     754,   754,  1075,  1075,   754,   270,   270,   754,   587,   513,
     589,   590,   725,  1225,   329,   504,   505,   650,   722,   804,
    1036,  1089,  1223,   514,   511,   514,  1081,   512,   513,  1081,
    1203,  1223,  1234,   514,   721,   722,   327,   288,   500,   863,
     863,   863,   863,   863,   863,   863,   137,   143,   153,   180,
     182,   256,   313,   318,   355,   369,   451,   612,   613,   614,
     211,   473,   525,   557,  1073,   557,   676,  1071,  1071,   514,
     516,  1083,   237,   385,  1083,  1081,   445,  1071,   621,   115,
     544,   376,   426,   173,   578,   622,  1071,   699,   726,   727,
    1223,   514,   516,  1073,   622,  1071,  1073,   920,   513,   604,
     514,   326,   577,   326,   327,   634,   577,   108,   920,   578,
     436,  1071,   514,   516,   180,   500,   812,  1223,   557,   426,
     803,   804,   477,   811,   813,   185,   262,   396,   456,   845,
     238,  1097,   920,  1111,   573,   980,  1073,   573,   573,   458,
     573,   458,   573,   573,   748,   748,  1073,   693,   573,   224,
     391,   391,   391,  1072,   773,   516,  1082,   477,   516,   771,
     330,   210,   210,   173,   311,  1083,   768,   573,  1082,   807,
     796,   650,   748,   270,  1042,   514,   433,  1004,   203,   980,
     514,  1004,  1004,  1004,  1050,   980,  1005,   192,   194,   313,
     323,  1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,
    1005,  1004,  1004,  1051,  1050,  1001,  1001,   980,   514,   514,
     514,  1038,   514,   516,   125,  1006,   514,  1205,  1015,   352,
     421,  1017,   514,   516,   469,  1011,   108,   514,   998,  1223,
    1004,   105,   105,  1004,   514,  1004,   229,   513,  1041,  1004,
    1005,  1005,   205,   205,  1004,   514,   205,  1004,   935,   474,
     513,  1025,  1203,   931,   931,   931,   931,  1071,  1071,  1071,
     921,   970,   229,   921,   959,   960,   108,   961,   962,  1203,
     516,   161,   230,   258,   273,   285,   308,   384,   964,   962,
     108,   961,   963,  1203,   498,   974,   513,  1061,  1004,   237,
     948,   516,   934,   934,   934,  1004,   466,  1040,   514,   516,
     500,   514,   512,  1192,   514,   513,   793,   514,   328,   163,
    1004,   902,   514,   516,  1062,  1068,   514,   516,   911,   976,
    1064,  1081,   500,  1150,  1181,  1186,   514,   508,   808,   445,
     863,   232,   398,   427,   446,   782,   224,   782,   514,   513,
     625,   626,   789,  1009,  1203,   622,   622,   707,  1077,   514,
     182,   256,   311,   313,   708,  1073,  1073,   108,  1073,   458,
     458,   748,   748,   748,   748,   749,  1082,  1073,   436,   836,
     391,   436,   260,   125,   428,  1073,   513,   611,   313,   577,
     173,   313,   416,   419,   577,   445,  1073,  1203,   680,  1073,
     580,   722,  1205,   340,   403,   436,   836,   391,   436,   436,
     436,   391,   231,   329,   419,   731,   732,   231,   329,   739,
     740,   436,   436,   391,   514,   514,   514,  1084,  1223,  1223,
    1223,  1073,  1073,  1073,   125,   428,  1073,  1073,  1073,  1073,
    1073,   224,   224,   376,   224,   244,  1082,  1073,  1073,  1082,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,   143,   574,   212,
      97,   117,   445,  1203,  1073,   678,  1073,  1073,   514,   754,
     270,   270,   754,   754,   588,   596,   597,  1205,   121,   162,
     186,   201,   205,   225,   228,   240,   318,   326,   361,   591,
     707,  1081,   477,   479,   512,  1234,   513,   504,   505,   506,
     507,   508,   512,  1002,  1071,   863,   180,  1081,  1223,   180,
    1223,   180,  1223,   180,  1223,   180,  1073,   180,  1073,   180,
    1073,   513,   748,  1073,  1005,   183,   246,   182,   318,   274,
    1071,   813,   359,   711,   712,  1203,   664,   513,   616,   400,
     607,  1083,  1083,   980,   513,   578,  1082,  1071,   481,   224,
     700,   514,   516,   979,   676,   514,   323,   513,   897,   639,
     606,   608,   610,   618,  1203,   633,   255,   632,   148,   428,
     635,   920,   639,   635,  1223,   787,   805,  1004,  1004,   516,
     513,   809,   719,   436,   654,    85,  1108,   514,   573,  1075,
    1075,   573,   573,   400,  1072,  1072,  1072,   650,   234,   770,
     173,   777,   229,   270,   270,   270,   270,   318,   758,  1223,
    1004,   514,   514,  1051,   229,   192,   194,   323,   513,   514,
     484,  1013,  1038,   368,   125,   475,   475,   514,  1004,   311,
    1004,   516,  1012,   982,  1002,  1005,  1005,  1004,  1041,   514,
     105,   105,  1004,  1004,   205,  1004,   514,   514,  1004,  1026,
    1203,  1071,  1071,  1071,  1071,   962,   963,   513,   514,  1203,
     513,   959,   273,   336,   965,   959,   965,   273,   964,   965,
     273,   513,  1203,   513,  1039,   125,   239,   949,   514,   514,
     514,  1040,  1223,  1184,   505,  1177,  1185,  1222,  1223,  1223,
     823,   323,   920,   901,  1237,   500,   914,   902,  1230,   445,
     514,  1084,   436,   765,   229,   707,  1004,   514,   516,   477,
     143,   790,   790,   514,   514,   813,   183,   246,   254,   182,
     460,   573,   980,  1075,  1075,  1073,  1073,  1073,  1073,  1083,
    1073,   677,   681,   318,   318,  1084,  1203,   980,   573,   573,
     500,   125,   428,  1073,  1073,  1073,  1073,  1082,  1073,  1073,
    1081,  1081,   980,   516,  1081,  1081,   516,  1082,  1073,  1073,
    1083,  1073,   436,  1072,  1072,   748,  1072,   212,   748,  1223,
    1223,   980,   573,   573,   270,   754,   754,   458,   594,   595,
     514,   516,   506,   513,   554,   598,   650,   872,  1223,   872,
     313,   318,   361,   872,   872,   512,   231,   259,   231,   514,
    1135,  1234,  1234,  1234,  1234,  1234,   229,   706,  1084,  1004,
     313,   613,   813,   621,   458,   636,  1079,   105,   211,   249,
     603,   209,   250,  1073,   458,   622,   108,   544,   513,  1073,
     198,   701,   473,   703,  1223,   578,   748,   603,   639,   514,
     516,   477,   634,   513,   633,   185,   197,   352,  1073,   477,
     858,   229,   513,  1223,   802,   814,   815,  1204,   813,  1071,
     257,   655,  1109,  1203,   573,   573,   573,  1073,   330,   573,
     769,   758,   758,   758,   758,  1005,   229,   513,  1041,   513,
     514,   516,   514,  1006,   368,   514,   463,   413,   514,   514,
     514,  1005,  1005,  1004,   514,   344,  1027,   971,   972,  1009,
     961,   513,  1072,   959,   327,   458,   966,   959,   273,   959,
     978,   513,   978,  1203,   934,  1038,  1004,   476,  1021,   934,
    1081,  1222,  1002,   514,   917,  1066,   769,   327,   769,   514,
     813,   626,   329,   823,   748,   458,   748,   791,   791,   369,
     813,   636,   514,   436,   403,   908,   514,   516,   574,   722,
    1083,  1073,   436,   513,  1079,   823,   732,   513,   513,   740,
     403,   908,  1073,   477,   376,   477,   477,   224,   574,   754,
     525,   187,   597,   554,   599,   600,  1223,  1223,   318,   622,
     506,   622,  1223,  1223,   773,   108,   828,   828,   514,  1071,
     707,   514,   636,   297,   624,   252,   513,   712,   359,   513,
     514,    99,   147,   154,   181,   253,   419,   617,   617,   676,
    1075,   514,   920,   676,   387,   415,   702,   513,   211,   108,
     604,   514,   608,   331,   635,  1070,   634,   388,   388,   129,
     137,   291,   748,   788,   789,   804,   514,   516,   975,   654,
     311,   462,   656,   657,   500,  1110,   573,  1005,  1041,   514,
    1014,  1038,   125,   311,   494,   125,   934,   514,   516,   108,
     973,  1072,   514,  1004,   513,   959,   966,   514,   978,   514,
     514,  1022,  1023,  1203,   514,   771,   782,   573,   790,   636,
     513,   748,   792,   792,  1071,   636,   707,  1073,   428,   681,
     458,   575,   403,   908,  1073,  1041,   796,   224,   735,   822,
    1041,  1041,   428,   747,   748,   747,   748,  1072,   573,   589,
    1223,   514,   516,   622,   828,   111,   248,   224,   311,   620,
     230,   343,   408,   327,   628,   629,   630,   428,   514,  1079,
      82,   713,   400,   218,   734,   578,   858,  1004,   359,   920,
     633,   632,   611,   514,   635,   137,   330,   137,   514,   516,
     809,   814,   193,   462,   654,  1081,  1217,  1225,    85,   514,
     514,   514,   368,   463,  1038,   362,   388,  1028,   974,   971,
     513,   514,  1072,   514,   516,   108,   229,   791,   474,   627,
     823,   793,   793,   621,   707,  1073,  1004,   428,   514,   333,
     393,   366,   736,   735,   514,   514,  1073,   477,   600,   198,
     254,   185,   456,   327,   630,   327,   629,  1073,   513,   514,
     516,  1073,   748,   108,   108,   514,  1079,   858,   634,   633,
     330,   330,   578,   789,   813,   100,   263,   846,  1109,   119,
     163,   447,  1004,  1029,  1030,  1029,   514,   978,   514,  1023,
    1025,   769,   792,   513,   707,   514,   624,   908,  1073,  1079,
     125,   736,   908,   748,   387,   128,   311,   380,   403,   631,
     631,   514,    82,   676,   731,   920,   513,   635,   634,   635,
     314,   513,   841,   843,   848,   898,   903,   909,   920,  1030,
     387,   223,   350,   223,   350,   514,   573,   793,  1004,   628,
     908,   796,   748,   703,    94,   180,   318,   858,   704,   705,
    1081,  1205,  1222,  1223,   635,   975,   842,   843,   844,   921,
     922,   105,   514,   707,   211,   514,   516,   514,   517,  1030,
     359,   705,   844,  1079,   513,   704,   514
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   521,   522,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   524,
     525,   525,   526,   526,   527,   527,   528,   528,   528,   528,
     528,   528,   528,   528,   528,   529,   529,   529,   529,   529,
     529,   530,   531,   532,   532,   533,   533,   534,   535,   535,
     536,   536,   537,   537,   538,   539,   540,   540,   541,   541,
     542,   542,   542,   542,   543,   543,   544,   544,   545,   545,
     545,   545,   545,   545,   546,   546,   546,   547,   547,   547,
     548,   548,   548,   548,   549,   549,   549,   549,   549,   549,
     549,   549,   549,   549,   549,   550,   550,   551,   551,   552,
     552,   553,   553,   553,   553,   554,   554,   554,   554,   555,
     555,   555,   555,   555,   555,   555,   556,   556,   556,   557,
     557,   558,   559,   559,   559,   559,   560,   560,   561,   561,
     562,   562,   563,   563,   563,   563,   563,   564,   565,   565,
     566,   566,   567,   568,   568,   568,   568,   568,   569,   569,
     569,   569,   569,   569,   569,   569,   569,   569,   569,   569,
     569,   569,   569,   569,   570,   570,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   571,   571,   571,   571,
     572,   572,   573,   573,   573,   574,   574,   575,   575,   576,
     576,   576,   576,   577,   578,   578,   579,   579,   580,   580,
     580,   580,   581,   582,   582,   583,   583,   583,   583,   584,
     584,   585,   585,   586,   586,   587,   587,   588,   588,   588,
     589,   589,   590,   590,   591,   591,   591,   591,   591,   591,
     591,   591,   591,   591,   591,   591,   591,   591,   592,   592,
     593,   593,   594,   594,   595,   595,   596,   596,   597,   598,
     598,   598,   598,   598,   599,   599,   600,   601,   601,   601,
     601,   602,   602,   602,   602,   602,   602,   602,   602,   603,
     603,   604,   604,   605,   605,   606,   606,   607,   607,   607,
     608,   608,   609,   610,   611,   611,   612,   612,   612,   612,
     613,   613,   613,   613,   613,   613,   613,   614,   614,   614,
     614,   615,   616,   616,   616,   617,   617,   617,   617,   617,
     617,   618,   618,   619,   619,   619,   619,   619,   619,   619,
     620,   620,   621,   621,   622,   622,   623,   624,   624,   624,
     624,   625,   625,   626,   626,   627,   627,   628,   628,   628,
     628,   628,   629,   630,   631,   631,   631,   631,   631,   632,
     632,   633,   633,   633,   633,   634,   634,   634,   634,   635,
     635,   636,   636,   637,   638,   639,   639,   639,   640,   641,
     642,   642,   643,   644,   645,   645,   646,   646,   647,   647,
     648,   648,   648,   648,   648,   648,   648,   648,   648,   648,
     648,   648,   649,   649,   650,   650,   650,   650,   651,   651,
     652,   652,   653,   653,   654,   654,   655,   655,   656,   656,
     657,   657,   658,   658,   659,   659,   660,   661,   661,   662,
     662,   663,   663,   664,   664,   665,   665,   665,   666,   667,
     667,   668,   669,   669,   669,   669,   669,   669,   669,   669,
     669,   669,   669,   669,   669,   669,   669,   669,   669,   669,
     669,   669,   669,   669,   669,   669,   670,   671,   671,   671,
     671,   672,   672,   673,   673,   674,   674,   675,   675,   676,
     676,   677,   677,   678,   679,   679,   680,   680,   680,   680,
     681,   682,   683,   684,   685,   685,   686,   686,   687,   687,
     688,   688,   689,   689,   689,   690,   690,   691,   691,   692,
     693,   693,   693,   694,   694,   695,   696,   696,   697,   697,
     697,   698,   698,   699,   699,   699,   699,   699,   700,   700,
     701,   701,   702,   702,   703,   703,   704,   704,   704,   705,
     705,   705,   705,   706,   706,   707,   707,   708,   708,   708,
     708,   708,   708,   709,   709,   710,   710,   711,   711,   712,
     713,   713,   714,   715,   715,   715,   715,   716,   717,   718,
     718,   718,   718,   718,   718,   718,   718,   718,   718,   718,
     718,   718,   718,   719,   720,   720,   721,   721,   722,   722,
     722,   722,   722,   723,   724,   724,   725,   726,   726,   727,
     727,   728,   728,   728,   729,   729,   730,   731,   731,   732,
     732,   732,   732,   732,   733,   733,   734,   734,   735,   735,
     735,   736,   736,   737,   738,   738,   739,   739,   740,   740,
     741,   741,   742,   742,   743,   744,   745,   745,   745,   745,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   747,   747,   748,
     748,   749,   749,   750,   751,   751,   751,   752,   752,   752,
     752,   752,   752,   752,   752,   752,   752,   752,   752,   752,
     753,   753,   753,   753,   753,   753,   753,   753,   753,   753,
     753,   753,   753,   753,   753,   753,   753,   753,   753,   753,
     753,   753,   753,   754,   754,   755,   755,   755,   755,   755,
     756,   756,   757,   757,   757,   757,   757,   757,   757,   757,
     757,   757,   757,   757,   757,   758,   758,   759,   759,   759,
     759,   759,   759,   759,   759,   759,   759,   759,   760,   760,
     760,   760,   760,   760,   760,   760,   760,   760,   760,   760,
     760,   760,   761,   761,   762,   762,   763,   764,   764,   765,
     765,   765,   765,   765,   766,   766,   767,   767,   767,   767,
     768,   768,   768,   768,   768,   768,   768,   768,   768,   768,
     768,   768,   768,   768,   768,   768,   769,   769,   770,   770,
     771,   771,   772,   772,   773,   774,   775,   775,   776,   776,
     777,   777,   778,   779,   779,   780,   780,   780,   781,   781,
     781,   782,   782,   782,   782,   783,   784,   784,   785,   785,
     786,   786,   787,   787,   788,   788,   789,   789,   789,   790,
     790,   791,   791,   791,   792,   792,   792,   793,   793,   793,
     794,   794,   794,   795,   795,   796,   796,   797,   797,   798,
     798,   799,   799,   800,   800,   800,   800,   800,   801,   801,
     801,   801,   801,   802,   803,   804,   804,   804,   805,   805,
     805,   806,   807,   807,   807,   807,   808,   808,   809,   809,
     810,   810,   810,   810,   810,   810,   810,   810,   810,   810,
     810,   810,   810,   810,   810,   811,   811,   811,   811,   812,
     812,   813,   813,   814,   815,   815,   816,   817,   817,   818,
     818,   819,   819,   820,   820,   821,   821,   822,   822,   822,
     822,   823,   823,   824,   825,   825,   826,   826,   827,   827,
     827,   828,   828,   828,   829,   830,   830,   831,   831,   831,
     832,   832,   833,   833,   834,   834,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   836,   836,   837,   837,   838,   838,   838,   838,   838,
     838,   838,   838,   838,   838,   838,   838,   838,   838,   838,
     838,   838,   838,   838,   838,   838,   838,   838,   838,   839,
     839,   839,   839,   839,   839,   839,   839,   839,   839,   839,
     839,   839,   839,   839,   839,   839,   839,   839,   840,   841,
     841,   841,   842,   842,   843,   843,   843,   843,   843,   844,
     844,   845,   845,   845,   845,   846,   846,   846,   847,   847,
     848,   849,   849,   850,   851,   851,   852,   852,   852,   852,
     852,   852,   852,   852,   852,   852,   852,   852,   852,   852,
     853,   853,   853,   854,   854,   854,   854,   854,   855,   855,
     855,   856,   856,   857,   857,   857,   857,   858,   858,   858,
     858,   859,   860,   861,   861,   862,   862,   862,   862,   862,
     862,   862,   862,   862,   862,   862,   862,   862,   862,   862,
     862,   863,   863,   864,   864,   865,   866,   866,   867,   868,
     868,   869,   869,   870,   871,   871,   871,   871,   871,   871,
     871,   872,   872,   873,   874,   874,   874,   874,   874,   874,
     875,   876,   876,   876,   877,   877,   878,   878,   878,   878,
     878,   879,   879,   880,   880,   880,   880,   881,   881,   882,
     882,   883,   883,   884,   884,   885,   885,   886,   886,   887,
     887,   887,   887,   888,   888,   888,   888,   888,   888,   888,
     888,   888,   889,   889,   890,   891,   891,   892,   892,   892,
     893,   893,   894,   894,   895,   895,   895,   895,   896,   896,
     897,   897,   898,   899,   899,   899,   900,   900,   901,   902,
     902,   903,   904,   904,   905,   906,   906,   907,   907,   907,
     907,   907,   907,   907,   907,   908,   908,   909,   910,   910,
     911,   911,   912,   913,   914,   915,   915,   916,   917,   917,
     918,   918,   918,   918,   918,   919,   919,   919,   920,   920,
     921,   921,   922,   922,   922,   922,   922,   922,   922,   922,
     923,   923,   924,   924,   924,   924,   924,   924,   925,   925,
     926,   926,   927,   928,   928,   929,   929,   929,   930,   930,
     930,   930,   930,   930,   930,   930,   930,   931,   931,   932,
     932,   932,   933,   933,   933,   933,   934,   934,   935,   936,
     936,   937,   937,   938,   938,   938,   938,   939,   939,   940,
     940,   940,   941,   941,   942,   942,   943,   944,   944,   944,
     945,   946,   946,   947,   947,   948,   948,   949,   949,   950,
     950,   951,   951,   952,   952,   953,   954,   954,   954,   954,
     955,   955,   956,   956,   957,   957,   958,   958,   959,   959,
     959,   959,   959,   959,   959,   960,   960,   960,   960,   960,
     960,   961,   961,   961,   961,   962,   962,   963,   963,   963,
     963,   963,   964,   964,   964,   964,   965,   965,   966,   966,
     967,   967,   967,   967,   968,   968,   969,   969,   969,   970,
     970,   971,   972,   972,   973,   973,   974,   974,   975,   975,
     976,   976,   976,   977,   977,   978,   978,   979,   980,   980,
     980,   980,   980,   980,   981,   981,   981,   982,   982,   982,
     982,   982,   982,   982,   983,   983,   983,   983,   984,   984,
     985,   985,   986,   986,   986,   986,   986,   986,   986,   986,
     986,   986,   986,   987,   987,   988,   988,   989,   989,   990,
     991,   992,   992,   993,   993,   994,   995,   996,   996,   996,
     996,   996,   996,   997,   997,   998,   998,   999,   999,   999,
     999,  1000,  1001,  1001,  1001,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1003,
    1003,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,
    1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,
    1005,  1005,  1006,  1006,  1006,  1006,  1006,  1006,  1006,  1006,
    1006,  1006,  1006,  1006,  1007,  1007,  1007,  1007,  1007,  1007,
    1007,  1008,  1008,  1009,  1009,  1010,  1010,  1010,  1010,  1010,
    1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,
    1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,
    1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,
    1010,  1010,  1010,  1010,  1010,  1010,  1010,  1011,  1011,  1012,
    1012,  1012,  1012,  1013,  1014,  1014,  1015,  1015,  1016,  1016,
    1017,  1017,  1017,  1018,  1018,  1018,  1018,  1019,  1019,  1020,
    1020,  1021,  1021,  1022,  1022,  1023,  1024,  1024,  1024,  1025,
    1026,  1026,  1027,  1027,  1028,  1028,  1028,  1029,  1029,  1030,
    1030,  1030,  1030,  1030,  1031,  1031,  1031,  1032,  1032,  1032,
    1033,  1033,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,
    1034,  1035,  1035,  1036,  1036,  1037,  1037,  1037,  1037,  1037,
    1037,  1038,  1038,  1039,  1039,  1040,  1040,  1041,  1041,  1042,
    1042,  1042,  1043,  1043,  1044,  1044,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1046,  1046,  1047,  1048,  1048,  1049,
    1049,  1049,  1049,  1049,  1049,  1050,  1051,  1052,  1052,  1052,
    1053,  1053,  1054,  1055,  1055,  1056,  1057,  1057,  1058,  1058,
    1059,  1059,  1060,  1060,  1060,  1060,  1061,  1061,  1062,  1062,
    1063,  1063,  1064,  1064,  1065,  1065,  1066,  1067,  1067,  1068,
    1068,  1069,  1069,  1069,  1069,  1070,  1070,  1071,  1071,  1072,
    1072,  1073,  1074,  1075,  1076,  1077,  1078,  1079,  1079,  1080,
    1080,  1080,  1080,  1080,  1080,  1080,  1080,  1080,  1080,  1080,
    1080,  1080,  1080,  1080,  1081,  1082,  1083,  1083,  1084,  1084,
    1084,  1084,  1085,  1085,  1085,  1085,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1087,  1087,  1087,  1087,
    1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,
    1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,
    1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,
    1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,
    1088,  1088,  1088,  1088,  1088,  1088,  1088,  1088,  1088,  1088,
    1088,  1088,  1088,  1088,  1088,  1088,  1088,  1088,  1088,  1088,
    1088,  1088,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1090,  1090,  1091,
    1091,  1091,  1091,  1091,  1091,  1091,  1091,  1093,  1092,  1094,
    1095,  1095,  1095,  1095,  1096,  1096,  1096,  1096,  1097,  1097,
    1098,  1099,  1100,  1100,  1101,  1101,  1101,  1102,  1102,  1103,
    1103,  1104,  1104,  1105,  1105,  1105,  1105,  1106,  1106,  1106,
    1107,  1108,  1108,  1109,  1109,  1110,  1110,  1110,  1110,  1111,
    1111,  1112,  1113,  1114,  1115,  1115,  1116,  1117,  1117,  1118,
    1118,  1118,  1118,  1118,  1120,  1119,  1121,  1122,  1123,  1123,
    1124,  1124,  1124,  1124,  1125,  1125,  1127,  1126,  1129,  1128,
    1130,  1128,  1128,  1131,  1131,  1132,  1132,  1132,  1133,  1133,
    1133,  1133,  1134,  1134,  1135,  1135,  1135,  1135,  1135,  1135,
    1136,  1136,  1136,  1137,  1139,  1138,  1140,  1141,  1140,  1142,
    1142,  1143,  1143,  1144,  1144,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1145,  1145,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1147,  1147,  1148,  1148,  1149,  1150,
    1150,  1151,  1151,  1151,  1152,  1153,  1154,  1154,  1154,  1154,
    1155,  1155,  1155,  1156,  1156,  1157,  1157,  1158,  1159,  1159,
    1160,  1160,  1161,  1161,  1162,  1162,  1163,  1164,  1164,  1165,
    1165,  1165,  1166,  1166,  1166,  1166,  1166,  1166,  1166,  1166,
    1166,  1167,  1167,  1167,  1167,  1167,  1168,  1168,  1169,  1170,
    1171,  1172,  1172,  1173,  1174,  1175,  1175,  1176,  1177,  1177,
    1178,  1179,  1180,  1180,  1181,  1182,  1183,  1183,  1184,  1185,
    1185,  1185,  1185,  1185,  1186,  1186,  1186,  1186,  1186,  1186,
    1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,  1187,
    1187,  1188,  1188,  1189,  1189,  1189,  1191,  1190,  1192,  1192,
    1194,  1193,  1195,  1195,  1195,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1197,  1197,  1198,  1198,  1198,  1198,
    1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,
    1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,
    1199,  1199,  1199,  1199,  1199,  1199,  1200,  1200,  1200,  1200,
    1200,  1200,  1200,  1201,  1202,  1202,  1202,  1202,  1202,  1202,
    1202,  1202,  1203,  1203,  1203,  1203,  1203,  1203,  1203,  1204,
    1204,  1204,  1204,  1204,  1204,  1205,  1205,  1205,  1205,  1205,
    1205,  1205,  1205,  1205,  1205,  1205,  1206,  1206,  1206,  1206,
    1206,  1207,  1207,  1207,  1207,  1208,  1208,  1208,  1208,  1208,
    1208,  1208,  1209,  1209,  1209,  1210,  1210,  1210,  1210,  1210,
    1210,  1211,  1211,  1212,  1213,  1213,  1214,  1214,  1215,  1216,
    1217,  1218,  1218,  1218,  1219,  1220,  1221,  1222,  1223,  1223,
    1223,  1223,  1223,  1224,  1225,  1225,  1225,  1226,  1226,  1227,
    1227,  1227,  1228,  1228,  1229,  1229,  1230,  1230,  1231,  1231,
    1231,  1231,  1231,  1232,  1232,  1232,  1232,  1232,  1232,  1232,
    1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,
    1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,
    1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,
    1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,
    1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1233,
    1233,  1233,  1233,  1234,  1234,  1234,  1234,  1234,  1234,  1234,
    1234,  1234,  1234,  1235,  1235,  1235,  1235,  1236,  1236,  1237,
    1237,  1238,  1238,  1239,  1239
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     0,     5,
       1,     0,     2,     0,     2,     0,     2,     2,     3,     3,
       1,     3,     3,     2,     1,     1,     2,     2,     2,     3,
       3,     5,     5,     0,     3,     5,     5,     5,     5,     5,
       3,     5,     3,     5,     5,     6,     1,     1,     3,     5,
       6,     4,     9,     7,     1,     0,     2,     0,     1,     1,
       1,     1,     1,     1,     2,     3,     3,     2,     5,     1,
       3,     3,     3,     3,     1,     3,     3,     2,     2,     2,
       2,     3,     3,     3,     3,     1,     3,     1,     3,     1,
       1,     2,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     3,     6,     1,     1,     1,     1,     1,     0,     1,
       1,     2,     1,     2,     3,     2,     1,     1,     2,     1,
       2,     1,     3,     4,     5,     4,     2,     4,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     4,     6,
      10,    13,     4,     6,    10,    13,     4,     6,     4,     6,
       5,     7,    11,    14,     1,     3,     2,     3,     4,     6,
       6,     6,     5,     5,     6,     6,     4,     8,     4,     2,
       4,     3,     6,     4,     3,     3,     3,     3,     3,     4,
       4,     3,     3,     3,     3,     3,     3,     4,     4,     3,
       2,     3,     2,     2,     3,     3,     2,     2,     3,     1,
       3,     2,     1,     1,     0,     2,     0,     2,     0,     1,
       1,     1,     3,     3,     2,     0,     1,     3,     3,     1,
       5,     3,     4,     1,     3,     4,     6,     4,     8,     2,
       2,    11,     7,     1,     1,     1,     0,     1,     1,     1,
       1,     3,     2,     0,     1,     1,     1,     3,     3,     1,
       1,     3,     3,     3,     3,     4,     3,     2,     1,     0,
       2,     0,     3,     0,     1,     0,     1,     3,     2,     1,
       1,     1,     3,     0,     1,     3,     1,    11,    14,    10,
      13,     1,     1,     2,     2,     2,     2,     1,     0,     1,
       0,     3,     0,     1,     3,     1,     3,     1,     1,     1,
       1,     1,     4,     4,     2,     0,     3,     1,     1,     2,
       2,     1,     3,     4,     5,     2,     5,     1,     2,     2,
       2,     3,     3,     3,     0,     1,     1,     1,     1,     1,
       1,     3,     1,     5,     7,     3,     8,     4,     9,    11,
       2,     0,     3,     0,     1,     3,     1,     2,     2,     2,
       0,     1,     3,     3,     6,     4,     0,     1,     1,     2,
       2,     0,     3,     3,     2,     1,     1,     2,     2,     4,
       0,     2,     2,     2,     0,     3,     4,     4,     0,     2,
       0,     4,     0,     3,     5,     2,     3,     0,     8,     4,
       1,     0,     6,     5,     4,     6,     1,     0,     1,     2,
       2,     1,     2,     3,     2,     2,     2,     2,     3,     3,
       1,     3,     1,     0,     1,     2,     2,     1,     1,     3,
       6,    10,     1,     0,     1,     2,     2,     0,     2,     2,
       1,     0,     5,     7,     1,     0,     7,     2,     0,     3,
       5,     5,     8,     2,     0,     2,     2,     2,     5,     2,
       0,     2,     7,    10,     6,     6,     6,     6,     7,     7,
       9,     9,     6,     7,     6,     8,     8,     8,     8,     6,
       6,     7,     7,     8,     6,     6,     7,     2,     2,     2,
       2,     1,     2,     1,     0,     6,     8,     7,     6,     4,
       0,     1,     3,     4,     1,     3,     1,     2,     2,     2,
       2,     1,     1,    10,     2,     0,     2,     2,     1,     0,
       4,     6,     5,     4,     4,    10,    13,     5,     7,     8,
       1,     1,     1,     7,     9,     8,    15,    20,     1,     1,
       2,     1,     3,     1,     1,     1,     3,     1,     3,     0,
       1,     0,     1,     1,     4,     0,     1,     3,     0,     1,
       1,     1,     1,     2,     0,     0,     2,     2,     1,     2,
       2,     2,     2,     6,     8,    11,    13,     1,     3,     5,
       1,     3,     5,     1,     2,     2,     1,     8,     4,     5,
       4,     4,     4,     3,     7,     8,     6,     6,     6,     6,
       6,     4,     5,     3,     1,     3,     3,     1,     1,     1,
       1,     1,     1,     3,     1,     3,     3,     1,     0,     1,
       3,     7,     9,     9,     3,     0,    13,     1,     3,     5,
       6,     4,     7,     2,     1,     0,     2,     0,     2,     4,
       0,     1,     0,     6,     8,     8,     1,     3,     5,     5,
       7,     9,     7,     9,     5,     6,     6,     4,     5,     7,
       1,     1,     1,     2,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     3,     3,     3,     3,     1,     3,     1,
       2,     2,     3,     5,     2,     2,     0,     6,     7,     7,
       7,     8,     8,     6,     8,     9,     9,     7,    10,     7,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     1,     2,     1,     3,     2,     3,
       3,     3,     3,     1,     1,     8,     9,     9,     9,     9,
       2,     0,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     1,     1,     2,     2,     3,
       4,     5,     4,     5,     3,     4,     3,     4,     1,     2,
       3,     3,     3,     3,     4,     4,     3,     3,     4,     4,
       4,     4,     1,     1,     1,     0,     7,     7,    10,     1,
       1,     2,     4,     5,     1,     3,     2,     2,     2,     2,
       1,     2,     2,     4,     3,     2,     2,     2,     2,     3,
       2,     2,     2,     5,     5,     5,     1,     3,     1,     2,
       3,     0,     1,     3,     2,     6,     6,     9,     3,     0,
       3,     0,     5,     2,     0,     3,     3,     3,     7,     7,
      10,     1,     1,     1,     1,    14,     1,     0,     1,     0,
       1,     0,     2,     0,     1,     3,     5,     5,     7,     2,
       0,     1,     2,     0,     1,     1,     0,     1,     1,     0,
       9,    12,     7,     2,     0,     3,     2,     1,     3,     3,
       2,     1,     3,     3,     3,     2,     2,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     4,     5,     1,     3,
       3,     1,     3,     3,     5,     6,     1,     3,     1,     2,
       4,     5,     1,     1,     1,     1,     3,     3,     2,     2,
       1,     2,     2,     2,     1,     2,     2,     1,     1,     1,
       3,     2,     0,     2,     1,     3,     5,     1,     2,     1,
       0,     5,     7,     5,     7,     5,     7,     3,     5,     5,
       5,     1,     3,     2,     1,     2,     1,     2,    11,    10,
      10,     2,     2,     0,     9,     2,     0,     4,     4,     4,
       1,     1,     1,     0,     5,     5,     7,     6,     6,     6,
       6,     8,     8,     6,     6,     7,     9,     9,     6,     6,
       6,     8,     6,     8,     6,     8,     7,     9,     6,     8,
       7,     9,     8,    10,     9,    11,     8,     9,    11,     8,
       8,     7,     6,     6,     6,     8,     8,     8,     8,     6,
       9,     1,     0,     2,     0,     7,     6,     6,     6,     6,
       6,     7,     9,     9,     6,     8,     8,     8,     8,     8,
       6,     8,     6,     8,     7,     9,     7,     9,     6,     7,
       6,     6,     6,     6,     6,     7,     7,     7,     9,     9,
       6,     6,     6,     8,     8,     8,     6,     7,    13,     1,
       1,     3,     3,     1,     1,     1,     1,     1,     1,     1,
       0,     1,     1,     1,     1,     1,     1,     0,     6,     8,
       3,     2,     0,     2,     2,     2,     2,     3,     3,     2,
       2,     2,     2,     3,     2,     5,     4,     3,     3,     3,
       1,     1,     0,     3,     2,     2,     1,     2,     1,     3,
       2,     1,     0,     9,    11,    12,    14,     3,     4,     4,
       0,     2,     5,     2,     0,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     4,     3,
       3,     1,     0,     5,     6,     4,     2,     0,     4,     3,
       5,     4,     4,     6,     4,     6,     6,     5,     7,     9,
       6,     1,     0,     6,    11,    11,    11,    13,     9,    11,
      10,     4,     2,     5,     2,     0,     4,     5,     5,     4,
       6,     1,     3,     1,     1,     1,     1,     2,     4,     1,
       1,     1,     0,     1,     0,     1,     0,     3,     0,     2,
       4,     3,     5,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     2,     1,     1,     1,     1,     0,
       5,     4,     3,     0,     1,     1,     1,     1,     4,     9,
       3,     0,     6,     1,     4,     2,     1,     3,     2,     3,
       0,     7,     2,     0,     5,     3,     0,     2,     2,     2,
       3,     1,     3,     1,     2,     1,     0,     8,     1,     3,
       1,     1,     3,     5,     2,     1,     3,     7,     1,     1,
       0,     3,     2,     2,     2,     0,     2,     2,     1,     1,
       3,     3,     1,     2,     4,     4,     2,     3,     5,     5,
       1,     1,     9,     1,     2,     4,     4,     4,     2,     3,
       1,     3,     6,     1,     0,     2,     1,     0,     3,     3,
       4,     4,     4,     4,     3,     2,     1,     1,     0,     1,
       1,     0,     1,     5,     1,     0,     1,     0,     3,     1,
       3,     4,     3,     2,     2,     1,     1,     1,     0,     2,
       4,     5,     2,     3,     1,     1,     1,     1,     3,     0,
       1,     1,     1,     1,     1,     3,     0,     2,     0,     1,
       3,     1,     0,     1,     2,     3,     2,     4,     2,     3,
       2,     0,     2,     3,     2,     0,     1,     3,     2,     2,
       3,     2,     3,     1,     4,     3,     4,     5,     4,     5,
       4,     5,     2,     4,     1,     1,     0,     1,     4,     5,
       4,     0,     2,     2,     2,     1,     1,     0,     4,     2,
       1,     2,     2,     4,     1,     3,     1,     2,     3,     2,
       6,     2,     1,     3,     4,     0,     1,     0,     2,     0,
       2,     4,     0,     1,     0,     1,     3,     3,     2,     3,
       5,     6,     2,     3,     3,     4,     0,     1,     1,     1,
       1,     1,     2,     5,     1,     1,     1,     1,     2,     3,
       3,     0,     1,     1,     1,     1,     1,     2,     2,     2,
       2,     2,     1,     3,     0,     1,     1,     1,     1,     5,
       2,     1,     1,     1,     1,     5,     2,     2,     2,     1,
       3,     3,     2,     1,     0,     3,     0,     5,     2,     5,
       2,     1,     2,     3,     0,     1,     1,     1,     1,     1,
       1,     3,     3,     3,     3,     3,     3,     3,     0,     1,
       4,     1,     3,     3,     5,     2,     2,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     2,     2,     3,
       3,     2,     3,     5,     4,     6,     3,     5,     4,     6,
       4,     6,     5,     7,     3,     2,     4,     2,     3,     3,
       4,     3,     4,     3,     4,     5,     6,     6,     7,     6,
       7,     6,     7,     3,     4,     4,     6,     2,     3,     4,
       1,     3,     2,     2,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     2,     2,     5,     6,     6,     7,
       3,     4,     1,     1,     2,     4,     1,     1,     1,     2,
       2,     2,     2,     1,     3,     5,     6,     8,     6,     6,
       4,     4,     1,     1,     1,     5,     1,     1,     4,     1,
       4,     1,     4,     1,     4,     1,     1,     1,     1,     1,
       1,     6,     4,     4,     4,     4,     6,     5,     5,     5,
       4,     6,     4,     4,     4,     4,     5,     7,     7,     9,
       5,     4,     6,     5,     7,     7,     7,     2,     3,     3,
       3,     4,     0,     4,     1,     3,     3,     1,     1,     1,
       2,     2,     0,     2,     4,     4,     6,     5,     0,     5,
       0,     2,     0,     1,     3,     3,     2,     2,     0,     6,
       1,     0,     3,     0,     2,     2,     0,     1,     4,     2,
       2,     2,     2,     2,     4,     3,     5,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     4,     1,     4,     1,     4,     1,     2,     1,
       2,     1,     3,     1,     3,     1,     3,     1,     3,     3,
       3,     2,     1,     3,     3,     0,     1,     1,     1,     1,
       1,     1,     1,     1,     4,     3,     2,     3,     0,     3,
       3,     2,     2,     1,     0,     2,     2,     3,     2,     1,
       1,     3,     5,     1,     2,     4,     2,     0,     1,     0,
       1,     2,     2,     2,     3,     5,     1,     2,     0,     2,
       1,     0,     1,     1,     1,     3,     3,     1,     0,     1,
       3,     3,     2,     1,     1,     1,     3,     1,     2,     1,
       3,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     1,     2,     6,     2,     3,     6,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     1,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     0,     2,     4,
       3,     2,     1,     1,     1,     1,     1,     0,     8,     2,
       5,     3,     2,     2,     3,     7,     1,     1,     1,     0,
       2,     2,     1,     0,     1,     3,     1,     2,     0,     2,
       0,     2,     0,     1,     3,     4,     3,     1,     1,     1,
       1,     2,     0,     2,     4,     0,     2,     2,     2,     1,
       1,     7,     3,     1,     1,     1,     1,     2,     0,     1,
       3,     3,     3,     3,     0,     4,     5,     5,     0,     1,
       1,     1,     2,     2,     1,     2,     0,     7,     0,     5,
       0,     4,     2,     2,     0,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     5,     2,     1,
       3,     2,     2,     3,     0,     5,     1,     0,     5,     2,
       2,     1,     1,     1,     2,     2,     3,     1,     2,     2,
       3,     3,     4,     2,     1,     2,     1,     1,     2,     2,
       3,     1,     1,     1,     1,     0,     1,     3,     5,     0,
       2,     0,     1,     2,     3,     2,     1,     1,     1,     0,
       1,     1,     1,     1,     1,     2,     2,     3,     0,     1,
       2,     1,     4,     3,     4,     3,     2,     1,     3,     1,
       1,     1,     1,     2,     2,     1,     2,     2,     1,     1,
       1,     4,     4,     4,     4,     4,     1,     0,     3,     3,
       4,     1,     3,     3,     4,     1,     3,     3,     1,     1,
       1,     6,     1,     3,     3,     6,     1,     3,     3,     1,
       1,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       4,     1,     1,     4,     4,     3,     0,     7,     1,     0,
       0,     7,     3,     4,     3,     1,     1,     1,     2,     3,
       5,     2,     5,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     0,     1,     2,     1,     2,     1,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     3,     1,     2,     1,     3,     1,     3,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       3,     2,     3,     1,     3,     3,     3,     3,     3,     3,
       1,     1,     4,     0,     2,     2,     1,     2,     1,     0,
       1,     1,     1,     0,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 1516 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27745 "preproc.c" /* yacc.c:1646  */
    break;

  case 4:
#line 1518 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27751 "preproc.c" /* yacc.c:1646  */
    break;

  case 5:
#line 1520 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27757 "preproc.c" /* yacc.c:1646  */
    break;

  case 6:
#line 1522 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27763 "preproc.c" /* yacc.c:1646  */
    break;

  case 7:
#line 1524 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27769 "preproc.c" /* yacc.c:1646  */
    break;

  case 8:
#line 1526 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27775 "preproc.c" /* yacc.c:1646  */
    break;

  case 9:
#line 1528 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27781 "preproc.c" /* yacc.c:1646  */
    break;

  case 10:
#line 1530 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27787 "preproc.c" /* yacc.c:1646  */
    break;

  case 11:
#line 1532 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27793 "preproc.c" /* yacc.c:1646  */
    break;

  case 12:
#line 1534 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27799 "preproc.c" /* yacc.c:1646  */
    break;

  case 13:
#line 1536 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27805 "preproc.c" /* yacc.c:1646  */
    break;

  case 14:
#line 1538 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27811 "preproc.c" /* yacc.c:1646  */
    break;

  case 15:
#line 1540 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27817 "preproc.c" /* yacc.c:1646  */
    break;

  case 16:
#line 1542 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27823 "preproc.c" /* yacc.c:1646  */
    break;

  case 17:
#line 1544 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27829 "preproc.c" /* yacc.c:1646  */
    break;

  case 18:
#line 1546 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27835 "preproc.c" /* yacc.c:1646  */
    break;

  case 19:
#line 1548 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27841 "preproc.c" /* yacc.c:1646  */
    break;

  case 20:
#line 1550 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27847 "preproc.c" /* yacc.c:1646  */
    break;

  case 21:
#line 1552 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27853 "preproc.c" /* yacc.c:1646  */
    break;

  case 22:
#line 1554 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27859 "preproc.c" /* yacc.c:1646  */
    break;

  case 23:
#line 1556 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27865 "preproc.c" /* yacc.c:1646  */
    break;

  case 24:
#line 1558 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27871 "preproc.c" /* yacc.c:1646  */
    break;

  case 25:
#line 1560 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27877 "preproc.c" /* yacc.c:1646  */
    break;

  case 26:
#line 1562 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27883 "preproc.c" /* yacc.c:1646  */
    break;

  case 27:
#line 1564 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27889 "preproc.c" /* yacc.c:1646  */
    break;

  case 28:
#line 1566 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27895 "preproc.c" /* yacc.c:1646  */
    break;

  case 29:
#line 1568 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27901 "preproc.c" /* yacc.c:1646  */
    break;

  case 30:
#line 1570 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27907 "preproc.c" /* yacc.c:1646  */
    break;

  case 31:
#line 1572 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27913 "preproc.c" /* yacc.c:1646  */
    break;

  case 32:
#line 1574 "preproc.y" /* yacc.c:1646  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 27935 "preproc.c" /* yacc.c:1646  */
    break;

  case 33:
#line 1592 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27941 "preproc.c" /* yacc.c:1646  */
    break;

  case 34:
#line 1594 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27947 "preproc.c" /* yacc.c:1646  */
    break;

  case 35:
#line 1596 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27953 "preproc.c" /* yacc.c:1646  */
    break;

  case 36:
#line 1598 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27959 "preproc.c" /* yacc.c:1646  */
    break;

  case 37:
#line 1600 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27965 "preproc.c" /* yacc.c:1646  */
    break;

  case 38:
#line 1602 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27971 "preproc.c" /* yacc.c:1646  */
    break;

  case 39:
#line 1604 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27977 "preproc.c" /* yacc.c:1646  */
    break;

  case 40:
#line 1606 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27983 "preproc.c" /* yacc.c:1646  */
    break;

  case 41:
#line 1608 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27989 "preproc.c" /* yacc.c:1646  */
    break;

  case 42:
#line 1610 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27995 "preproc.c" /* yacc.c:1646  */
    break;

  case 43:
#line 1612 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28001 "preproc.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1614 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28007 "preproc.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1616 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28013 "preproc.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1618 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28019 "preproc.c" /* yacc.c:1646  */
    break;

  case 47:
#line 1620 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28025 "preproc.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1622 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28031 "preproc.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1624 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28037 "preproc.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1626 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28043 "preproc.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1628 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28049 "preproc.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1630 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28055 "preproc.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1632 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28061 "preproc.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1634 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28067 "preproc.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1636 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28073 "preproc.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1638 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28079 "preproc.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1640 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28085 "preproc.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1642 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28091 "preproc.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1644 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28097 "preproc.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1646 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28103 "preproc.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1648 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28109 "preproc.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1650 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28115 "preproc.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1652 "preproc.y" /* yacc.c:1646  */
    {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 28123 "preproc.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1656 "preproc.y" /* yacc.c:1646  */
    { output_simple_statement((yyvsp[0].str)); }
#line 28129 "preproc.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1658 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28135 "preproc.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1660 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 28141 "preproc.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1662 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 28147 "preproc.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1664 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28153 "preproc.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1666 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28159 "preproc.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1668 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28165 "preproc.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1670 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28171 "preproc.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1672 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28177 "preproc.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1674 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28183 "preproc.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1676 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28189 "preproc.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1678 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28195 "preproc.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1680 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28201 "preproc.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1682 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28207 "preproc.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1684 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28213 "preproc.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1686 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28219 "preproc.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1688 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28225 "preproc.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1690 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28231 "preproc.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1692 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28237 "preproc.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1694 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28243 "preproc.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1696 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28249 "preproc.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1698 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28255 "preproc.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1700 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_execute); }
#line 28261 "preproc.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1702 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28267 "preproc.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1704 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 28273 "preproc.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1706 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28279 "preproc.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1708 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28285 "preproc.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1710 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28291 "preproc.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1712 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 28297 "preproc.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1714 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28303 "preproc.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1716 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28309 "preproc.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1718 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28315 "preproc.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1720 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28321 "preproc.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1722 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28327 "preproc.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1724 "preproc.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].prep).type == NULL || strlen((yyvsp[0].prep).type) == 0)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[0].prep).name, (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_normal);
	}
#line 28338 "preproc.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1731 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28344 "preproc.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1733 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28350 "preproc.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1735 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28356 "preproc.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1737 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28362 "preproc.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1739 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28368 "preproc.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1741 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28374 "preproc.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1743 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28380 "preproc.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1745 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28386 "preproc.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1747 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28392 "preproc.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1749 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28398 "preproc.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1751 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 28404 "preproc.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1753 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 28414 "preproc.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1759 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28420 "preproc.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1761 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28426 "preproc.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1763 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 28432 "preproc.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1765 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28438 "preproc.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1767 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28444 "preproc.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1769 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28450 "preproc.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1771 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28456 "preproc.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1773 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28462 "preproc.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1775 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 28472 "preproc.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1781 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(base_yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 28486 "preproc.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1791 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 28494 "preproc.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1795 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 28504 "preproc.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1801 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 28512 "preproc.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1805 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[0].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", base_yyout);
		fprintf(base_yyout, "}");
		output_line_number();

		free((yyvsp[0].str));
	}
#line 28526 "preproc.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1815 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 28540 "preproc.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1824 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 28546 "preproc.c" /* yacc.c:1646  */
    break;

  case 127:
#line 1826 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(base_yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 28564 "preproc.c" /* yacc.c:1646  */
    break;

  case 128:
#line 1840 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 28575 "preproc.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1847 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 28585 "preproc.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1853 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 28600 "preproc.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1864 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 28610 "preproc.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1870 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(base_yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 28623 "preproc.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1879 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 28634 "preproc.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1886 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 28644 "preproc.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1892 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(base_yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 28657 "preproc.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1901 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 28668 "preproc.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1908 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 28679 "preproc.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1915 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 28685 "preproc.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28693 "preproc.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 28701 "preproc.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28708 "preproc.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28716 "preproc.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28723 "preproc.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28731 "preproc.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28738 "preproc.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 28746 "preproc.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password null");
}
#line 28754 "preproc.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 28762 "preproc.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 28770 "preproc.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 28778 "preproc.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 28786 "preproc.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 28794 "preproc.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 28802 "preproc.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28810 "preproc.c" /* yacc.c:1646  */
    break;

  case 155:
#line 2002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28818 "preproc.c" /* yacc.c:1646  */
    break;

  case 156:
#line 2006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 28826 "preproc.c" /* yacc.c:1646  */
    break;

  case 157:
#line 2010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 28834 "preproc.c" /* yacc.c:1646  */
    break;

  case 158:
#line 2014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 28842 "preproc.c" /* yacc.c:1646  */
    break;

  case 159:
#line 2018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 28850 "preproc.c" /* yacc.c:1646  */
    break;

  case 160:
#line 2022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 28858 "preproc.c" /* yacc.c:1646  */
    break;

  case 161:
#line 2030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28866 "preproc.c" /* yacc.c:1646  */
    break;

  case 162:
#line 2038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28874 "preproc.c" /* yacc.c:1646  */
    break;

  case 163:
#line 2046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28881 "preproc.c" /* yacc.c:1646  */
    break;

  case 164:
#line 2049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 28889 "preproc.c" /* yacc.c:1646  */
    break;

  case 165:
#line 2057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28897 "preproc.c" /* yacc.c:1646  */
    break;

  case 166:
#line 2061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28905 "preproc.c" /* yacc.c:1646  */
    break;

  case 167:
#line 2069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28913 "preproc.c" /* yacc.c:1646  */
    break;

  case 168:
#line 2077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28921 "preproc.c" /* yacc.c:1646  */
    break;

  case 169:
#line 2081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28929 "preproc.c" /* yacc.c:1646  */
    break;

  case 170:
#line 2089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 28937 "preproc.c" /* yacc.c:1646  */
    break;

  case 171:
#line 2093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 28945 "preproc.c" /* yacc.c:1646  */
    break;

  case 172:
#line 2101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 28953 "preproc.c" /* yacc.c:1646  */
    break;

  case 173:
#line 2105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 28961 "preproc.c" /* yacc.c:1646  */
    break;

  case 174:
#line 2113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28969 "preproc.c" /* yacc.c:1646  */
    break;

  case 175:
#line 2121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 28977 "preproc.c" /* yacc.c:1646  */
    break;

  case 176:
#line 2129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 28985 "preproc.c" /* yacc.c:1646  */
    break;

  case 177:
#line 2133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 28993 "preproc.c" /* yacc.c:1646  */
    break;

  case 178:
#line 2141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 29001 "preproc.c" /* yacc.c:1646  */
    break;

  case 179:
#line 2145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 29009 "preproc.c" /* yacc.c:1646  */
    break;

  case 180:
#line 2153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29017 "preproc.c" /* yacc.c:1646  */
    break;

  case 181:
#line 2157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29025 "preproc.c" /* yacc.c:1646  */
    break;

  case 182:
#line 2161 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29034 "preproc.c" /* yacc.c:1646  */
    break;

  case 183:
#line 2166 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29043 "preproc.c" /* yacc.c:1646  */
    break;

  case 184:
#line 2175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29051 "preproc.c" /* yacc.c:1646  */
    break;

  case 185:
#line 2179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29058 "preproc.c" /* yacc.c:1646  */
    break;

  case 186:
#line 2186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29066 "preproc.c" /* yacc.c:1646  */
    break;

  case 187:
#line 2190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29073 "preproc.c" /* yacc.c:1646  */
    break;

  case 188:
#line 2197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29081 "preproc.c" /* yacc.c:1646  */
    break;

  case 189:
#line 2201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29089 "preproc.c" /* yacc.c:1646  */
    break;

  case 190:
#line 2205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29097 "preproc.c" /* yacc.c:1646  */
    break;

  case 191:
#line 2209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29105 "preproc.c" /* yacc.c:1646  */
    break;

  case 192:
#line 2213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29113 "preproc.c" /* yacc.c:1646  */
    break;

  case 193:
#line 2217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29121 "preproc.c" /* yacc.c:1646  */
    break;

  case 194:
#line 2225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 29129 "preproc.c" /* yacc.c:1646  */
    break;

  case 195:
#line 2229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 29137 "preproc.c" /* yacc.c:1646  */
    break;

  case 196:
#line 2233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 29145 "preproc.c" /* yacc.c:1646  */
    break;

  case 197:
#line 2241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 29153 "preproc.c" /* yacc.c:1646  */
    break;

  case 198:
#line 2245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 29161 "preproc.c" /* yacc.c:1646  */
    break;

  case 199:
#line 2249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29169 "preproc.c" /* yacc.c:1646  */
    break;

  case 200:
#line 2257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 29177 "preproc.c" /* yacc.c:1646  */
    break;

  case 201:
#line 2261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 29185 "preproc.c" /* yacc.c:1646  */
    break;

  case 202:
#line 2265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 29193 "preproc.c" /* yacc.c:1646  */
    break;

  case 204:
#line 2270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29201 "preproc.c" /* yacc.c:1646  */
    break;

  case 205:
#line 2274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 29209 "preproc.c" /* yacc.c:1646  */
    break;

  case 206:
#line 2278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 29217 "preproc.c" /* yacc.c:1646  */
    break;

  case 207:
#line 2282 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 29226 "preproc.c" /* yacc.c:1646  */
    break;

  case 208:
#line 2287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 29234 "preproc.c" /* yacc.c:1646  */
    break;

  case 209:
#line 2291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 29242 "preproc.c" /* yacc.c:1646  */
    break;

  case 210:
#line 2295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 29250 "preproc.c" /* yacc.c:1646  */
    break;

  case 211:
#line 2299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 29258 "preproc.c" /* yacc.c:1646  */
    break;

  case 212:
#line 2303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 29266 "preproc.c" /* yacc.c:1646  */
    break;

  case 213:
#line 2307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 29274 "preproc.c" /* yacc.c:1646  */
    break;

  case 214:
#line 2311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 29282 "preproc.c" /* yacc.c:1646  */
    break;

  case 215:
#line 2319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29290 "preproc.c" /* yacc.c:1646  */
    break;

  case 216:
#line 2323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 29298 "preproc.c" /* yacc.c:1646  */
    break;

  case 217:
#line 2331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29306 "preproc.c" /* yacc.c:1646  */
    break;

  case 218:
#line 2335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29314 "preproc.c" /* yacc.c:1646  */
    break;

  case 219:
#line 2343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29322 "preproc.c" /* yacc.c:1646  */
    break;

  case 220:
#line 2347 "preproc.y" /* yacc.c:1646  */
    { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 29336 "preproc.c" /* yacc.c:1646  */
    break;

  case 221:
#line 2361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 29344 "preproc.c" /* yacc.c:1646  */
    break;

  case 222:
#line 2365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read committed");
}
#line 29352 "preproc.c" /* yacc.c:1646  */
    break;

  case 223:
#line 2369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 29360 "preproc.c" /* yacc.c:1646  */
    break;

  case 224:
#line 2373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 29368 "preproc.c" /* yacc.c:1646  */
    break;

  case 225:
#line 2381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 29376 "preproc.c" /* yacc.c:1646  */
    break;

  case 226:
#line 2385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 29384 "preproc.c" /* yacc.c:1646  */
    break;

  case 227:
#line 2389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 29392 "preproc.c" /* yacc.c:1646  */
    break;

  case 228:
#line 2393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29400 "preproc.c" /* yacc.c:1646  */
    break;

  case 229:
#line 2401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29408 "preproc.c" /* yacc.c:1646  */
    break;

  case 230:
#line 2405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29416 "preproc.c" /* yacc.c:1646  */
    break;

  case 231:
#line 2409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29424 "preproc.c" /* yacc.c:1646  */
    break;

  case 232:
#line 2413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29432 "preproc.c" /* yacc.c:1646  */
    break;

  case 233:
#line 2417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29440 "preproc.c" /* yacc.c:1646  */
    break;

  case 234:
#line 2421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 29448 "preproc.c" /* yacc.c:1646  */
    break;

  case 235:
#line 2425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 29456 "preproc.c" /* yacc.c:1646  */
    break;

  case 236:
#line 2433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29464 "preproc.c" /* yacc.c:1646  */
    break;

  case 237:
#line 2437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 29472 "preproc.c" /* yacc.c:1646  */
    break;

  case 238:
#line 2441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29479 "preproc.c" /* yacc.c:1646  */
    break;

  case 239:
#line 2448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29487 "preproc.c" /* yacc.c:1646  */
    break;

  case 240:
#line 2452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29495 "preproc.c" /* yacc.c:1646  */
    break;

  case 241:
#line 2460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 29503 "preproc.c" /* yacc.c:1646  */
    break;

  case 242:
#line 2468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29511 "preproc.c" /* yacc.c:1646  */
    break;

  case 243:
#line 2472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time zone");
}
#line 29519 "preproc.c" /* yacc.c:1646  */
    break;

  case 244:
#line 2476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction isolation level");
}
#line 29527 "preproc.c" /* yacc.c:1646  */
    break;

  case 245:
#line 2480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization");
}
#line 29535 "preproc.c" /* yacc.c:1646  */
    break;

  case 246:
#line 2488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29543 "preproc.c" /* yacc.c:1646  */
    break;

  case 247:
#line 2492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 29551 "preproc.c" /* yacc.c:1646  */
    break;

  case 248:
#line 2500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 29559 "preproc.c" /* yacc.c:1646  */
    break;

  case 249:
#line 2504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29567 "preproc.c" /* yacc.c:1646  */
    break;

  case 250:
#line 2512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 29575 "preproc.c" /* yacc.c:1646  */
    break;

  case 251:
#line 2516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29583 "preproc.c" /* yacc.c:1646  */
    break;

  case 252:
#line 2524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 29591 "preproc.c" /* yacc.c:1646  */
    break;

  case 253:
#line 2528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 29599 "preproc.c" /* yacc.c:1646  */
    break;

  case 254:
#line 2532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 29607 "preproc.c" /* yacc.c:1646  */
    break;

  case 255:
#line 2536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 29615 "preproc.c" /* yacc.c:1646  */
    break;

  case 256:
#line 2540 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 29624 "preproc.c" /* yacc.c:1646  */
    break;

  case 257:
#line 2549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29632 "preproc.c" /* yacc.c:1646  */
    break;

  case 258:
#line 2557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 29640 "preproc.c" /* yacc.c:1646  */
    break;

  case 259:
#line 2561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29648 "preproc.c" /* yacc.c:1646  */
    break;

  case 260:
#line 2569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 29656 "preproc.c" /* yacc.c:1646  */
    break;

  case 261:
#line 2573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 29664 "preproc.c" /* yacc.c:1646  */
    break;

  case 262:
#line 2581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 29672 "preproc.c" /* yacc.c:1646  */
    break;

  case 263:
#line 2589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard all");
}
#line 29680 "preproc.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 29688 "preproc.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 29696 "preproc.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 29704 "preproc.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard sequences");
}
#line 29712 "preproc.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29720 "preproc.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29728 "preproc.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter table all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29736 "preproc.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29744 "preproc.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29752 "preproc.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29760 "preproc.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29768 "preproc.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter index all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29776 "preproc.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29784 "preproc.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29792 "preproc.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29800 "preproc.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29808 "preproc.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29816 "preproc.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29824 "preproc.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29832 "preproc.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29840 "preproc.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29848 "preproc.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29856 "preproc.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 29864 "preproc.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 29872 "preproc.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29880 "preproc.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 29888 "preproc.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 29896 "preproc.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 29904 "preproc.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 29912 "preproc.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 29920 "preproc.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set storage"),(yyvsp[0].str));
}
#line 29928 "preproc.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29936 "preproc.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29944 "preproc.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29952 "preproc.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29960 "preproc.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 29968 "preproc.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29976 "preproc.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 29984 "preproc.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29992 "preproc.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30000 "preproc.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set with oids");
}
#line 30008 "preproc.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 30016 "preproc.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 30024 "preproc.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 30032 "preproc.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 30040 "preproc.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 30048 "preproc.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 30056 "preproc.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 30064 "preproc.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 30072 "preproc.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 30080 "preproc.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 30088 "preproc.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 30096 "preproc.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 30104 "preproc.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 30112 "preproc.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 30120 "preproc.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 30128 "preproc.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 30136 "preproc.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 30144 "preproc.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 30152 "preproc.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not of");
}
#line 30160 "preproc.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 30168 "preproc.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 30176 "preproc.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 30184 "preproc.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 30192 "preproc.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("replica identity"),(yyvsp[0].str));
}
#line 30200 "preproc.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30208 "preproc.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 30216 "preproc.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop default");
}
#line 30224 "preproc.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 30232 "preproc.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 30240 "preproc.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30247 "preproc.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 30255 "preproc.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30262 "preproc.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 30270 "preproc.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30277 "preproc.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 30285 "preproc.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 30293 "preproc.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 30301 "preproc.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 30309 "preproc.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30317 "preproc.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 30325 "preproc.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30332 "preproc.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30340 "preproc.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30348 "preproc.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 30356 "preproc.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30364 "preproc.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 30372 "preproc.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 30380 "preproc.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30388 "preproc.c" /* yacc.c:1646  */
    break;

  case 353:
#line 3001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30396 "preproc.c" /* yacc.c:1646  */
    break;

  case 354:
#line 3005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30404 "preproc.c" /* yacc.c:1646  */
    break;

  case 355:
#line 3013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30412 "preproc.c" /* yacc.c:1646  */
    break;

  case 356:
#line 3017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30420 "preproc.c" /* yacc.c:1646  */
    break;

  case 357:
#line 3021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30428 "preproc.c" /* yacc.c:1646  */
    break;

  case 358:
#line 3025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30436 "preproc.c" /* yacc.c:1646  */
    break;

  case 359:
#line 3033 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 30445 "preproc.c" /* yacc.c:1646  */
    break;

  case 360:
#line 3038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close all");
}
#line 30453 "preproc.c" /* yacc.c:1646  */
    break;

  case 361:
#line 3046 "preproc.y" /* yacc.c:1646  */
    { 
			if (strcmp((yyvsp[-5].str), "from") == 0 &&
			   (strcmp((yyvsp[-4].str), "stdin") == 0 || strcmp((yyvsp[-4].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30465 "preproc.c" /* yacc.c:1646  */
    break;

  case 362:
#line 3054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy"),(yyvsp[-5].str),mm_strdup("to"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30473 "preproc.c" /* yacc.c:1646  */
    break;

  case 363:
#line 3062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 30481 "preproc.c" /* yacc.c:1646  */
    break;

  case 364:
#line 3066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("to");
}
#line 30489 "preproc.c" /* yacc.c:1646  */
    break;

  case 365:
#line 3074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 30497 "preproc.c" /* yacc.c:1646  */
    break;

  case 366:
#line 3078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30504 "preproc.c" /* yacc.c:1646  */
    break;

  case 367:
#line 3085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30512 "preproc.c" /* yacc.c:1646  */
    break;

  case 368:
#line 3089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 30520 "preproc.c" /* yacc.c:1646  */
    break;

  case 369:
#line 3093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 30528 "preproc.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30536 "preproc.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30544 "preproc.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30552 "preproc.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30559 "preproc.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 30567 "preproc.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 30575 "preproc.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 30583 "preproc.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30591 "preproc.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30599 "preproc.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 30607 "preproc.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 30615 "preproc.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30623 "preproc.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30631 "preproc.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 30639 "preproc.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 30647 "preproc.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 30655 "preproc.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force null"),(yyvsp[0].str));
}
#line 30663 "preproc.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 30671 "preproc.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 30679 "preproc.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30686 "preproc.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 30694 "preproc.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30701 "preproc.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 30709 "preproc.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30716 "preproc.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 30724 "preproc.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30731 "preproc.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30739 "preproc.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30747 "preproc.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30755 "preproc.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30763 "preproc.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30771 "preproc.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 30779 "preproc.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30787 "preproc.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30794 "preproc.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30802 "preproc.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30810 "preproc.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30818 "preproc.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30826 "preproc.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30834 "preproc.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("table"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30842 "preproc.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table if not exists"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30850 "preproc.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 30858 "preproc.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 30866 "preproc.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 30874 "preproc.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temp");
}
#line 30882 "preproc.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 30890 "preproc.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temp");
}
#line 30898 "preproc.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 30906 "preproc.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30913 "preproc.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30921 "preproc.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30928 "preproc.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30936 "preproc.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30943 "preproc.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30951 "preproc.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30959 "preproc.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30967 "preproc.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30975 "preproc.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30983 "preproc.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30991 "preproc.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30999 "preproc.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31007 "preproc.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31015 "preproc.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31023 "preproc.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 31031 "preproc.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31039 "preproc.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31046 "preproc.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31054 "preproc.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31062 "preproc.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31070 "preproc.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 31078 "preproc.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 31086 "preproc.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 31094 "preproc.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31102 "preproc.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31110 "preproc.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 31118 "preproc.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 31126 "preproc.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31134 "preproc.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 31142 "preproc.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 31150 "preproc.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 31158 "preproc.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 31166 "preproc.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31174 "preproc.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 31182 "preproc.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 31190 "preproc.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31197 "preproc.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 31205 "preproc.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 31213 "preproc.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 31221 "preproc.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 31229 "preproc.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 31237 "preproc.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 31245 "preproc.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31253 "preproc.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31261 "preproc.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 31269 "preproc.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31277 "preproc.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31285 "preproc.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31293 "preproc.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31301 "preproc.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31309 "preproc.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31317 "preproc.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 31325 "preproc.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31332 "preproc.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31340 "preproc.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31347 "preproc.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31355 "preproc.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31363 "preproc.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31371 "preproc.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match full");
}
#line 31379 "preproc.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3660 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 31388 "preproc.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match simple");
}
#line 31396 "preproc.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31403 "preproc.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31411 "preproc.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31419 "preproc.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 31427 "preproc.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31435 "preproc.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31443 "preproc.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31450 "preproc.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31458 "preproc.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31466 "preproc.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31474 "preproc.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31482 "preproc.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31489 "preproc.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 31497 "preproc.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 31505 "preproc.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no action");
}
#line 31513 "preproc.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 31521 "preproc.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 31529 "preproc.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set null");
}
#line 31537 "preproc.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set default");
}
#line 31545 "preproc.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31553 "preproc.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31560 "preproc.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 31568 "preproc.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 31576 "preproc.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without oids");
}
#line 31584 "preproc.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31591 "preproc.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 31599 "preproc.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 31607 "preproc.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 31615 "preproc.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31622 "preproc.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 31630 "preproc.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31637 "preproc.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 31645 "preproc.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31652 "preproc.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 31660 "preproc.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31668 "preproc.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with data");
}
#line 31676 "preproc.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with no data");
}
#line 31684 "preproc.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31691 "preproc.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("materialized view"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31699 "preproc.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31707 "preproc.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 31715 "preproc.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31722 "preproc.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("refresh materialized view"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31730 "preproc.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31738 "preproc.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31746 "preproc.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31754 "preproc.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31762 "preproc.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31769 "preproc.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31777 "preproc.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31785 "preproc.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 31793 "preproc.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 31801 "preproc.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 31809 "preproc.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31817 "preproc.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 31825 "preproc.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 31833 "preproc.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 31841 "preproc.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 31849 "preproc.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 31857 "preproc.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31865 "preproc.c" /* yacc.c:1646  */
    break;

  case 540:
#line 3994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 31873 "preproc.c" /* yacc.c:1646  */
    break;

  case 541:
#line 3998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31881 "preproc.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 31889 "preproc.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31896 "preproc.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31904 "preproc.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 31912 "preproc.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 31920 "preproc.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31928 "preproc.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31936 "preproc.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31944 "preproc.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 31952 "preproc.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31960 "preproc.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 31968 "preproc.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31975 "preproc.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31983 "preproc.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31991 "preproc.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 31999 "preproc.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32006 "preproc.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 32014 "preproc.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 32022 "preproc.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32030 "preproc.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32037 "preproc.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32045 "preproc.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-5].str),mm_strdup("language if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32053 "preproc.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 32061 "preproc.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32068 "preproc.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create tablespace"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32076 "preproc.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 32084 "preproc.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32091 "preproc.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 32099 "preproc.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 32107 "preproc.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32115 "preproc.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32123 "preproc.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32131 "preproc.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32138 "preproc.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 32146 "preproc.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 32154 "preproc.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 32162 "preproc.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 32170 "preproc.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32178 "preproc.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32185 "preproc.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 32193 "preproc.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32201 "preproc.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32209 "preproc.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("collation"),(yyvsp[0].str));
}
#line 32217 "preproc.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("conversion"),(yyvsp[0].str));
}
#line 32225 "preproc.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 32233 "preproc.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 32241 "preproc.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 32249 "preproc.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32257 "preproc.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 32265 "preproc.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 32273 "preproc.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("schema"),(yyvsp[0].str));
}
#line 32281 "preproc.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("event trigger"),(yyvsp[0].str));
}
#line 32289 "preproc.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("table"),(yyvsp[0].str));
}
#line 32297 "preproc.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search parser"),(yyvsp[0].str));
}
#line 32305 "preproc.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search dictionary"),(yyvsp[0].str));
}
#line 32313 "preproc.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search template"),(yyvsp[0].str));
}
#line 32321 "preproc.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search configuration"),(yyvsp[0].str));
}
#line 32329 "preproc.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("sequence"),(yyvsp[0].str));
}
#line 32337 "preproc.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("view"),(yyvsp[0].str));
}
#line 32345 "preproc.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("materialized view"),(yyvsp[0].str));
}
#line 32353 "preproc.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("foreign table"),(yyvsp[0].str));
}
#line 32361 "preproc.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 32369 "preproc.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 32377 "preproc.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 32385 "preproc.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32393 "preproc.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 32401 "preproc.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no handler");
}
#line 32409 "preproc.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 32417 "preproc.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 32425 "preproc.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32433 "preproc.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32441 "preproc.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32449 "preproc.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32456 "preproc.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32464 "preproc.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32472 "preproc.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32480 "preproc.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32488 "preproc.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32496 "preproc.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32503 "preproc.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32511 "preproc.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32519 "preproc.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32527 "preproc.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32535 "preproc.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32543 "preproc.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32551 "preproc.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 32559 "preproc.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 32567 "preproc.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 32575 "preproc.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32583 "preproc.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32591 "preproc.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32599 "preproc.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32607 "preproc.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 32615 "preproc.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32622 "preproc.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 32630 "preproc.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version null");
}
#line 32638 "preproc.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32646 "preproc.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32653 "preproc.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32661 "preproc.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32669 "preproc.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32677 "preproc.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32685 "preproc.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32693 "preproc.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create foreign table"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(") server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32701 "preproc.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create foreign table if not exists"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(") server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32709 "preproc.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32717 "preproc.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32725 "preproc.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32733 "preproc.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 32741 "preproc.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 32749 "preproc.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32757 "preproc.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 32765 "preproc.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 32773 "preproc.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32781 "preproc.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("on"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32789 "preproc.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32797 "preproc.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 32805 "preproc.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 32813 "preproc.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead of");
}
#line 32821 "preproc.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32829 "preproc.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 32837 "preproc.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 32845 "preproc.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 32853 "preproc.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 32861 "preproc.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 32869 "preproc.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 32877 "preproc.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32885 "preproc.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32892 "preproc.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 32900 "preproc.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32907 "preproc.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 32915 "preproc.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 32923 "preproc.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32931 "preproc.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32938 "preproc.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32946 "preproc.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32954 "preproc.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32961 "preproc.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32969 "preproc.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32977 "preproc.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32985 "preproc.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32993 "preproc.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 33001 "preproc.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33008 "preproc.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33015 "preproc.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33023 "preproc.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 33031 "preproc.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 33039 "preproc.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 33047 "preproc.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 33055 "preproc.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not valid");
}
#line 33063 "preproc.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 33071 "preproc.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33079 "preproc.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33087 "preproc.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create event trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 33095 "preproc.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create event trigger"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),mm_strdup("when"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 33103 "preproc.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33111 "preproc.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 33119 "preproc.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33127 "preproc.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sconst");
}
#line 33135 "preproc.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup(", sconst"));
}
#line 33143 "preproc.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33151 "preproc.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 33159 "preproc.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable replica");
}
#line 33167 "preproc.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable always");
}
#line 33175 "preproc.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 33183 "preproc.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4916 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 33192 "preproc.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4925 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33201 "preproc.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33209 "preproc.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33217 "preproc.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33225 "preproc.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33233 "preproc.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 33241 "preproc.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33249 "preproc.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33257 "preproc.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 33265 "preproc.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33273 "preproc.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33281 "preproc.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33289 "preproc.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33297 "preproc.c" /* yacc.c:1646  */
    break;

  case 721:
#line 4982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33305 "preproc.c" /* yacc.c:1646  */
    break;

  case 722:
#line 4986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 33313 "preproc.c" /* yacc.c:1646  */
    break;

  case 723:
#line 4994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33321 "preproc.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33329 "preproc.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33337 "preproc.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 33345 "preproc.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33353 "preproc.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33361 "preproc.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33369 "preproc.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33377 "preproc.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33385 "preproc.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33393 "preproc.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33401 "preproc.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33409 "preproc.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33417 "preproc.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 33425 "preproc.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33433 "preproc.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33440 "preproc.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33448 "preproc.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33456 "preproc.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("add value"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33464 "preproc.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 33472 "preproc.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 33480 "preproc.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if not exists");
}
#line 33488 "preproc.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33495 "preproc.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 33503 "preproc.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33511 "preproc.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33519 "preproc.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33527 "preproc.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33535 "preproc.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33543 "preproc.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33551 "preproc.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 33559 "preproc.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 33567 "preproc.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33574 "preproc.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 33582 "preproc.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33589 "preproc.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for search");
}
#line 33597 "preproc.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 33605 "preproc.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33612 "preproc.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5209 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 33621 "preproc.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33628 "preproc.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 33636 "preproc.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 33644 "preproc.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 33652 "preproc.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33660 "preproc.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33668 "preproc.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33676 "preproc.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33684 "preproc.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33692 "preproc.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33700 "preproc.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33708 "preproc.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33716 "preproc.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33724 "preproc.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 33732 "preproc.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33740 "preproc.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33748 "preproc.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33756 "preproc.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33764 "preproc.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 33772 "preproc.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 33780 "preproc.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 33788 "preproc.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 33796 "preproc.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 33804 "preproc.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 33812 "preproc.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 33820 "preproc.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 33828 "preproc.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 33836 "preproc.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 33844 "preproc.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 33852 "preproc.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 33860 "preproc.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 33868 "preproc.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 33876 "preproc.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 33884 "preproc.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 33892 "preproc.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 33900 "preproc.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33908 "preproc.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33916 "preproc.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33924 "preproc.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33932 "preproc.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 33940 "preproc.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 33948 "preproc.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33956 "preproc.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 33964 "preproc.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 33972 "preproc.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33979 "preproc.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33987 "preproc.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33995 "preproc.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34003 "preproc.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34011 "preproc.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34019 "preproc.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34027 "preproc.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34035 "preproc.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34043 "preproc.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34051 "preproc.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34059 "preproc.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34067 "preproc.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 34075 "preproc.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34083 "preproc.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 34091 "preproc.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 34099 "preproc.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 34107 "preproc.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 34115 "preproc.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 34123 "preproc.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 34131 "preproc.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 34139 "preproc.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 34147 "preproc.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 34155 "preproc.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 34163 "preproc.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 34171 "preproc.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 34179 "preproc.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 34187 "preproc.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 34195 "preproc.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 34203 "preproc.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 34211 "preproc.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 34219 "preproc.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 34227 "preproc.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 34235 "preproc.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 34243 "preproc.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 34251 "preproc.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 34259 "preproc.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 34267 "preproc.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34275 "preproc.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 34283 "preproc.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34291 "preproc.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34299 "preproc.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34307 "preproc.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34315 "preproc.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34323 "preproc.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 34331 "preproc.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34338 "preproc.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 34346 "preproc.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 34354 "preproc.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 34362 "preproc.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 34370 "preproc.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 34378 "preproc.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 34386 "preproc.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 34394 "preproc.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 34402 "preproc.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 34410 "preproc.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 34418 "preproc.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 34426 "preproc.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 34434 "preproc.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 34442 "preproc.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34450 "preproc.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 34458 "preproc.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 34466 "preproc.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 34474 "preproc.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5731 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 34482 "preproc.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5735 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 34492 "preproc.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5741 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 34502 "preproc.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5747 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 34512 "preproc.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5753 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 34522 "preproc.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5759 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 34532 "preproc.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5765 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 34542 "preproc.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5771 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 34552 "preproc.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5777 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 34562 "preproc.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5787 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 34577 "preproc.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5798 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34592 "preproc.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5809 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34607 "preproc.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5820 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34622 "preproc.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5831 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34637 "preproc.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5842 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34652 "preproc.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5853 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34672 "preproc.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5869 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34692 "preproc.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5885 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34712 "preproc.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5901 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34727 "preproc.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5912 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34747 "preproc.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5928 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34762 "preproc.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5939 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34782 "preproc.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5955 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34797 "preproc.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 34805 "preproc.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 34813 "preproc.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34821 "preproc.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34828 "preproc.c" /* yacc.c:1646  */
    break;

  case 896:
#line 5993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34836 "preproc.c" /* yacc.c:1646  */
    break;

  case 897:
#line 6001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34844 "preproc.c" /* yacc.c:1646  */
    break;

  case 898:
#line 6005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34852 "preproc.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34860 "preproc.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 34868 "preproc.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 34876 "preproc.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34884 "preproc.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34892 "preproc.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34900 "preproc.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34908 "preproc.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 34916 "preproc.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 34924 "preproc.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 34932 "preproc.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34940 "preproc.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34948 "preproc.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 34956 "preproc.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 34964 "preproc.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 34972 "preproc.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 34980 "preproc.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 34988 "preproc.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 34996 "preproc.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 35004 "preproc.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 35012 "preproc.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 35020 "preproc.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 35028 "preproc.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 35036 "preproc.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 35044 "preproc.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 35052 "preproc.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 35060 "preproc.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 35068 "preproc.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35076 "preproc.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35084 "preproc.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35092 "preproc.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 35100 "preproc.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 35108 "preproc.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35115 "preproc.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35123 "preproc.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35131 "preproc.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35139 "preproc.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35147 "preproc.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35155 "preproc.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35163 "preproc.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with admin option");
}
#line 35171 "preproc.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35178 "preproc.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 35186 "preproc.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35193 "preproc.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35201 "preproc.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35209 "preproc.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35216 "preproc.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 35224 "preproc.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 35232 "preproc.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 35240 "preproc.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35248 "preproc.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35256 "preproc.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35264 "preproc.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 35272 "preproc.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 35280 "preproc.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 35288 "preproc.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 35296 "preproc.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("index"),(yyvsp[-10].str),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35304 "preproc.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 35312 "preproc.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35319 "preproc.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 35327 "preproc.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35334 "preproc.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35342 "preproc.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35349 "preproc.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 35357 "preproc.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35364 "preproc.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35372 "preproc.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35380 "preproc.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35388 "preproc.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35396 "preproc.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35404 "preproc.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 35412 "preproc.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35419 "preproc.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35427 "preproc.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 35435 "preproc.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35442 "preproc.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 35450 "preproc.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 35458 "preproc.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35465 "preproc.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 35473 "preproc.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 35481 "preproc.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35488 "preproc.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("returns"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35496 "preproc.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("function"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("returns table ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35504 "preproc.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("function"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35512 "preproc.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or replace");
}
#line 35520 "preproc.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35527 "preproc.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35535 "preproc.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 35543 "preproc.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35551 "preproc.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35559 "preproc.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35567 "preproc.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 35575 "preproc.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35583 "preproc.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35591 "preproc.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35599 "preproc.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35607 "preproc.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35615 "preproc.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35623 "preproc.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35631 "preproc.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 35639 "preproc.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 35647 "preproc.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 35655 "preproc.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in out");
}
#line 35663 "preproc.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 35671 "preproc.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35679 "preproc.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35687 "preproc.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35695 "preproc.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 35703 "preproc.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 35711 "preproc.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35719 "preproc.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 35727 "preproc.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 35735 "preproc.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6612 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = (yyvsp[0].str);
}
#line 35744 "preproc.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( * )");
}
#line 35752 "preproc.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35760 "preproc.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35768 "preproc.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-4].str),mm_strdup("order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35776 "preproc.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35784 "preproc.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35792 "preproc.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35800 "preproc.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35808 "preproc.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 35816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 35824 "preproc.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 35832 "preproc.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 35840 "preproc.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 35848 "preproc.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 35856 "preproc.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 35864 "preproc.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 35872 "preproc.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security definer");
}
#line 35880 "preproc.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 35888 "preproc.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 35896 "preproc.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 35904 "preproc.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 35912 "preproc.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 35920 "preproc.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35928 "preproc.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 35936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 35944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 35952 "preproc.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35960 "preproc.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35968 "preproc.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35976 "preproc.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 35984 "preproc.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35991 "preproc.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35999 "preproc.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36007 "preproc.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36015 "preproc.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36023 "preproc.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36031 "preproc.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36039 "preproc.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 36047 "preproc.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36054 "preproc.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 6823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36062 "preproc.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 6827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36070 "preproc.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 6835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36078 "preproc.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 6839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36086 "preproc.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 6847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36094 "preproc.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 6851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36102 "preproc.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 6859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36110 "preproc.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 6863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36118 "preproc.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 6867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36126 "preproc.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 6871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 36134 "preproc.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 6879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36142 "preproc.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 6883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 36150 "preproc.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 6891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 36158 "preproc.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 6899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36166 "preproc.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 6903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 6911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 6915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 36190 "preproc.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 6923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36198 "preproc.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 6927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 36206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 6931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 36214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 6939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 36222 "preproc.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 6943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 36230 "preproc.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 6947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 6954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 36245 "preproc.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 6962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if exists");
}
#line 36253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 6966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36260 "preproc.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 6973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reindex"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36268 "preproc.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 6977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex system"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 6981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 6989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 36292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 6993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 36300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 7001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 36308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 7005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36315 "preproc.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 7012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 36323 "preproc.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 7016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 36331 "preproc.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36339 "preproc.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36347 "preproc.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36355 "preproc.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36363 "preproc.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36371 "preproc.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36379 "preproc.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36387 "preproc.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36395 "preproc.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36403 "preproc.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36411 "preproc.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36419 "preproc.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36427 "preproc.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36435 "preproc.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36443 "preproc.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36451 "preproc.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36459 "preproc.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36467 "preproc.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36475 "preproc.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36483 "preproc.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36491 "preproc.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36499 "preproc.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36507 "preproc.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36515 "preproc.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36523 "preproc.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36531 "preproc.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36539 "preproc.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36547 "preproc.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36555 "preproc.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36563 "preproc.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36571 "preproc.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36579 "preproc.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36587 "preproc.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36595 "preproc.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36603 "preproc.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36611 "preproc.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36619 "preproc.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36627 "preproc.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36635 "preproc.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36643 "preproc.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36651 "preproc.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36659 "preproc.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36667 "preproc.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36675 "preproc.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36683 "preproc.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36691 "preproc.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 36699 "preproc.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set data");
}
#line 36714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36825 "preproc.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36913 "preproc.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36937 "preproc.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36945 "preproc.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36953 "preproc.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36961 "preproc.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36969 "preproc.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36977 "preproc.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36985 "preproc.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36993 "preproc.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37001 "preproc.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37009 "preproc.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37017 "preproc.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37025 "preproc.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37033 "preproc.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37041 "preproc.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37049 "preproc.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37057 "preproc.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37065 "preproc.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37073 "preproc.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 37081 "preproc.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37089 "preproc.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37097 "preproc.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 37105 "preproc.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37113 "preproc.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37121 "preproc.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37129 "preproc.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37137 "preproc.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37145 "preproc.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37153 "preproc.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37161 "preproc.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37168 "preproc.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 37176 "preproc.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 37184 "preproc.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 37192 "preproc.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 37200 "preproc.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 37208 "preproc.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 37216 "preproc.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37223 "preproc.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37231 "preproc.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37239 "preproc.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37247 "preproc.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 37255 "preproc.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 7540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37262 "preproc.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 7547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 37270 "preproc.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 7555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 37278 "preproc.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 7559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 37286 "preproc.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 7567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[0].str));
}
#line 37294 "preproc.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 7571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37302 "preproc.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 7575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 37310 "preproc.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 7579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[0].str));
}
#line 37318 "preproc.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 7583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[0].str));
}
#line 37326 "preproc.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 7587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[0].str));
}
#line 37334 "preproc.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 7591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 37342 "preproc.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 7595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 37350 "preproc.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 7599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 37358 "preproc.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 7603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 37366 "preproc.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 7607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 37374 "preproc.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 7611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 37382 "preproc.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 7615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 37390 "preproc.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 7619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 37398 "preproc.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 7627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 37406 "preproc.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 7631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 37414 "preproc.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 7635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 7642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 37429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 7646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read only");
}
#line 37437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 7650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read write");
}
#line 37445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 7654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 37453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 7658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 37461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 7666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 7670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 7674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 7682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 7686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 7693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 7697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 7701 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 7706 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create or replace"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37534 "preproc.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 7715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with check option");
}
#line 37542 "preproc.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 7719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 37550 "preproc.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 7723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with local check option");
}
#line 37558 "preproc.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 7727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37565 "preproc.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 7734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 37573 "preproc.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 7742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37581 "preproc.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 7750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37589 "preproc.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 7754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 7761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 7765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 37612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 7769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 7773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 37628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 7777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 7781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 37644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 7785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 7789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37660 "preproc.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 7793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 37668 "preproc.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 7797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37676 "preproc.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 7801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 37684 "preproc.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 7805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37692 "preproc.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 7809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 37700 "preproc.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 7813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37708 "preproc.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 7817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37716 "preproc.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 7821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 37724 "preproc.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 7829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 37732 "preproc.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 7833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37739 "preproc.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 7840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37747 "preproc.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 7844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 37755 "preproc.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 7852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37763 "preproc.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 7860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37771 "preproc.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 7864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37778 "preproc.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 7871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 7879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 37794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 7883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 37802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 7891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system set"),(yyvsp[0].str));
}
#line 37810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 7895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system reset"),(yyvsp[0].str));
}
#line 37818 "preproc.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 7903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37826 "preproc.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 7911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37834 "preproc.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 7915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 37842 "preproc.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 7919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 37850 "preproc.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 7923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 37858 "preproc.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 7927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37866 "preproc.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 7931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37874 "preproc.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 7935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 37882 "preproc.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 7943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 37890 "preproc.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 7947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 7954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 7962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 37913 "preproc.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 7966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 37921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 7970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 37929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 7974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 37937 "preproc.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 7978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 37945 "preproc.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 7982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 37953 "preproc.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 7990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 37961 "preproc.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 7998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37969 "preproc.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 37977 "preproc.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 37985 "preproc.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 37993 "preproc.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38000 "preproc.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38008 "preproc.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38016 "preproc.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38040 "preproc.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38048 "preproc.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 38072 "preproc.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 38080 "preproc.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 38088 "preproc.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38096 "preproc.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38104 "preproc.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 38112 "preproc.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 38120 "preproc.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 38128 "preproc.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38135 "preproc.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 38143 "preproc.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38150 "preproc.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 38158 "preproc.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38165 "preproc.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38173 "preproc.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 38188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 38204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38228 "preproc.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38252 "preproc.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38260 "preproc.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38268 "preproc.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38324 "preproc.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 8245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 8249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38347 "preproc.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 8256 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
	}
#line 38357 "preproc.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 8262 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 38367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 8272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 8276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38382 "preproc.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 8283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38390 "preproc.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 8287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38398 "preproc.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 8291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38406 "preproc.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 8295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38414 "preproc.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 8303 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-2].str); }
#line 38420 "preproc.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 8305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("table"),(yyvsp[-5].str),mm_strdup("as execute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 8313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 8317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38443 "preproc.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 8324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("insert into"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38451 "preproc.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 8332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38459 "preproc.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 8336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38467 "preproc.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 8340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default values");
}
#line 38475 "preproc.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 8348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38483 "preproc.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 8352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38491 "preproc.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 8360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38499 "preproc.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 8368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 38507 "preproc.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 8372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38514 "preproc.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 8379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 8387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 38530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 8391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38537 "preproc.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 8398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 8406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 38553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 8410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38560 "preproc.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 8417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access share");
}
#line 38568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 8421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row share");
}
#line 38576 "preproc.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 8425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 38584 "preproc.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 8429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 38592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 8433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 38600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 8437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 38608 "preproc.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 8441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 38616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 8445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 38624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 8453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 38632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 8457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38639 "preproc.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 8464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38647 "preproc.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 8472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38655 "preproc.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 8476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38663 "preproc.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 8484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38671 "preproc.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 8488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38679 "preproc.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 8496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 38687 "preproc.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 8504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 38695 "preproc.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 8512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38703 "preproc.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 8520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38711 "preproc.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 8524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38719 "preproc.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 8532 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 38772 "preproc.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 8585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38780 "preproc.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 8589 "preproc.y" /* yacc.c:1646  */
    {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 38792 "preproc.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 8601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38799 "preproc.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 8604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 38807 "preproc.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 8608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 38815 "preproc.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 8612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 38823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 8616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 38831 "preproc.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 8624 "preproc.y" /* yacc.c:1646  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 38842 "preproc.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 8631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with hold");
}
#line 38850 "preproc.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 8635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without hold");
}
#line 38858 "preproc.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 8643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38866 "preproc.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 8647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38874 "preproc.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 8655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38882 "preproc.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 8659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38890 "preproc.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 8667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38898 "preproc.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 8671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38906 "preproc.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 8675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38914 "preproc.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 8679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38922 "preproc.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 8683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38930 "preproc.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 8687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38938 "preproc.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 8691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38946 "preproc.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 8695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38954 "preproc.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 8703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38962 "preproc.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 8707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38970 "preproc.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 8715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38978 "preproc.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 8719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38986 "preproc.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 8723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 38994 "preproc.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 8727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39002 "preproc.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 8731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39010 "preproc.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 8735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39018 "preproc.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 8743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 39026 "preproc.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 8747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 39034 "preproc.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 8755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39042 "preproc.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 8759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39050 "preproc.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 8767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39058 "preproc.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 8775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39066 "preproc.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 8779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39073 "preproc.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 8786 "preproc.y" /* yacc.c:1646  */
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 39082 "preproc.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 8790 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 39088 "preproc.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 8792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 8799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 8803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39111 "preproc.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 8807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39119 "preproc.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 8811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39127 "preproc.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 8815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39135 "preproc.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 8819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39143 "preproc.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 8823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39151 "preproc.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 8827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 39159 "preproc.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 8831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39167 "preproc.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 8839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 39175 "preproc.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 8843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 8850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 39190 "preproc.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 8854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 39198 "preproc.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 8858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39205 "preproc.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 8865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 39213 "preproc.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 8869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39221 "preproc.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 8873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 39229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 8877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 8884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 8888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39251 "preproc.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 8895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 39259 "preproc.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 8903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39267 "preproc.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 8907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39275 "preproc.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 8915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39283 "preproc.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 8919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39291 "preproc.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 8927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39299 "preproc.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 8931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39307 "preproc.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 8935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39315 "preproc.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 8939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39323 "preproc.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 8947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39331 "preproc.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 8951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39338 "preproc.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 8958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 39346 "preproc.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 8962 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 39355 "preproc.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 8967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 39363 "preproc.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 8975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 39371 "preproc.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 8979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39379 "preproc.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 8987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39387 "preproc.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 8991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 39395 "preproc.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 8999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39403 "preproc.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 9007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39411 "preproc.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 9011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39419 "preproc.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 9015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39426 "preproc.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 9022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39434 "preproc.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 9030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 39442 "preproc.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 9034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 39450 "preproc.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 9042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 39458 "preproc.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 9046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 39466 "preproc.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[0].str));
}
#line 39474 "preproc.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 39489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39496 "preproc.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39504 "preproc.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for read only");
}
#line 39512 "preproc.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39520 "preproc.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39527 "preproc.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39535 "preproc.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39543 "preproc.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39551 "preproc.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for update");
}
#line 39559 "preproc.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for no key update");
}
#line 39567 "preproc.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for share");
}
#line 39575 "preproc.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for key share");
}
#line 39583 "preproc.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 39591 "preproc.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39598 "preproc.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[0].str));
}
#line 39606 "preproc.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39614 "preproc.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 39622 "preproc.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39629 "preproc.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39637 "preproc.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39645 "preproc.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39653 "preproc.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39661 "preproc.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39669 "preproc.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9197 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39680 "preproc.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 9204 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39691 "preproc.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 9211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39699 "preproc.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 9215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39707 "preproc.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 9223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39715 "preproc.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 9227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 39723 "preproc.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 9231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39731 "preproc.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 9235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39739 "preproc.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 9239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 39747 "preproc.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 9243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 39755 "preproc.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 9251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39763 "preproc.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 9255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 39771 "preproc.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 9259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39779 "preproc.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 9263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39787 "preproc.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 9271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39795 "preproc.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 9275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 9282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 9286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39818 "preproc.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 9290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39826 "preproc.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 9294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39834 "preproc.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 9298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 9305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 39849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 9309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 39857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 9313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 39865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 9317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 39873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 9325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 39881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 9329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39888 "preproc.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 9336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39896 "preproc.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 9340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 39904 "preproc.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 9348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39912 "preproc.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 9352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 39920 "preproc.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 9356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 39928 "preproc.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 9360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 9368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 9372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39952 "preproc.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 9380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39960 "preproc.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 9384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39968 "preproc.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 9388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 39976 "preproc.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 9396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39984 "preproc.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 9400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rows from ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39992 "preproc.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 9408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40000 "preproc.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 9416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40008 "preproc.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 9420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40016 "preproc.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 9428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 9432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40031 "preproc.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 9439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with ordinality");
}
#line 40039 "preproc.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 9443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40046 "preproc.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 9450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 40054 "preproc.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 9454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40061 "preproc.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 9461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 40069 "preproc.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 9465 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 40078 "preproc.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 9470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40085 "preproc.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 9477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40093 "preproc.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 9481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 9488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 9492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 9500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40124 "preproc.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 9508 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 40130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 9510 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 40136 "preproc.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 9512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 40144 "preproc.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 9516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 40152 "preproc.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 9520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 40160 "preproc.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 9524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 40168 "preproc.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 9532 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 40182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 9542 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 40196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 9552 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 40206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 9562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 9566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40222 "preproc.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 9570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40230 "preproc.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 9574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40238 "preproc.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 9578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40246 "preproc.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 9582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40254 "preproc.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 9586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40262 "preproc.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 9594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40270 "preproc.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 9598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40278 "preproc.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 9602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40286 "preproc.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 9606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40294 "preproc.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 9614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40302 "preproc.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 9618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40310 "preproc.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 9626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40318 "preproc.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 9630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40325 "preproc.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 9637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 40333 "preproc.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 9641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 40341 "preproc.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 9645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 40349 "preproc.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 9649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 40357 "preproc.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 9653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 40365 "preproc.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 9657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 40373 "preproc.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 9661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double precision");
}
#line 40381 "preproc.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 9665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 40389 "preproc.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 9669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 40397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 9673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 40405 "preproc.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 9677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 40413 "preproc.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 9685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 9689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 9696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 9700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40444 "preproc.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 9708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 9712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40460 "preproc.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 9720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40468 "preproc.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 9728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 40476 "preproc.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 9736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40484 "preproc.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 9740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 9748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 9752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 9760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 9768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 9776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 40532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 9780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 40540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 9784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 40548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 9788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 40556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 9792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 40564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 9796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 40572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 9804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 40580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 9808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40587 "preproc.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 9815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[0].str));
}
#line 40595 "preproc.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 9819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 9826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40610 "preproc.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 9830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 40618 "preproc.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 9834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40626 "preproc.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 9838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 40634 "preproc.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 9846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 40642 "preproc.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 9854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 40650 "preproc.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 9858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 40658 "preproc.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 9862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40665 "preproc.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 9869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 40673 "preproc.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 9873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 40681 "preproc.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 9877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 40689 "preproc.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 9881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 40697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 9885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 40705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 9889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 9893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year to month");
}
#line 40721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 9897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 40729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 9901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 40737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 9905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 40745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 9909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 40753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 9913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 40761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 9917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 40769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 9921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40776 "preproc.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 9928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 40784 "preproc.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 9932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40792 "preproc.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 9940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40800 "preproc.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 9944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 40808 "preproc.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 9948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 40816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 9952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 40824 "preproc.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 9956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 40832 "preproc.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 9960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 40840 "preproc.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 9964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 40848 "preproc.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 9968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 40856 "preproc.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 9972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 40864 "preproc.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 9976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 40872 "preproc.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 9980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 40880 "preproc.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 9984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 40888 "preproc.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 9988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 40896 "preproc.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 9992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 40904 "preproc.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 9996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 40912 "preproc.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 10000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40920 "preproc.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 10004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40928 "preproc.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 10008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 10012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 40944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 10016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 40952 "preproc.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 10020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 40960 "preproc.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 10024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 40968 "preproc.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 10028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 40976 "preproc.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 10032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 40984 "preproc.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 10036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 40992 "preproc.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 10040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 41000 "preproc.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 10044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 41008 "preproc.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 10048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 41016 "preproc.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 10052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 41024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 10056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 41032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 10060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 41040 "preproc.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 10064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 41048 "preproc.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 10068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 41056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 10072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 41064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 10076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 41072 "preproc.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 10080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 41080 "preproc.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 10084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 41088 "preproc.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 10088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 41096 "preproc.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 10092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 41104 "preproc.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 10096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 41112 "preproc.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 10100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 41120 "preproc.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 10104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 41128 "preproc.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 10108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 41136 "preproc.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 10112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 41144 "preproc.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 10116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 41152 "preproc.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 10120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 41160 "preproc.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 10124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41168 "preproc.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 10128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41176 "preproc.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 10132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 41184 "preproc.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 10136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 41192 "preproc.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 10140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 41200 "preproc.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 10144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 41208 "preproc.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 10148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 41216 "preproc.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 10152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 41224 "preproc.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 10156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41232 "preproc.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 10160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41240 "preproc.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 10164 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[0].str));
}
#line 41249 "preproc.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 10169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 41257 "preproc.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 10173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 41265 "preproc.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 10181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41273 "preproc.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 10185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 41281 "preproc.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 10189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 41289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 10193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 41297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 10197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 41305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 10201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 41313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 10205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 41321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 10209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 41329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 10213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 41337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 10217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 41345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 10221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 41353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 10225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 41361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 10229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 41369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 10233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 10237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 10241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 10245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 41401 "preproc.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 10249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 41409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 10253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 10257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 10261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 41433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 10265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 41441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 10273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 10277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 10281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 10285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 41473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 10289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 10293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 10297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 10301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41505 "preproc.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 10305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 41513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 10309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 41521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 10313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 41529 "preproc.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 10317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41537 "preproc.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 10325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("( )"));
}
#line 41545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 10329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 10333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 10337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41569 "preproc.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 10341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( all"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41577 "preproc.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 10345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( distinct"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41585 "preproc.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 10349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("( * )"));
}
#line 41593 "preproc.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 10357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41601 "preproc.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 10361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 10369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41617 "preproc.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 10373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41625 "preproc.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 10381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41633 "preproc.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 10385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 41641 "preproc.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 10389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 41649 "preproc.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 10393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41657 "preproc.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 10397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 41665 "preproc.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 10401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41673 "preproc.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 10405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 41681 "preproc.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 10409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41689 "preproc.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 10413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 41697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 10417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 10421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 41713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 10425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 41721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 10429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 41729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 10433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 41737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 10437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 41745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 10441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 41753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 10445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 10449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 10453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 10457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 10461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 10465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 10469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 10473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 10477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41825 "preproc.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 10481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 10485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 10489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 10493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 10497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 10501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 10505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 10509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 10513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 10517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 10521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41913 "preproc.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 10525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 10529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 10533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41937 "preproc.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 10537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41945 "preproc.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 10541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41953 "preproc.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 10545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41961 "preproc.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 10553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 41969 "preproc.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 10557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version no value");
}
#line 41977 "preproc.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 10565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 41985 "preproc.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 10569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 41993 "preproc.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 10573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 42001 "preproc.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 10577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42008 "preproc.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 10584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42016 "preproc.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 10592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 10596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 10604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 42040 "preproc.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 10608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42048 "preproc.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 10616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 42056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 10620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 42064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 10628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 42072 "preproc.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 10632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 42080 "preproc.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 10636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 10643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 42095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 10647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 42103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 10651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[0].str));
}
#line 42111 "preproc.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 10655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 42119 "preproc.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 10663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("within group ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42127 "preproc.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 10667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42134 "preproc.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 10674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("filter ( where"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42142 "preproc.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 10678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42149 "preproc.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 10685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 42157 "preproc.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 10689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42164 "preproc.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 10696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 10700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 10708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 42188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 10716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 42196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 10720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 42204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 10724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42211 "preproc.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 10731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42219 "preproc.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 10739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42227 "preproc.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 10743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 10750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 42242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 10754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42249 "preproc.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 10761 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[0].str));
}
#line 42258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 10766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 42266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 10770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42273 "preproc.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 10777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42281 "preproc.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 10781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 42289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 10789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 42297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 10793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 42305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 10797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current row");
}
#line 42313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 10801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 42321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 10805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 42329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 10813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 10817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 42345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 10821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 10829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 42361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 10833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 42369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 10837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 42377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 10845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 10849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 10857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("+");
}
#line 42401 "preproc.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 10861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("-");
}
#line 42409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 10865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 42417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 10869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("/");
}
#line 42425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 10873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("%");
}
#line 42433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 10877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("^");
}
#line 42441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 10881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<");
}
#line 42449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 10885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">");
}
#line 42457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 10889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 42465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 10897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 10901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 10909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 10913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 10921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42505 "preproc.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 10925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 10929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 42521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 10933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not like");
}
#line 42529 "preproc.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 10937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 42537 "preproc.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 10941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 42545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 10949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 10953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 10961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42569 "preproc.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 10965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42577 "preproc.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 10973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42585 "preproc.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 10977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 42593 "preproc.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 10985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42601 "preproc.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 10989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 10997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 42617 "preproc.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 11001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 42625 "preproc.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 11005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 42633 "preproc.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 11013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42641 "preproc.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 11017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42649 "preproc.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 11025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 42657 "preproc.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 11029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42664 "preproc.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 11036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42672 "preproc.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 11040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 42680 "preproc.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 11044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 42688 "preproc.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 11048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 42696 "preproc.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 11052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 42704 "preproc.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 11056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 42712 "preproc.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 11060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 42720 "preproc.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 11064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42728 "preproc.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 11072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42736 "preproc.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 11076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42744 "preproc.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 11084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[0].str));
}
#line 42752 "preproc.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 11092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 42760 "preproc.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 11096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42767 "preproc.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 11103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42775 "preproc.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 11107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42783 "preproc.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 11111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42791 "preproc.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 11115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42799 "preproc.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 11119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42807 "preproc.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 11123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 11130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 42822 "preproc.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 11138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 42830 "preproc.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 11146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 42838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 11150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 42846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 11154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42854 "preproc.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 11162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42862 "preproc.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 11166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42870 "preproc.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 11174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 42878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 11182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42886 "preproc.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 11186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42894 "preproc.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 11194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 42902 "preproc.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 11202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 42910 "preproc.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 11206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 11213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42925 "preproc.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 11217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42932 "preproc.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 11224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42940 "preproc.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 11228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42948 "preproc.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 11236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 42956 "preproc.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 11240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(". *");
}
#line 42964 "preproc.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 11244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 42972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 11248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 42980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 11256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42988 "preproc.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 11260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 11268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43003 "preproc.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 11271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43011 "preproc.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 11279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 43019 "preproc.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 11283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43026 "preproc.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 11290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43034 "preproc.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 11294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 43042 "preproc.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 11302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43050 "preproc.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 11306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43058 "preproc.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 11314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43066 "preproc.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 11322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43074 "preproc.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 11326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43081 "preproc.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 11333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43089 "preproc.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 11337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43097 "preproc.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 11345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 43105 "preproc.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 11349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43113 "preproc.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 11353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43121 "preproc.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 11357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 43129 "preproc.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 11365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43137 "preproc.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 11369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43145 "preproc.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 11377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43153 "preproc.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 11381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43161 "preproc.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 11389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43169 "preproc.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 11393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43177 "preproc.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 11401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43185 "preproc.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 11409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43193 "preproc.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 11417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43201 "preproc.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 11425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43209 "preproc.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 11433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43217 "preproc.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 11441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43225 "preproc.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 11449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43233 "preproc.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 11453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43241 "preproc.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 11461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43249 "preproc.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 11465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43257 "preproc.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 11469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43265 "preproc.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 11473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43273 "preproc.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 11477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xconst");
}
#line 43281 "preproc.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 11481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 11485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 11489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 11493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 11497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 11501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 43329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 11505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 43337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 11509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 43345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 11512 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 11513 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43357 "preproc.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 11519 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 43363 "preproc.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 11525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43371 "preproc.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 11533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43379 "preproc.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 11537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43387 "preproc.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 11545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43395 "preproc.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 11548 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43401 "preproc.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 11550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 43409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 11554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 43417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 11562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 11566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 11570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 11574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 11582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 43457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 11586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 43465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 11590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 43473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 11594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 43481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 11598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 43489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 11602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 43497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 11606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 43505 "preproc.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 11610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 43513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 11614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 43521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 11618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 43529 "preproc.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 11622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 43537 "preproc.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 11626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 43545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 11630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 43553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 11634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 43561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 11638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 43569 "preproc.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 11642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 43577 "preproc.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 11646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 43585 "preproc.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 11650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 43593 "preproc.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 11654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 43601 "preproc.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 11658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 43609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 11662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 43617 "preproc.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 11666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 43625 "preproc.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 11670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 43633 "preproc.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 11674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 43641 "preproc.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 11678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 43649 "preproc.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 11682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 43657 "preproc.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 11686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 43665 "preproc.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 11690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 43673 "preproc.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 11694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 43681 "preproc.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 11698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 43689 "preproc.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 11702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 43697 "preproc.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 11706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 43705 "preproc.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 11710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 43713 "preproc.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 11714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 43721 "preproc.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 11718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 43729 "preproc.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 11722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 43737 "preproc.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 11726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 43745 "preproc.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 11730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 43753 "preproc.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 11734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 43761 "preproc.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 11738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 43769 "preproc.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 11742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 43777 "preproc.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 11746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 43785 "preproc.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 11750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 43793 "preproc.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 11754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 43801 "preproc.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 11758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 43809 "preproc.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 11762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 43817 "preproc.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 11766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 43825 "preproc.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 11770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 43833 "preproc.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 11774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 43841 "preproc.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 11778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 43849 "preproc.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 11782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 43857 "preproc.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 11786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 43865 "preproc.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 11790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 43873 "preproc.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 11794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 43881 "preproc.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 11798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 43889 "preproc.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 11802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 43897 "preproc.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 11806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 43905 "preproc.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 11810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 43913 "preproc.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 11814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 43921 "preproc.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 11818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 43929 "preproc.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 11822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 43937 "preproc.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 11826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 43945 "preproc.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 11830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 43953 "preproc.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 11834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 43961 "preproc.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 11838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 43969 "preproc.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 11842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 43977 "preproc.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 11846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 43985 "preproc.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 11850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 43993 "preproc.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 11854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 44001 "preproc.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 11858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 44009 "preproc.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 11862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 44017 "preproc.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 11866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 44025 "preproc.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 11870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 44033 "preproc.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 11874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 44041 "preproc.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 11878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 44049 "preproc.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 11882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 44057 "preproc.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 11886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("filter");
}
#line 44065 "preproc.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 11890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 44073 "preproc.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 11894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 44081 "preproc.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 11898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 44089 "preproc.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 11902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 44097 "preproc.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 11906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 44105 "preproc.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 11910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 44113 "preproc.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 11914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 44121 "preproc.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 11918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 44129 "preproc.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 11922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 44137 "preproc.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 11926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 44145 "preproc.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 11930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 44153 "preproc.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 11934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 44161 "preproc.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 11938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 44169 "preproc.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 11942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 44177 "preproc.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 11946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 44185 "preproc.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 11950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 44193 "preproc.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 11954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 44201 "preproc.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 11958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 44209 "preproc.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 11962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 44217 "preproc.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 11966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 44225 "preproc.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 11970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 44233 "preproc.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 11974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 44241 "preproc.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 11978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 44249 "preproc.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 11982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 44257 "preproc.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 11986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 44265 "preproc.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 11990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 44273 "preproc.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 11994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 44281 "preproc.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 11998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 44289 "preproc.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 12002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 44297 "preproc.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 12006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 44305 "preproc.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 12010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 44313 "preproc.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 12014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 44321 "preproc.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 12018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 44329 "preproc.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 12022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lc_collate");
}
#line 44337 "preproc.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 12026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lc_ctype");
}
#line 44345 "preproc.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 12030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 44353 "preproc.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 12034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 44361 "preproc.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 12038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 44369 "preproc.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 12042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 44377 "preproc.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 12046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 44385 "preproc.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 12050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 44393 "preproc.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 12054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 44401 "preproc.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 12058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 44409 "preproc.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 12062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 44417 "preproc.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 12066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 44425 "preproc.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 12070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 44433 "preproc.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 12074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 44441 "preproc.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 12078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 44449 "preproc.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 12082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 44457 "preproc.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 12086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 44465 "preproc.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 12090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 44473 "preproc.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 12094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 44481 "preproc.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 12098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 44489 "preproc.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 12102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 44497 "preproc.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 12106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 44505 "preproc.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 12110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 44513 "preproc.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 12114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 44521 "preproc.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 12118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 44529 "preproc.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 12122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 44537 "preproc.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 12126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 44545 "preproc.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 12130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 44553 "preproc.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 12134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 44561 "preproc.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 12138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 44569 "preproc.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 12142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 44577 "preproc.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 12146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ordinality");
}
#line 44585 "preproc.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 12150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("over");
}
#line 44593 "preproc.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 12154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 44601 "preproc.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 12158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 44609 "preproc.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 12162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 44617 "preproc.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 12166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 44625 "preproc.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 12170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 44633 "preproc.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 12174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 44641 "preproc.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 12178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 44649 "preproc.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 12182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 44657 "preproc.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 12186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 44665 "preproc.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 12190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 44673 "preproc.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 12194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 44681 "preproc.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 12198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 44689 "preproc.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 12202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 44697 "preproc.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 12206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 44705 "preproc.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 12210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 44713 "preproc.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 12214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 44721 "preproc.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 12218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 44729 "preproc.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 12222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 44737 "preproc.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 12226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 44745 "preproc.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 12230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 44753 "preproc.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 12234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 44761 "preproc.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 12238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 44769 "preproc.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 12242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 44777 "preproc.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 12246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 44785 "preproc.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 12250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 44793 "preproc.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 12254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 44801 "preproc.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 12258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 44809 "preproc.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 12262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 44817 "preproc.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 12266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 44825 "preproc.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 12270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 44833 "preproc.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 12274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 44841 "preproc.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 12278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 44849 "preproc.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 12282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 44857 "preproc.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 12286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 44865 "preproc.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 12290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 44873 "preproc.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 12294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 44881 "preproc.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 12298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 44889 "preproc.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 12302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 44897 "preproc.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 12306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 44905 "preproc.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 12310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 44913 "preproc.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 12314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 44921 "preproc.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 12318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 44929 "preproc.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 12322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 44937 "preproc.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 12326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 44945 "preproc.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 12330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 44953 "preproc.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 12334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 44961 "preproc.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 12338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 44969 "preproc.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 12342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 44977 "preproc.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 12346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 44985 "preproc.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 12350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 44993 "preproc.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 12354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 45001 "preproc.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 12358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 45009 "preproc.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 12362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 45017 "preproc.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 12366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 45025 "preproc.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 12370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 45033 "preproc.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 12374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 45041 "preproc.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 12378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 45049 "preproc.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 12382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 45057 "preproc.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 12386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 45065 "preproc.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 12390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 45073 "preproc.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 12394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 45081 "preproc.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 12398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 45089 "preproc.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 12402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 45097 "preproc.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 12406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 45105 "preproc.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 12410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 45113 "preproc.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 12414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 45121 "preproc.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 12418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 45129 "preproc.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 12422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 45137 "preproc.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 12426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 45145 "preproc.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 12430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 45153 "preproc.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 12434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 45161 "preproc.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 12438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 45169 "preproc.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 12442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 45177 "preproc.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 12446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 45185 "preproc.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 12450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 45193 "preproc.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 12454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 45201 "preproc.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 12458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 45209 "preproc.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 12462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 45217 "preproc.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 12466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 45225 "preproc.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 12470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 45233 "preproc.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 12474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 45241 "preproc.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 12478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 45249 "preproc.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 12482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 45257 "preproc.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 12486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 45265 "preproc.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 12490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 45273 "preproc.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 12494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 45281 "preproc.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 12498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 45289 "preproc.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 12502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 45297 "preproc.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 12506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 45305 "preproc.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 12510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 45313 "preproc.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 12514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 45321 "preproc.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 12518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 45329 "preproc.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 12522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 45337 "preproc.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 12526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 45345 "preproc.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 12530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 45353 "preproc.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 12534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 45361 "preproc.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 12538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("views");
}
#line 45369 "preproc.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 12542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 45377 "preproc.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 12546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 45385 "preproc.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 12550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("within");
}
#line 45393 "preproc.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 12554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without");
}
#line 45401 "preproc.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 12558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 45409 "preproc.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 12562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 45417 "preproc.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 12566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 45425 "preproc.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 12570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 45433 "preproc.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 12574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 45441 "preproc.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 12578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 45449 "preproc.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 12586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 45457 "preproc.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 12590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 45465 "preproc.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 12594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 45473 "preproc.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 12598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 45481 "preproc.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 12602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("character");
}
#line 45489 "preproc.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 12606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 45497 "preproc.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 12610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 45505 "preproc.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 12614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 45513 "preproc.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 12618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 45521 "preproc.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 12622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 45529 "preproc.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 12626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 45537 "preproc.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 12630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 45545 "preproc.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 12634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 45553 "preproc.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 12638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 45561 "preproc.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 12642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 45569 "preproc.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 12646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 45577 "preproc.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 12650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 45585 "preproc.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 12654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 45593 "preproc.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 12658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 45601 "preproc.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 12662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 45609 "preproc.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 12666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 45617 "preproc.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 12670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 45625 "preproc.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 12674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 45633 "preproc.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 12678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 45641 "preproc.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 12682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("precision");
}
#line 45649 "preproc.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 12686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 45657 "preproc.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 12690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 45665 "preproc.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 12694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 45673 "preproc.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 12698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 45681 "preproc.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 12702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 45689 "preproc.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 12706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 45697 "preproc.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 12710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 45705 "preproc.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 12714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 45713 "preproc.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 12718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 45721 "preproc.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 12722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 45729 "preproc.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 12726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 45737 "preproc.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 12730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 45745 "preproc.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 12734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 45753 "preproc.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 12738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 45761 "preproc.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 12742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 45769 "preproc.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 12746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 45777 "preproc.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 12750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 45785 "preproc.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 12754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 45793 "preproc.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 12758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 45801 "preproc.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 12766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 45809 "preproc.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 12770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 45817 "preproc.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 12774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 45825 "preproc.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 12778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 45833 "preproc.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 12782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 45841 "preproc.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 12786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 45849 "preproc.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 12790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 45857 "preproc.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 12794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 45865 "preproc.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 12798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 45873 "preproc.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 12802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 45881 "preproc.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 12806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 45889 "preproc.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 12810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isnull");
}
#line 45897 "preproc.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 12814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 45905 "preproc.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 12818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 45913 "preproc.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 12822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 45921 "preproc.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 12826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 45929 "preproc.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 12830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notnull");
}
#line 45937 "preproc.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 12834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 45945 "preproc.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 12838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 45953 "preproc.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 12842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 45961 "preproc.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 12846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 45969 "preproc.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 12850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 45977 "preproc.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 12858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 45985 "preproc.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 12862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 45993 "preproc.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 12866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 46001 "preproc.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 12870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 46009 "preproc.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 12874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 46017 "preproc.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 12878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("array");
}
#line 46025 "preproc.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 12882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 46033 "preproc.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 12886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 46041 "preproc.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 12890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 46049 "preproc.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 12894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 46057 "preproc.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 12898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 46065 "preproc.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 12902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 46073 "preproc.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 12906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 46081 "preproc.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 12910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 46089 "preproc.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 12914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 46097 "preproc.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 12918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 46105 "preproc.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 12922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("create");
}
#line 46113 "preproc.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 12926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 46121 "preproc.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 12930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 46129 "preproc.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 12934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 46137 "preproc.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 12938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 46145 "preproc.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 12942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 46153 "preproc.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 12946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 46161 "preproc.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 12950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 46169 "preproc.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 12954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 46177 "preproc.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 12958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 46185 "preproc.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 12962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 46193 "preproc.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 12966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 46201 "preproc.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 12970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 46209 "preproc.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 12974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 46217 "preproc.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 12978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 46225 "preproc.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 12982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 46233 "preproc.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 12986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("fetch");
}
#line 46241 "preproc.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 12990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for");
}
#line 46249 "preproc.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 12994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 46257 "preproc.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 12998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 46265 "preproc.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 13002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grant");
}
#line 46273 "preproc.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 13006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("group");
}
#line 46281 "preproc.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 13010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("having");
}
#line 46289 "preproc.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 13014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 46297 "preproc.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 13018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 46305 "preproc.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 13022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("intersect");
}
#line 46313 "preproc.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 13026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("into");
}
#line 46321 "preproc.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 13030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 46329 "preproc.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 13034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 46337 "preproc.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 13038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit");
}
#line 46345 "preproc.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 13042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 46353 "preproc.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 13046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 46361 "preproc.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 13050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 46369 "preproc.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 13054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 46377 "preproc.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 13058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("offset");
}
#line 46385 "preproc.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 13062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 46393 "preproc.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 13066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 46401 "preproc.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 13070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 46409 "preproc.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 13074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("order");
}
#line 46417 "preproc.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 13078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 46425 "preproc.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 13082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 46433 "preproc.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 13086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 46441 "preproc.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 13090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returning");
}
#line 46449 "preproc.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 13094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 46457 "preproc.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 13098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 46465 "preproc.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 13102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 46473 "preproc.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 13106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 46481 "preproc.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 13110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 46489 "preproc.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 13114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 46497 "preproc.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 13118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 46505 "preproc.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 13122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 46513 "preproc.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 13126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 46521 "preproc.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 13130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 46529 "preproc.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 13134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 46537 "preproc.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 13138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 46545 "preproc.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 13142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 46553 "preproc.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 13146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("where");
}
#line 46561 "preproc.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 13150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 46569 "preproc.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 13154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 46577 "preproc.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 13167 "preproc.y" /* yacc.c:1646  */
    { connection = NULL; }
#line 46583 "preproc.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 13170 "preproc.y" /* yacc.c:1646  */
    {
					fprintf(base_yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 46593 "preproc.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 13176 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 46599 "preproc.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 13177 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 46605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 13178 "preproc.y" /* yacc.c:1646  */
    { braces_open++; fputs("{", base_yyout); }
#line 46611 "preproc.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 13180 "preproc.y" /* yacc.c:1646  */
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", base_yyout);
		}
#line 46626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 13192 "preproc.y" /* yacc.c:1646  */
    {FoundInto = 0;}
#line 46632 "preproc.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 13193 "preproc.y" /* yacc.c:1646  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str));
		}
#line 46643 "preproc.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 13202 "preproc.y" /* yacc.c:1646  */
    {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 46657 "preproc.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 13217 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 46663 "preproc.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 13219 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 46669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 13222 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 46675 "preproc.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 13224 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 46681 "preproc.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 13228 "preproc.y" /* yacc.c:1646  */
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 46697 "preproc.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 13240 "preproc.y" /* yacc.c:1646  */
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)), (yyvsp[0].str), mm_strdup("\"")));
		}
#line 46717 "preproc.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 13256 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 46725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 13260 "preproc.y" /* yacc.c:1646  */
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 46738 "preproc.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 13270 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46744 "preproc.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 13271 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46750 "preproc.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 13275 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 46764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 13287 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 46775 "preproc.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 13295 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 13296 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46787 "preproc.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 13299 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46793 "preproc.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 13300 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 46799 "preproc.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 13301 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 46805 "preproc.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 13304 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 46811 "preproc.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 13305 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46817 "preproc.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 13308 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46823 "preproc.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 13309 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 46829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 13312 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46835 "preproc.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 13313 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 46841 "preproc.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 13317 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 46847 "preproc.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 13319 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 46853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 13321 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 46859 "preproc.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 13323 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 46865 "preproc.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 13327 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 46876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 13334 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 46887 "preproc.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 13341 "preproc.y" /* yacc.c:1646  */
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 46905 "preproc.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 13357 "preproc.y" /* yacc.c:1646  */
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 46941 "preproc.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 13391 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 46955 "preproc.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 13400 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46961 "preproc.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 13404 "preproc.y" /* yacc.c:1646  */
    {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 46969 "preproc.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 13408 "preproc.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 46983 "preproc.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 13420 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46989 "preproc.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 13422 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 46995 "preproc.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 13424 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 47001 "preproc.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 13426 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 47007 "preproc.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 13430 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 47025 "preproc.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 13443 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47031 "preproc.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 13451 "preproc.y" /* yacc.c:1646  */
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
#line 47094 "preproc.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 13512 "preproc.y" /* yacc.c:1646  */
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 47104 "preproc.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 13522 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47110 "preproc.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 13523 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 13526 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2427:
#line 13528 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47128 "preproc.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 13529 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47134 "preproc.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 13532 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 13533 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to minute"); }
#line 47146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 13534 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to second"); }
#line 47152 "preproc.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 13535 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day to day"); }
#line 47158 "preproc.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 13536 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month to month"); }
#line 47164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 13543 "preproc.y" /* yacc.c:1646  */
    { fputs("/* exec sql begin declare section */", base_yyout); }
#line 47170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 13545 "preproc.y" /* yacc.c:1646  */
    {
			fprintf(base_yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 47180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 13552 "preproc.y" /* yacc.c:1646  */
    {}
#line 47186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 13554 "preproc.y" /* yacc.c:1646  */
    {}
#line 47192 "preproc.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 13556 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47198 "preproc.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 13557 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 13560 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 13561 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47216 "preproc.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 13562 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 47222 "preproc.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 13563 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 47228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 13566 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2445:
#line 13567 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 47240 "preproc.c" /* yacc.c:1646  */
    break;

  case 2446:
#line 13571 "preproc.y" /* yacc.c:1646  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 47250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2447:
#line 13577 "preproc.y" /* yacc.c:1646  */
    {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(base_yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 47262 "preproc.c" /* yacc.c:1646  */
    break;

  case 2448:
#line 13587 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 47276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 13597 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 47284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 13601 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 47298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2451:
#line 13611 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 47306 "preproc.c" /* yacc.c:1646  */
    break;

  case 2452:
#line 13615 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 47314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2453:
#line 13620 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 47320 "preproc.c" /* yacc.c:1646  */
    break;

  case 2454:
#line 13621 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47326 "preproc.c" /* yacc.c:1646  */
    break;

  case 2455:
#line 13625 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 47332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2456:
#line 13626 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 47338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2457:
#line 13627 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 47344 "preproc.c" /* yacc.c:1646  */
    break;

  case 2458:
#line 13630 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 47350 "preproc.c" /* yacc.c:1646  */
    break;

  case 2459:
#line 13631 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 47356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2460:
#line 13632 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 47362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 13633 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 47368 "preproc.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 13636 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 47374 "preproc.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 13637 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 47380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2464:
#line 13641 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 47392 "preproc.c" /* yacc.c:1646  */
    break;

  case 2465:
#line 13649 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 47413 "preproc.c" /* yacc.c:1646  */
    break;

  case 2466:
#line 13666 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 47425 "preproc.c" /* yacc.c:1646  */
    break;

  case 2467:
#line 13674 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 47452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2468:
#line 13697 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[-1].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 47562 "preproc.c" /* yacc.c:1646  */
    break;

  case 2469:
#line 13803 "preproc.y" /* yacc.c:1646  */
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 47598 "preproc.c" /* yacc.c:1646  */
    break;

  case 2470:
#line 13837 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 47604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2471:
#line 13839 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 47610 "preproc.c" /* yacc.c:1646  */
    break;

  case 2472:
#line 13841 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 47616 "preproc.c" /* yacc.c:1646  */
    break;

  case 2473:
#line 13845 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 47622 "preproc.c" /* yacc.c:1646  */
    break;

  case 2474:
#line 13848 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 47633 "preproc.c" /* yacc.c:1646  */
    break;

  case 2475:
#line 13855 "preproc.y" /* yacc.c:1646  */
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essentially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 47679 "preproc.c" /* yacc.c:1646  */
    break;

  case 2476:
#line 13898 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2477:
#line 13900 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 47695 "preproc.c" /* yacc.c:1646  */
    break;

  case 2478:
#line 13906 "preproc.y" /* yacc.c:1646  */
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 47706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2479:
#line 13915 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 47716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2480:
#line 13921 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 47725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2481:
#line 13928 "preproc.y" /* yacc.c:1646  */
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 47734 "preproc.c" /* yacc.c:1646  */
    break;

  case 2482:
#line 13933 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = mm_strdup("union");
		}
#line 47742 "preproc.c" /* yacc.c:1646  */
    break;

  case 2483:
#line 13938 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 47748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2484:
#line 13939 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 47754 "preproc.c" /* yacc.c:1646  */
    break;

  case 2485:
#line 13942 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 47760 "preproc.c" /* yacc.c:1646  */
    break;

  case 2486:
#line 13943 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 47766 "preproc.c" /* yacc.c:1646  */
    break;

  case 2487:
#line 13944 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 47772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2488:
#line 13945 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 47778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2489:
#line 13946 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 47784 "preproc.c" /* yacc.c:1646  */
    break;

  case 2490:
#line 13947 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 47790 "preproc.c" /* yacc.c:1646  */
    break;

  case 2491:
#line 13949 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 47802 "preproc.c" /* yacc.c:1646  */
    break;

  case 2492:
#line 13957 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 47814 "preproc.c" /* yacc.c:1646  */
    break;

  case 2493:
#line 13964 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 47820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2494:
#line 13967 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 47826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2495:
#line 13968 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 47832 "preproc.c" /* yacc.c:1646  */
    break;

  case 2496:
#line 13969 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_int; }
#line 47838 "preproc.c" /* yacc.c:1646  */
    break;

  case 2497:
#line 13970 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 47844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2498:
#line 13971 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 47850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2499:
#line 13973 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 47862 "preproc.c" /* yacc.c:1646  */
    break;

  case 2500:
#line 13981 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 47874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2501:
#line 13988 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 47880 "preproc.c" /* yacc.c:1646  */
    break;

  case 2502:
#line 13989 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_char; }
#line 47886 "preproc.c" /* yacc.c:1646  */
    break;

  case 2503:
#line 13990 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_double; }
#line 47892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2506:
#line 13998 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2507:
#line 14000 "preproc.y" /* yacc.c:1646  */
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(";"), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 47909 "preproc.c" /* yacc.c:1646  */
    break;

  case 2508:
#line 14009 "preproc.y" /* yacc.c:1646  */
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 47998 "preproc.c" /* yacc.c:1646  */
    break;

  case 2509:
#line 14096 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2510:
#line 14098 "preproc.y" /* yacc.c:1646  */
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 48013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2511:
#line 14104 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48019 "preproc.c" /* yacc.c:1646  */
    break;

  case 2512:
#line 14105 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 48025 "preproc.c" /* yacc.c:1646  */
    break;

  case 2513:
#line 14106 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("**"); }
#line 48031 "preproc.c" /* yacc.c:1646  */
    break;

  case 2514:
#line 14113 "preproc.y" /* yacc.c:1646  */
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 48040 "preproc.c" /* yacc.c:1646  */
    break;

  case 2515:
#line 14121 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48046 "preproc.c" /* yacc.c:1646  */
    break;

  case 2516:
#line 14124 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2517:
#line 14125 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 48058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2518:
#line 14126 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"ALL\""); }
#line 48064 "preproc.c" /* yacc.c:1646  */
    break;

  case 2519:
#line 14127 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 48070 "preproc.c" /* yacc.c:1646  */
    break;

  case 2520:
#line 14130 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 48076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2521:
#line 14131 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 48082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2522:
#line 14132 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48088 "preproc.c" /* yacc.c:1646  */
    break;

  case 2523:
#line 14136 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48094 "preproc.c" /* yacc.c:1646  */
    break;

  case 2524:
#line 14138 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 48100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2525:
#line 14145 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2526:
#line 14146 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 48112 "preproc.c" /* yacc.c:1646  */
    break;

  case 2527:
#line 14153 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 48122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2528:
#line 14160 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48128 "preproc.c" /* yacc.c:1646  */
    break;

  case 2529:
#line 14161 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48134 "preproc.c" /* yacc.c:1646  */
    break;

  case 2530:
#line 14164 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2531:
#line 14165 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2532:
#line 14169 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 48155 "preproc.c" /* yacc.c:1646  */
    break;

  case 2533:
#line 14174 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 48164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2534:
#line 14181 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 48173 "preproc.c" /* yacc.c:1646  */
    break;

  case 2535:
#line 14186 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 48182 "preproc.c" /* yacc.c:1646  */
    break;

  case 2536:
#line 14193 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 48191 "preproc.c" /* yacc.c:1646  */
    break;

  case 2539:
#line 14202 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 48202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2540:
#line 14208 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48208 "preproc.c" /* yacc.c:1646  */
    break;

  case 2541:
#line 14209 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48214 "preproc.c" /* yacc.c:1646  */
    break;

  case 2542:
#line 14212 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2543:
#line 14213 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 48226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2544:
#line 14214 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 48232 "preproc.c" /* yacc.c:1646  */
    break;

  case 2545:
#line 14215 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48238 "preproc.c" /* yacc.c:1646  */
    break;

  case 2546:
#line 14216 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 48244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2547:
#line 14217 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 48250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2548:
#line 14218 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48256 "preproc.c" /* yacc.c:1646  */
    break;

  case 2549:
#line 14219 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48262 "preproc.c" /* yacc.c:1646  */
    break;

  case 2550:
#line 14220 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2551:
#line 14227 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 48279 "preproc.c" /* yacc.c:1646  */
    break;

  case 2552:
#line 14234 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 48295 "preproc.c" /* yacc.c:1646  */
    break;

  case 2553:
#line 14246 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 48305 "preproc.c" /* yacc.c:1646  */
    break;

  case 2554:
#line 14252 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 48316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2555:
#line 14259 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 48326 "preproc.c" /* yacc.c:1646  */
    break;

  case 2556:
#line 14266 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 48332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2557:
#line 14267 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2558:
#line 14280 "preproc.y" /* yacc.c:1646  */
    {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 48347 "preproc.c" /* yacc.c:1646  */
    break;

  case 2559:
#line 14291 "preproc.y" /* yacc.c:1646  */
    {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 48356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2560:
#line 14302 "preproc.y" /* yacc.c:1646  */
    {  (yyval.str) = (yyvsp[-1].str); }
#line 48362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2563:
#line 14310 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 48368 "preproc.c" /* yacc.c:1646  */
    break;

  case 2564:
#line 14315 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-1].str); }
#line 48374 "preproc.c" /* yacc.c:1646  */
    break;

  case 2567:
#line 14323 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 48382 "preproc.c" /* yacc.c:1646  */
    break;

  case 2568:
#line 14329 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 48394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2569:
#line 14337 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 48402 "preproc.c" /* yacc.c:1646  */
    break;

  case 2570:
#line 14342 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_count; }
#line 48408 "preproc.c" /* yacc.c:1646  */
    break;

  case 2571:
#line 14350 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 48414 "preproc.c" /* yacc.c:1646  */
    break;

  case 2574:
#line 14357 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 48420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2575:
#line 14361 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 48426 "preproc.c" /* yacc.c:1646  */
    break;

  case 2578:
#line 14369 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 48434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2579:
#line 14375 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 48446 "preproc.c" /* yacc.c:1646  */
    break;

  case 2580:
#line 14384 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 48454 "preproc.c" /* yacc.c:1646  */
    break;

  case 2581:
#line 14389 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 48467 "preproc.c" /* yacc.c:1646  */
    break;

  case 2582:
#line 14399 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 48480 "preproc.c" /* yacc.c:1646  */
    break;

  case 2583:
#line 14409 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 48494 "preproc.c" /* yacc.c:1646  */
    break;

  case 2584:
#line 14420 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 48500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2585:
#line 14421 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 48506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2586:
#line 14422 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 48512 "preproc.c" /* yacc.c:1646  */
    break;

  case 2587:
#line 14423 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 48518 "preproc.c" /* yacc.c:1646  */
    break;

  case 2588:
#line 14424 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 48524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2589:
#line 14425 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 48530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2590:
#line 14426 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 48536 "preproc.c" /* yacc.c:1646  */
    break;

  case 2591:
#line 14427 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 48542 "preproc.c" /* yacc.c:1646  */
    break;

  case 2592:
#line 14428 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 48548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2593:
#line 14429 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 48554 "preproc.c" /* yacc.c:1646  */
    break;

  case 2594:
#line 14430 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 48560 "preproc.c" /* yacc.c:1646  */
    break;

  case 2595:
#line 14431 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 48566 "preproc.c" /* yacc.c:1646  */
    break;

  case 2596:
#line 14432 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 48572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2597:
#line 14433 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 48578 "preproc.c" /* yacc.c:1646  */
    break;

  case 2598:
#line 14434 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 48584 "preproc.c" /* yacc.c:1646  */
    break;

  case 2599:
#line 14441 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48590 "preproc.c" /* yacc.c:1646  */
    break;

  case 2600:
#line 14442 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2601:
#line 14445 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("on"); }
#line 48602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2602:
#line 14446 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("off"); }
#line 48608 "preproc.c" /* yacc.c:1646  */
    break;

  case 2603:
#line 14453 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48614 "preproc.c" /* yacc.c:1646  */
    break;

  case 2604:
#line 14454 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2605:
#line 14455 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2606:
#line 14462 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 48636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2607:
#line 14468 "preproc.y" /* yacc.c:1646  */
    {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 48649 "preproc.c" /* yacc.c:1646  */
    break;

  case 2608:
#line 14478 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("reference"); }
#line 48655 "preproc.c" /* yacc.c:1646  */
    break;

  case 2609:
#line 14479 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2610:
#line 14486 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 48671 "preproc.c" /* yacc.c:1646  */
    break;

  case 2611:
#line 14492 "preproc.y" /* yacc.c:1646  */
    {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 48733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2612:
#line 14556 "preproc.y" /* yacc.c:1646  */
    {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 48743 "preproc.c" /* yacc.c:1646  */
    break;

  case 2613:
#line 14562 "preproc.y" /* yacc.c:1646  */
    {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 48753 "preproc.c" /* yacc.c:1646  */
    break;

  case 2614:
#line 14568 "preproc.y" /* yacc.c:1646  */
    {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 48763 "preproc.c" /* yacc.c:1646  */
    break;

  case 2615:
#line 14576 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 48773 "preproc.c" /* yacc.c:1646  */
    break;

  case 2616:
#line 14582 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 48783 "preproc.c" /* yacc.c:1646  */
    break;

  case 2617:
#line 14588 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 48793 "preproc.c" /* yacc.c:1646  */
    break;

  case 2618:
#line 14594 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 48803 "preproc.c" /* yacc.c:1646  */
    break;

  case 2619:
#line 14600 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 48813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2620:
#line 14606 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 48823 "preproc.c" /* yacc.c:1646  */
    break;

  case 2621:
#line 14612 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 48833 "preproc.c" /* yacc.c:1646  */
    break;

  case 2622:
#line 14618 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 48843 "preproc.c" /* yacc.c:1646  */
    break;

  case 2623:
#line 14624 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 48853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2624:
#line 14634 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48859 "preproc.c" /* yacc.c:1646  */
    break;

  case 2625:
#line 14635 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48865 "preproc.c" /* yacc.c:1646  */
    break;

  case 2626:
#line 14638 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("break"); }
#line 48871 "preproc.c" /* yacc.c:1646  */
    break;

  case 2627:
#line 14639 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("call"); }
#line 48877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2628:
#line 14640 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("cardinality"); }
#line 48883 "preproc.c" /* yacc.c:1646  */
    break;

  case 2629:
#line 14641 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("count"); }
#line 48889 "preproc.c" /* yacc.c:1646  */
    break;

  case 2630:
#line 14642 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 48895 "preproc.c" /* yacc.c:1646  */
    break;

  case 2631:
#line 14643 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 48901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2632:
#line 14644 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("found"); }
#line 48907 "preproc.c" /* yacc.c:1646  */
    break;

  case 2633:
#line 14645 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("go"); }
#line 48913 "preproc.c" /* yacc.c:1646  */
    break;

  case 2634:
#line 14646 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("goto"); }
#line 48919 "preproc.c" /* yacc.c:1646  */
    break;

  case 2635:
#line 14647 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("identified"); }
#line 48925 "preproc.c" /* yacc.c:1646  */
    break;

  case 2636:
#line 14648 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("indicator"); }
#line 48931 "preproc.c" /* yacc.c:1646  */
    break;

  case 2637:
#line 14649 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("key_member"); }
#line 48937 "preproc.c" /* yacc.c:1646  */
    break;

  case 2638:
#line 14650 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("length"); }
#line 48943 "preproc.c" /* yacc.c:1646  */
    break;

  case 2639:
#line 14651 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("nullable"); }
#line 48949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2640:
#line 14652 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("octet_length"); }
#line 48955 "preproc.c" /* yacc.c:1646  */
    break;

  case 2641:
#line 14653 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_length"); }
#line 48961 "preproc.c" /* yacc.c:1646  */
    break;

  case 2642:
#line 14654 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 48967 "preproc.c" /* yacc.c:1646  */
    break;

  case 2643:
#line 14655 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("scale"); }
#line 48973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2644:
#line 14656 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("section"); }
#line 48979 "preproc.c" /* yacc.c:1646  */
    break;

  case 2645:
#line 14657 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sql"); }
#line 48985 "preproc.c" /* yacc.c:1646  */
    break;

  case 2646:
#line 14658 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlerror"); }
#line 48991 "preproc.c" /* yacc.c:1646  */
    break;

  case 2647:
#line 14659 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlprint"); }
#line 48997 "preproc.c" /* yacc.c:1646  */
    break;

  case 2648:
#line 14660 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlwarning"); }
#line 49003 "preproc.c" /* yacc.c:1646  */
    break;

  case 2649:
#line 14661 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("stop"); }
#line 49009 "preproc.c" /* yacc.c:1646  */
    break;

  case 2650:
#line 14664 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connect"); }
#line 49015 "preproc.c" /* yacc.c:1646  */
    break;

  case 2651:
#line 14665 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("describe"); }
#line 49021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2652:
#line 14666 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("disconnect"); }
#line 49027 "preproc.c" /* yacc.c:1646  */
    break;

  case 2653:
#line 14667 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("open"); }
#line 49033 "preproc.c" /* yacc.c:1646  */
    break;

  case 2654:
#line 14668 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("var"); }
#line 49039 "preproc.c" /* yacc.c:1646  */
    break;

  case 2655:
#line 14669 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("whenever"); }
#line 49045 "preproc.c" /* yacc.c:1646  */
    break;

  case 2656:
#line 14673 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 49051 "preproc.c" /* yacc.c:1646  */
    break;

  case 2657:
#line 14674 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 49057 "preproc.c" /* yacc.c:1646  */
    break;

  case 2658:
#line 14675 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 49063 "preproc.c" /* yacc.c:1646  */
    break;

  case 2659:
#line 14676 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 49069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2660:
#line 14677 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 49075 "preproc.c" /* yacc.c:1646  */
    break;

  case 2661:
#line 14678 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 49081 "preproc.c" /* yacc.c:1646  */
    break;

  case 2662:
#line 14679 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 49087 "preproc.c" /* yacc.c:1646  */
    break;

  case 2663:
#line 14682 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49093 "preproc.c" /* yacc.c:1646  */
    break;

  case 2664:
#line 14685 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49099 "preproc.c" /* yacc.c:1646  */
    break;

  case 2665:
#line 14686 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49105 "preproc.c" /* yacc.c:1646  */
    break;

  case 2666:
#line 14687 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49111 "preproc.c" /* yacc.c:1646  */
    break;

  case 2667:
#line 14688 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49117 "preproc.c" /* yacc.c:1646  */
    break;

  case 2668:
#line 14689 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49123 "preproc.c" /* yacc.c:1646  */
    break;

  case 2669:
#line 14690 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49129 "preproc.c" /* yacc.c:1646  */
    break;

  case 2670:
#line 14691 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 49135 "preproc.c" /* yacc.c:1646  */
    break;

  case 2671:
#line 14692 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 49141 "preproc.c" /* yacc.c:1646  */
    break;

  case 2672:
#line 14705 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49147 "preproc.c" /* yacc.c:1646  */
    break;

  case 2673:
#line 14706 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49153 "preproc.c" /* yacc.c:1646  */
    break;

  case 2674:
#line 14707 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49159 "preproc.c" /* yacc.c:1646  */
    break;

  case 2675:
#line 14708 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2676:
#line 14709 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49171 "preproc.c" /* yacc.c:1646  */
    break;

  case 2677:
#line 14710 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 49177 "preproc.c" /* yacc.c:1646  */
    break;

  case 2678:
#line 14711 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 49183 "preproc.c" /* yacc.c:1646  */
    break;

  case 2679:
#line 14716 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2680:
#line 14717 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49195 "preproc.c" /* yacc.c:1646  */
    break;

  case 2681:
#line 14718 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49201 "preproc.c" /* yacc.c:1646  */
    break;

  case 2682:
#line 14719 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49207 "preproc.c" /* yacc.c:1646  */
    break;

  case 2683:
#line 14720 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49213 "preproc.c" /* yacc.c:1646  */
    break;

  case 2684:
#line 14721 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49219 "preproc.c" /* yacc.c:1646  */
    break;

  case 2685:
#line 14727 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49225 "preproc.c" /* yacc.c:1646  */
    break;

  case 2686:
#line 14728 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49231 "preproc.c" /* yacc.c:1646  */
    break;

  case 2687:
#line 14729 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 49237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2688:
#line 14730 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("current"); }
#line 49243 "preproc.c" /* yacc.c:1646  */
    break;

  case 2689:
#line 14731 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("input"); }
#line 49249 "preproc.c" /* yacc.c:1646  */
    break;

  case 2690:
#line 14732 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 49255 "preproc.c" /* yacc.c:1646  */
    break;

  case 2691:
#line 14733 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 49261 "preproc.c" /* yacc.c:1646  */
    break;

  case 2692:
#line 14734 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 49267 "preproc.c" /* yacc.c:1646  */
    break;

  case 2693:
#line 14735 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 49273 "preproc.c" /* yacc.c:1646  */
    break;

  case 2694:
#line 14736 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49279 "preproc.c" /* yacc.c:1646  */
    break;

  case 2695:
#line 14737 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49285 "preproc.c" /* yacc.c:1646  */
    break;

  case 2696:
#line 14740 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49291 "preproc.c" /* yacc.c:1646  */
    break;

  case 2697:
#line 14741 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49297 "preproc.c" /* yacc.c:1646  */
    break;

  case 2698:
#line 14742 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49303 "preproc.c" /* yacc.c:1646  */
    break;

  case 2699:
#line 14743 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2700:
#line 14744 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 49315 "preproc.c" /* yacc.c:1646  */
    break;

  case 2701:
#line 14747 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49321 "preproc.c" /* yacc.c:1646  */
    break;

  case 2702:
#line 14748 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49327 "preproc.c" /* yacc.c:1646  */
    break;

  case 2703:
#line 14749 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49333 "preproc.c" /* yacc.c:1646  */
    break;

  case 2704:
#line 14750 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49339 "preproc.c" /* yacc.c:1646  */
    break;

  case 2705:
#line 14753 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 49345 "preproc.c" /* yacc.c:1646  */
    break;

  case 2706:
#line 14754 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 49351 "preproc.c" /* yacc.c:1646  */
    break;

  case 2707:
#line 14755 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 49357 "preproc.c" /* yacc.c:1646  */
    break;

  case 2708:
#line 14756 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 49363 "preproc.c" /* yacc.c:1646  */
    break;

  case 2709:
#line 14757 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 49369 "preproc.c" /* yacc.c:1646  */
    break;

  case 2710:
#line 14758 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 49375 "preproc.c" /* yacc.c:1646  */
    break;

  case 2711:
#line 14759 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 49381 "preproc.c" /* yacc.c:1646  */
    break;

  case 2712:
#line 14776 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49387 "preproc.c" /* yacc.c:1646  */
    break;

  case 2713:
#line 14777 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49393 "preproc.c" /* yacc.c:1646  */
    break;

  case 2714:
#line 14778 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 49399 "preproc.c" /* yacc.c:1646  */
    break;

  case 2715:
#line 14781 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day"); }
#line 49405 "preproc.c" /* yacc.c:1646  */
    break;

  case 2716:
#line 14782 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 49411 "preproc.c" /* yacc.c:1646  */
    break;

  case 2717:
#line 14783 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 49417 "preproc.c" /* yacc.c:1646  */
    break;

  case 2718:
#line 14784 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 49423 "preproc.c" /* yacc.c:1646  */
    break;

  case 2719:
#line 14785 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 49429 "preproc.c" /* yacc.c:1646  */
    break;

  case 2720:
#line 14786 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 49435 "preproc.c" /* yacc.c:1646  */
    break;

  case 2723:
#line 14793 "preproc.y" /* yacc.c:1646  */
    {
				reset_variables();
				pacounter = 1;
			}
#line 49444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2724:
#line 14799 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 49450 "preproc.c" /* yacc.c:1646  */
    break;

  case 2725:
#line 14800 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49456 "preproc.c" /* yacc.c:1646  */
    break;

  case 2726:
#line 14804 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 49462 "preproc.c" /* yacc.c:1646  */
    break;

  case 2727:
#line 14806 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 49468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2728:
#line 14811 "preproc.y" /* yacc.c:1646  */
    {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 49480 "preproc.c" /* yacc.c:1646  */
    break;

  case 2729:
#line 14821 "preproc.y" /* yacc.c:1646  */
    {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 49493 "preproc.c" /* yacc.c:1646  */
    break;

  case 2730:
#line 14832 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 49502 "preproc.c" /* yacc.c:1646  */
    break;

  case 2731:
#line 14838 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 49508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2732:
#line 14839 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 49514 "preproc.c" /* yacc.c:1646  */
    break;

  case 2733:
#line 14840 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 49520 "preproc.c" /* yacc.c:1646  */
    break;

  case 2734:
#line 14844 "preproc.y" /* yacc.c:1646  */
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 49555 "preproc.c" /* yacc.c:1646  */
    break;

  case 2735:
#line 14876 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 49561 "preproc.c" /* yacc.c:1646  */
    break;

  case 2736:
#line 14878 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 49567 "preproc.c" /* yacc.c:1646  */
    break;

  case 2737:
#line 14880 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 49573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2738:
#line 14884 "preproc.y" /* yacc.c:1646  */
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+2]='\0';
			free((yyvsp[0].str));
		}
#line 49587 "preproc.c" /* yacc.c:1646  */
    break;

  case 2739:
#line 14894 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 49601 "preproc.c" /* yacc.c:1646  */
    break;

  case 2740:
#line 14904 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 49615 "preproc.c" /* yacc.c:1646  */
    break;

  case 2741:
#line 14913 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2742:
#line 14914 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49627 "preproc.c" /* yacc.c:1646  */
    break;

  case 2743:
#line 14917 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 49633 "preproc.c" /* yacc.c:1646  */
    break;

  case 2744:
#line 14919 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 49639 "preproc.c" /* yacc.c:1646  */
    break;

  case 2745:
#line 14920 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 49645 "preproc.c" /* yacc.c:1646  */
    break;

  case 2746:
#line 14921 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49651 "preproc.c" /* yacc.c:1646  */
    break;

  case 2747:
#line 14925 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 49657 "preproc.c" /* yacc.c:1646  */
    break;

  case 2748:
#line 14927 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 49663 "preproc.c" /* yacc.c:1646  */
    break;

  case 2749:
#line 14934 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2750:
#line 14935 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("()"); }
#line 49675 "preproc.c" /* yacc.c:1646  */
    break;

  case 2751:
#line 14937 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 49681 "preproc.c" /* yacc.c:1646  */
    break;

  case 2752:
#line 14940 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49687 "preproc.c" /* yacc.c:1646  */
    break;

  case 2753:
#line 14942 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 49693 "preproc.c" /* yacc.c:1646  */
    break;

  case 2754:
#line 14945 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49699 "preproc.c" /* yacc.c:1646  */
    break;

  case 2755:
#line 14946 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 49705 "preproc.c" /* yacc.c:1646  */
    break;

  case 2756:
#line 14949 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49711 "preproc.c" /* yacc.c:1646  */
    break;

  case 2757:
#line 14950 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 49717 "preproc.c" /* yacc.c:1646  */
    break;

  case 2758:
#line 14953 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49723 "preproc.c" /* yacc.c:1646  */
    break;

  case 2759:
#line 14954 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("("); }
#line 49729 "preproc.c" /* yacc.c:1646  */
    break;

  case 2760:
#line 14955 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(")"); }
#line 49735 "preproc.c" /* yacc.c:1646  */
    break;

  case 2761:
#line 14956 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(","); }
#line 49741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2762:
#line 14957 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(";"); }
#line 49747 "preproc.c" /* yacc.c:1646  */
    break;

  case 2763:
#line 14960 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49753 "preproc.c" /* yacc.c:1646  */
    break;

  case 2764:
#line 14961 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49759 "preproc.c" /* yacc.c:1646  */
    break;

  case 2765:
#line 14962 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2766:
#line 14963 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49771 "preproc.c" /* yacc.c:1646  */
    break;

  case 2767:
#line 14964 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 49777 "preproc.c" /* yacc.c:1646  */
    break;

  case 2768:
#line 14965 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+"); }
#line 49783 "preproc.c" /* yacc.c:1646  */
    break;

  case 2769:
#line 14966 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-"); }
#line 49789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2770:
#line 14967 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/"); }
#line 49795 "preproc.c" /* yacc.c:1646  */
    break;

  case 2771:
#line 14968 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%"); }
#line 49801 "preproc.c" /* yacc.c:1646  */
    break;

  case 2772:
#line 14969 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 49807 "preproc.c" /* yacc.c:1646  */
    break;

  case 2773:
#line 14970 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+="); }
#line 49813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2774:
#line 14971 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("&&"); }
#line 49819 "preproc.c" /* yacc.c:1646  */
    break;

  case 2775:
#line 14972 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 49825 "preproc.c" /* yacc.c:1646  */
    break;

  case 2776:
#line 14973 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 49831 "preproc.c" /* yacc.c:1646  */
    break;

  case 2777:
#line 14974 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 49837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2778:
#line 14975 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("--"); }
#line 49843 "preproc.c" /* yacc.c:1646  */
    break;

  case 2779:
#line 14976 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/="); }
#line 49849 "preproc.c" /* yacc.c:1646  */
    break;

  case 2780:
#line 14977 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(".*"); }
#line 49855 "preproc.c" /* yacc.c:1646  */
    break;

  case 2781:
#line 14978 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("=="); }
#line 49861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2782:
#line 14979 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 49867 "preproc.c" /* yacc.c:1646  */
    break;

  case 2783:
#line 14980 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("++"); }
#line 49873 "preproc.c" /* yacc.c:1646  */
    break;

  case 2784:
#line 14981 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("<<"); }
#line 49879 "preproc.c" /* yacc.c:1646  */
    break;

  case 2785:
#line 14982 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->"); }
#line 49885 "preproc.c" /* yacc.c:1646  */
    break;

  case 2786:
#line 14983 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->*"); }
#line 49891 "preproc.c" /* yacc.c:1646  */
    break;

  case 2787:
#line 14984 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%="); }
#line 49897 "preproc.c" /* yacc.c:1646  */
    break;

  case 2788:
#line 14985 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*="); }
#line 49903 "preproc.c" /* yacc.c:1646  */
    break;

  case 2789:
#line 14986 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("!="); }
#line 49909 "preproc.c" /* yacc.c:1646  */
    break;

  case 2790:
#line 14987 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("||"); }
#line 49915 "preproc.c" /* yacc.c:1646  */
    break;

  case 2791:
#line 14988 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 49921 "preproc.c" /* yacc.c:1646  */
    break;

  case 2792:
#line 14989 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(">>"); }
#line 49927 "preproc.c" /* yacc.c:1646  */
    break;

  case 2793:
#line 14990 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 49933 "preproc.c" /* yacc.c:1646  */
    break;

  case 2794:
#line 14991 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-="); }
#line 49939 "preproc.c" /* yacc.c:1646  */
    break;

  case 2795:
#line 14992 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 49945 "preproc.c" /* yacc.c:1646  */
    break;

  case 2796:
#line 14993 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 49951 "preproc.c" /* yacc.c:1646  */
    break;

  case 2797:
#line 14994 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 49957 "preproc.c" /* yacc.c:1646  */
    break;

  case 2798:
#line 14995 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("enum"); }
#line 49963 "preproc.c" /* yacc.c:1646  */
    break;

  case 2799:
#line 14996 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 49969 "preproc.c" /* yacc.c:1646  */
    break;

  case 2800:
#line 14997 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 49975 "preproc.c" /* yacc.c:1646  */
    break;

  case 2801:
#line 14998 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 49981 "preproc.c" /* yacc.c:1646  */
    break;

  case 2802:
#line 14999 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 49987 "preproc.c" /* yacc.c:1646  */
    break;

  case 2803:
#line 15000 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 49993 "preproc.c" /* yacc.c:1646  */
    break;

  case 2804:
#line 15001 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 49999 "preproc.c" /* yacc.c:1646  */
    break;

  case 2805:
#line 15002 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 50005 "preproc.c" /* yacc.c:1646  */
    break;

  case 2806:
#line 15003 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 50011 "preproc.c" /* yacc.c:1646  */
    break;

  case 2807:
#line 15004 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 50017 "preproc.c" /* yacc.c:1646  */
    break;

  case 2808:
#line 15005 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 50023 "preproc.c" /* yacc.c:1646  */
    break;

  case 2809:
#line 15006 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 50029 "preproc.c" /* yacc.c:1646  */
    break;

  case 2810:
#line 15007 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 50035 "preproc.c" /* yacc.c:1646  */
    break;

  case 2811:
#line 15008 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("float"); }
#line 50041 "preproc.c" /* yacc.c:1646  */
    break;

  case 2812:
#line 15009 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 50047 "preproc.c" /* yacc.c:1646  */
    break;

  case 2813:
#line 15010 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 50053 "preproc.c" /* yacc.c:1646  */
    break;

  case 2814:
#line 15011 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("varchar"); }
#line 50059 "preproc.c" /* yacc.c:1646  */
    break;

  case 2815:
#line 15012 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("["); }
#line 50065 "preproc.c" /* yacc.c:1646  */
    break;

  case 2816:
#line 15013 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("]"); }
#line 50071 "preproc.c" /* yacc.c:1646  */
    break;

  case 2817:
#line 15014 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("="); }
#line 50077 "preproc.c" /* yacc.c:1646  */
    break;

  case 2818:
#line 15015 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(":"); }
#line 50083 "preproc.c" /* yacc.c:1646  */
    break;

  case 2819:
#line 15018 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50089 "preproc.c" /* yacc.c:1646  */
    break;

  case 2820:
#line 15019 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50095 "preproc.c" /* yacc.c:1646  */
    break;

  case 2821:
#line 15020 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 50101 "preproc.c" /* yacc.c:1646  */
    break;

  case 2822:
#line 15021 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 50107 "preproc.c" /* yacc.c:1646  */
    break;

  case 2823:
#line 15024 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50113 "preproc.c" /* yacc.c:1646  */
    break;

  case 2824:
#line 15025 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 50119 "preproc.c" /* yacc.c:1646  */
    break;

  case 2825:
#line 15026 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 50125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2826:
#line 15027 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 50131 "preproc.c" /* yacc.c:1646  */
    break;

  case 2827:
#line 15028 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 50137 "preproc.c" /* yacc.c:1646  */
    break;

  case 2828:
#line 15029 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 50143 "preproc.c" /* yacc.c:1646  */
    break;

  case 2829:
#line 15030 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 50149 "preproc.c" /* yacc.c:1646  */
    break;

  case 2830:
#line 15031 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50155 "preproc.c" /* yacc.c:1646  */
    break;

  case 2831:
#line 15032 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50161 "preproc.c" /* yacc.c:1646  */
    break;

  case 2832:
#line 15033 "preproc.y" /* yacc.c:1646  */
    { if (pg_strcasecmp((yyvsp[-3].str), "sizeof") != 0)
							mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
						  else
							(yyval.str) = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].type).type_str, mm_strdup(")"));
						}
#line 50171 "preproc.c" /* yacc.c:1646  */
    break;

  case 2833:
#line 15040 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50177 "preproc.c" /* yacc.c:1646  */
    break;

  case 2834:
#line 15041 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50183 "preproc.c" /* yacc.c:1646  */
    break;

  case 2835:
#line 15042 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2836:
#line 15043 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50195 "preproc.c" /* yacc.c:1646  */
    break;

  case 2837:
#line 15046 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50201 "preproc.c" /* yacc.c:1646  */
    break;

  case 2838:
#line 15047 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50207 "preproc.c" /* yacc.c:1646  */
    break;

  case 2839:
#line 15050 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50213 "preproc.c" /* yacc.c:1646  */
    break;

  case 2840:
#line 15051 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50219 "preproc.c" /* yacc.c:1646  */
    break;

  case 2841:
#line 15054 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50225 "preproc.c" /* yacc.c:1646  */
    break;

  case 2842:
#line 15056 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 50238 "preproc.c" /* yacc.c:1646  */
    break;

  case 2843:
#line 15066 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2844:
#line 15067 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50250 "preproc.c" /* yacc.c:1646  */
    break;


#line 50254 "preproc.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 15070 "preproc.y" /* yacc.c:1906  */


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : base_yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}
